#!/usr/bin/env python
import sys
import wx
import os
import math
import struct
import string
import numpy as np
from numpy import *
from decimal import *
#from StringIO import StringIO

fileout = open("efresol_4_1.mes", 'w')

imac = 0
maxres = 15
maxtab = 1001
maxvec0 = maxvec = 10000
maxhis0 = maxhis = 20
nbins = 10

dstep = 0.1
staxes0 = staxes = 0.01
radst0 = radst = 0.01
frrad0 = frrad = 0.8
torad0 = torad = 1.2
metgrd0 = metgrd = 2
sphgrd0 = sphgrd = 5.
ndirv0 = ndirv = 3
kvasym0 = kvasym = 1
eps0 = eps = 0.0000000001
fcut = 0.9E10

bfac = 30.
nwilson = 50
n1, n2 = 0, nwilson
bwilson = 0.

flagfile = 0
fstat, ffile, fcell, fgroup, fampl, fdupl = 0, 0, 0, 0, 0, 0
fdhigh, fdlow = 0, 0

Sgrp = 0
jlaue = -1
Lgroup = 0
campl = 0

state1 = True
state2 = False
bfstate1 = True
bfstate2 = False

Filename = ""
Cell = ""
dfile = ""
dminframe = dmaxframe = ""  
gwidth = gheight = ""

statwin = effwin = optwin = hiswin = wilwin = parwin = ""
gcolor = "#E0FFFF"
scolor = tcolor = ccolor = wcolor = "#E5E5E5"

col1,col2,col3,col4,col5,col6 = 'red', '#00CD00', 'blue', '#00CDCD', 'magenta', '#483D8B'
col7, col8, col9, col10 = '#458B00', '#9400D3', '#483D8B', '#00BFFF'

fc= "%8.2f"

amplist = ['']
lauelist = ['-1','2/m','mmm','4/m','4/mmm','-3 (H)','-3m (H)','6/m','6/mmm','m-3','m-3m', '-3 (R)','-3m (R)']

grouplist = ['1    P1','2    P-1','3    P2','1003    P2-A (P 2 1 1)','2003    P2-C (P 1 1 2)',
             '4    P2(1)','1004    P2(1)-A (P 21 1 1)','2004    P2(1)-C (P 1 1 21)','5    C2',
             '2005    B2 (B 1 1 2)','4005    I2 (I 1 2 1)','6    Pm','7    Pc','8    Cm',
             '9    Cc','10    P2/m','11    P2(1)/m','12    C2/m','13    P2/c','14    P2(1)/c',
             '15    C2/c','16    P222','17    P222(1)','18    P2(1)2(1)2','1018    P22(1)2(1)',
             '2018    P2(1)22(1)','19    P2(1)2(1)2(1)','20    C222(1)','1020    A2(1)22',
             '2020    B22(1)2','21    C222','22    F222','23    I222','24    I2(1)2(1)2(1)','25    Pmm2',
             '26    Pmc2(1)','27    Pcc2','28    Pma2','29    Pca2(1)','30    Pnc2','31    Pmn2(1)',
             '32    Pba2','33    Pna2(1)','34    Pnn2','35    Cmm2','36    Cmc2(1)','37    Ccc2',
             '38    Amm2','39    Abm2','40    Ama2','41    Aba2','42    Fmm2','43    Fdd2','44    Imm2',
             '45    Iba2','46    Ima2','47    Pmmm','48    Pnnn','49    Pccm','50    Pban','51    Pmma',
             '52    Pnna','53    Pmna','54    Pcca','55    Pbam','56    Pccn','57    Pbcm','58    Pnnm',
             '59    Pmmn','60    Pbcn','61    Pbca','62    Pnma','63    Cmcm','64    Cmca','65    Cmmm',
             '13065    Ammm','66    Cccm','67    Cmma','68    Ccca','69    Fmmm','70    Fddd',
             '71    Immm','72    Ibam','73    Ibca','74    Imma','75    P4','76    P4(1)','77    P4(2)',
             '78    P4(3)','79    I4','80    I4(1)','81    P-4','82    I-4','83    P4/m','84    P4(2)/m',
             '85    P4/n','86    P4(2)/n','87    I4/m','88    I4(1)/a','89    P422','90    P42(1)2',
             '91    P4(1)22','92    P4(1)2(1)2','93    P4(2)22','94    P4(2)2(1)2','95    P4(3)22',
             '96    P4(3)2(1)2','97    I422','98    I4(1)22','99    P4mm','100    P4bm','101    P4(2)cm',
             '102    P4(2)nm','103    P4cc','104    P4nc','105    P4(2)mc','106    P4(2)bc','107    I4mm',
             '108    I4cm','109    I4(1)md','110    I4(1)cd','111    P-42m','112    P-42c',
             '113    P-42(1)m','114    P-42(1)c','115    P-4m2','116    P-4c2','117    P-4b2',
             '118    P-4n2','119    I-4m2','120    I-4c2','121    I-42m','122    I-42d','123    P4/mmm',
             '124    P4/mcc','125    P4/nbm','126    P4/nnc','127    P4/mbm','128    P4/mnc',
             '129    P4/nmm','130    P4/ncc','131    P4(2)/mmc','132    P4(2)/mcm','133    P4(2)/nbc',
             '134    P4(2)/nnm','135    P4(2)/mbc','136    P4(2)/mnm','137    P4(2)/nmc','138    P4(2)/ncm',
             '139    I4/mmm','140    I4/mcm','141    I4(1)/amd','142    I4(1)/acd','143    P3',
             '144    P3(1)','145    P3(2)','146    R3','20146    R3r','147    P-3','148    R-3',
             '20148    R-3r','149    P312','150    P321','151    P3(1)12','152    P3(1)21','153    P3(2)12',
             '154    P3(2)21','155    R32','20155    R32r','156    P3m1','157    P31m','158    P3c1',
             '159    P31c','160    R3m','20160    R3mr','161    R3c','20161    R3cr','162    P-31m',
             '163    P-31c','164    P-3m1','165    P-3c1','166    R-3m','20166    R-3mr','167    R-3c',
             '20167    R-3cr','168    P6','169    P6(1)','170    P6(5)','171    P6(2)','172    P6(4)',
             '173    P6(3)','174    P-6','175    P6/m','176    P6(3)/m','177    P622','178    P6(1)22',
             '179    P6(5)22','180    P6(2)22','181    P6(4)22','182    P6(3)22','183    P6mm',
             '184    P6cc','185    P6(3)cm','186    P6(3)mc','187    P-6m2','188    P-6c2','189    P-62m',
             '190    P-62c','191    P6/mmm','192    P6/mcc','193    P6(3)/mcm','194    P6(3)/mmc',
             '195    P23','196    F23','197    I23','198    P2(1)3','199    I2(1)3','200    Pm-3',
             '201    Pn-3','202    Fm-3','203    Fd-3','204    Im-3','205    Pa-3','206    Ia-3',
             '207    P432','208    P4(2)32','209    F432','210    F4(1)32','211    I432','212    P4(3)32',
             '213    P4(1)32','214    I4(1)32','215    P-43m','216    F-43m','217    I-43m',
             '218    P-43n','219    F-43c','220    I-43d','221    Pm-3m','222    Pn-3n','223    Pm-3n',
             '224    Pn-3m','225    Fm-3m','226    Fm-3c','227    Fd-3m','228    Fd-3c','229    Im-3m',
             '230    Ia-3d'] 

filetab = [
'sqrt(B) 0.4     0.5     0.6     0.7     0.8     0.9     1.0     1.2     1.4     1.7     2.0     2.5     3.0     4.0     5.0',
'0.00	0.39889 0.41113	0.40925	0.40932	0.40994	0.41085	0.41168	0.41218	0.41127	0.41011	0.40840	0.40590	0.40358	0.40239	0.40121',
'0.05	0.39890	0.41114	0.40926	0.40933	0.40996	0.41086	0.41169	0.41219	0.41129	0.41012	0.40841	0.40591	0.40359	0.40240	0.40122',
'0.10	0.39893	0.41117	0.40929	0.40936	0.40999	0.41089	0.41173	0.41223	0.41132	0.41016	0.40844	0.40594	0.40362	0.40242	0.40125',
'0.15	0.39897	0.41123	0.40935	0.40942	0.41005	0.41095	0.41179	0.41229	0.41138	0.41021	0.40850	0.40599	0.40367	0.40247	0.40129',
'0.20	0.39904	0.41131	0.40942	0.40950	0.41013	0.41103	0.41187	0.41237	0.41146	0.41029	0.40857	0.40606	0.40374	0.40254	0.40136',
'0.25	0.39912	0.41141	0.40952	0.40960	0.41024	0.41114	0.41198	0.41247	0.41156	0.41039	0.40867	0.40615	0.40383	0.40263	0.40144',
'0.30	0.39922	0.41154	0.40964	0.40973	0.41037	0.41127	0.41211	0.41260	0.41169	0.41051	0.40879	0.40627	0.40394	0.40273	0.40155',
'0.35	0.39933	0.41168	0.40979	0.40988	0.41052	0.41142	0.41226	0.41276	0.41184	0.41066	0.40893	0.40640	0.40407	0.40286	0.40167',
'0.40	0.39947	0.41186	0.40995	0.41005	0.41070	0.41160	0.41244	0.41293	0.41201	0.41083	0.40909	0.40656	0.40422	0.40300	0.40181',
'0.45	0.39962	0.41205	0.41014	0.41024	0.41090	0.41180	0.41265	0.41314	0.41220	0.41102	0.40928	0.40673	0.40440	0.40316	0.40197',
'0.50	0.39980	0.41227	0.41035	0.41046	0.41113	0.41202	0.41288	0.41336	0.41242	0.41123	0.40948	0.40693	0.40459	0.40335	0.40215',
'0.55	0.39999	0.41251	0.41059	0.41070	0.41138	0.41227	0.41313	0.41361	0.41267	0.41147	0.40971	0.40715	0.40480	0.40355	0.40235',
'0.60	0.40020	0.41277	0.41084	0.41097	0.41165	0.41254	0.41341	0.41389	0.41294	0.41173	0.40996	0.40739	0.40504	0.40377	0.40257',
'0.65	0.40044	0.41306	0.41112	0.41126	0.41196	0.41284	0.41371	0.41419	0.41323	0.41202	0.41024	0.40765	0.40529	0.40402	0.40281',
'0.70	0.40069	0.41338	0.41143	0.41157	0.41228	0.41316	0.41404	0.41451	0.41354	0.41233	0.41054	0.40794	0.40557	0.40428	0.40307',
'0.75	0.40097	0.41371	0.41176	0.41191	0.41263	0.41351	0.41440	0.41486	0.41389	0.41267	0.41086	0.40825	0.40587	0.40457	0.40335',
'0.80	0.40127	0.41408	0.41211	0.41228	0.41301	0.41389	0.41478	0.41524	0.41425	0.41303	0.41120	0.40858	0.40619	0.40487	0.40365',
'0.85	0.40158	0.41446	0.41249	0.41267	0.41342	0.41429	0.41518	0.41565	0.41464	0.41342	0.41157	0.40893	0.40653	0.40520	0.40397',
'0.90	0.40192	0.41488	0.41289	0.41309	0.41385	0.41472	0.41562	0.41608	0.41506	0.41383	0.41197	0.40931	0.40690	0.40555	0.40432',
'0.95	0.40228	0.41532	0.41332	0.41353	0.41431	0.41517	0.41608	0.41653	0.41551	0.41427	0.41238	0.40970	0.40729	0.40592	0.40468',
'1.00	0.40266	0.41578	0.41377	0.41400	0.41479	0.41565	0.41657	0.41703	0.41598	0.41474	0.41283	0.41013	0.40770	0.40632	0.40507',
'1.05	0.40306	0.41628	0.41425	0.41449	0.41531	0.41616	0.41709	0.41755	0.41647	0.41523	0.41331	0.41058	0.40814	0.40674	0.40548',
'1.10	0.40349	0.41680	0.41476	0.41502	0.41585	0.41670	0.41764	0.41811	0.41701	0.41575	0.41381	0.41106	0.40860	0.40718	0.40591',
'1.15	0.40393	0.41734	0.41529	0.41557	0.41642	0.41729	0.41821	0.41869	0.41757	0.41630	0.41434	0.41157	0.40909	0.40764	0.40637',
'1.20	0.40440	0.41792	0.41586	0.41615	0.41702	0.41791	0.41882	0.41931	0.41816	0.41687	0.41489	0.41210	0.40961	0.40813	0.40685',
'1.25	0.40490	0.41852	0.41645	0.41676	0.41765	0.41856	0.41946	0.41995	0.41879	0.41748	0.41547	0.41265	0.41015	0.40865	0.40735',
'1.30	0.40541	0.41916	0.41709	0.41740	0.41832	0.41924	0.42012	0.42063	0.41944	0.41811	0.41609	0.41323	0.41071	0.40919	0.40788',
'1.35	0.40595	0.41982	0.41777	0.41807	0.41901	0.41995	0.42082	0.42133	0.42012	0.41877	0.41672	0.41384	0.41130	0.40975	0.40844',
'1.40	0.40652	0.42051	0.41849	0.41877	0.41973	0.42070	0.42155	0.42207	0.42084	0.41946	0.41739	0.41448	0.41192	0.41034	0.40901',
'1.45	0.40711	0.42124	0.41924	0.41951	0.42049	0.42147	0.42232	0.42284	0.42158	0.42018	0.41809	0.41515	0.41257	0.41096	0.40962',
'1.50	0.40773	0.42199	0.42002	0.42027	0.42128	0.42228	0.42311	0.42365	0.42236	0.42094	0.41882	0.41584	0.41325	0.41160	0.41025',
'1.55	0.40837	0.42278	0.42083	0.42107	0.42211	0.42313	0.42394	0.42449	0.42317	0.42172	0.41958	0.41657	0.41395	0.41228	0.41091',
'1.60	0.40905	0.42361	0.42168	0.42191	0.42297	0.42401	0.42481	0.42536	0.42401	0.42254	0.42037	0.41732	0.41469	0.41298	0.41160',
'1.65	0.40974	0.42446	0.42256	0.42277	0.42387	0.42493	0.42574	0.42627	0.42489	0.42339	0.42119	0.41811	0.41545	0.41371	0.41232',
'1.70	0.41047	0.42535	0.42348	0.42368	0.42480	0.42589	0.42671	0.42722	0.42580	0.42428	0.42205	0.41892	0.41624	0.41448	0.41307',
'1.75	0.41123	0.42628	0.42443	0.42462	0.42577	0.42688	0.42772	0.42820	0.42675	0.42520	0.42293	0.41977	0.41707	0.41527	0.41385',
'1.80	0.41201	0.42724	0.42542	0.42559	0.42678	0.42791	0.42876	0.42922	0.42774	0.42615	0.42386	0.42066	0.41794	0.41609	0.41466',
'1.85	0.41283	0.42824	0.42645	0.42661	0.42782	0.42898	0.42985	0.43028	0.42876	0.42715	0.42481	0.42159	0.41884	0.41695	0.41550',
'1.90	0.41368	0.42927	0.42752	0.42767	0.42891	0.43010	0.43098	0.43138	0.42982	0.42820	0.42582	0.42255	0.41977	0.41784	0.41637',
'1.95	0.41455	0.43035	0.42862	0.42877	0.43004	0.43125	0.43214	0.43252	0.43092	0.42929	0.42687	0.42355	0.42074	0.41876	0.41728',
'2.00	0.41547	0.43146	0.42977	0.42996	0.43121	0.43244	0.43335	0.43371	0.43206	0.43041	0.42795	0.42458	0.42174	0.41972	0.41822',
'2.05	0.41641	0.43262	0.43096	0.43120	0.43242	0.43368	0.43461	0.43493	0.43324	0.43158	0.42907	0.42565	0.42278	0.42072	0.41920',
'2.10	0.41739	0.43381	0.43220	0.43248	0.43368	0.43497	0.43591	0.43620	0.43448	0.43278	0.43024	0.42676	0.42386	0.42176	0.42021',
'2.15	0.41840	0.43505	0.43347	0.43380	0.43498	0.43630	0.43725	0.43751	0.43577	0.43403	0.43144	0.42790	0.42497	0.42283	0.42126',
'2.20	0.41945	0.43634	0.43480	0.43517	0.43633	0.43767	0.43864	0.43890	0.43711	0.43532	0.43268	0.42909	0.42614	0.42393	0.42236',
'2.25	0.42054	0.43766	0.43616	0.43659	0.43773	0.43909	0.44008	0.44035	0.43849	0.43665	0.43397	0.43032	0.42734	0.42508	0.42348',
'2.30	0.42166	0.43904	0.43758	0.43805	0.43924	0.44057	0.44157	0.44183	0.43991	0.43802	0.43529	0.43160	0.42858	0.42627	0.42465',
'2.35	0.42283	0.44046	0.43904	0.43957	0.44080	0.44209	0.44310	0.44337	0.44138	0.43945	0.43667	0.43293	0.42987	0.42751	0.42586',
'2.40	0.42403	0.44193	0.44055	0.44113	0.44241	0.44366	0.44469	0.44496	0.44290	0.44091	0.43809	0.43430	0.43120	0.42879	0.42712',
'2.45	0.42528	0.44345	0.44212	0.44275	0.44407	0.44532	0.44633	0.44660	0.44446	0.44245	0.43958	0.43571	0.43257	0.43010	0.42841',
'2.50	0.42661	0.44501	0.44373	0.44442	0.44579	0.44707	0.44802	0.44829	0.44608	0.44405	0.44111	0.43717	0.43400	0.43147	0.42975',
'2.55	0.42798	0.44663	0.44540	0.44615	0.44756	0.44887	0.44976	0.45003	0.44775	0.44569	0.44269	0.43867	0.43547	0.43288	0.43114',
'2.60	0.42939	0.44831	0.44712	0.44793	0.44939	0.45072	0.45162	0.45182	0.44946	0.44738	0.44432	0.44023	0.43700	0.43435	0.43258',
'2.65	0.43085	0.45004	0.44890	0.44976	0.45127	0.45263	0.45355	0.45367	0.45126	0.44912	0.44600	0.44185	0.43857	0.43586	0.43406',
'2.70	0.43236	0.45195	0.45074	0.45166	0.45322	0.45461	0.45553	0.45558	0.45313	0.45092	0.44773	0.44352	0.44019	0.43741	0.43560',
'2.75	0.43391	0.45392	0.45263	0.45361	0.45522	0.45664	0.45757	0.45754	0.45504	0.45277	0.44952	0.44524	0.44186	0.43903	0.43719',
'2.80	0.43551	0.45595	0.45458	0.45563	0.45728	0.45873	0.45966	0.45960	0.45702	0.45467	0.45137	0.44702	0.44360	0.44070	0.43882',
'2.85	0.43716	0.45804	0.45659	0.45771	0.45941	0.46088	0.46182	0.46174	0.45905	0.45664	0.45330	0.44884	0.44539	0.44241	0.44051',
'2.90	0.43886	0.46018	0.45869	0.45985	0.46159	0.46309	0.46404	0.46394	0.46113	0.45870	0.45527	0.45073	0.44724	0.44419	0.44226',
'2.95	0.44061	0.46239	0.46097	0.46205	0.46385	0.46537	0.46633	0.46620	0.46328	0.46081	0.45730	0.45269	0.44913	0.44602	0.44406',
'3.00	0.44242	0.46465	0.46330	0.46432	0.46616	0.46771	0.46867	0.46852	0.46548	0.46298	0.45939	0.45470	0.45110	0.44791	0.44592',
'3.05	0.44427	0.46698	0.46571	0.46679	0.46855	0.47012	0.47108	0.47091	0.46777	0.46521	0.46153	0.45677	0.45313	0.44986	0.44785',
'3.10	0.44619	0.46938	0.46817	0.46932	0.47111	0.47261	0.47356	0.47335	0.47015	0.46749	0.46376	0.45890	0.45522	0.45188	0.44982',
'3.15	0.44816	0.47183	0.47071	0.47192	0.47376	0.47527	0.47615	0.47586	0.47259	0.46984	0.46606	0.46110	0.45736	0.45395	0.45187',
'3.20	0.45019	0.47436	0.47331	0.47459	0.47646	0.47799	0.47886	0.47844	0.47509	0.47228	0.46842	0.46338	0.45958	0.45608	0.45397',
'3.25	0.45235	0.47695	0.47598	0.47733	0.47924	0.48078	0.48163	0.48114	0.47765	0.47480	0.47084	0.46571	0.46186	0.45829	0.45614',
'3.30	0.45456	0.47961	0.47872	0.48014	0.48209	0.48363	0.48448	0.48393	0.48028	0.47738	0.47332	0.46810	0.46421	0.46056	0.45838',
'3.35	0.45684	0.48233	0.48154	0.48302	0.48501	0.48656	0.48739	0.48678	0.48297	0.48003	0.47588	0.47057	0.46662	0.46289	0.46068',
'3.40	0.45917	0.48513	0.48442	0.48598	0.48800	0.48956	0.49037	0.48970	0.48578	0.48273	0.47853	0.47312	0.46911	0.46530	0.46306',
'3.45	0.46157	0.48800	0.48738	0.48900	0.49106	0.49262	0.49341	0.49268	0.48866	0.48550	0.48124	0.47573	0.47167	0.46778	0.46549',
'3.50	0.46402	0.49094	0.49041	0.49210	0.49420	0.49576	0.49653	0.49573	0.49161	0.48840	0.48401	0.47841	0.47429	0.47033	0.46801',
'3.55	0.46655	0.49395	0.49351	0.49528	0.49740	0.49897	0.49972	0.49884	0.49462	0.49135	0.48685	0.48116	0.47700	0.47294	0.47059',
'3.60	0.46913	0.49703	0.49669	0.49853	0.50072	0.50235	0.50309	0.50209	0.49769	0.49437	0.48979	0.48400	0.47978	0.47563	0.47325',
'3.65	0.47178	0.50021	0.49994	0.50197	0.50425	0.50585	0.50655	0.50544	0.50085	0.49745	0.49281	0.48691	0.48262	0.47840	0.47598',
'3.70	0.47449	0.50371	0.50350	0.50557	0.50785	0.50942	0.51006	0.50886	0.50413	0.50061	0.49589	0.48987	0.48555	0.48124	0.47879',
'3.75	0.47736	0.50727	0.50714	0.50924	0.51152	0.51305	0.51365	0.51233	0.50748	0.50388	0.49903	0.49295	0.48856	0.48416	0.48167',
'3.80	0.48030	0.51090	0.51084	0.51297	0.51525	0.51675	0.51730	0.51587	0.51088	0.50722	0.50228	0.49608	0.49162	0.48715	0.48462',
'3.85	0.48331	0.51460	0.51461	0.51678	0.51905	0.52052	0.52101	0.51947	0.51434	0.51062	0.50560	0.49928	0.49479	0.49023	0.48766',
'3.90	0.48639	0.51836	0.51845	0.52066	0.52293	0.52436	0.52479	0.52322	0.51790	0.51407	0.50898	0.50258	0.49802	0.49337	0.49078',
'3.95	0.48952	0.52219	0.52236	0.52461	0.52686	0.52828	0.52879	0.52706	0.52157	0.51766	0.51243	0.50595	0.50133	0.49661	0.49397',
'4.00	0.49273	0.52609	0.52634	0.52862	0.53087	0.53243	0.53285	0.53096	0.52530	0.52131	0.51600	0.50938	0.50472	0.49990	0.49724',
'4.05	0.49599	0.53005	0.53039	0.53271	0.53515	0.53664	0.53696	0.53492	0.52909	0.52502	0.51962	0.51291	0.50818	0.50330	0.50059',
'4.10	0.49933	0.53408	0.53450	0.53694	0.53950	0.54090	0.54113	0.53893	0.53293	0.52878	0.52331	0.51651	0.51174	0.50676	0.50402',
'4.15	0.50283	0.53817	0.53869	0.54142	0.54391	0.54522	0.54536	0.54304	0.53692	0.53267	0.52708	0.52017	0.51535	0.51030	0.50754',
'4.20	0.50642	0.54233	0.54304	0.54595	0.54837	0.54959	0.54964	0.54729	0.54096	0.53663	0.53095	0.52394	0.51906	0.51392	0.51112',
'4.25	0.51007	0.54656	0.54767	0.55054	0.55288	0.55402	0.55414	0.55159	0.54506	0.54064	0.53486	0.52776	0.52283	0.51762	0.51479',
'4.30	0.51377	0.55092	0.55235	0.55518	0.55745	0.55864	0.55869	0.55594	0.54919	0.54470	0.53885	0.53166	0.52669	0.52140	0.51854',
'4.35	0.51754	0.55565	0.55707	0.55987	0.56207	0.56338	0.56329	0.56032	0.55347	0.54890	0.54294	0.53564	0.53062	0.52525	0.52237',
'4.40	0.52136	0.56042	0.56185	0.56462	0.56698	0.56815	0.56793	0.56483	0.55781	0.55313	0.54708	0.53968	0.53462	0.52919	0.52627',
'4.45	0.52525	0.56523	0.56668	0.56941	0.57194	0.57296	0.57260	0.56945	0.56218	0.55741	0.55128	0.54382	0.53870	0.53320	0.53025',
'4.50	0.52934	0.57009	0.57156	0.57444	0.57693	0.57780	0.57742	0.57409	0.56659	0.56179	0.55558	0.54800	0.54284	0.53728	0.53431',
'4.55	0.53347	0.57498	0.57648	0.57962	0.58196	0.58269	0.58236	0.57877	0.57116	0.56625	0.55992	0.55227	0.54707	0.54144	0.53844',
'4.60	0.53766	0.57992	0.58144	0.58484	0.58702	0.58781	0.58733	0.58348	0.57575	0.57073	0.56433	0.55661	0.55136	0.54567	0.54265',
'4.65	0.54189	0.58490	0.58669	0.59008	0.59211	0.59297	0.59231	0.58838	0.58037	0.57528	0.56883	0.56099	0.55572	0.54997	0.54692',
'4.70	0.54616	0.58991	0.59210	0.59535	0.59743	0.59816	0.59732	0.59329	0.58506	0.57993	0.57335	0.56547	0.56015	0.55434	0.55127',
'4.75	0.55050	0.59497	0.59753	0.60064	0.60284	0.60336	0.60245	0.59822	0.58985	0.58460	0.57796	0.56998	0.56464	0.55878	0.55569',
'4.80	0.55503	0.60007	0.60298	0.60596	0.60827	0.60858	0.60770	0.60316	0.59466	0.58932	0.58263	0.57458	0.56919	0.56328	0.56017',
'4.85	0.55960	0.60564	0.60845	0.61157	0.61370	0.61393	0.61296	0.60825	0.59949	0.59414	0.58732	0.57921	0.57380	0.56785	0.56472',
'4.90	0.56420	0.61123	0.61394	0.61725	0.61914	0.61942	0.61822	0.61338	0.60444	0.59897	0.59211	0.58393	0.57848	0.57248	0.56933',
'4.95	0.56883	0.61682	0.61944	0.62293	0.62459	0.62489	0.62348	0.61851	0.60941	0.60384	0.59693	0.58868	0.58320	0.57717	0.57401',
'5.00	0.57348	0.62242	0.62496	0.62861	0.63031	0.63036	0.62891	0.62365	0.61439	0.60880	0.60179	0.59350	0.58800	0.58192	0.57875',
'5.05	0.57830	0.62802	0.63090	0.63428	0.63604	0.63583	0.63438	0.62891	0.61945	0.61378	0.60672	0.59835	0.59283	0.58672	0.58354',
'5.10	0.58319	0.63363	0.63682	0.63996	0.64176	0.64141	0.63985	0.63421	0.62457	0.61878	0.61166	0.60326	0.59772	0.59158	0.58839',
'5.15	0.58809	0.63925	0.64273	0.64581	0.64747	0.64711	0.64530	0.63950	0.62968	0.62387	0.61668	0.60821	0.60266	0.59649	0.59328',
'5.20	0.59301	0.64487	0.64863	0.65182	0.65316	0.65279	0.65077	0.64478	0.63482	0.62896	0.62172	0.61322	0.60763	0.60144	0.59823',
'5.25	0.59795	0.65055	0.65452	0.65780	0.65897	0.65845	0.65641	0.65019	0.64005	0.63408	0.62680	0.61825	0.61267	0.60644	0.60323',
'5.30	0.60301	0.65667	0.66040	0.66376	0.66492	0.66408	0.66203	0.65561	0.64527	0.63928	0.63193	0.62333	0.61772	0.61149	0.60827',
'5.35	0.60815	0.66276	0.66627	0.66969	0.67083	0.66984	0.66761	0.66101	0.65049	0.64446	0.63705	0.62844	0.62283	0.61658	0.61336',
'5.40	0.61330	0.66882	0.67251	0.67560	0.67672	0.67568	0.67318	0.66639	0.65582	0.64969	0.64226	0.63359	0.62797	0.62171	0.61849',
'5.45	0.61844	0.67486	0.67874	0.68166	0.68257	0.68147	0.67887	0.67191	0.66113	0.65496	0.64746	0.63876	0.63313	0.62687	0.62365',
'5.50	0.62359	0.68087	0.68494	0.68786	0.68843	0.68724	0.68459	0.67741	0.66641	0.66021	0.65270	0.64398	0.63835	0.63207	0.62885',
'5.55	0.62887	0.68687	0.69109	0.69401	0.69451	0.69297	0.69028	0.68289	0.67181	0.66553	0.65797	0.64921	0.64358	0.63730	0.63409',
'5.60	0.63420	0.69284	0.69721	0.70012	0.70054	0.69885	0.69593	0.68836	0.67718	0.67086	0.66324	0.65449	0.64884	0.64257	0.63935',
'5.65	0.63951	0.69880	0.70330	0.70619	0.70653	0.70476	0.70161	0.69395	0.68253	0.67617	0.66857	0.65976	0.65414	0.64786	0.64465',
'5.70	0.64481	0.70513	0.70943	0.71221	0.71247	0.71061	0.70740	0.69950	0.68797	0.68156	0.67387	0.66509	0.65945	0.65318	0.64997',
'5.75	0.65011	0.71151	0.71587	0.71843	0.71837	0.71642	0.71315	0.70501	0.69339	0.68693	0.67924	0.67040	0.66479	0.65852	0.65532',
'5.80	0.65558	0.71784	0.72224	0.72471	0.72449	0.72219	0.71885	0.71056	0.69878	0.69230	0.68459	0.67577	0.67014	0.66388	0.66069',
'5.85	0.66103	0.72413	0.72856	0.73093	0.73058	0.72816	0.72452	0.71617	0.70425	0.69773	0.68997	0.68113	0.67551	0.66926	0.66609',
'5.90	0.66645	0.73037	0.73483	0.73709	0.73661	0.73408	0.73033	0.72174	0.70971	0.70313	0.69537	0.68652	0.68091	0.67466	0.67150',
'5.95	0.67185	0.73657	0.74105	0.74320	0.74258	0.73994	0.73612	0.72728	0.71514	0.70855	0.70075	0.69192	0.68632	0.68009	0.67693',
'6.00	0.67731	0.74274	0.74723	0.74927	0.74851	0.74576	0.74185	0.73288	0.72063	0.71400	0.70619	0.69733	0.69173	0.68553	0.68238',
'6.05	0.68286	0.74887	0.75358	0.75557	0.75460	0.75159	0.74754	0.73850	0.72611	0.71942	0.71159	0.70276	0.69718	0.69098	0.68784',
'6.10	0.68838	0.75536	0.76005	0.76185	0.76070	0.75755	0.75331	0.74408	0.73156	0.72489	0.71705	0.70819	0.70262	0.69644	0.69332',
'6.15	0.69386	0.76187	0.76646	0.76807	0.76674	0.76344	0.75911	0.74961	0.73707	0.73035	0.72248	0.71364	0.70807	0.70192	0.69881',
'6.20	0.69932	0.76833	0.77280	0.77423	0.77272	0.76929	0.76486	0.75526	0.74257	0.73579	0.72793	0.71909	0.71355	0.70741	0.70431',
'6.25	0.70492	0.77472	0.77909	0.78033	0.77865	0.77508	0.77056	0.76087	0.74804	0.74129	0.73340	0.72456	0.71903	0.71290	0.70982',
'6.30	0.71051	0.78106	0.78532	0.78642	0.78468	0.78095	0.77626	0.76644	0.75355	0.74675	0.73885	0.73002	0.72450	0.71841	0.71534',
'6.35	0.71606	0.78736	0.79150	0.79273	0.79076	0.78687	0.78207	0.77200	0.75906	0.75222	0.74433	0.73551	0.73001	0.72393	0.72087',
'6.40	0.72157	0.79360	0.79800	0.79897	0.79678	0.79273	0.78782	0.77764	0.76454	0.75772	0.74978	0.74098	0.73550	0.72945	0.72641',
'6.45	0.72713	0.79981	0.80444	0.80515	0.80275	0.79854	0.79353	0.78324	0.77005	0.76318	0.75528	0.74648	0.74100	0.73498	0.73196',
'6.50	0.73277	0.80642	0.81082	0.81126	0.80866	0.80430	0.79919	0.78879	0.77557	0.76868	0.76075	0.75197	0.74652	0.74052	0.73750',
'6.55	0.73836	0.81297	0.81713	0.81733	0.81461	0.81019	0.80497	0.79438	0.78106	0.77418	0.76625	0.75747	0.75203	0.74606	0.74306',
'6.60	0.74392	0.81945	0.82338	0.82344	0.82066	0.81606	0.81072	0.80000	0.78657	0.77964	0.77173	0.76298	0.75755	0.75160	0.74862',
'6.65	0.74945	0.82588	0.82958	0.82969	0.82666	0.82188	0.81642	0.80558	0.79210	0.78517	0.77722	0.76848	0.76308	0.75715	0.75418',
'6.70	0.75511	0.83225	0.83586	0.83587	0.83260	0.82765	0.82208	0.81112	0.79758	0.79065	0.78272	0.77399	0.76860	0.76270	0.75975',
'6.75	0.76074	0.83856	0.84231	0.84199	0.83848	0.83338	0.82778	0.81673	0.80310	0.79614	0.78820	0.77949	0.77413	0.76825	0.76532',
'6.80	0.76633	0.84483	0.84869	0.84806	0.84435	0.83926	0.83353	0.82233	0.80863	0.80166	0.79372	0.78502	0.77967	0.77381	0.77090',
'6.85	0.77189	0.85113	0.85500	0.85407	0.85037	0.84509	0.83923	0.82789	0.81412	0.80713	0.79920	0.79052	0.78520	0.77938	0.77647',
'6.90	0.77749	0.85774	0.86125	0.86017	0.85634	0.85087	0.84489	0.83341	0.81963	0.81265	0.80472	0.79605	0.79073	0.78494	0.78205',
'6.95	0.78316	0.86428	0.86744	0.86635	0.86225	0.85660	0.85051	0.83904	0.82516	0.81815	0.81021	0.80157	0.79628	0.79051	0.78764',
'7.00	0.78878	0.87075	0.87358	0.87247	0.86811	0.86233	0.85626	0.84462	0.83065	0.82362	0.81572	0.80710	0.80182	0.79607	0.79322',
'7.05	0.79436	0.87716	0.87994	0.87853	0.87392	0.86817	0.86195	0.85016	0.83616	0.82915	0.82123	0.81262	0.80736	0.80164	0.79880',
'7.10	0.79991	0.88352	0.88630	0.88454	0.87987	0.87395	0.86760	0.85570	0.84168	0.83465	0.82673	0.81814	0.81291	0.80721	0.80439',
'7.15	0.80559	0.88982	0.89260	0.89050	0.88581	0.87969	0.87321	0.86130	0.84717	0.84014	0.83224	0.82368	0.81845	0.81278	0.80998',
'7.20	0.81124	0.89608	0.89884	0.89657	0.89169	0.88538	0.87890	0.86686	0.85268	0.84566	0.83773	0.82919	0.82400	0.81836	0.81557',
'7.25	0.81684	0.90244	0.90503	0.90269	0.89752	0.89111	0.88459	0.87239	0.85821	0.85114	0.84326	0.83474	0.82955	0.82393	0.82116',
'7.30	0.82241	0.90901	0.91116	0.90875	0.90331	0.89690	0.89024	0.87794	0.86370	0.85666	0.84876	0.84025	0.83510	0.82951	0.82675',
'7.35	0.82804	0.91551	0.91727	0.91475	0.90916	0.90265	0.89584	0.88353	0.86920	0.86217	0.85428	0.84580	0.84065	0.83509	0.83234',
'7.40	0.83370	0.92194	0.92362	0.92070	0.91507	0.90835	0.90145	0.88907	0.87473	0.86764	0.85979	0.85132	0.84621	0.84067	0.83793',
'7.45	0.83933	0.92832	0.92990	0.92661	0.92093	0.91401	0.90714	0.89458	0.88022	0.87317	0.86530	0.85686	0.85176	0.84625	0.84353',
'7.50	0.84491	0.93464	0.93613	0.93264	0.92674	0.91973	0.91279	0.90015	0.88572	0.87867	0.87082	0.86240	0.85731	0.85182	0.84912',
'7.55	0.85048	0.94092	0.94229	0.93870	0.93251	0.92548	0.91839	0.90571	0.89125	0.88417	0.87632	0.86793	0.86287	0.85740	0.85471',
'7.60	0.85616	0.94714	0.94841	0.94470	0.93826	0.93119	0.92396	0.91124	0.89674	0.88969	0.88185	0.87347	0.86842	0.86298	0.86031',
'7.65	0.86181	0.95353	0.95448	0.95065	0.94414	0.93686	0.92962	0.91673	0.90224	0.89518	0.88734	0.87900	0.87397	0.86856	0.86591',
'7.70	0.86741	0.96004	0.96061	0.95656	0.94998	0.94249	0.93527	0.92232	0.90777	0.90069	0.89288	0.88455	0.87954	0.87415	0.87150',
'7.75	0.87299	0.96649	0.96687	0.96242	0.95577	0.94820	0.94087	0.92787	0.91326	0.90620	0.89838	0.89007	0.88509	0.87973	0.87710',
'7.80	0.87863	0.97287	0.97308	0.96839	0.96152	0.95392	0.94644	0.93338	0.91875	0.91168	0.90391	0.89562	0.89065	0.88531	0.88270',
'7.85	0.88429	0.97921	0.97923	0.97440	0.96722	0.95961	0.95203	0.93889	0.92428	0.91721	0.90942	0.90116	0.89621	0.89090	0.88829',
'7.90	0.88991	0.98549	0.98533	0.98035	0.97304	0.96525	0.95768	0.94446	0.92977	0.92271	0.91494	0.90670	0.90177	0.89648	0.89389',
'7.95	0.89550	0.99172	0.99138	0.98626	0.97885	0.97085	0.96329	0.94999	0.93527	0.92821	0.92046	0.91224	0.90733	0.90207	0.89949',
'8.00	0.90108	0.99790	0.99739	0.99211	0.98463	0.97655	0.96886	0.95549	0.94079	0.93374	0.92597	0.91779	0.91289	0.90765	0.90509',
'8.05	0.90676	1.00429	1.00351	0.99793	0.99036	0.98224	0.97440	0.96102	0.94629	0.93923	0.93150	0.92333	0.91845	0.91323	0.91069',
'8.10	0.91240	1.01073	1.00970	1.00385	0.99605	0.98790	0.98003	0.96658	0.95178	0.94474	0.93701	0.92887	0.92401	0.91882	0.91629',
'8.15	0.91800	1.01712	1.01584	1.00981	1.00176	0.99351	0.98564	0.97210	0.95731	0.95026	0.94254	0.93442	0.92958	0.92441	0.92189',
'8.20	0.92358	1.02345	1.02192	1.01572	1.00757	0.99910	0.99122	0.97758	0.96280	0.95574	0.94806	0.93995	0.93514	0.92999	0.92749',
'8.25	0.92923	1.02973	1.02796	1.02158	1.01333	1.00478	0.99676	0.98313	0.96829	0.96127	0.95358	0.94551	0.94070	0.93558	0.93309',
'8.30	0.93488	1.03597	1.03395	1.02740	1.01905	1.01045	1.00233	0.98867	0.97382	0.96678	0.95911	0.95105	0.94627	0.94117	0.93869',
'8.35	0.94050	1.04215	1.03990	1.03318	1.02473	1.01608	1.00795	0.99418	0.97931	0.97228	0.96463	0.95660	0.95183	0.94676	0.94429',
'8.40	0.94609	1.04829	1.04599	1.03904	1.03037	1.02168	1.01353	0.99965	0.98480	0.97780	0.97016	0.96215	0.95740	0.95235	0.94989',
'8.45	0.95169	1.05464	1.05212	1.04496	1.03613	1.02724	1.01907	1.00521	0.99033	0.98330	0.97567	0.96770	0.96297	0.95794	0.95549',
'8.50	0.95736	1.06102	1.05819	1.05082	1.04188	1.03291	1.02459	1.01074	0.99583	0.98882	0.98121	0.97325	0.96853	0.96352	0.96109',
'8.55	0.96300	1.06735	1.06421	1.05665	1.04759	1.03856	1.03020	1.01624	1.00132	0.99433	0.98672	0.97879	0.97410	0.96911	0.96669',
'8.60	0.96860	1.07362	1.07019	1.06243	1.05327	1.04417	1.03579	1.02173	1.00684	0.99982	0.99226	0.98435	0.97967	0.97470	0.97230',
'8.65	0.97417	1.07985	1.07613	1.06818	1.05890	1.04975	1.04134	1.02728	1.01234	1.00536	0.99778	0.98989	0.98524	0.98029	0.97790',
'8.70	0.97984	1.08603	1.08203	1.07398	1.06457	1.05530	1.04686	1.03280	1.01783	1.01086	1.00331	0.99545	0.99080	0.98589	0.98350',
'8.75	0.98549	1.09217	1.08808	1.07986	1.07031	1.06096	1.05241	1.03829	1.02336	1.01637	1.00884	1.00099	0.99638	0.99148	0.98910',
'8.80	0.99110	1.09826	1.09414	1.08569	1.07601	1.06659	1.05800	1.04379	1.02886	1.02190	1.01436	1.00655	1.00194	0.99707	0.99471',
'8.85	0.99669	1.10454	1.10016	1.09149	1.08168	1.07218	1.06356	1.04933	1.03435	1.02740	1.01990	1.01210	1.00751	1.00266	1.00031',
'8.90	1.00230	1.11086	1.10613	1.09724	1.08731	1.07775	1.06909	1.05484	1.03988	1.03292	1.02541	1.01766	1.01309	1.00825	1.00592',
'8.95	1.00797	1.11713	1.11205	1.10296	1.09291	1.08328	1.07459	1.06033	1.04538	1.03844	1.03096	1.02321	1.01866	1.01384	1.01152',
'9.00	1.01360	1.12335	1.11794	1.10870	1.09862	1.08893	1.08018	1.06585	1.05086	1.04393	1.03648	1.02876	1.02423	1.01944	1.01712',
'9.05	1.01920	1.12953	1.12379	1.11454	1.10431	1.09454	1.08575	1.07138	1.05640	1.04947	1.04202	1.03433	1.02980	1.02503	1.02273',
'9.10	1.02477	1.13565	1.12979	1.12035	1.10997	1.10012	1.09128	1.07688	1.06190	1.05498	1.04755	1.03987	1.03537	1.03062	1.02833',
'9.15	1.03045	1.14174	1.13580	1.12611	1.11560	1.10567	1.09679	1.08235	1.06739	1.06049	1.05309	1.04544	1.04094	1.03622	1.03394',
'9.20	1.03609	1.14779	1.14177	1.13184	1.12120	1.11119	1.10232	1.08789	1.07292	1.06602	1.05862	1.05099	1.04652	1.04181	1.03954',
'9.25	1.04171	1.15399	1.14769	1.13753	1.12681	1.11683	1.10790	1.09341	1.07842	1.07152	1.06415	1.05655	1.05210	1.04741	1.04515',
'9.30	1.04729	1.16025	1.15357	1.14321	1.13251	1.12243	1.11344	1.09891	1.08391	1.07705	1.06969	1.06211	1.05767	1.05300	1.05075',
'9.35	1.05292	1.16646	1.15941	1.14903	1.13817	1.12799	1.11896	1.10438	1.08944	1.08257	1.07521	1.06767	1.06325	1.05860	1.05636',
'9.40	1.05858	1.17263	1.16522	1.15480	1.14379	1.13353	1.12444	1.10992	1.09495	1.08807	1.08076	1.07323	1.06882	1.06419	1.06197',
'9.45	1.06421	1.17875	1.17116	1.16055	1.14939	1.13905	1.13002	1.11544	1.10044	1.09361	1.08629	1.07878	1.07439	1.06979	1.06757',
'9.50	1.06981	1.18483	1.17712	1.16625	1.15495	1.14467	1.13557	1.12092	1.10597	1.09913	1.09184	1.08435	1.07997	1.07538	1.07318',
'9.55	1.07539	1.19086	1.18304	1.17193	1.16061	1.15025	1.14110	1.12641	1.11148	1.10464	1.09737	1.08990	1.08555	1.08098	1.07879',
'9.60	1.08106	1.19687	1.18892	1.17757	1.16627	1.15581	1.14659	1.13195	1.11696	1.11018	1.10291	1.09547	1.09112	1.08658	1.08439',
'9.65	1.08670	1.20297	1.19476	1.18333	1.17189	1.16134	1.15211	1.13746	1.12250	1.11568	1.10845	1.10102	1.09671	1.09217	1.09000',
'9.70	1.09231	1.20917	1.20056	1.18909	1.17749	1.16685	1.15767	1.14294	1.12801	1.12121	1.11398	1.10659	1.10228	1.09777	1.09561',
'9.75	1.09790	1.21533	1.20633	1.19481	1.18305	1.17245	1.16321	1.14844	1.13350	1.12674	1.11953	1.11215	1.10786	1.10337	1.10121',
'9.80	1.10354	1.22145	1.21222	1.20050	1.18862	1.17803	1.16871	1.15397	1.13904	1.13224	1.12505	1.11772	1.11344	1.10897	1.10682',
'9.85	1.10919	1.22752	1.21813	1.20615	1.19428	1.18358	1.17420	1.15947	1.14455	1.13779	1.13061	1.12328	1.11902	1.11457	1.11243',
'9.90	1.11482	1.23355	1.22401	1.21178	1.19991	1.18910	1.17975	1.16495	1.15003	1.14331	1.13614	1.12884	1.12459	1.12016	1.11804',
'9.95	1.12041	1.23955	1.22985	1.21747	1.20551	1.19460	1.18530	1.17047	1.15557	1.14882	1.14169	1.13441	1.13018	1.12576	1.12365',
'10.00	1.12601	1.24551	1.23566	1.22321	1.21108	1.20020	1.19081	1.17599	1.16109	1.15436	1.14723	1.13997	1.13576	1.13136	1.12925',
'10.05	1.13168	1.25150	1.24143	1.22892	1.21662	1.20577	1.19630	1.18149	1.16658	1.15988	1.15278	1.14554	1.14134	1.13696	1.13486',
'10.10	1.13731	1.25765	1.24717	1.23459	1.22222	1.21131	1.20181	1.18696	1.17212	1.16541	1.15832	1.15110	1.14692	1.14256	1.14047',
'10.15	1.14292	1.26376	1.25298	1.24023	1.22785	1.21682	1.20736	1.19249	1.17763	1.17094	1.16386	1.15667	1.15250	1.14816	1.14608',
'10.20	1.14851	1.26983	1.25886	1.24584	1.23345	1.22231	1.21289	1.19801	1.18312	1.17645	1.16941	1.16224	1.15808	1.15376	1.15169',
'10.25	1.15416	1.27586	1.26470	1.25147	1.23903	1.22790	1.21839	1.20350	1.18866	1.18200	1.17494	1.16781	1.16367	1.15936	1.15730',
'10.30	1.15981	1.28185	1.27051	1.25719	1.24457	1.23347	1.22387	1.20898	1.19418	1.18752	1.18050	1.17338	1.16925	1.16496	1.16291',
'10.35	1.16543	1.28780	1.27628	1.26288	1.25009	1.23900	1.22941	1.21451	1.19967	1.19304	1.18604	1.17894	1.17483	1.17056	1.16852',
'10.40	1.17103	1.29372	1.28202	1.26854	1.25573	1.24451	1.23495	1.22002	1.20521	1.19858	1.19159	1.18451	1.18042	1.17616	1.17413',
'10.45	1.17663	1.29961	1.28774	1.27417	1.26133	1.24999	1.24046	1.22551	1.21073	1.20410	1.19714	1.19007	1.18600	1.18176	1.17974',
'10.50	1.18229	1.30570	1.29348	1.27977	1.26691	1.25557	1.24595	1.23100	1.21622	1.20964	1.20269	1.19565	1.19158	1.18736	1.18535',
'10.55	1.18793	1.31176	1.29933	1.28535	1.27246	1.26113	1.25144	1.23653	1.22176	1.21517	1.20824	1.20122	1.19717	1.19296	1.19096',
'10.60	1.19354	1.31779	1.30514	1.29105	1.27798	1.26666	1.25699	1.24204	1.22728	1.22068	1.21378	1.20679	1.20275	1.19856	1.19657',
'10.65	1.19912	1.32378	1.31092	1.29673	1.28354	1.27216	1.26251	1.24752	1.23278	1.22624	1.21934	1.21236	1.20833	1.20417	1.20218',
'10.70	1.20478	1.32973	1.31667	1.30237	1.28915	1.27764	1.26801	1.25303	1.23832	1.23176	1.22487	1.21793	1.21393	1.20977	1.20779',
'10.75	1.21042	1.33565	1.32238	1.30799	1.29473	1.28322	1.27348	1.25856	1.24384	1.23729	1.23044	1.22350	1.21951	1.21537	1.21340',
'10.80	1.21604	1.34153	1.32807	1.31359	1.30029	1.28877	1.27901	1.26406	1.24934	1.24284	1.23598	1.22907	1.22509	1.22097	1.21901',
'10.85	1.22164	1.34738	1.33374	1.31915	1.30582	1.29429	1.28455	1.26953	1.25488	1.24836	1.24154	1.23465	1.23068	1.22658	1.22462',
'10.90	1.22725	1.35334	1.33956	1.32479	1.31132	1.29979	1.29006	1.27506	1.26041	1.25390	1.24709	1.24021	1.23627	1.23218	1.23023',
'10.95	1.23291	1.35937	1.34535	1.33046	1.31691	1.30527	1.29554	1.28058	1.26591	1.25944	1.25264	1.24579	1.24185	1.23778	1.23585',
'11.00	1.23854	1.36535	1.35110	1.33610	1.32250	1.31083	1.30103	1.28607	1.27145	1.26495	1.25819	1.25136	1.24744	1.24338	1.24146',
'11.05	1.24415	1.37131	1.35683	1.34171	1.32806	1.31638	1.30657	1.29155	1.27697	1.27051	1.26374	1.25694	1.25303	1.24899	1.24707',
'11.10	1.24973	1.37722	1.36252	1.34730	1.33360	1.32190	1.31209	1.29709	1.28248	1.27604	1.26930	1.26251	1.25861	1.25459	1.25268',
'11.15	1.25540	1.38311	1.36819	1.35286	1.33911	1.32740	1.31759	1.30260	1.28802	1.28157	1.27484	1.26809	1.26421	1.26020	1.25829',
'11.20	1.26104	1.38896	1.37383	1.35843	1.34463	1.33287	1.32306	1.30809	1.29354	1.28712	1.28041	1.27367	1.26980	1.26580	1.26391',
'11.25	1.26666	1.39478	1.37959	1.36409	1.35022	1.33843	1.32858	1.31358	1.29905	1.29264	1.28596	1.27923	1.27538	1.27141	1.26952',
'11.30	1.27225	1.40060	1.38535	1.36972	1.35579	1.34397	1.33412	1.31912	1.30459	1.29819	1.29152	1.28482	1.28097	1.27701	1.27513',
'11.35	1.27788	1.40659	1.39109	1.37533	1.36134	1.34949	1.33962	1.32463	1.31012	1.30373	1.29707	1.29039	1.28656	1.28261	1.28074',
'11.40	1.28353	1.41255	1.39679	1.38091	1.36686	1.35499	1.34511	1.33012	1.31563	1.30926	1.30263	1.29597	1.29215	1.28822	1.28636',
'11.45	1.28916	1.41847	1.40247	1.38647	1.37236	1.36046	1.35058	1.33562	1.32117	1.31481	1.30819	1.30154	1.29774	1.29382	1.29197',
'11.50	1.29477	1.42436	1.40812	1.39200	1.37790	1.36601	1.35613	1.34115	1.32670	1.32035	1.31373	1.30712	1.30333	1.29943	1.29758',
'11.55	1.30036	1.43021	1.41374	1.39763	1.38348	1.37155	1.36165	1.34666	1.33221	1.32588	1.31930	1.31270	1.30892	1.30503	1.30319',
'11.60	1.30602	1.43604	1.41942	1.40326	1.38903	1.37707	1.36715	1.35214	1.33775	1.33143	1.32485	1.31828	1.31451	1.31064	1.30881',
'11.65	1.31166	1.44183	1.42517	1.40886	1.39456	1.38256	1.37262	1.35766	1.34328	1.33696	1.33042	1.32386	1.32011	1.31625	1.31442',
'11.70	1.31728	1.44760	1.43089	1.41444	1.40007	1.38803	1.37813	1.36318	1.34879	1.34251	1.33597	1.32943	1.32569	1.32185	1.32003',
'11.75	1.32287	1.45347	1.43657	1.41999	1.40556	1.39358	1.38366	1.36869	1.35433	1.34806	1.34153	1.33501	1.33129	1.32746	1.32565',
'11.80	1.32851	1.45940	1.44224	1.42552	1.41113	1.39911	1.38917	1.37417	1.35987	1.35359	1.34709	1.34059	1.33688	1.33306	1.33126',
'11.85	1.33416	1.46529	1.44787	1.43109	1.41669	1.40463	1.39466	1.37970	1.36538	1.35915	1.35265	1.34617	1.34247	1.33867	1.33687',
'11.90	1.33978	1.47115	1.45348	1.43672	1.42223	1.41012	1.40013	1.38522	1.37092	1.36468	1.35821	1.35175	1.34807	1.34428	1.34249',
'11.95	1.34539	1.47698	1.45909	1.44232	1.42775	1.41559	1.40567	1.39072	1.37646	1.37023	1.36377	1.35733	1.35366	1.34988	1.34810',
'12.00	1.35098	1.48279	1.46482	1.44789	1.43324	1.42113	1.41119	1.39621	1.38197	1.37578	1.36934	1.36291	1.35925	1.35549	1.35372',
'12.05	1.35665	1.48856	1.47052	1.45345	1.43874	1.42666	1.41669	1.40175	1.38752	1.38131	1.37489	1.36849	1.36484	1.36110	1.35933',
'12.10	1.36228	1.49431	1.47620	1.45897	1.44431	1.43218	1.42217	1.40726	1.39305	1.38687	1.38046	1.37408	1.37044	1.36671	1.36494',
'12.15	1.36790	1.50003	1.48185	1.46449	1.44986	1.43767	1.42767	1.41276	1.39857	1.39241	1.38602	1.37965	1.37603	1.37231	1.37056',
'12.20	1.37349	1.50593	1.48747	1.47011	1.45539	1.44314	1.43320	1.41826	1.40411	1.39795	1.39158	1.38524	1.38162	1.37792	1.37617',
'12.25	1.37913	1.51180	1.49307	1.47571	1.46089	1.44867	1.43871	1.42380	1.40965	1.40351	1.39715	1.39081	1.38722	1.38353	1.38179',
'12.30	1.38478	1.51764	1.49864	1.48128	1.46638	1.45420	1.44420	1.42931	1.41517	1.40905	1.40271	1.39640	1.39281	1.38914	1.38740',
'12.35	1.39040	1.52345	1.50432	1.48683	1.47191	1.45972	1.44967	1.43480	1.42072	1.41460	1.40828	1.40198	1.39841	1.39474	1.39302',
'12.40	1.39601	1.52923	1.51001	1.49236	1.47747	1.46521	1.45521	1.44032	1.42626	1.42015	1.41383	1.40757	1.40400	1.40035	1.39863',
'12.45	1.40161	1.53499	1.51568	1.49787	1.48300	1.47068	1.46073	1.44585	1.43178	1.42569	1.41941	1.41315	1.40960	1.40596	1.40425',
'12.50	1.40727	1.54072	1.52131	1.50344	1.48852	1.47620	1.46623	1.45136	1.43732	1.43125	1.42496	1.41873	1.41519	1.41157	1.40986',
'12.55	1.41291	1.54642	1.52693	1.50904	1.49401	1.48174	1.47171	1.45685	1.44286	1.43680	1.43054	1.42432	1.42079	1.41718	1.41548',
'12.60	1.41852	1.55217	1.53252	1.51461	1.49948	1.48725	1.47720	1.46238	1.44838	1.44234	1.43609	1.42990	1.42638	1.42279	1.42109',
'12.65	1.42411	1.55803	1.53809	1.52016	1.50504	1.49274	1.48274	1.46791	1.45393	1.44790	1.44167	1.43549	1.43198	1.42840	1.42671',
'12.70	1.42976	1.56385	1.54369	1.52569	1.51059	1.49821	1.48825	1.47341	1.45947	1.45344	1.44723	1.44107	1.43758	1.43401	1.43232',
'12.75	1.43540	1.56964	1.54937	1.53120	1.51611	1.50373	1.49374	1.47890	1.46500	1.45899	1.45280	1.44666	1.44317	1.43961	1.43794',
'12.80	1.44103	1.57541	1.55502	1.53672	1.52162	1.50927	1.49921	1.48444	1.47054	1.46455	1.45837	1.45224	1.44877	1.44522	1.44355',
'12.85	1.44663	1.58114	1.56065	1.54231	1.52710	1.51478	1.50474	1.48997	1.47609	1.47009	1.46393	1.45783	1.45437	1.45083	1.44917',
'12.90	1.45224	1.58686	1.56626	1.54789	1.53259	1.52027	1.51027	1.49547	1.48161	1.47565	1.46950	1.46341	1.45996	1.45644	1.45478',
'12.95	1.45790	1.59255	1.57184	1.55344	1.53815	1.52574	1.51577	1.50097	1.48716	1.48120	1.47506	1.46899	1.46556	1.46205	1.46040',
'13.00	1.46353	1.59821	1.57741	1.55897	1.54369	1.53126	1.52125	1.50651	1.49271	1.48675	1.48064	1.47459	1.47116	1.46766	1.46602',
'13.05	1.46914	1.60399	1.58295	1.56449	1.54920	1.53679	1.52675	1.51203	1.49823	1.49231	1.48620	1.48017	1.47676	1.47327	1.47163',
'13.10	1.47473	1.60979	1.58861	1.56998	1.55469	1.54230	1.53228	1.51754	1.50378	1.49786	1.49178	1.48576	1.48235	1.47888	1.47725',
'13.15	1.48039	1.61557	1.59426	1.57554	1.56017	1.54779	1.53779	1.52305	1.50933	1.50342	1.49735	1.49134	1.48795	1.48449	1.48287',
'13.20	1.48603	1.62133	1.59988	1.58112	1.56569	1.55327	1.54329	1.52859	1.51486	1.50898	1.50292	1.49693	1.49355	1.49010	1.48848',
'13.25	1.49165	1.62705	1.60548	1.58668	1.57124	1.55878	1.54876	1.53410	1.52041	1.51452	1.50849	1.50252	1.49915	1.49571	1.49410',
'13.30	1.49725	1.63275	1.61106	1.59221	1.57676	1.56431	1.55429	1.53960	1.52595	1.52009	1.51405	1.50811	1.50475	1.50132	1.49971',
'13.35	1.50288	1.63843	1.61662	1.59772	1.58227	1.56982	1.55982	1.54513	1.53148	1.52564	1.51963	1.51370	1.51035	1.50693	1.50533',
'13.40	1.50853	1.64409	1.62216	1.60322	1.58775	1.57532	1.56532	1.55067	1.53703	1.53119	1.52519	1.51928	1.51594	1.51254	1.51095',
'13.45	1.51415	1.64972	1.62774	1.60873	1.59322	1.58079	1.57081	1.55618	1.54258	1.53676	1.53077	1.52488	1.52155	1.51815	1.51656',
'13.50	1.51976	1.65551	1.63339	1.61431	1.59877	1.58630	1.57630	1.56168	1.54811	1.54230	1.53634	1.53046	1.52714	1.52377	1.52218',
'13.55	1.52536	1.66127	1.63901	1.61987	1.60431	1.59183	1.58183	1.56722	1.55367	1.54787	1.54192	1.53605	1.53274	1.52938	1.52780',
'13.60	1.53102	1.66701	1.64460	1.62541	1.60982	1.59735	1.58735	1.57275	1.55922	1.55343	1.54749	1.54164	1.53834	1.53499	1.53341',
'13.65	1.53666	1.67273	1.65018	1.63092	1.61532	1.60284	1.59285	1.57826	1.56475	1.55897	1.55306	1.54723	1.54394	1.54060	1.53903',
'13.70	1.54227	1.67842	1.65573	1.63642	1.62080	1.60831	1.59833	1.58376	1.57030	1.56454	1.55864	1.55282	1.54954	1.54621	1.54465',
'13.75	1.54787	1.68409	1.66127	1.64190	1.62628	1.61382	1.60385	1.58931	1.57585	1.57010	1.56420	1.55841	1.55515	1.55182	1.55026',
'13.80	1.55351	1.68974	1.66679	1.64746	1.63183	1.61935	1.60938	1.59484	1.58139	1.57565	1.56978	1.56400	1.56075	1.55743	1.55588',
'13.85	1.55915	1.69537	1.67243	1.65303	1.63736	1.62487	1.61489	1.60035	1.58694	1.58122	1.57535	1.56959	1.56634	1.56305	1.56150',
'13.90	1.56478	1.70100	1.67804	1.65857	1.64287	1.63036	1.62038	1.60586	1.59249	1.58677	1.58093	1.57518	1.57195	1.56866	1.56712',
'13.95	1.57039	1.70676	1.68364	1.66409	1.64836	1.63584	1.62586	1.61140	1.59803	1.59234	1.58650	1.58077	1.57755	1.57427	1.57273',
'14.00	1.57599	1.71249	1.68921	1.66959	1.65383	1.64134	1.63140	1.61693	1.60358	1.59790	1.59208	1.58636	1.58314	1.57988	1.57835',
'14.05	1.58165	1.71820	1.69476	1.67508	1.65934	1.64687	1.63692	1.62244	1.60914	1.60345	1.59765	1.59195	1.58875	1.58550	1.58397',
'14.10	1.58728	1.72389	1.70030	1.68059	1.66488	1.65239	1.64242	1.62796	1.61467	1.60902	1.60323	1.59755	1.59435	1.59111	1.58959',
'14.15	1.59290	1.72955	1.70581	1.68615	1.67040	1.65788	1.64791	1.63350	1.62023	1.61458	1.60881	1.60314	1.59995	1.59672	1.59520',
'14.20	1.59850	1.73519	1.71138	1.69170	1.67590	1.66336	1.65343	1.63903	1.62578	1.62014	1.61438	1.60873	1.60556	1.60233	1.60082',
'14.25	1.60414	1.74081	1.71700	1.69723	1.68139	1.66886	1.65896	1.64453	1.63132	1.62571	1.61996	1.61432	1.61116	1.60794	1.60644',
'14.30	1.60978	1.74641	1.72259	1.70273	1.68685	1.67440	1.66447	1.65007	1.63687	1.63126	1.62553	1.61991	1.61676	1.61356	1.61206',
'14.35	1.61541	1.75206	1.72816	1.70822	1.69239	1.67991	1.66996	1.65561	1.64243	1.63683	1.63112	1.62551	1.62236	1.61917	1.61768',
'14.40	1.62101	1.75778	1.73372	1.71369	1.69792	1.68541	1.67545	1.66113	1.64797	1.64239	1.63668	1.63110	1.62797	1.62478	1.62329',
'14.45	1.62662	1.76349	1.73925	1.71925	1.70344	1.69089	1.68099	1.66663	1.65353	1.64795	1.64227	1.63670	1.63356	1.63040	1.62891',
'14.50	1.63228	1.76917	1.74476	1.72480	1.70893	1.69638	1.68651	1.67219	1.65909	1.65352	1.64784	1.64229	1.63917	1.63601	1.63453',
'14.55	1.63791	1.77483	1.75027	1.73034	1.71441	1.70192	1.69202	1.67772	1.66462	1.65908	1.65342	1.64788	1.64477	1.64162	1.64015',
'14.60	1.64353	1.78047	1.75588	1.73585	1.71989	1.70744	1.69750	1.68324	1.67018	1.66465	1.65900	1.65348	1.65037	1.64724	1.64577',
'14.65	1.64912	1.78608	1.76148	1.74134	1.72543	1.71294	1.70302	1.68875	1.67574	1.67022	1.66458	1.65907	1.65598	1.65285	1.65138',
'14.70	1.65477	1.79168	1.76705	1.74682	1.73096	1.71842	1.70855	1.69430	1.68128	1.67577	1.67016	1.66466	1.66158	1.65846	1.65700',
'14.75	1.66041	1.79726	1.77260	1.75233	1.73646	1.72391	1.71407	1.69984	1.68684	1.68135	1.67573	1.67025	1.66718	1.66408	1.66262',
'14.80	1.66603	1.80290	1.77814	1.75788	1.74195	1.72945	1.71957	1.70535	1.69240	1.68691	1.68132	1.67585	1.67279	1.66969	1.66824',
'14.85	1.67164	1.80860	1.78365	1.76342	1.74743	1.73497	1.72505	1.71088	1.69794	1.69247	1.68689	1.68144	1.67840	1.67530	1.67386',
'14.90	1.67726	1.81428	1.78915	1.76894	1.75293	1.74047	1.73060	1.71643	1.70350	1.69804	1.69248	1.68704	1.68400	1.68092	1.67948',
'14.95	1.68291	1.81994	1.79470	1.77444	1.75847	1.74595	1.73612	1.72195	1.70906	1.70360	1.69806	1.69264	1.68960	1.68653	1.68509',
'15.00	1.68854	1.82558	1.80030	1.77992	1.76399	1.75144	1.74163	1.72747	1.71461	1.70917	1.70364	1.69823	1.69521	1.69215	1.69071',
'15.05	1.69415	1.83119	1.80587	1.78539	1.76949	1.75698	1.74712	1.73301	1.72017	1.71475	1.70922	1.70383	1.70081	1.69776	1.69633',
'15.10	1.69975	1.83679	1.81143	1.79095	1.77497	1.76250	1.75264	1.73855	1.72573	1.72030	1.71480	1.70942	1.70642	1.70337	1.70195',
'15.15	1.70540	1.84237	1.81696	1.79649	1.78044	1.76800	1.75817	1.74408	1.73127	1.72588	1.72038	1.71502	1.71202	1.70899	1.70757',
'15.20	1.71104	1.84792	1.82248	1.80201	1.78597	1.77349	1.76369	1.74959	1.73683	1.73145	1.72596	1.72061	1.71762	1.71460	1.71319',
'15.25	1.71666	1.85356	1.82798	1.80752	1.79150	1.77898	1.76920	1.75514	1.74240	1.73701	1.73155	1.72621	1.72323	1.72022	1.71881',
'15.30	1.72227	1.85924	1.83347	1.81301	1.79701	1.78451	1.77468	1.76068	1.74794	1.74259	1.73712	1.73181	1.72884	1.72583	1.72443',
'15.35	1.72789	1.86490	1.83906	1.81848	1.80251	1.79004	1.78022	1.76621	1.75350	1.74815	1.74271	1.73740	1.73444	1.73144	1.73004',
'15.40	1.73354	1.87054	1.84464	1.82399	1.80799	1.79554	1.78575	1.77173	1.75907	1.75372	1.74829	1.74300	1.74005	1.73706	1.73566',
'15.45	1.73917	1.87615	1.85020	1.82954	1.81347	1.80103	1.79127	1.77728	1.76462	1.75929	1.75388	1.74860	1.74565	1.74267	1.74128',
'15.50	1.74478	1.88175	1.85574	1.83507	1.81901	1.80651	1.79676	1.78282	1.77018	1.76485	1.75946	1.75420	1.75126	1.74829	1.74690',
'15.55	1.75038	1.88733	1.86126	1.84058	1.82453	1.81205	1.80227	1.78834	1.77574	1.77043	1.76504	1.75979	1.75686	1.75391	1.75252',
'15.60	1.75604	1.89289	1.86676	1.84608	1.83004	1.81758	1.80782	1.79387	1.78129	1.77600	1.77063	1.76539	1.76247	1.75952	1.75814',
'15.65	1.76167	1.89843	1.87225	1.85156	1.83553	1.82308	1.81334	1.79943	1.78685	1.78157	1.77620	1.77099	1.76807	1.76514	1.76376',
'15.70	1.76729	1.90407	1.87778	1.85702	1.84100	1.82857	1.81884	1.80496	1.79242	1.78715	1.78180	1.77659	1.77368	1.77075	1.76938',
'15.75	1.77289	1.90972	1.88336	1.86258	1.84651	1.83406	1.82434	1.81048	1.79797	1.79271	1.78737	1.78218	1.77929	1.77637	1.77500',
'15.80	1.77853	1.91536	1.88892	1.86811	1.85204	1.83960	1.82988	1.81602	1.80353	1.79829	1.79296	1.78778	1.78489	1.78198	1.78062',
'15.85	1.78417	1.92098	1.89446	1.87363	1.85756	1.84512	1.83541	1.82157	1.80910	1.80386	1.79854	1.79338	1.79050	1.78759	1.78624',
'15.90	1.78980	1.92658	1.89999	1.87913	1.86306	1.85063	1.84093	1.82711	1.81465	1.80942	1.80413	1.79898	1.79611	1.79321	1.79186',
'15.95	1.79541	1.93216	1.90550	1.88462	1.86855	1.85612	1.84643	1.83262	1.82022	1.81500	1.80972	1.80458	1.80171	1.79883	1.79748',
'16.00	1.80102	1.93772	1.91099	1.89009	1.87402	1.86161	1.85194	1.83818	1.82578	1.82057	1.81530	1.81017	1.80732	1.80444	1.80310',
'16.05	1.80667	1.94327	1.91646	1.89560	1.87955	1.86715	1.85748	1.84373	1.83133	1.82614	1.82089	1.81578	1.81293	1.81006	1.80872',
'16.10	1.81230	1.94880	1.92204	1.90114	1.88508	1.87268	1.86301	1.84926	1.83690	1.83172	1.82647	1.82137	1.81854	1.81567	1.81434',
'16.15	1.81792	1.95442	1.92761	1.90667	1.89059	1.87819	1.86852	1.85478	1.84247	1.83729	1.83206	1.82697	1.82414	1.82129	1.81996',
'16.20	1.82352	1.96007	1.93315	1.91218	1.89608	1.88368	1.87401	1.86034	1.84802	1.84287	1.83764	1.83257	1.82975	1.82691	1.82558',
'16.25	1.82916	1.96569	1.93868	1.91767	1.90157	1.88916	1.87955	1.86588	1.85359	1.84844	1.84323	1.83817	1.83536	1.83252	1.83120',
'16.30	1.83480	1.97129	1.94419	1.92315	1.90705	1.89471	1.88509	1.87141	1.85916	1.85401	1.84881	1.84377	1.84096	1.83814	1.83682',
'16.35	1.84043	1.97687	1.94969	1.92861	1.91259	1.90023	1.89061	1.87695	1.86471	1.85959	1.85441	1.84937	1.84657	1.84375	1.84244',
'16.40	1.84604	1.98244	1.95517	1.93416	1.91811	1.90575	1.89611	1.88250	1.87028	1.86516	1.85999	1.85497	1.85218	1.84937	1.84806',
'16.45	1.85165	1.98799	1.96068	1.93970	1.92362	1.91124	1.90162	1.88804	1.87585	1.87074	1.86558	1.86057	1.85779	1.85499	1.85368',
'16.50	1.85730	1.99352	1.96625	1.94521	1.92911	1.91672	1.90717	1.89357	1.88140	1.87632	1.87117	1.86617	1.86340	1.86060	1.85930',
'16.55	1.86293	1.99904	1.97180	1.95071	1.93459	1.92227	1.91270	1.89912	1.88697	1.88188	1.87675	1.87177	1.86901	1.86622	1.86492',
'16.60	1.86855	2.00466	1.97734	1.95620	1.94009	1.92780	1.91821	1.90467	1.89254	1.88747	1.88234	1.87737	1.87461	1.87184	1.87054',
'16.65	1.87415	2.01029	1.98285	1.96167	1.94563	1.93331	1.92371	1.91021	1.89810	1.89304	1.88792	1.88298	1.88022	1.87745	1.87616',
'16.70	1.87980	2.01589	1.98835	1.96717	1.95115	1.93881	1.92925	1.91573	1.90367	1.89861	1.89352	1.88857	1.88583	1.88307	1.88178',
'16.75	1.88544	2.02148	1.99384	1.97271	1.95665	1.94429	1.93479	1.92129	1.90924	1.90420	1.89910	1.89418	1.89144	1.88868	1.88740',
'16.80	1.89106	2.02705	1.99931	1.97824	1.96214	1.94984	1.94032	1.92684	1.91479	1.90977	1.90470	1.89977	1.89705	1.89430	1.89302',
'16.85	1.89667	2.03261	2.00487	1.98375	1.96761	1.95537	1.94582	1.93238	1.92036	1.91535	1.91028	1.90538	1.90266	1.89992	1.89864',
'16.90	1.90229	2.03815	2.01042	1.98924	1.97314	1.96088	1.95133	1.93791	1.92594	1.92093	1.91587	1.91098	1.90826	1.90553	1.90426',
'16.95	1.90794	2.04367	2.01596	1.99471	1.97867	1.96638	1.95688	1.94347	1.93149	1.92649	1.92146	1.91658	1.91388	1.91115	1.90988',
'17.00	1.91357	2.04917	2.02148	2.00018	1.98419	1.97187	1.96242	1.94902	1.93706	1.93208	1.92705	1.92218	1.91949	1.91677	1.91550',
'17.05	1.91918	2.05478	2.02699	2.00573	1.98969	1.97741	1.96794	1.95455	1.94264	1.93766	1.93264	1.92779	1.92509	1.92239	1.92112',
'17.10	1.92478	2.06040	2.03248	2.01126	1.99517	1.98294	1.97344	1.96009	1.94819	1.94323	1.93822	1.93339	1.93070	1.92800	1.92674',
'17.15	1.93043	2.06599	2.03796	2.01677	2.00065	1.98846	1.97898	1.96565	1.95377	1.94882	1.94382	1.93899	1.93631	1.93362	1.93236',
'17.20	1.93607	2.07157	2.04346	2.02227	2.00620	1.99396	1.98452	1.97120	1.95934	1.95439	1.94940	1.94459	1.94192	1.93924	1.93798',
'17.25	1.94169	2.07713	2.04902	2.02776	2.01172	1.99945	1.99005	1.97673	1.96490	1.95997	1.95500	1.95019	1.94753	1.94485	1.94360',
'17.30	1.94730	2.08268	2.05456	2.03323	2.01723	2.00499	1.99556	1.98228	1.97047	1.96555	1.96059	1.95580	1.95314	1.95047	1.94922',
'17.35	1.95292	2.08820	2.06009	2.03874	2.02273	2.01053	2.00107	1.98784	1.97604	1.97112	1.96618	1.96140	1.95875	1.95609	1.95484',
'17.40	1.95857	2.09372	2.06560	2.04427	2.02821	2.01605	2.00662	1.99339	1.98160	1.97671	1.97177	1.96700	1.96436	1.96170	1.96046',
'17.45	1.96420	2.09922	2.07110	2.04979	2.03372	2.02155	2.01216	1.99892	1.98718	1.98229	1.97736	1.97261	1.96997	1.96732	1.96609',
'17.50	1.96981	2.10482	2.07658	2.05530	2.03925	2.02704	2.01768	2.00448	1.99275	1.98787	1.98296	1.97821	1.97558	1.97294	1.97171',
'17.55	1.97541	2.11042	2.08205	2.06079	2.04477	2.03258	2.02319	2.01003	1.99831	1.99345	1.98854	1.98381	1.98119	1.97856	1.97733',
'17.60	1.98107	2.11600	2.08759	2.06627	2.05028	2.03812	2.02873	2.01557	2.00389	1.99902	1.99414	1.98941	1.98680	1.98418	1.98295',
'17.65	1.98670	2.12157	2.09314	2.07174	2.05577	2.04364	2.03427	2.02110	2.00946	2.00461	1.99972	1.99502	1.99241	1.98979	1.98857',
'17.70	1.99232	2.12712	2.09867	2.07728	2.06125	2.04914	2.03980	2.02667	2.01502	2.01019	2.00532	2.00062	1.99802	1.99541	1.99419',
'17.75	1.99793	2.13266	2.10419	2.08281	2.06678	2.05463	2.04532	2.03223	2.02060	2.01577	2.01091	2.00623	2.00363	2.00103	1.99981',
'17.80	2.00356	2.13818	2.10969	2.08833	2.07231	2.06017	2.05083	2.03777	2.02617	2.02136	2.01651	2.01183	2.00924	2.00664	2.00543',
'17.85	2.00920	2.14368	2.11518	2.09383	2.07783	2.06571	2.05638	2.04331	2.03174	2.02693	2.02210	2.01744	2.01485	2.01226	2.01105',
'17.90	2.01483	2.14918	2.12065	2.09931	2.08334	2.07123	2.06192	2.04887	2.03731	2.03252	2.02769	2.02304	2.02047	2.01788	2.01667',
'17.95	2.02044	2.15476	2.12614	2.10478	2.08882	2.07674	2.06745	2.05443	2.04289	2.03810	2.03328	2.02864	2.02608	2.02350	2.02230',
'18.00	2.02605	2.16036	2.13169	2.11029	2.09431	2.08224	2.07296	2.05996	2.04845	2.04367	2.03887	2.03425	2.03169	2.02912	2.02792',
'18.05	2.03170	2.16593	2.13723	2.11583	2.09985	2.08777	2.07850	2.06552	2.05403	2.04926	2.04447	2.03985	2.03730	2.03474	2.03354',
'18.10	2.03734	2.17149	2.14275	2.12135	2.10538	2.09331	2.08405	2.07108	2.05961	2.05485	2.05006	2.04546	2.04291	2.04035	2.03916',
'18.15	2.04296	2.17704	2.14826	2.12686	2.11090	2.09884	2.08958	2.07663	2.06517	2.06042	2.05566	2.05106	2.04852	2.04597	2.04478',
'18.20	2.04856	2.18256	2.15376	2.13235	2.11639	2.10435	2.09510	2.08216	2.07075	2.06601	2.06125	2.05667	2.05413	2.05159	2.05040',
'18.25	2.05420	2.18808	2.15924	2.13783	2.12188	2.10984	2.10061	2.08773	2.07632	2.07159	2.06685	2.06227	2.05974	2.05721	2.05602',
'18.30	2.05984	2.19358	2.16471	2.14330	2.12739	2.11538	2.10617	2.09329	2.08189	2.07718	2.07244	2.06788	2.06536	2.06282	2.06164',
'18.35	2.06546	2.19906	2.17023	2.14884	2.13293	2.12092	2.11171	2.09884	2.08747	2.08276	2.07803	2.07348	2.07097	2.06844	2.06727',
'18.40	2.07107	2.20464	2.17578	2.15437	2.13845	2.12645	2.11724	2.10437	2.09305	2.08833	2.08363	2.07908	2.07658	2.07406	2.07289',
'18.45	2.07669	2.21023	2.18131	2.15989	2.14396	2.13196	2.12276	2.10994	2.09861	2.09393	2.08922	2.08469	2.08219	2.07968	2.07851',
'18.50	2.08234	2.21579	2.18682	2.16539	2.14946	2.13746	2.12830	2.11550	2.10419	2.09951	2.09482	2.09029	2.08780	2.08530	2.08413',
'18.55	2.08797	2.22135	2.19232	2.17087	2.15494	2.14300	2.13385	2.12104	2.10977	2.10509	2.10040	2.09590	2.09341	2.09092	2.08975',
'18.60	2.09359	2.22688	2.19781	2.17634	2.16047	2.14854	2.13938	2.12659	2.11533	2.11068	2.10601	2.10151	2.09903	2.09654	2.09537',
'18.65	2.09919	2.23241	2.20329	2.18186	2.16601	2.15407	2.14491	2.13216	2.12092	2.11626	2.11159	2.10712	2.10464	2.10216	2.10099',
'18.70	2.10483	2.23791	2.20875	2.18739	2.17153	2.15958	2.15042	2.13772	2.12649	2.12185	2.11720	2.11272	2.11025	2.10777	2.10662',
'18.75	2.11047	2.24341	2.21431	2.19291	2.17704	2.16508	2.15598	2.14326	2.13206	2.12744	2.12279	2.11833	2.11586	2.11339	2.11224',
'18.80	2.11610	2.24889	2.21984	2.19842	2.18253	2.17062	2.16153	2.14882	2.13764	2.13301	2.12839	2.12393	2.12148	2.11901	2.11786',
'18.85	2.12171	2.25446	2.22537	2.20391	2.18802	2.17616	2.16706	2.15438	2.14322	2.13861	2.13398	2.12954	2.12709	2.12463	2.12348',
'18.90	2.12733	2.26003	2.23087	2.20939	2.19357	2.18169	2.17258	2.15994	2.14879	2.14419	2.13958	2.13515	2.13270	2.13025	2.12910',
'18.95	2.13297	2.26560	2.23637	2.21487	2.19910	2.18721	2.17812	2.16548	2.15437	2.14977	2.14517	2.14075	2.13831	2.13587	2.13472',
'19.00	2.13860	2.27114	2.24185	2.22041	2.20462	2.19271	2.18367	2.17104	2.15995	2.15537	2.15076	2.14636	2.14393	2.14149	2.14035',
'19.05	2.14422	2.27667	2.24732	2.22594	2.21012	2.19825	2.18921	2.17661	2.16551	2.16094	2.15637	2.15196	2.14954	2.14711	2.14597',
'19.10	2.14982	2.28219	2.25283	2.23146	2.21561	2.20379	2.19474	2.18216	2.17110	2.16654	2.16196	2.15757	2.15515	2.15272	2.15159',
'19.15	2.15547	2.28770	2.25837	2.23696	2.22112	2.20932	2.20025	2.18770	2.17668	2.17212	2.16756	2.16318	2.16076	2.15834	2.15721',
'19.20	2.16111	2.29319	2.26390	2.24245	2.22666	2.21484	2.20582	2.19327	2.18225	2.17770	2.17315	2.16878	2.16637	2.16396	2.16283',
'19.25	2.16673	2.29866	2.26941	2.24792	2.23219	2.22034	2.21136	2.19884	2.18783	2.18330	2.17875	2.17439	2.17199	2.16958	2.16846',
'19.30	2.17234	2.30422	2.27492	2.25344	2.23771	2.22588	2.21690	2.20438	2.19341	2.18888	2.18435	2.18000	2.17760	2.17520	2.17408',
'19.35	2.17797	2.30979	2.28040	2.25897	2.24321	2.23143	2.22242	2.20993	2.19898	2.19447	2.18994	2.18561	2.18321	2.18082	2.17970',
'19.40	2.18361	2.31535	2.28588	2.26449	2.24870	2.23696	2.22796	2.21551	2.20457	2.20006	2.19554	2.19121	2.18883	2.18644	2.18532',
'19.45	2.18924	2.32089	2.29134	2.27000	2.25423	2.24248	2.23352	2.22107	2.21015	2.20564	2.20114	2.19682	2.19444	2.19206	2.19094',
'19.50	2.19485	2.32642	2.29689	2.27550	2.25977	2.24799	2.23906	2.22661	2.21571	2.21123	2.20674	2.20243	2.20005	2.19768	2.19657',
'19.55	2.20046	2.33193	2.30242	2.28098	2.26529	2.25352	2.24459	2.23217	2.22130	2.21682	2.21233	2.20804	2.20567	2.20330	2.20219',
'19.60	2.20611	2.33743	2.30794	2.28646	2.27080	2.25907	2.25011	2.23775	2.22688	2.22240	2.21794	2.21365	2.21128	2.20892	2.20781',
'19.65	2.21174	2.34292	2.31345	2.29200	2.27630	2.26460	2.25567	2.24330	2.23245	2.22800	2.22353	2.21925	2.21689	2.21454	2.21343',
'19.70	2.21736	2.34839	2.31895	2.29753	2.28180	2.27013	2.26122	2.24885	2.23804	2.23358	2.22913	2.22486	2.22251	2.22015	2.21905',
'19.75	2.22297	2.35394	2.32443	2.30305	2.28735	2.27563	2.26676	2.25442	2.24362	2.23917	2.23473	2.23047	2.22812	2.22577	2.22468',
'19.80	2.22860	2.35950	2.32990	2.30855	2.29288	2.28117	2.27228	2.25999	2.24919	2.24476	2.24033	2.23608	2.23374	2.23139	2.23030',
'19.85	2.23425	2.36505	2.33540	2.31404	2.29840	2.28672	2.27783	2.26554	2.25478	2.25034	2.24593	2.24168	2.23935	2.23701	2.23592',
'19.90	2.23987	2.37059	2.34094	2.31952	2.30391	2.29226	2.28339	2.27108	2.26036	2.25594	2.25152	2.24729	2.24497	2.24263	2.24154',
'19.95	2.24549	2.37612	2.34647	2.32504	2.30941	2.29778	2.28893	2.27666	2.26593	2.26153	2.25712	2.25290	2.25058	2.24825	2.24716',
'20.00	2.25110	2.38163	2.35198	2.33057	2.31492	2.30329	2.29446	2.28223	2.27152	2.26712	2.26271	2.25851	2.25619	2.25387	2.25279',
'20.05	2.25675	2.38712	2.35749	2.33610	2.32047	2.30883	2.29998	2.28931	2.27752	2.27287	2.26831	2.26404	2.26171	2.25940	2.25833',
'20.10	2.26238	2.39261	2.36298	2.34161	2.32600	2.31438	2.30555	2.29486	2.28310	2.27845	2.27391	2.26965	2.26733	2.26502	2.26395',
'20.15	2.26800	2.39808	2.36845	2.34710	2.33152	2.31991	2.31110	2.30040	2.28867	2.28404	2.27951	2.27525	2.27294	2.27064	2.26957',
'20.20	2.27360	2.40361	2.37392	2.35259	2.33702	2.32544	2.31664	2.30595	2.29425	2.28963	2.28511	2.28086	2.27855	2.27626	2.27519',
'20.25	2.27924	2.40918	2.37945	2.35807	2.34252	2.33095	2.32217	2.31150	2.29982	2.29521	2.29070	2.28647	2.28417	2.28188	2.28081',
'20.30	2.28488	2.41473	2.38498	2.36362	2.34805	2.33649	2.32772	2.31705	2.30540	2.30080	2.29630	2.29208	2.28978	2.28750	2.28644',
'20.35	2.29051	2.42026	2.39051	2.36915	2.35359	2.34204	2.33328	2.32259	2.31098	2.30639	2.30190	2.29769	2.29540	2.29312	2.29206',
'20.40	2.29612	2.42578	2.39602	2.37467	2.35912	2.34758	2.33882	2.32814	2.31655	2.31198	2.30750	2.30330	2.30101	2.29874	2.29768',
'20.45	2.30174	2.43129	2.40151	2.38017	2.36464	2.35311	2.34436	2.33369	2.32213	2.31756	2.31310	2.30891	2.30663	2.30436	2.30330',
'20.50	2.30738	2.43678	2.40700	2.38566	2.37014	2.35862	2.34988	2.33924	2.32771	2.32315	2.31870	2.31451	2.31224	2.30998	2.30893',
'20.55	2.31301	2.44226	2.41247	2.39114	2.37564	2.36416	2.35545	2.34479	2.33328	2.32874	2.32430	2.32012	2.31785	2.31560	2.31455',
'20.60	2.31863	2.44773	2.41795	2.39667	2.38119	2.36971	2.36101	2.35034	2.33886	2.33433	2.32989	2.32573	2.32347	2.32121	2.32017',
'20.65	2.32424	2.45326	2.42350	2.40220	2.38673	2.37525	2.36655	2.35589	2.34444	2.33992	2.33549	2.33134	2.32908	2.32683	2.32579',
'20.70	2.32988	2.45882	2.42903	2.40773	2.39225	2.38078	2.37208	2.36144	2.35002	2.34550	2.34109	2.33695	2.33470	2.33245	2.33142',
'20.75	2.33552	2.46436	2.43455	2.41324	2.39777	2.38629	2.37762	2.36699	2.35560	2.35109	2.34669	2.34256	2.34031	2.33807	2.33704',
'20.80	2.34114	2.46990	2.44005	2.41874	2.40327	2.39183	2.38319	2.37254	2.36117	2.35668	2.35229	2.34817	2.34593	2.34369	2.34266',
'20.85	2.34675	2.47541	2.44554	2.42422	2.40879	2.39739	2.38874	2.37810	2.36675	2.36227	2.35789	2.35378	2.35154	2.34931	2.34828',
'20.90	2.35238	2.48092	2.45102	2.42972	2.41434	2.40293	2.39428	2.38365	2.37233	2.36786	2.36349	2.35939	2.35716	2.35494	2.35391',
'20.95	2.35802	2.48641	2.45649	2.43526	2.41987	2.40846	2.39980	2.38920	2.37791	2.37345	2.36909	2.36500	2.36277	2.36056	2.35953',
'21.00	2.36365	2.49189	2.46201	2.44079	2.42539	2.41397	2.40537	2.39475	2.38349	2.37904	2.37469	2.37061	2.36839	2.36618	2.36515',
'21.05	2.36927	2.49736	2.46755	2.44631	2.43090	2.41951	2.41093	2.40031	2.38907	2.38463	2.38029	2.37622	2.37400	2.37180	2.37077',
'21.10	2.37487	2.50288	2.47307	2.45182	2.43640	2.42507	2.41647	2.40586	2.39465	2.39022	2.38589	2.38183	2.37962	2.37742	2.37640',
'21.15	2.38052	2.50844	2.47858	2.45731	2.44195	2.43061	2.42201	2.41142	2.40023	2.39581	2.39149	2.38744	2.38523	2.38304	2.38202',
'21.20	2.38615	2.51398	2.48408	2.46279	2.44749	2.43614	2.42755	2.41697	2.40581	2.40140	2.39709	2.39305	2.39085	2.38866	2.38764',
'21.25	2.39178	2.51951	2.48957	2.46832	2.45302	2.44166	2.43312	2.42252	2.41139	2.40699	2.40269	2.39866	2.39646	2.39428	2.39327',
'21.30	2.39739	2.52502	2.49504	2.47386	2.45854	2.44720	2.43867	2.42808	2.41697	2.41258	2.40829	2.40427	2.40208	2.39990	2.39889',
'21.35	2.40301	2.53053	2.50052	2.47939	2.46405	2.45276	2.44421	2.43363	2.42255	2.41817	2.41389	2.40988	2.40769	2.40552	2.40451',
'21.40	2.40866	2.53602	2.50606	2.48490	2.46955	2.45830	2.44974	2.43919	2.42813	2.42376	2.41950	2.41549	2.41331	2.41114	2.41013',
'21.45	2.41429	2.54150	2.51159	2.49040	2.47511	2.46383	2.45531	2.44475	2.43371	2.42936	2.42510	2.42110	2.41892	2.41676	2.41576',
'21.50	2.41990	2.54697	2.51711	2.49589	2.48065	2.46936	2.46087	2.45030	2.43929	2.43495	2.43070	2.42671	2.42454	2.42238	2.42138',
'21.55	2.42551	2.55247	2.52262	2.50139	2.48618	2.47489	2.46642	2.45586	2.44488	2.44054	2.43630	2.43232	2.43015	2.42800	2.42700',
'21.60	2.43116	2.55803	2.52811	2.50693	2.49169	2.48045	2.47196	2.46142	2.45046	2.44613	2.44190	2.43793	2.43577	2.43362	2.43262',
'21.65	2.43679	2.56357	2.53360	2.51247	2.49720	2.48600	2.47751	2.46697	2.45604	2.45172	2.44750	2.44354	2.44139	2.43924	2.43825',
'21.70	2.44241	2.56910	2.53907	2.51799	2.50273	2.49153	2.48307	2.47253	2.46162	2.45731	2.45310	2.44915	2.44700	2.44486	2.44387',
'21.75	2.44802	2.57461	2.54458	2.52349	2.50828	2.49705	2.48863	2.47809	2.46720	2.46291	2.45871	2.45476	2.45262	2.45048	2.44949',
'21.80	2.45365	2.58012	2.55012	2.52899	2.51382	2.50259	2.49417	2.48365	2.47279	2.46850	2.46431	2.46037	2.45823	2.45610	2.45512',
'21.85	2.45929	2.58561	2.55564	2.53448	2.51934	2.50815	2.49970	2.48921	2.47837	2.47409	2.46991	2.46598	2.46385	2.46172	2.46074',
'21.90	2.46492	2.59109	2.56116	2.54001	2.52486	2.51370	2.50527	2.49476	2.48395	2.47968	2.47551	2.47159	2.46946	2.46734	2.46636',
'21.95	2.47054	2.59656	2.56666	2.54555	2.53036	2.51924	2.51084	2.50032	2.48954	2.48528	2.48111	2.47721	2.47508	2.47297	2.47199',
'22.00	2.47615	2.60205	2.57215	2.55108	2.53591	2.52476	2.51639	2.50588	2.49512	2.49087	2.48672	2.48282	2.48070	2.47859	2.47761',
'22.05	2.48179	2.60761	2.57763	2.55659	2.54145	2.53030	2.52192	2.51144	2.50070	2.49646	2.49232	2.48843	2.48631	2.48421	2.48323',
'22.10	2.48743	2.61314	2.58310	2.56210	2.54699	2.53586	2.52747	2.51700	2.50629	2.50206	2.49792	2.49404	2.49193	2.48983	2.48885',
'22.15	2.49305	2.61867	2.58864	2.56759	2.55251	2.54141	2.53304	2.52256	2.51187	2.50765	2.50352	2.49965	2.49754	2.49545	2.49448',
'22.20	2.49866	2.62419	2.59417	2.57309	2.55802	2.54695	2.53860	2.52812	2.51746	2.51324	2.50913	2.50526	2.50316	2.50107	2.50010',
'22.25	2.50429	2.62969	2.59969	2.57864	2.56354	2.55247	2.54415	2.53368	2.52304	2.51884	2.51473	2.51087	2.50878	2.50669	2.50572',
'22.30	2.50993	2.63518	2.60520	2.58417	2.56909	2.55801	2.54968	2.53925	2.52862	2.52443	2.52033	2.51649	2.51439	2.51231	2.51135',
'22.35	2.51556	2.64066	2.61070	2.58970	2.57464	2.56358	2.55525	2.54481	2.53421	2.53003	2.52594	2.52210	2.52001	2.51793	2.51697',
'22.40	2.52117	2.64613	2.61619	2.59521	2.58017	2.56913	2.56082	2.55037	2.53979	2.53562	2.53154	2.52771	2.52563	2.52355	2.52259',
'22.45	2.52679	2.65162	2.62166	2.60070	2.58569	2.57466	2.56637	2.55593	2.54538	2.54121	2.53714	2.53332	2.53124	2.52917	2.52822',
'22.50	2.53243	2.65717	2.62716	2.60619	2.59120	2.58019	2.57191	2.56149	2.55097	2.54681	2.54275	2.53893	2.53686	2.53480	2.53384',
'22.55	2.53806	2.66271	2.63270	2.61173	2.59673	2.58573	2.57746	2.56706	2.55655	2.55240	2.54835	2.54454	2.54248	2.54042	2.53946',
'22.60	2.54368	2.66823	2.63823	2.61727	2.60229	2.59129	2.58303	2.57262	2.56214	2.55800	2.55395	2.55016	2.54809	2.54604	2.54509',
'22.65	2.54929	2.67375	2.64375	2.62280	2.60783	2.59685	2.58859	2.57818	2.56772	2.56359	2.55956	2.55577	2.55371	2.55166	2.55071',
'22.70	2.55493	2.67925	2.64925	2.62832	2.61336	2.60239	2.59414	2.58375	2.57331	2.56919	2.56516	2.56138	2.55933	2.55728	2.55633',
'22.75	2.56057	2.68474	2.65475	2.63383	2.61888	2.60791	2.59968	2.58931	2.57889	2.57478	2.57077	2.56699	2.56494	2.56290	2.56196',
'22.80	2.56619	2.69022	2.66023	2.63932	2.62438	2.61346	2.60525	2.59487	2.58448	2.58038	2.57637	2.57261	2.57056	2.56852	2.56758',
'22.85	2.57181	2.69569	2.66570	2.64483	2.62994	2.61902	2.61082	2.60044	2.59007	2.58597	2.58197	2.57822	2.57618	2.57414	2.57320',
'22.90	2.57743	2.70117	2.67124	2.65038	2.63549	2.62457	2.61637	2.60600	2.59565	2.59157	2.58758	2.58383	2.58179	2.57976	2.57883',
'22.95	2.58307	2.70672	2.67677	2.65591	2.64103	2.63011	2.62191	2.61157	2.60124	2.59717	2.59318	2.58944	2.58741	2.58539	2.58445',
'23.00	2.58870	2.71226	2.68230	2.66144	2.64655	2.63564	2.62747	2.61713	2.60683	2.60276	2.59879	2.59506	2.59303	2.59101	2.59007',
'23.05	2.59432	2.71778	2.68781	2.66695	2.65207	2.64119	2.63304	2.62270	2.61242	2.60836	2.60439	2.60067	2.59864	2.59663	2.59570',
'23.10	2.59992	2.72330	2.69331	2.67245	2.65759	2.64675	2.63860	2.62826	2.61800	2.61395	2.61000	2.60628	2.60426	2.60225	2.60132',
'23.15	2.60557	2.72880	2.69880	2.67794	2.66315	2.65231	2.64415	2.63383	2.62359	2.61955	2.61560	2.61189	2.60988	2.60787	2.60694',
'23.20	2.61121	2.73429	2.70428	2.68349	2.66870	2.65785	2.64969	2.63940	2.62918	2.62515	2.62121	2.61751	2.61549	2.61349	2.61257',
'23.25	2.61683	2.73977	2.70977	2.68903	2.67423	2.66338	2.65527	2.64496	2.63477	2.63074	2.62681	2.62312	2.62111	2.61911	2.61819',
'23.30	2.62244	2.74524	2.71531	2.69456	2.67976	2.66892	2.66084	2.65053	2.64035	2.63634	2.63242	2.62873	2.62673	2.62474	2.62381',
'23.35	2.62807	2.75071	2.72085	2.70008	2.68527	2.67449	2.66639	2.65610	2.64594	2.64194	2.63802	2.63434	2.63235	2.63036	2.62944',
'23.40	2.63371	2.75626	2.72637	2.70559	2.69081	2.68004	2.67194	2.66166	2.65153	2.64753	2.64363	2.63996	2.63796	2.63598	2.63506',
'23.45	2.63934	2.76180	2.73187	2.71109	2.69637	2.68559	2.67749	2.66723	2.65712	2.65313	2.64923	2.64557	2.64358	2.64160	2.64068',
'23.50	2.64495	2.76733	2.73737	2.71661	2.70191	2.69112	2.68307	2.67280	2.66271	2.65873	2.65484	2.65118	2.64920	2.64722	2.64631',
'23.55	2.65056	2.77284	2.74286	2.72215	2.70744	2.69666	2.68863	2.67837	2.66830	2.66432	2.66044	2.65680	2.65482	2.65284	2.65193',
'23.60	2.65621	2.77834	2.74834	2.72769	2.71296	2.70223	2.69418	2.68393	2.67389	2.66992	2.66605	2.66241	2.66043	2.65847	2.65755',
'23.65	2.66184	2.78384	2.75386	2.73322	2.71848	2.70779	2.69972	2.68950	2.67948	2.67552	2.67165	2.66802	2.66605	2.66409	2.66318',
'23.70	2.66747	2.78932	2.75940	2.73873	2.72404	2.71333	2.70530	2.69507	2.68507	2.68112	2.67726	2.67364	2.67167	2.66971	2.66880',
'23.75	2.67308	2.79479	2.76493	2.74424	2.72959	2.71887	2.71087	2.70064	2.69066	2.68671	2.68286	2.67925	2.67729	2.67533	2.67442',
'23.80	2.67871	2.80025	2.77044	2.74973	2.73513	2.72441	2.71643	2.70621	2.69625	2.69231	2.68847	2.68486	2.68290	2.68095	2.68005',
'23.85	2.68435	2.80580	2.77595	2.75528	2.74066	2.72998	2.72198	2.71178	2.70184	2.69791	2.69408	2.69048	2.68852	2.68657	2.68567',
'23.90	2.68997	2.81134	2.78144	2.76083	2.74618	2.73554	2.72753	2.71735	2.70743	2.70351	2.69968	2.69609	2.69414	2.69220	2.69130',
'23.95	2.69559	2.81687	2.78693	2.76636	2.75171	2.74108	2.73311	2.72292	2.71302	2.70911	2.70529	2.70170	2.69976	2.69782	2.69692',
'24.00	2.70120	2.82238	2.79241	2.77188	2.75727	2.74662	2.73867	2.72849	2.71861	2.71471	2.71090	2.70732	2.70537	2.70344	2.70254',
'24.05	2.70685	2.82788	2.79796	2.77739	2.76282	2.75216	2.74423	2.73406	2.72420	2.72030	2.71650	2.71293	2.71099	2.70906	2.70817',
'24.10	2.71248	2.83338	2.80349	2.78289	2.76836	2.75773	2.74977	2.73963	2.72979	2.72590	2.72211	2.71855	2.71661	2.71468	2.71379',
'24.15	2.71810	2.83886	2.80901	2.78841	2.77389	2.76329	2.75535	2.74520	2.73538	2.73150	2.72771	2.72416	2.72223	2.72030	2.71941',
'24.20	2.72371	2.84433	2.81453	2.79396	2.77940	2.76884	2.76092	2.75077	2.74097	2.73710	2.73332	2.72977	2.72785	2.72593	2.72504',
'24.25	2.72935	2.84979	2.82003	2.79950	2.78495	2.77438	2.76648	2.75634	2.74656	2.74270	2.73893	2.73539	2.73346	2.73155	2.73066',
'24.30	2.73499	2.85534	2.82552	2.80503	2.79051	2.77992	2.77203	2.76191	2.75215	2.74830	2.74453	2.74100	2.73908	2.73717	2.73628',
'24.35	2.74061	2.86088	2.83100	2.81055	2.79606	2.78549	2.77759	2.76748	2.75774	2.75390	2.75014	2.74662	2.74470	2.74279	2.74191',
'24.40	2.74623	2.86640	2.83652	2.81606	2.80159	2.79105	2.78317	2.77306	2.76333	2.75950	2.75575	2.75223	2.75032	2.74841	2.74753',
'24.45	2.75185	2.87192	2.84206	2.82155	2.80712	2.79660	2.78874	2.77863	2.76893	2.76510	2.76136	2.75784	2.75594	2.75404	2.75316',
'24.50	2.75749	2.87742	2.84759	2.82711	2.81263	2.80214	2.79429	2.78420	2.77452	2.77070	2.76696	2.76346	2.76155	2.75966	2.75878',
'24.55	2.76312	2.88292	2.85311	2.83265	2.81820	2.80769	2.79984	2.78977	2.78011	2.77630	2.77257	2.76907	2.76717	2.76528	2.76440',
'24.60	2.76874	2.88840	2.85862	2.83819	2.82376	2.81326	2.80542	2.79535	2.78570	2.78190	2.77818	2.77469	2.77279	2.77090	2.77003',
'24.65	2.77435	2.89387	2.86412	2.84371	2.82930	2.81882	2.81099	2.80092	2.79129	2.78750	2.78378	2.78030	2.77841	2.77652	2.77565',
'24.70	2.77999	2.89934	2.86961	2.84923	2.83483	2.82437	2.81655	2.80649	2.79689	2.79310	2.78939	2.78592	2.78403	2.78215	2.78128',
'24.75	2.78562	2.90487	2.87508	2.85473	2.84036	2.82991	2.82210	2.81207	2.80248	2.79870	2.79500	2.79153	2.78964	2.78777	2.78690',
'24.80	2.79125	2.91041	2.88063	2.86026	2.84589	2.83545	2.82767	2.81764	2.80807	2.80430	2.80061	2.79715	2.79526	2.79339	2.79252',
'24.85	2.79686	2.91594	2.88617	2.86581	2.85146	2.84103	2.83324	2.82321	2.81366	2.80990	2.80621	2.80276	2.80088	2.79901	2.79815',
'24.90	2.80249	2.92145	2.89170	2.87135	2.85701	2.84659	2.83881	2.82879	2.81926	2.81550	2.81182	2.80837	2.80650	2.80463	2.80377',
'24.95	2.80813	2.92696	2.89721	2.87688	2.86255	2.85214	2.84437	2.83436	2.82485	2.82110	2.81743	2.81399	2.81212	2.81026	2.80939',
'25.00	2.81376	2.93245	2.90272	2.88240	2.86808	2.85768	2.84991	2.83994	2.83044	2.82670	2.82304	2.81960	2.81774	2.81588	2.81502',
'25.05	2.81937	2.93794	2.90821	2.88791	2.87360	2.86323	2.85550	2.84551	2.83604	2.83230	2.82865	2.82522	2.82336	2.82150	2.82064',
'25.10	2.82498	2.94341	2.91370	2.89342	2.87916	2.86880	2.86107	2.85109	2.84163	2.83790	2.83425	2.83083	2.82897	2.82712	2.82627',
'25.15	2.83063	2.94888	2.91921	2.89897	2.88472	2.87436	2.86664	2.85666	2.84722	2.84350	2.83986	2.83645	2.83459	2.83275	2.83189',
'25.20	2.83626	2.95441	2.92476	2.90452	2.89027	2.87991	2.87219	2.86224	2.85282	2.84910	2.84547	2.84206	2.84021	2.83837	2.83751',
'25.25	2.84189	2.95995	2.93029	2.91005	2.89580	2.88546	2.87775	2.86781	2.85841	2.85470	2.85108	2.84768	2.84583	2.84399	2.84314',
'25.30	2.84750	2.96548	2.93581	2.91558	2.90133	2.89101	2.88333	2.87339	2.86401	2.86030	2.85669	2.85329	2.85145	2.84961	2.84876',
'25.35	2.85313	2.97099	2.94132	2.92110	2.90686	2.89658	2.88890	2.87896	2.86960	2.86590	2.86230	2.85891	2.85707	2.85523	2.85439',
'25.40	2.85877	2.97650	2.94683	2.92660	2.91243	2.90214	2.89446	2.88454	2.87519	2.87151	2.86790	2.86452	2.86269	2.86086	2.86001',
'25.45	2.86439	2.98200	2.95232	2.93214	2.91798	2.90770	2.90001	2.89012	2.88079	2.87711	2.87351	2.87014	2.86830	2.86648	2.86563',
'25.50	2.87001	2.98748	2.95780	2.93769	2.92353	2.91324	2.90560	2.89569	2.88638	2.88271	2.87912	2.87575	2.87392	2.87210	2.87126',
'25.55	2.87562	2.99296	2.96335	2.94323	2.92907	2.91879	2.91117	2.90127	2.89198	2.88831	2.88473	2.88137	2.87954	2.87772	2.87688',
'25.60	2.88127	2.99843	2.96889	2.94877	2.93459	2.92437	2.91673	2.90685	2.89757	2.89391	2.89034	2.88698	2.88516	2.88335	2.88251',
'25.65	2.88690	3.00395	2.97442	2.95429	2.94014	2.92993	2.92229	2.91242	2.90317	2.89951	2.89595	2.89260	2.89078	2.88897	2.88813',
'25.70	2.89252	3.00949	2.97994	2.95980	2.94570	2.93548	2.92786	2.91800	2.90876	2.90512	2.90156	2.89822	2.89640	2.89459	2.89375',
'25.75	2.89813	3.01502	2.98544	2.96531	2.95126	2.94103	2.93344	2.92358	2.91436	2.91072	2.90717	2.90383	2.90202	2.90021	2.89938',
'25.80	2.90377	3.02053	2.99094	2.97087	2.95680	2.94658	2.93901	2.92915	2.91995	2.91632	2.91277	2.90945	2.90764	2.90584	2.90500',
'25.85	2.90941	3.02604	2.99643	2.97642	2.96234	2.95215	2.94457	2.93473	2.92555	2.92192	2.91838	2.91506	2.91326	2.91146	2.91063',
'25.90	2.91503	3.03154	3.00194	2.98196	2.96786	2.95772	2.95012	2.94031	2.93114	2.92753	2.92399	2.92068	2.91887	2.91708	2.91625',
'25.95	2.92065	3.03703	3.00749	2.98748	2.97342	2.96327	2.95571	2.94589	2.93674	2.93313	2.92960	2.92629	2.92449	2.92270	2.92188',
'26.00	2.92626	3.04251	3.01303	2.99300	2.97899	2.96882	2.96128	2.95147	2.94233	2.93873	2.93521	2.93191	2.93011	2.92833	2.92750',
'26.05	2.93191	3.04797	3.01855	2.99851	2.98454	2.97437	2.96685	2.95705	2.94793	2.94433	2.94082	2.93752	2.93573	2.93395	2.93312',
'26.10	2.93754	3.05349	3.02407	3.00406	2.99008	2.97995	2.97240	2.96262	2.95353	2.94994	2.94643	2.94314	2.94135	2.93957	2.93875',
'26.15	2.94316	3.05903	3.02957	3.00961	2.99561	2.98551	2.97797	2.96820	2.95912	2.95554	2.95204	2.94876	2.94697	2.94519	2.94437',
'26.20	2.94877	3.06456	3.03507	3.01515	3.00114	2.99107	2.98356	2.97378	2.96472	2.96114	2.95765	2.95437	2.95259	2.95082	2.95000',
'26.25	2.95441	3.07008	3.04056	3.02069	3.00671	2.99662	2.98913	2.97936	2.97031	2.96675	2.96326	2.95999	2.95821	2.95644	2.95562',
'26.30	2.96004	3.07559	3.04610	3.02621	3.01227	3.00217	2.99469	2.98494	2.97591	2.97235	2.96887	2.96560	2.96383	2.96206	2.96124',
'26.35	2.96567	3.08109	3.05164	3.03172	3.01782	3.00775	3.00024	2.99052	2.98151	2.97795	2.97448	2.97122	2.96945	2.96768	2.96687',
'26.40	2.97129	3.08658	3.05717	3.03725	3.02336	3.01331	3.00583	2.99610	2.98710	2.98356	2.98009	2.97684	2.97507	2.97331	2.97249',
'26.45	2.97691	3.09206	3.06270	3.04280	3.02889	3.01887	3.01141	3.00168	2.99270	2.98916	2.98570	2.98245	2.98069	2.97893	2.97812',
'26.50	2.98255	3.09753	3.06821	3.04835	3.03444	3.02442	3.01698	3.00726	2.99830	2.99476	2.99131	2.98807	2.98631	2.98455	2.98374',
'26.55	2.98818	3.10304	3.07371	3.05389	3.04001	3.02997	3.02253	3.01284	3.00390	3.00037	2.99692	2.99368	2.99193	2.99018	2.98937',
'26.60	2.99380	3.10858	3.07921	3.05942	3.04557	3.03555	3.02811	3.01842	3.00949	3.00597	3.00253	2.99930	2.99755	2.99580	2.99499',
'26.65	2.99941	3.11411	3.08471	3.06494	3.05111	3.04112	3.03369	3.02400	3.01509	3.01157	3.00814	3.00492	3.00316	3.00142	3.00061',
'26.70	3.00505	3.11963	3.09026	3.07045	3.05665	3.04668	3.03926	3.02958	3.02069	3.01718	3.01375	3.01053	3.00878	3.00704	3.00624',
'26.75	3.01068	3.12514	3.09580	3.07601	3.06218	3.05222	3.04483	3.03516	3.02628	3.02278	3.01936	3.01615	3.01440	3.01267	3.01186',
'26.80	3.01631	3.13064	3.10133	3.08156	3.06775	3.05778	3.05038	3.04075	3.03188	3.02839	3.02497	3.02177	3.02002	3.01829	3.01749',
'26.85	3.02192	3.13613	3.10685	3.08710	3.07331	3.06336	3.05597	3.04633	3.03748	3.03399	3.03058	3.02738	3.02564	3.02391	3.02311',
'26.90	3.02755	3.14162	3.11236	3.09264	3.07887	3.06893	3.06155	3.05191	3.04308	3.03959	3.03619	3.03300	3.03126	3.02954	3.02874',
'26.95	3.03319	3.14709	3.11786	3.09817	3.08441	3.07449	3.06712	3.05749	3.04868	3.04520	3.04180	3.03861	3.03688	3.03516	3.03436',
'27.00	3.03882	3.15259	3.12335	3.10368	3.08995	3.08003	3.07268	3.06307	3.05427	3.05080	3.04741	3.04423	3.04250	3.04078	3.03998',
'27.05	3.04443	3.15814	3.12889	3.10921	3.09549	3.08559	3.07825	3.06865	3.05987	3.05641	3.05302	3.04985	3.04812	3.04640	3.04561',
'27.10	3.05004	3.16367	3.13443	3.11477	3.10106	3.09117	3.08384	3.07424	3.06547	3.06201	3.05863	3.05546	3.05374	3.05203	3.05123',
'27.15	3.05569	3.16919	3.13997	3.12032	3.10662	3.09674	3.08941	3.07982	3.07107	3.06762	3.06424	3.06108	3.05936	3.05765	3.05686',
'27.20	3.06132	3.17470	3.14550	3.12586	3.11217	3.10230	3.09497	3.08540	3.07667	3.07322	3.06985	3.06670	3.06498	3.06327	3.06248',
'27.25	3.06695	3.18020	3.15101	3.13139	3.11771	3.10785	3.10053	3.09098	3.08226	3.07883	3.07547	3.07231	3.07060	3.06890	3.06811',
'27.30	3.07256	3.18570	3.15652	3.13692	3.12325	3.11341	3.10612	3.09657	3.08786	3.08443	3.08108	3.07793	3.07622	3.07452	3.07373',
'27.35	3.07819	3.19118	3.16202	3.14243	3.12881	3.11899	3.11170	3.10215	3.09346	3.09004	3.08669	3.08355	3.08184	3.08014	3.07936',
'27.40	3.08383	3.19666	3.16752	3.14799	3.13437	3.12456	3.11727	3.10773	3.09906	3.09564	3.09230	3.08916	3.08746	3.08576	3.08498',
'27.45	3.08945	3.20216	3.17307	3.15354	3.13993	3.13012	3.12283	3.11332	3.10466	3.10125	3.09791	3.09478	3.09308	3.09139	3.09060',
'27.50	3.09507	3.20770	3.17862	3.15909	3.14548	3.13567	3.12841	3.11890	3.11026	3.10685	3.10352	3.10040	3.09870	3.09701	3.09623',
'27.55	3.10069	3.21323	3.18415	3.16463	3.15102	3.14123	3.13399	3.12448	3.11586	3.11246	3.10913	3.10601	3.10432	3.10263	3.10185',
'27.60	3.10633	3.21876	3.18967	3.17015	3.15655	3.14681	3.13957	3.13007	3.12146	3.11806	3.11474	3.11163	3.10994	3.10826	3.10748',
'27.65	3.11196	3.22427	3.19519	3.17567	3.16213	3.15238	3.14513	3.13565	3.12706	3.12367	3.12036	3.11725	3.11556	3.11388	3.11310',
'27.70	3.11758	3.22977	3.20069	3.18121	3.16770	3.15794	3.15070	3.14124	3.13266	3.12927	3.12597	3.12287	3.12118	3.11950	3.11873',
'27.75	3.12320	3.23527	3.20619	3.18677	3.17325	3.16349	3.15629	3.14682	3.13826	3.13488	3.13158	3.12848	3.12680	3.12513	3.12435',
'27.80	3.12883	3.24075	3.21172	3.19232	3.17880	3.16905	3.16187	3.15240	3.14386	3.14048	3.13719	3.13410	3.13242	3.13075	3.12998',
'27.85	3.13447	3.24623	3.21727	3.19787	3.18433	3.17464	3.16744	3.15799	3.14945	3.14609	3.14280	3.13972	3.13804	3.13637	3.13560',
'27.90	3.14009	3.25173	3.22281	3.20340	3.18989	3.18021	3.17300	3.16357	3.15505	3.15169	3.14841	3.14533	3.14366	3.14200	3.14122',
'27.95	3.14571	3.25727	3.22834	3.20892	3.19546	3.18577	3.17858	3.16916	3.16065	3.15730	3.15402	3.15095	3.14928	3.14762	3.14685',
'28.00	3.15133	3.26280	3.23386	3.21444	3.20102	3.19132	3.18416	3.17474	3.16625	3.16291	3.15964	3.15657	3.15490	3.15324	3.15247',
'28.05	3.15697	3.26833	3.23937	3.22001	3.20657	3.19688	3.18974	3.18033	3.17185	3.16851	3.16525	3.16219	3.16052	3.15886	3.15810',
'28.10	3.16260	3.27384	3.24487	3.22556	3.21212	3.20247	3.19531	3.18591	3.17745	3.17412	3.17086	3.16780	3.16614	3.16449	3.16372',
'28.15	3.16822	3.27935	3.25037	3.23111	3.21765	3.20804	3.20087	3.19150	3.18306	3.17972	3.17647	3.17342	3.17176	3.17011	3.16935',
'28.20	3.17383	3.28485	3.25593	3.23665	3.22322	3.21360	3.20646	3.19708	3.18866	3.18533	3.18208	3.17904	3.17738	3.17573	3.17497',
'28.25	3.17947	3.29034	3.26147	3.24218	3.22879	3.21915	3.21204	3.20267	3.19426	3.19094	3.18770	3.18466	3.18300	3.18136	3.18060',
'28.30	3.18511	3.29581	3.26701	3.24770	3.23435	3.22472	3.21762	3.20826	3.19986	3.19654	3.19331	3.19027	3.18862	3.18698	3.18622',
'28.35	3.19073	3.30131	3.27254	3.25324	3.23990	3.23030	3.22318	3.21384	3.20546	3.20215	3.19892	3.19589	3.19424	3.19260	3.19185',
'28.40	3.19635	3.30685	3.27805	3.25881	3.24545	3.23587	3.22876	3.21943	3.21106	3.20776	3.20453	3.20151	3.19986	3.19823	3.19747',
'28.45	3.20197	3.31239	3.28356	3.26436	3.25099	3.24143	3.23435	3.22501	3.21666	3.21336	3.21014	3.20712	3.20548	3.20385	3.20309',
'28.50	3.20761	3.31791	3.28906	3.26990	3.25656	3.24699	3.23992	3.23060	3.22226	3.21897	3.21576	3.21274	3.21110	3.20947	3.20872',
'28.55	3.21324	3.32343	3.29459	3.27544	3.26213	3.25255	3.24549	3.23619	3.22786	3.22458	3.22137	3.21836	3.21672	3.21510	3.21434',
'28.60	3.21886	3.32894	3.30014	3.28096	3.26769	3.25814	3.25106	3.24177	3.23346	3.23018	3.22698	3.22398	3.22234	3.22072	3.21997',
'28.65	3.22447	3.33444	3.30569	3.28649	3.27324	3.26371	3.25665	3.24736	3.23906	3.23579	3.23259	3.22960	3.22797	3.22634	3.22559',
'28.70	3.23011	3.33993	3.31122	3.29205	3.27878	3.26927	3.26223	3.25295	3.24466	3.24140	3.23821	3.23521	3.23359	3.23197	3.23122',
'28.75	3.23574	3.34541	3.31674	3.29761	3.28434	3.27483	3.26781	3.25854	3.25027	3.24700	3.24382	3.24083	3.23921	3.23759	3.23684',
'28.80	3.24137	3.35089	3.32226	3.30316	3.28991	3.28040	3.27337	3.26412	3.25587	3.25261	3.24943	3.24645	3.24483	3.24321	3.24247',
'28.85	3.24698	3.35644	3.32777	3.30870	3.29548	3.28598	3.27895	3.26971	3.26147	3.25822	3.25504	3.25207	3.25045	3.24884	3.24809',
'28.90	3.25261	3.36198	3.33326	3.31423	3.30103	3.29155	3.28454	3.27530	3.26707	3.26383	3.26066	3.25768	3.25607	3.25446	3.25372',
'28.95	3.25825	3.36751	3.33882	3.31975	3.30658	3.29712	3.29012	3.28089	3.27267	3.26943	3.26627	3.26330	3.26169	3.26008	3.25934',
'29.00	3.26388	3.37302	3.34437	3.32531	3.31211	3.30267	3.29569	3.28647	3.27827	3.27504	3.27188	3.26892	3.26731	3.26571	3.26497',
'29.05	3.26950	3.37853	3.34991	3.33087	3.31769	3.30824	3.30126	3.29206	3.28388	3.28065	3.27750	3.27454	3.27293	3.27133	3.27059',
'29.10	3.27511	3.38403	3.35544	3.33642	3.32326	3.31382	3.30685	3.29765	3.28948	3.28626	3.28311	3.28016	3.27855	3.27695	3.27622',
'29.15	3.28075	3.38953	3.36096	3.34197	3.32882	3.31940	3.31243	3.30324	3.29508	3.29186	3.28872	3.28577	3.28417	3.28258	3.28184',
'29.20	3.28638	3.39501	3.36647	3.34751	3.33438	3.32496	3.31801	3.30883	3.30068	3.29747	3.29433	3.29139	3.28979	3.28820	3.28746',
'29.25	3.29201	3.40049	3.37198	3.35303	3.33992	3.33052	3.32357	3.31441	3.30628	3.30308	3.29995	3.29701	3.29541	3.29382	3.29309',
'29.30	3.29762	3.40604	3.37751	3.35857	3.34547	3.33609	3.32916	3.32000	3.31189	3.30869	3.30556	3.30263	3.30103	3.29945	3.29871',
'29.35	3.30325	3.41158	3.38306	3.36413	3.35105	3.34167	3.33475	3.32559	3.31749	3.31429	3.31117	3.30825	3.30665	3.30507	3.30434',
'29.40	3.30889	3.41711	3.38861	3.36969	3.35662	3.34725	3.34033	3.33118	3.32309	3.31990	3.31679	3.31386	3.31228	3.31070	3.30996',
'29.45	3.31452	3.42263	3.39414	3.37524	3.36218	3.35281	3.34590	3.33677	3.32869	3.32551	3.32240	3.31948	3.31790	3.31632	3.31559',
'29.50	3.32014	3.42814	3.39967	3.38078	3.36773	3.35837	3.35147	3.34236	3.33430	3.33112	3.32801	3.32510	3.32352	3.32194	3.32121',
'29.55	3.32575	3.43364	3.40519	3.38632	3.37327	3.36394	3.35706	3.34795	3.33990	3.33673	3.33363	3.33072	3.32914	3.32757	3.32684',
'29.60	3.33139	3.43914	3.41070	3.39184	3.37884	3.36953	3.36264	3.35354	3.34550	3.34233	3.33924	3.33634	3.33476	3.33319	3.33246',
'29.65	3.33702	3.44462	3.41620	3.39740	3.38441	3.37510	3.36822	3.35913	3.35111	3.34794	3.34485	3.34196	3.34038	3.33881	3.33809',
'29.70	3.34265	3.45010	3.42176	3.40297	3.38998	3.38067	3.37378	3.36472	3.35671	3.35355	3.35047	3.34757	3.34600	3.34444	3.34371',
'29.75	3.34826	3.45565	3.42731	3.40852	3.39554	3.38623	3.37937	3.37031	3.36231	3.35916	3.35608	3.35319	3.35162	3.35006	3.34934',
'29.80	3.35389	3.46119	3.43285	3.41407	3.40108	3.39180	3.38496	3.37590	3.36791	3.36477	3.36169	3.35881	3.35724	3.35568	3.35496',
'29.85	3.35953	3.46672	3.43838	3.41960	3.40663	3.39738	3.39054	3.38149	3.37352	3.37038	3.36731	3.36443	3.36286	3.36131	3.36059',
'29.90	3.36516	3.47224	3.44391	3.42513	3.41221	3.40296	3.39611	3.38708	3.37912	3.37598	3.37292	3.37005	3.36848	3.36693	3.36621',
'29.95	3.37077	3.47776	3.44943	3.43068	3.41778	3.40853	3.40169	3.39267	3.38472	3.38159	3.37853	3.37567	3.37411	3.37255	3.37184',
'30.00	3.37639	3.48326	3.45493	3.43624	3.42334	3.41408	3.40728	3.39826	3.39033	3.38720	3.38415	3.38128	3.37973	3.37818	3.37746',
'30.05	3.38203	3.48876	3.46046	3.44180	3.42890	3.42089	3.41350	3.40385	3.39593	3.39281	3.38976	3.38690	3.38535	3.38380	3.38309',
'30.10	3.38766	3.49425	3.46602	3.44736	3.43444	3.42645	3.41907	3.40944	3.40154	3.39842	3.39538	3.39252	3.39097	3.38943	3.38871',
'30.15	3.39328	3.49973	3.47157	3.45290	3.44000	3.43201	3.42465	3.41503	3.40714	3.40403	3.40099	3.39814	3.39659	3.39505	3.39434',
'30.20	3.39890	3.50527	3.47710	3.45843	3.44558	3.43758	3.43022	3.42062	3.41274	3.40964	3.40660	3.40376	3.40221	3.40067	3.39996',
'30.25	3.40453	3.51081	3.48264	3.46396	3.45115	3.44314	3.43580	3.42621	3.41835	3.41525	3.41222	3.40938	3.40783	3.40630	3.40559',
'30.30	3.41017	3.51635	3.48816	3.46953	3.45671	3.44870	3.44137	3.43180	3.42395	3.42085	3.41783	3.41500	3.41345	3.41192	3.41121',
'30.35	3.41579	3.52187	3.49367	3.47509	3.46227	3.45427	3.44695	3.43739	3.42955	3.42646	3.42345	3.42061	3.41908	3.41754	3.41684',
'30.40	3.42141	3.52739	3.49918	3.48065	3.46781	3.45983	3.45253	3.44298	3.43516	3.43207	3.42906	3.42623	3.42470	3.42317	3.42246',
'30.45	3.42703	3.53289	3.50473	3.48620	3.47339	3.46540	3.45810	3.44858	3.44076	3.43768	3.43467	3.43185	3.43032	3.42879	3.42809',
'30.50	3.43267	3.53839	3.51029	3.49173	3.47896	3.47096	3.46368	3.45417	3.44637	3.44329	3.44029	3.43747	3.43594	3.43442	3.43371',
'30.55	3.43830	3.54388	3.51583	3.49726	3.48453	3.47653	3.46925	3.45976	3.45197	3.44890	3.44590	3.44309	3.44156	3.44004	3.43934',
'30.60	3.44392	3.54936	3.52137	3.50281	3.49009	3.48209	3.47483	3.46535	3.45758	3.45451	3.45152	3.44871	3.44718	3.44566	3.44496',
'30.65	3.44953	3.55491	3.52690	3.50838	3.49564	3.48765	3.48041	3.47094	3.46318	3.46012	3.45713	3.45433	3.45280	3.45129	3.45058',
'30.70	3.45517	3.56045	3.53242	3.51395	3.50119	3.49322	3.48598	3.47653	3.46878	3.46573	3.46274	3.45995	3.45842	3.45691	3.45621',
'30.75	3.46081	3.56598	3.53793	3.51950	3.50677	3.49879	3.49156	3.48213	3.47439	3.47134	3.46836	3.46556	3.46405	3.46253	3.46183',
'30.80	3.46643	3.57151	3.54345	3.52504	3.51234	3.50435	3.49714	3.48772	3.47999	3.47695	3.47397	3.47118	3.46967	3.46816	3.46746',
'30.85	3.47205	3.57703	3.54901	3.53058	3.51791	3.50992	3.50272	3.49331	3.48560	3.48256	3.47959	3.47680	3.47529	3.47378	3.47308',
'30.90	3.47768	3.58253	3.55456	3.53611	3.52347	3.51548	3.50829	3.49890	3.49120	3.48817	3.48520	3.48242	3.48091	3.47941	3.47871',
'30.95	3.48331	3.58803	3.56011	3.54168	3.52901	3.52105	3.51387	3.50450	3.49681	3.49378	3.49082	3.48804	3.48653	3.48503	3.48433',
'31.00	3.48894	3.59353	3.56564	3.54725	3.53458	3.52662	3.51945	3.51009	3.50241	3.49939	3.49643	3.49366	3.49215	3.49065	3.48996',
'31.05	3.49456	3.59901	3.57117	3.55280	3.54016	3.53218	3.52503	3.51568	3.50802	3.50500	3.50205	3.49928	3.49777	3.49628	3.49558',
'31.10	3.50017	3.60455	3.57668	3.55835	3.54573	3.53775	3.53060	3.52127	3.51362	3.51061	3.50766	3.50490	3.50340	3.50190	3.50121',
'31.15	3.50582	3.61009	3.58219	3.56389	3.55129	3.54332	3.53618	3.52687	3.51923	3.51622	3.51328	3.51052	3.50902	3.50753	3.50683',
'31.20	3.51145	3.61563	3.58775	3.56942	3.55685	3.54888	3.54176	3.53246	3.52483	3.52183	3.51889	3.51614	3.51464	3.51315	3.51246',
'31.25	3.51707	3.62116	3.59330	3.57498	3.56239	3.55445	3.54734	3.53805	3.53044	3.52744	3.52450	3.52175	3.52026	3.51877	3.51809',
'31.30	3.52269	3.62668	3.59885	3.58055	3.56798	3.56002	3.55292	3.54365	3.53604	3.53305	3.53012	3.52737	3.52588	3.52440	3.52371',
'31.35	3.52832	3.63219	3.60439	3.58611	3.57356	3.56559	3.55850	3.54924	3.54165	3.53866	3.53573	3.53299	3.53150	3.53002	3.52933',
'31.40	3.53395	3.63769	3.60992	3.59167	3.57912	3.57115	3.56408	3.55483	3.54726	3.54427	3.54135	3.53861	3.53712	3.53565	3.53496',
'31.45	3.53958	3.64318	3.61545	3.59721	3.58468	3.57672	3.56966	3.56043	3.55286	3.54988	3.54696	3.54423	3.54275	3.54127	3.54059',
'31.50	3.54520	3.64867	3.62096	3.60275	3.59024	3.58229	3.57523	3.56602	3.55847	3.55549	3.55258	3.54985	3.54837	3.54689	3.54621',
'31.55	3.55082	3.65421	3.62649	3.60829	3.59580	3.58786	3.58081	3.57162	3.56407	3.56110	3.55819	3.55547	3.55399	3.55252	3.55184',
'31.60	3.55646	3.65975	3.63205	3.61386	3.60138	3.59343	3.58639	3.57721	3.56968	3.56671	3.56381	3.56109	3.55961	3.55814	3.55746',
'31.65	3.56209	3.66529	3.63760	3.61943	3.60695	3.59900	3.59197	3.58280	3.57528	3.57232	3.56942	3.56671	3.56523	3.56376	3.56309',
'31.70	3.56771	3.67082	3.64315	3.62499	3.61252	3.60457	3.59755	3.58840	3.58089	3.57793	3.57504	3.57233	3.57085	3.56939	3.56871',
'31.75	3.57333	3.67634	3.64868	3.63054	3.61808	3.61013	3.60313	3.59399	3.58650	3.58354	3.58065	3.57795	3.57648	3.57501	3.57434',
'31.80	3.57896	3.68185	3.65421	3.63608	3.62363	3.61570	3.60871	3.59959	3.59210	3.58915	3.58627	3.58357	3.58210	3.58064	3.57996',
'31.85	3.58459	3.68736	3.65973	3.64161	3.62920	3.62127	3.61429	3.60518	3.59771	3.59476	3.59188	3.58919	3.58772	3.58626	3.58559',
'31.90	3.59022	3.69285	3.66525	3.64718	3.63478	3.62684	3.61987	3.61078	3.60331	3.60037	3.59750	3.59481	3.59334	3.59188	3.59121',
'31.95	3.59584	3.69834	3.67080	3.65275	3.64036	3.63241	3.62545	3.61637	3.60892	3.60598	3.60312	3.60043	3.59896	3.59751	3.59684',
'32.00	3.60146	3.70387	3.67636	3.65831	3.64592	3.63798	3.63104	3.62196	3.61453	3.61159	3.60873	3.60605	3.60458	3.60313	3.60246',
'32.05	3.60710	3.70942	3.68191	3.66386	3.65147	3.64355	3.63662	3.62756	3.62013	3.61721	3.61435	3.61166	3.61021	3.60876	3.60809',
'32.10	3.61273	3.71496	3.68745	3.66941	3.65703	3.64912	3.64220	3.63315	3.62574	3.62282	3.61996	3.61728	3.61583	3.61438	3.61371',
'32.15	3.61835	3.72049	3.69299	3.67495	3.66261	3.65469	3.64778	3.63875	3.63135	3.62843	3.62558	3.62290	3.62145	3.62001	3.61934',
'32.20	3.62396	3.72601	3.69851	3.68050	3.66819	3.66027	3.65336	3.64435	3.63695	3.63404	3.63119	3.62852	3.62707	3.62563	3.62496',
'32.25	3.62960	3.73153	3.70403	3.68607	3.67376	3.66584	3.65894	3.64994	3.64256	3.63965	3.63681	3.63414	3.63269	3.63125	3.63059',
'32.30	3.63523	3.73703	3.70956	3.69164	3.67932	3.67141	3.66452	3.65554	3.64817	3.64526	3.64242	3.63976	3.63832	3.63688	3.63621',
'32.35	3.64086	3.74253	3.71512	3.69720	3.68487	3.67698	3.67010	3.66113	3.65377	3.65087	3.64804	3.64538	3.64394	3.64250	3.64184',
'32.40	3.64648	3.74802	3.72068	3.70275	3.69044	3.68255	3.67569	3.66673	3.65938	3.65648	3.65365	3.65100	3.64956	3.64813	3.64746',
'32.45	3.65210	3.75356	3.72623	3.70829	3.69603	3.68812	3.68127	3.67232	3.66499	3.66209	3.65927	3.65662	3.65518	3.65375	3.65309',
'32.50	3.65774	3.75910	3.73177	3.71382	3.70160	3.69369	3.68685	3.67792	3.67059	3.66771	3.66489	3.66224	3.66080	3.65937	3.65871',
'32.55	3.66337	3.76464	3.73730	3.71940	3.70717	3.69927	3.69243	3.68351	3.67620	3.67332	3.67050	3.66786	3.66643	3.66500	3.66434',
'32.60	3.66899	3.77018	3.74282	3.72497	3.71273	3.70484	3.69802	3.68911	3.68181	3.67893	3.67612	3.67348	3.67205	3.67062	3.66996',
'32.65	3.67460	3.77570	3.74834	3.73053	3.71828	3.71041	3.70360	3.69471	3.68741	3.68454	3.68173	3.67910	3.67767	3.67625	3.67559',
'32.70	3.68024	3.78122	3.75389	3.73609	3.72387	3.71598	3.70918	3.70030	3.69302	3.69015	3.68735	3.68472	3.68329	3.68187	3.68121',
'32.75	3.68587	3.78673	3.75945	3.74163	3.72945	3.72156	3.71476	3.70590	3.69863	3.69576	3.69297	3.69034	3.68891	3.68749	3.68684',
'32.80	3.69150	3.79223	3.76501	3.74717	3.73502	3.72713	3.72035	3.71149	3.70424	3.70137	3.69858	3.69596	3.69454	3.69312	3.69246',
'32.85	3.69712	3.79772	3.77055	3.75273	3.74058	3.73270	3.72593	3.71709	3.70984	3.70699	3.70420	3.70158	3.70016	3.69874	3.69809',
'32.90	3.70274	3.80325	3.77609	3.75831	3.74614	3.73827	3.73151	3.72269	3.71545	3.71260	3.70981	3.70720	3.70578	3.70437	3.70371',
'32.95	3.70838	3.80880	3.78162	3.76387	3.75170	3.74385	3.73710	3.72828	3.72106	3.71821	3.71543	3.71282	3.71140	3.70999	3.70934',
'33.00	3.71401	3.81434	3.78714	3.76943	3.75729	3.74942	3.74268	3.73388	3.72667	3.72382	3.72104	3.71844	3.71702	3.71562	3.71496',
'33.05	3.71963	3.81987	3.79267	3.77498	3.76287	3.75499	3.74826	3.73948	3.73227	3.72943	3.72666	3.72406	3.72265	3.72124	3.72059',
'33.10	3.72524	3.82540	3.79823	3.78053	3.76844	3.76057	3.75385	3.74507	3.73788	3.73505	3.73228	3.72968	3.72827	3.72686	3.72621',
'33.15	3.73088	3.83092	3.80379	3.78607	3.77400	3.76614	3.75943	3.75067	3.74349	3.74066	3.73789	3.73530	3.73389	3.73249	3.73184',
'33.20	3.73651	3.83643	3.80934	3.79165	3.77955	3.77172	3.76502	3.75627	3.74910	3.74627	3.74351	3.74092	3.73951	3.73811	3.73746',
'33.25	3.74214	3.84193	3.81489	3.79722	3.78513	3.77729	3.77060	3.76187	3.75470	3.75188	3.74913	3.74654	3.74513	3.74374	3.74309',
'33.30	3.74775	3.84743	3.82042	3.80278	3.79072	3.78287	3.77618	3.76746	3.76031	3.75749	3.75474	3.75216	3.75076	3.74936	3.74872',
'33.35	3.75338	3.85295	3.82595	3.80834	3.79629	3.78844	3.78177	3.77306	3.76592	3.76311	3.76036	3.75778	3.75638	3.75499	3.75434',
'33.40	3.75902	3.85850	3.83147	3.81389	3.80186	3.79401	3.78735	3.77866	3.77153	3.76872	3.76597	3.76340	3.76200	3.76061	3.75997',
'33.45	3.76465	3.86405	3.83702	3.81943	3.80742	3.79959	3.79294	3.78425	3.77714	3.77433	3.77159	3.76902	3.76762	3.76623	3.76559',
'33.50	3.77027	3.86958	3.84258	3.82499	3.81298	3.80516	3.79852	3.78985	3.78274	3.77994	3.77721	3.77464	3.77325	3.77186	3.77122',
'33.55	3.77588	3.87511	3.84814	3.83057	3.81857	3.81074	3.80411	3.79545	3.78835	3.78555	3.78282	3.78026	3.77887	3.77748	3.77684',
'33.60	3.78152	3.88063	3.85369	3.83613	3.82415	3.81631	3.80969	3.80105	3.79396	3.79117	3.78844	3.78588	3.78449	3.78311	3.78247',
'33.65	3.78715	3.88614	3.85923	3.84169	3.82972	3.82189	3.81528	3.80665	3.79957	3.79678	3.79406	3.79150	3.79011	3.78873	3.78809',
'33.70	3.79278	3.89165	3.86476	3.84725	3.83529	3.82747	3.82086	3.81224	3.80518	3.80239	3.79967	3.79712	3.79573	3.79436	3.79372',
'33.75	3.79839	3.89715	3.87029	3.85279	3.84084	3.83304	3.82645	3.81784	3.81079	3.80800	3.80529	3.80274	3.80136	3.79998	3.79934',
'33.80	3.80403	3.90267	3.87581	3.85834	3.84642	3.83862	3.83203	3.82344	3.81639	3.81362	3.81091	3.80836	3.80698	3.80560	3.80497',
'33.85	3.80966	3.90822	3.88138	3.86392	3.85200	3.84419	3.83762	3.82904	3.82200	3.81923	3.81652	3.81398	3.81260	3.81123	3.81059',
'33.90	3.81529	3.91377	3.88694	3.86949	3.85758	3.84977	3.84320	3.83464	3.82761	3.82484	3.82214	3.81960	3.81822	3.81685	3.81622',
'33.95	3.82091	3.91930	3.89250	3.87506	3.86315	3.85535	3.84879	3.84023	3.83322	3.83045	3.82775	3.82522	3.82385	3.82248	3.82184',
'34.00	3.82653	3.92483	3.89804	3.88061	3.86872	3.86092	3.85438	3.84583	3.83883	3.83607	3.83337	3.83084	3.82947	3.82810	3.82747',
'34.05	3.83216	3.93036	3.90358	3.88616	3.87427	3.86650	3.85996	3.85143	3.84444	3.84168	3.83899	3.83646	3.83509	3.83373	3.83310',
'34.10	3.83780	3.93587	3.90911	3.89170	3.87986	3.87208	3.86555	3.85703	3.85005	3.84729	3.84461	3.84208	3.84071	3.83935	3.83872',
'34.15	3.84342	3.94138	3.91463	3.89728	3.88544	3.87765	3.87114	3.86263	3.85565	3.85291	3.85022	3.84770	3.84634	3.84498	3.84435',
'34.20	3.84903	3.94688	3.92018	3.90285	3.89102	3.88323	3.87672	3.86823	3.86126	3.85852	3.85584	3.85332	3.85196	3.85060	3.84997',
'34.25	3.85467	3.95240	3.92575	3.90842	3.89659	3.88881	3.88231	3.87383	3.86687	3.86413	3.86146	3.85895	3.85758	3.85622	3.85560',
'34.30	3.86030	3.95795	3.93131	3.91398	3.90215	3.89438	3.88789	3.87943	3.87248	3.86974	3.86707	3.86457	3.86320	3.86185	3.86122',
'34.35	3.86593	3.96350	3.93686	3.91953	3.90771	3.89996	3.89348	3.88502	3.87809	3.87536	3.87269	3.87019	3.86883	3.86747	3.86685',
'34.40	3.87154	3.96904	3.94240	3.92508	3.91330	3.90554	3.89907	3.89062	3.88370	3.88097	3.87831	3.87581	3.87445	3.87310	3.87247',
'34.45	3.87717	3.97457	3.94794	3.93064	3.91889	3.91112	3.90466	3.89622	3.88931	3.88658	3.88392	3.88143	3.88007	3.87872	3.87810',
'34.50	3.88281	3.98009	3.95347	3.93622	3.92446	3.91670	3.91024	3.90182	3.89492	3.89220	3.88954	3.88705	3.88569	3.88435	3.88372',
'34.55	3.88844	3.98561	3.95899	3.94179	3.93003	3.92227	3.91583	3.90742	3.90053	3.89781	3.89516	3.89267	3.89132	3.88997	3.88935',
'34.60	3.89406	3.99112	3.96456	3.94735	3.93559	3.92785	3.92142	3.91302	3.90614	3.90342	3.90077	3.89829	3.89694	3.89560	3.89497',
'34.65	3.89967	3.99662	3.97013	3.95291	3.94117	3.93343	3.92701	3.91862	3.91175	3.90904	3.90639	3.90391	3.90256	3.90122	3.90060',
'34.70	3.90531	4.00214	3.97568	3.95846	3.94675	3.93901	3.93259	3.92422	3.91736	3.91465	3.91201	3.90953	3.90818	3.90684	3.90622',
'34.75	3.91094	4.00770	3.98123	3.96400	3.95233	3.94459	3.93818	3.92982	3.92296	3.92026	3.91762	3.91515	3.91381	3.91247	3.91185',
'34.80	3.91657	4.01324	3.98677	3.96958	3.95790	3.95017	3.94377	3.93542	3.92857	3.92588	3.92324	3.92077	3.91943	3.91809	3.91748',
'34.85	3.92218	4.01878	3.99230	3.97516	3.96347	3.95575	3.94936	3.94102	3.93418	3.93149	3.92886	3.92639	3.92505	3.92372	3.92310',
'34.90	3.92781	4.02432	3.99783	3.98073	3.96903	3.96132	3.95494	3.94662	3.93979	3.93710	3.93448	3.93201	3.93067	3.92934	3.92873',
'34.95	3.93345	4.02984	4.00338	3.98629	3.97462	3.96690	3.96053	3.95222	3.94540	3.94272	3.94009	3.93763	3.93630	3.93497	3.93435',
'35.00	3.93908	4.03536	4.00895	3.99184	3.98021	3.97248	3.96612	3.95782	3.95101	3.94833	3.94571	3.94325	3.94192	3.94059	3.93998',
'35.05	3.94470	4.04087	4.01451	3.99739	3.98578	3.97806	3.97171	3.96342	3.95662	3.95394	3.95133	3.94887	3.94754	3.94622	3.94560',
'35.10	3.95031	4.04637	4.02007	4.00295	3.99135	3.98364	3.97730	3.96902	3.96223	3.95956	3.95695	3.95450	3.95316	3.95184	3.95123',
'35.15	3.95595	4.05189	4.02561	4.00854	3.99691	3.98922	3.98289	3.97462	3.96784	3.96517	3.96256	3.96012	3.95879	3.95747	3.95685',
'35.20	3.96158	4.05745	4.03115	4.01411	4.00249	3.99480	3.98847	3.98022	3.97345	3.97078	3.96818	3.96574	3.96441	3.96309	3.96248',
'35.25	3.96721	4.06300	4.03668	4.01967	4.00808	4.00038	3.99406	3.98582	3.97906	3.97640	3.97380	3.97136	3.97003	3.96871	3.96810',
'35.30	3.97282	4.06854	4.04221	4.02523	4.01366	4.00596	3.99965	3.99142	3.98467	3.98201	3.97941	3.97698	3.97566	3.97434	3.97373',
'35.35	3.97845	4.07408	4.04778	4.03078	4.01923	4.01154	4.00524	3.99702	3.99028	3.98763	3.98503	3.98260	3.98128	3.97996	3.97936',
'35.40	3.98409	4.07960	4.05335	4.03633	4.02480	4.01712	4.01083	4.00262	3.99589	3.99324	3.99065	3.98822	3.98690	3.98559	3.98498',
'35.45	3.98972	4.08512	4.05891	4.04191	4.03036	4.02270	4.01642	4.00822	4.00150	3.99885	3.99627	3.99384	3.99252	3.99121	3.99061',
'35.50	3.99533	4.09064	4.06446	4.04749	4.03595	4.02828	4.02201	4.01382	4.00711	4.00447	4.00188	3.99946	3.99815	3.99684	3.99623',
'35.55	4.00095	4.09614	4.07000	4.05306	4.04154	4.03386	4.02760	4.01942	4.01272	4.01008	4.00750	4.00508	4.00377	4.00246	4.00186',
'35.60	4.00659	4.10166	4.07553	4.05862	4.04712	4.03944	4.03319	4.02502	4.01833	4.01569	4.01312	4.01070	4.00939	4.00809	4.00748',
'35.65	4.01222	4.10722	4.08106	4.06418	4.05269	4.04503	4.03878	4.03063	4.02394	4.02131	4.01874	4.01633	4.01502	4.01371	4.01311',
'35.70	4.01785	4.11277	4.08662	4.06972	4.05826	4.05061	4.04437	4.03623	4.02955	4.02692	4.02435	4.02195	4.02064	4.01934	4.01873',
'35.75	4.02346	4.11831	4.09219	4.07530	4.06382	4.05619	4.04996	4.04183	4.03516	4.03254	4.02997	4.02757	4.02626	4.02496	4.02436',
'35.80	4.02909	4.12385	4.09775	4.08088	4.06942	4.06177	4.05555	4.04743	4.04077	4.03815	4.03559	4.03319	4.03188	4.03059	4.02998',
'35.85	4.03473	4.12938	4.10331	4.08645	4.07500	4.06735	4.06114	4.05303	4.04638	4.04377	4.04121	4.03881	4.03751	4.03621	4.03561',
'35.90	4.04036	4.13490	4.10885	4.09202	4.08058	4.07293	4.06673	4.05863	4.05199	4.04938	4.04683	4.04443	4.04313	4.04183	4.04123',
'35.95	4.04597	4.14041	4.11439	4.09757	4.08615	4.07851	4.07232	4.06423	4.05761	4.05499	4.05244	4.05005	4.04875	4.04746	4.04686',
'36.00	4.05160	4.14592	4.11993	4.10313	4.09171	4.08410	4.07791	4.06983	4.06322	4.06061	4.05806	4.05567	4.05437	4.05308	4.05249',
'36.05	4.05723	4.15144	4.12546	4.10868	4.09729	4.08968	4.08350	4.07544	4.06883	4.06622	4.06368	4.06129	4.06000	4.05871	4.05811',
'36.10	4.06286	4.15700	4.13103	4.11427	4.10288	4.09526	4.08909	4.08104	4.07444	4.07184	4.06930	4.06692	4.06562	4.06433	4.06374',
'36.15	4.06849	4.16255	4.13660	4.11984	4.10847	4.10084	4.09468	4.08664	4.08005	4.07745	4.07491	4.07254	4.07124	4.06996	4.06936',
'36.20	4.07410	4.16810	4.14216	4.12541	4.11404	4.10643	4.10027	4.09224	4.08566	4.08307	4.08053	4.07816	4.07687	4.07558	4.07499',
'36.25	4.07974	4.17363	4.14771	4.13098	4.11961	4.11201	4.10586	4.09784	4.09127	4.08868	4.08615	4.08378	4.08249	4.08121	4.08061',
'36.30	4.08537	4.17916	4.15326	4.13653	4.12517	4.11759	4.11145	4.10344	4.09688	4.09429	4.09177	4.08940	4.08811	4.08683	4.08624',
'36.35	4.09100	4.18469	4.15880	4.14208	4.13077	4.12317	4.11704	4.10905	4.10249	4.09991	4.09739	4.09502	4.09374	4.09246	4.09186',
'36.40	4.09661	4.19020	4.16433	4.14766	4.13635	4.12876	4.12264	4.11465	4.10810	4.10552	4.10300	4.10064	4.09936	4.09808	4.09749',
'36.45	4.10224	4.19571	4.16988	4.15324	4.14194	4.13434	4.12823	4.12025	4.11371	4.11114	4.10862	4.10626	4.10498	4.10371	4.10312',
'36.50	4.10787	4.20123	4.17546	4.15881	4.14751	4.13992	4.13382	4.12585	4.11932	4.11675	4.11424	4.11188	4.11060	4.10933	4.10874',
'36.55	4.11350	4.20679	4.18102	4.16438	4.15307	4.14551	4.13941	4.13145	4.12494	4.12237	4.11986	4.11751	4.11623	4.11496	4.11437',
'36.60	4.11913	4.21234	4.18658	4.16994	4.15865	4.15109	4.14500	4.13706	4.13055	4.12798	4.12548	4.12313	4.12185	4.12058	4.11999',
'36.65	4.12474	4.21789	4.19213	4.17549	4.16424	4.15667	4.15059	4.14266	4.13616	4.13360	4.13109	4.12875	4.12747	4.12620	4.12562',
'36.70	4.13038	4.22343	4.19767	4.18106	4.16983	4.16226	4.15618	4.14826	4.14177	4.13921	4.13671	4.13437	4.13310	4.13183	4.13124',
'36.75	4.13601	4.22896	4.20321	4.18664	4.17541	4.16784	4.16178	4.15386	4.14738	4.14482	4.14233	4.13999	4.13872	4.13745	4.13687',
'36.80	4.14164	4.23448	4.20874	4.19222	4.18098	4.17342	4.16737	4.15947	4.15299	4.15044	4.14795	4.14561	4.14434	4.14308	4.14249',
'36.85	4.14725	4.24000	4.21432	4.19779	4.18654	4.17901	4.17296	4.16507	4.15860	4.15605	4.15357	4.15123	4.14997	4.14870	4.14812',
'36.90	4.15288	4.24551	4.21989	4.20335	4.19213	4.18459	4.17855	4.17067	4.16422	4.16167	4.15918	4.15686	4.15559	4.15433	4.15375',
'36.95	4.15852	4.25103	4.22545	4.20891	4.19772	4.19018	4.18414	4.17628	4.16983	4.16728	4.16480	4.16248	4.16121	4.15995	4.15937',
'37.00	4.16414	4.25659	4.23100	4.21446	4.20330	4.19576	4.18974	4.18188	4.17544	4.17290	4.17042	4.16810	4.16683	4.16558	4.16500',
'37.05	4.16976	4.26215	4.23655	4.22005	4.20974	4.20134	4.19533	4.18748	4.18105	4.17851	4.17604	4.17372	4.17246	4.17120	4.17062',
'37.10	4.17538	4.26770	4.24209	4.22563	4.21531	4.20693	4.20092	4.19308	4.18666	4.18413	4.18166	4.17934	4.17808	4.17683	4.17625',
'37.15	4.18102	4.27324	4.24762	4.23120	4.22089	4.21251	4.20651	4.19869	4.19227	4.18974	4.18728	4.18496	4.18370	4.18245	4.18187',
'37.20	4.18665	4.27877	4.25318	4.23677	4.22646	4.21810	4.21211	4.20429	4.19788	4.19536	4.19289	4.19058	4.18933	4.18808	4.18750',
'37.25	4.19228	4.28430	4.25876	4.24233	4.23203	4.22368	4.21770	4.20989	4.20350	4.20097	4.19851	4.19620	4.19495	4.19370	4.19313',
'37.30	4.19789	4.28982	4.26432	4.24788	4.23761	4.22927	4.22329	4.21550	4.20911	4.20659	4.20413	4.20183	4.20057	4.19933	4.19875',
'37.35	4.20352	4.29533	4.26988	4.25345	4.24318	4.23485	4.22889	4.22110	4.21472	4.21220	4.20975	4.20745	4.20620	4.20495	4.20438',
'37.40	4.20916	4.30084	4.27543	4.25904	4.24875	4.24044	4.23448	4.22670	4.22033	4.21782	4.21537	4.21307	4.21182	4.21058	4.21000',
'37.45	4.21478	4.30641	4.28098	4.26461	4.25433	4.24602	4.24007	4.23231	4.22594	4.22343	4.22099	4.21869	4.21744	4.21620	4.21563',
'37.50	4.22040	4.31196	4.28652	4.27018	4.25990	4.25161	4.24567	4.23791	4.23155	4.22905	4.22661	4.22431	4.22307	4.22183	4.22125',
'37.55	4.22602	4.31751	4.29205	4.27575	4.26548	4.25719	4.25126	4.24351	4.23717	4.23467	4.23222	4.22993	4.22869	4.22745	4.22688',
'37.60	4.23166	4.32305	4.29763	4.28130	4.27105	4.26278	4.25685	4.24912	4.24278	4.24028	4.23784	4.23556	4.23431	4.23308	4.23250',
'37.65	4.23729	4.32859	4.30320	4.28686	4.27663	4.26837	4.26245	4.25472	4.24839	4.24590	4.24346	4.24118	4.23994	4.23870	4.23813',
'37.70	4.24292	4.33412	4.30877	4.29245	4.28220	4.27395	4.26804	4.26032	4.25400	4.25151	4.24908	4.24680	4.24556	4.24433	4.24376',
'37.75	4.24853	4.33964	4.31432	4.29803	4.28778	4.27954	4.27363	4.26593	4.25961	4.25713	4.25470	4.25242	4.25118	4.24995	4.24938',
'37.80	4.25416	4.34515	4.31987	4.30360	4.29335	4.28512	4.27923	4.27153	4.26523	4.26274	4.26032	4.25804	4.25681	4.25558	4.25501',
'37.85	4.25980	4.35067	4.32541	4.30917	4.29893	4.29071	4.28482	4.27714	4.27084	4.26836	4.26593	4.26366	4.26243	4.26120	4.26063',
'37.90	4.26542	4.35623	4.33095	4.31473	4.30450	4.29630	4.29041	4.28274	4.27645	4.27397	4.27155	4.26929	4.26805	4.26683	4.26626',
'37.95	4.27104	4.36179	4.33651	4.32028	4.31008	4.30188	4.29601	4.28834	4.28206	4.27959	4.27717	4.27491	4.27368	4.27245	4.27188',
'38.00	4.27667	4.36734	4.34209	4.32587	4.31566	4.30747	4.30160	4.29395	4.28768	4.28520	4.28279	4.28053	4.27930	4.27808	4.27751',
'38.05	4.28230	4.37289	4.34765	4.33145	4.32123	4.31306	4.30720	4.29955	4.29329	4.29082	4.28841	4.28615	4.28492	4.28370	4.28313',
'38.10	4.28793	4.37842	4.35322	4.33703	4.32681	4.31864	4.31279	4.30516	4.29890	4.29644	4.29403	4.29177	4.29055	4.28933	4.28876',
'38.15	4.29355	4.38395	4.35877	4.34260	4.33239	4.32423	4.31839	4.31076	4.30451	4.30205	4.29965	4.29739	4.29617	4.29495	4.29439',
'38.20	4.29917	4.38947	4.36432	4.34816	4.33796	4.32982	4.32398	4.31637	4.31013	4.30767	4.30527	4.30301	4.30179	4.30058	4.30001',
'38.25	4.30481	4.39499	4.36986	4.35372	4.34354	4.33540	4.32957	4.32197	4.31574	4.31328	4.31088	4.30864	4.30742	4.30620	4.30564',
'38.30	4.31044	4.40051	4.37540	4.35929	4.34911	4.34099	4.33517	4.32757	4.32135	4.31890	4.31650	4.31426	4.31304	4.31183	4.31126',
'38.35	4.31606	4.40607	4.38098	4.36487	4.35469	4.34658	4.34076	4.33318	4.32696	4.32451	4.32212	4.31988	4.31866	4.31745	4.31689',
'38.40	4.32168	4.41163	4.38655	4.37045	4.36027	4.35216	4.34636	4.33878	4.33258	4.33013	4.32774	4.32550	4.32429	4.32308	4.32252',
'38.45	4.32731	4.41718	4.39211	4.37603	4.36585	4.35775	4.35195	4.34439	4.33819	4.33575	4.33336	4.33112	4.32991	4.32870	4.32814',
'38.50	4.33294	4.42273	4.39767	4.38160	4.37142	4.36334	4.35755	4.34999	4.34380	4.34136	4.33898	4.33675	4.33553	4.33432	4.33377',
'38.55	4.33857	4.42827	4.40322	4.38716	4.37700	4.36893	4.36314	4.35560	4.34941	4.34698	4.34460	4.34237	4.34116	4.33995	4.33939',
'38.60	4.34419	4.43380	4.40877	4.39271	4.38258	4.37451	4.36874	4.36120	4.35503	4.35259	4.35022	4.34799	4.34678	4.34557	4.34502',
'38.65	4.34981	4.43932	4.41431	4.39830	4.38815	4.38010	4.37433	4.36681	4.36064	4.35821	4.35584	4.35361	4.35240	4.35120	4.35064',
'38.70	4.35545	4.44484	4.41987	4.40388	4.39373	4.38569	4.37993	4.37241	4.36625	4.36382	4.36146	4.35923	4.35803	4.35682	4.35627',
'38.75	4.36108	4.45035	4.42545	4.40946	4.39931	4.39128	4.38552	4.37802	4.37187	4.36944	4.36707	4.36485	4.36365	4.36245	4.36189',
'38.80	4.36671	4.45592	4.43102	4.41503	4.40489	4.39687	4.39112	4.38362	4.37748	4.37506	4.37269	4.37048	4.36927	4.36807	4.36752',
'38.85	4.37232	4.46148	4.43658	4.42060	4.41047	4.40245	4.39671	4.38923	4.38309	4.38067	4.37831	4.37610	4.37490	4.37370	4.37315',
'38.90	4.37795	4.46703	4.44214	4.42615	4.41604	4.40804	4.40231	4.39483	4.38870	4.38629	4.38393	4.38172	4.38052	4.37932	4.37877',
'38.95	4.38359	4.47258	4.44768	4.43173	4.42162	4.41363	4.40791	4.40044	4.39432	4.39190	4.38955	4.38734	4.38614	4.38495	4.38440',
'39.00	4.38921	4.47812	4.45323	4.43732	4.42720	4.41922	4.41350	4.40604	4.39993	4.39752	4.39517	4.39296	4.39177	4.39057	4.39002',
'39.05	4.39483	4.48365	4.45877	4.44290	4.43278	4.42481	4.41910	4.41165	4.40554	4.40314	4.40079	4.39859	4.39739	4.39620	4.39565',
'39.10	4.40045	4.48918	4.46435	4.44847	4.43836	4.43040	4.42469	4.41725	4.41116	4.40875	4.40641	4.40421	4.40301	4.40182	4.40127',
'39.15	4.40609	4.49470	4.46992	4.45404	4.44394	4.43599	4.43029	4.42286	4.41677	4.41437	4.41203	4.40983	4.40864	4.40745	4.40690',
'39.20	4.41172	4.50021	4.47549	4.45960	4.44952	4.44157	4.43589	4.42846	4.42238	4.41999	4.41765	4.41545	4.41426	4.41307	4.41253',
'39.25	4.41735	4.50578	4.48105	4.46516	4.45509	4.44716	4.44148	4.43407	4.42800	4.42560	4.42327	4.42107	4.41988	4.41870	4.41815',
'39.30	4.42296	4.51134	4.48661	4.47075	4.46067	4.45275	4.44708	4.43967	4.43361	4.43122	4.42888	4.42670	4.42551	4.42432	4.42378',
'39.35	4.42859	4.51690	4.49215	4.47634	4.46625	4.45834	4.45267	4.44528	4.43922	4.43683	4.43450	4.43232	4.43113	4.42995	4.42940',
'39.40	4.43423	4.52245	4.49769	4.48191	4.47183	4.46393	4.45827	4.45089	4.44484	4.44245	4.44012	4.43794	4.43675	4.43558	4.43503',
'39.45	4.43985	4.52799	4.50326	4.48748	4.47741	4.46952	4.46387	4.45649	4.45045	4.44807	4.44574	4.44356	4.44238	4.44120	4.44065',
'39.50	4.44547	4.53352	4.50884	4.49305	4.48299	4.47511	4.46946	4.46210	4.45606	4.45368	4.45136	4.44918	4.44800	4.44683	4.44628',
'39.55	4.45109	4.53905	4.51441	4.49861	4.48857	4.48070	4.47506	4.46770	4.46168	4.45930	4.45698	4.45481	4.45363	4.45245	4.45191',
'39.60	4.45673	4.54457	4.51997	4.50419	4.49415	4.48629	4.48066	4.47331	4.46729	4.46492	4.46260	4.46043	4.45925	4.45808	4.45753',
'39.65	4.46236	4.55009	4.52553	4.50978	4.49973	4.49188	4.48625	4.47892	4.47290	4.47053	4.46822	4.46605	4.46487	4.46370	4.46316',
'39.70	4.46799	4.55565	4.53108	4.51536	4.50531	4.49747	4.49185	4.48452	4.47852	4.47615	4.47384	4.47167	4.47050	4.46933	4.46878',
'39.75	4.47360	4.56122	4.53663	4.52093	4.51089	4.50306	4.49745	4.49013	4.48413	4.48177	4.47946	4.47730	4.47612	4.47495	4.47441',
'39.80	4.47923	4.56677	4.54217	4.52650	4.51647	4.50865	4.50304	4.49573	4.48974	4.48738	4.48508	4.48292	4.48174	4.48058	4.48004',
'39.85	4.48487	4.57232	4.54775	4.53206	4.52205	4.51424	4.50864	4.50134	4.49536	4.49300	4.49070	4.48854	4.48737	4.48620	4.48566',
'39.90	4.49049	4.57786	4.55333	4.53763	4.52763	4.51983	4.51424	4.50695	4.50097	4.49862	4.49632	4.49416	4.49299	4.49183	4.49129',
'39.95	4.49611	4.58340	4.55890	4.54322	4.53321	4.52542	4.51984	4.51255	4.50658	4.50423	4.50194	4.49978	4.49861	4.49745	4.49691',
'40.00	4.50174	4.58893	4.56446	4.54881	4.53879	4.53101	4.52543	4.51816	4.51220	4.50985	4.50756	4.50541	4.50424	4.50308	4.50254',
'40.05	4.50737	4.59445	4.57001	4.55569	4.54438	4.53660	4.53103	4.52377	4.51781	4.51547	4.51318	4.51103	4.50986	4.50870	4.50816',
'40.10	4.51300	4.59997	4.57556	4.56126	4.54996	4.54219	4.53663	4.52937	4.52343	4.52108	4.51880	4.51665	4.51549	4.51433	4.51379',
'40.15	4.51863	4.60554	4.58111	4.56683	4.55554	4.54778	4.54223	4.53498	4.52904	4.52670	4.52442	4.52227	4.52111	4.51995	4.51942',
'40.20	4.52424	4.61110	4.58667	4.57239	4.56112	4.55337	4.54782	4.54058	4.53465	4.53232	4.53003	4.52790	4.52673	4.52558	4.52504',
'40.25	4.52988	4.61666	4.59225	4.57796	4.56670	4.55896	4.55342	4.54619	4.54027	4.53793	4.53565	4.53352	4.53236	4.53120	4.53067',
'40.30	4.53551	4.62221	4.59783	4.58353	4.57228	4.56455	4.55902	4.55180	4.54588	4.54355	4.54127	4.53914	4.53798	4.53683	4.53629',
'40.35	4.54114	4.62775	4.60339	4.58910	4.57786	4.57014	4.56462	4.55740	4.55149	4.54917	4.54689	4.54476	4.54360	4.54245	4.54192',
'40.40	4.54675	4.63329	4.60895	4.59467	4.58344	4.57574	4.57021	4.56301	4.55711	4.55478	4.55251	4.55038	4.54923	4.54808	4.54754',
'40.45	4.55238	4.63882	4.61450	4.60023	4.58903	4.58133	4.57581	4.56862	4.56272	4.56040	4.55813	4.55601	4.55485	4.55370	4.55317',
'40.50	4.55801	4.64434	4.62005	4.60580	4.59461	4.58692	4.58141	4.57422	4.56834	4.56602	4.56375	4.56163	4.56047	4.55933	4.55880',
'40.55	4.56364	4.64986	4.62560	4.61137	4.60019	4.59251	4.58701	4.57983	4.57395	4.57163	4.56937	4.56725	4.56610	4.56495	4.56442',
'40.60	4.56927	4.65543	4.63118	4.61694	4.60577	4.59810	4.59261	4.58544	4.57957	4.57725	4.57499	4.57287	4.57172	4.57058	4.57005',
'40.65	4.57488	4.66100	4.63676	4.62251	4.61135	4.60369	4.59820	4.59104	4.58518	4.58287	4.58061	4.57850	4.57735	4.57620	4.57567',
'40.70	4.58052	4.66655	4.64233	4.62808	4.61694	4.60928	4.60380	4.59665	4.59079	4.58848	4.58623	4.58412	4.58297	4.58183	4.58130',
'40.75	4.58615	4.67210	4.64789	4.63365	4.62252	4.61488	4.60940	4.60226	4.59641	4.59410	4.59185	4.58974	4.58859	4.58745	4.58693',
'40.80	4.59178	4.67765	4.65345	4.63921	4.62810	4.62047	4.61500	4.60787	4.60202	4.59972	4.59747	4.59536	4.59422	4.59308	4.59255',
'40.85	4.59739	4.68319	4.65900	4.64478	4.63368	4.62606	4.62060	4.61347	4.60764	4.60534	4.60309	4.60099	4.59984	4.59870	4.59818',
'40.90	4.60302	4.68872	4.66455	4.65035	4.63927	4.63165	4.62620	4.61908	4.61325	4.61095	4.60871	4.60661	4.60546	4.60433	4.60380',
'40.95	4.60866	4.69425	4.67011	4.65592	4.64485	4.63724	4.63179	4.62469	4.61886	4.61657	4.61433	4.61223	4.61109	4.60995	4.60943',
'41.00	4.61428	4.69976	4.67570	4.66149	4.65043	4.64284	4.63739	4.63030	4.62448	4.62219	4.61995	4.61785	4.61671	4.61558	4.61505',
'41.05	4.61991	4.70533	4.68127	4.66706	4.65602	4.64843	4.64299	4.63590	4.63009	4.62780	4.62557	4.62348	4.62234	4.62120	4.62068',
'41.10	4.62552	4.71090	4.68684	4.67263	4.66160	4.65402	4.64859	4.64151	4.63571	4.63342	4.63119	4.62910	4.62796	4.62683	4.62631',
'41.15	4.63116	4.71646	4.69240	4.67820	4.66718	4.65961	4.65419	4.64712	4.64132	4.63904	4.63681	4.63472	4.63358	4.63245	4.63193',
'41.20	4.63679	4.72201	4.69795	4.68377	4.67277	4.66521	4.65979	4.65272	4.64694	4.64466	4.64243	4.64034	4.63921	4.63808	4.63756',
'41.25	4.64242	4.72756	4.70350	4.68934	4.67835	4.67080	4.66539	4.65833	4.65255	4.65027	4.64805	4.64597	4.64483	4.64371	4.64318',
'41.30	4.64803	4.73310	4.70905	4.69491	4.68393	4.67639	4.67099	4.66394	4.65817	4.65589	4.65367	4.65159	4.65046	4.64933	4.64881',
'41.35	4.65366	4.73863	4.71464	4.70049	4.68952	4.68198	4.67659	4.66955	4.66378	4.66151	4.65929	4.65721	4.65608	4.65496	4.65444',
'41.40	4.65930	4.74416	4.72022	4.70606	4.69510	4.68758	4.68219	4.67516	4.66939	4.66713	4.66491	4.66283	4.66170	4.66058	4.66006',
'41.45	4.66493	4.74968	4.72579	4.71163	4.70069	4.69317	4.68779	4.68076	4.67501	4.67274	4.67053	4.66846	4.66733	4.66621	4.66569',
'41.50	4.67055	4.75525	4.73135	4.71720	4.70627	4.69876	4.69338	4.68637	4.68062	4.67836	4.67615	4.67408	4.67295	4.67183	4.67131',
'41.55	4.67617	4.76082	4.73691	4.72277	4.71185	4.70435	4.69898	4.69198	4.68624	4.68398	4.68177	4.67970	4.67858	4.67746	4.67694',
'41.60	4.68180	4.76638	4.74246	4.72834	4.71744	4.70995	4.70458	4.69759	4.69185	4.68959	4.68739	4.68532	4.68420	4.68308	4.68256',
'41.65	4.68743	4.77193	4.74801	4.73391	4.72302	4.71554	4.71018	4.70319	4.69747	4.69521	4.69301	4.69095	4.68982	4.68871	4.68819',
'41.70	4.69306	4.77748	4.75358	4.73948	4.72861	4.72113	4.71578	4.70880	4.70308	4.70083	4.69863	4.69657	4.69545	4.69433	4.69382',
'41.75	4.69867	4.78302	4.75916	4.74506	4.73419	4.72673	4.72138	4.71441	4.70870	4.70645	4.70425	4.70219	4.70107	4.69996	4.69944',
'41.80	4.70431	4.78855	4.76474	4.75063	4.73978	4.73232	4.72698	4.72002	4.71431	4.71206	4.70987	4.70781	4.70670	4.70558	4.70507',
'41.85	4.70994	4.79408	4.77031	4.75620	4.74536	4.73791	4.73258	4.72563	4.71993	4.71768	4.71549	4.71344	4.71232	4.71121	4.71069',
'41.90	4.71557	4.79960	4.77587	4.76177	4.75095	4.74351	4.73818	4.73123	4.72554	4.72330	4.72111	4.71906	4.71794	4.71683	4.71632',
'41.95	4.72119	4.80517	4.78143	4.76734	4.75653	4.74910	4.74378	4.73684	4.73116	4.72892	4.72673	4.72468	4.72357	4.72246	4.72195',
'42.00	4.72681	4.81074	4.78698	4.77292	4.76212	4.75470	4.74938	4.74245	4.73677	4.73453	4.73235	4.73030	4.72919	4.72808	4.72757',
'42.05	4.73244	4.81630	4.79253	4.77849	4.76770	4.76029	4.75498	4.74806	4.74239	4.74015	4.73797	4.73593	4.73481	4.73371	4.73320',
'42.10	4.73807	4.82186	4.79812	4.78406	4.77329	4.76588	4.76058	4.75367	4.74800	4.74577	4.74359	4.74155	4.74044	4.73933	4.73882',
'42.15	4.74370	4.82741	4.80370	4.78963	4.77887	4.77148	4.76618	4.75928	4.75362	4.75139	4.74921	4.74717	4.74606	4.74496	4.74445',
'42.20	4.74931	4.83295	4.80927	4.79521	4.78446	4.77707	4.77178	4.76488	4.75923	4.75701	4.75483	4.75279	4.75169	4.75059	4.75008',
'42.25	4.75495	4.83849	4.81484	4.80078	4.79004	4.78267	4.77738	4.77049	4.76485	4.76262	4.76045	4.75842	4.75731	4.75621	4.75570',
'42.30	4.76058	4.84402	4.82040	4.80635	4.79563	4.78826	4.78298	4.77610	4.77046	4.76824	4.76607	4.76404	4.76293	4.76184	4.76133',
'42.35	4.76621	4.84954	4.82595	4.81193	4.80121	4.79385	4.78858	4.78171	4.77608	4.77386	4.77169	4.76966	4.76856	4.76746	4.76695',
'42.40	4.77183	4.85511	4.83150	4.81750	4.80680	4.79945	4.79418	4.78732	4.78169	4.77948	4.77731	4.77528	4.77418	4.77309	4.77258',
'42.45	4.77745	4.86068	4.83708	4.82307	4.81238	4.80504	4.79978	4.79293	4.78731	4.78509	4.78293	4.78091	4.77981	4.77871	4.77820',
'42.50	4.78309	4.86624	4.84266	4.82865	4.81797	4.81064	4.80539	4.79854	4.79292	4.79071	4.78855	4.78653	4.78543	4.78434	4.78383',
'42.55	4.78872	4.87180	4.84824	4.83422	4.82356	4.81623	4.81099	4.80414	4.79854	4.79633	4.79417	4.79215	4.79105	4.78996	4.78946',
'42.60	4.79434	4.87735	4.85381	4.83979	4.82914	4.82183	4.81659	4.80975	4.80415	4.80195	4.79979	4.79778	4.79668	4.79559	4.79508',
'42.65	4.79995	4.88289	4.85937	4.84537	4.83473	4.82742	4.82219	4.81536	4.80977	4.80757	4.80542	4.80340	4.80230	4.80121	4.80071',
'42.70	4.80559	4.88843	4.86493	4.85094	4.84032	4.83302	4.82779	4.82097	4.81538	4.81318	4.81104	4.80902	4.80793	4.80684	4.80633',
'42.75	4.81122	4.89396	4.87048	4.85652	4.84590	4.83861	4.83339	4.82658	4.82100	4.81880	4.81666	4.81464	4.81355	4.81246	4.81196',
'42.80	4.81685	4.89948	4.87604	4.86209	4.85149	4.84421	4.83899	4.83219	4.82662	4.82442	4.82228	4.82027	4.81917	4.81809	4.81759',
'42.85	4.82247	4.90506	4.88162	4.86767	4.85708	4.84980	4.84459	4.83780	4.83223	4.83004	4.82790	4.82589	4.82480	4.82371	4.82321',
'42.90	4.82809	4.91062	4.88720	4.87324	4.86266	4.85540	4.85019	4.84341	4.83785	4.83566	4.83352	4.83151	4.83042	4.82934	4.82884',
'42.95	4.83373	4.91619	4.89278	4.87881	4.86825	4.86099	4.85579	4.84902	4.84346	4.84127	4.83914	4.83714	4.83605	4.83497	4.83446',
'43.00	4.83936	4.92174	4.89835	4.88439	4.87384	4.86659	4.86140	4.85462	4.84908	4.84689	4.84476	4.84276	4.84167	4.84059	4.84009',
'43.05	4.84498	4.92730	4.90391	4.88996	4.87942	4.87218	4.86700	4.86023	4.85469	4.85251	4.85038	4.84838	4.84730	4.84622	4.84572',
'43.10	4.85060	4.93284	4.90947	4.89554	4.88501	4.87778	4.87260	4.86584	4.86031	4.85813	4.85600	4.85400	4.85292	4.85184	4.85134',
'43.15	4.85623	4.93838	4.91502	4.90111	4.89060	4.88337	4.87820	4.87145	4.86592	4.86375	4.86162	4.85963	4.85854	4.85747	4.85697',
'43.20	4.86186	4.94391	4.92059	4.90669	4.89618	4.88897	4.88380	4.87706	4.87154	4.86936	4.86724	4.86525	4.86417	4.86309	4.86259',
'43.25	4.86749	4.94944	4.92618	4.91227	4.90177	4.89456	4.88940	4.88267	4.87716	4.87498	4.87286	4.87087	4.86979	4.86872	4.86822',
'43.30	4.87311	4.95501	4.93176	4.91784	4.90736	4.90016	4.89500	4.88828	4.88277	4.88060	4.87848	4.87650	4.87542	4.87434	4.87385',
'43.35	4.87874	4.96058	4.93733	4.92342	4.91295	4.90576	4.90061	4.89389	4.88839	4.88622	4.88410	4.88212	4.88104	4.87997	4.87947',
'43.40	4.88437	4.96615	4.94289	4.92899	4.91853	4.91135	4.90621	4.89950	4.89400	4.89184	4.88972	4.88774	4.88666	4.88559	4.88510',
'43.45	4.89000	4.97170	4.94845	4.93457	4.92412	4.91695	4.91181	4.90511	4.89962	4.89746	4.89534	4.89336	4.89229	4.89122	4.89072',
'43.50	4.89562	4.97726	4.95401	4.94014	4.92971	4.92254	4.91741	4.91072	4.90523	4.90307	4.90096	4.89899	4.89791	4.89684	4.89635',
'43.55	4.90124	4.98280	4.95957	4.94572	4.93530	4.92814	4.92301	4.91633	4.91085	4.90869	4.90659	4.90461	4.90354	4.90247	4.90198',
'43.60	4.90687	4.98834	4.96515	4.95130	4.94089	4.93374	4.92862	4.92194	4.91647	4.91431	4.91221	4.91023	4.90916	4.90809	4.90760',
'43.65	4.91250	4.99387	4.97074	4.95687	4.94647	4.93933	4.93422	4.92755	4.92208	4.91993	4.91783	4.91586	4.91478	4.91372	4.91323',
'43.70	4.91813	4.99940	4.97631	4.96245	4.95206	4.94493	4.93982	4.93316	4.92770	4.92555	4.92345	4.92148	4.92041	4.91935	4.91885',
'43.75	4.92375	5.00497	4.98188	4.96803	4.95765	4.95052	4.94542	4.93877	4.93331	4.93116	4.92907	4.92710	4.92603	4.92497	4.92448',
'43.80	4.92938	5.01055	4.98744	4.97360	4.96324	4.95612	4.95102	4.94438	4.93893	4.93678	4.93469	4.93272	4.93166	4.93060	4.93011',
'43.85	4.93501	5.01611	4.99300	4.97918	4.96883	4.96172	4.95663	4.94999	4.94454	4.94240	4.94031	4.93835	4.93728	4.93622	4.93573',
'43.90	4.94064	5.02167	4.99855	4.98476	4.97442	4.96731	4.96223	4.95560	4.95016	4.94802	4.94593	4.94397	4.94291	4.94185	4.94136',
'43.95	4.94626	5.02722	5.00413	4.99033	4.98001	4.97291	4.96783	4.96120	4.95578	4.95364	4.95155	4.94959	4.94853	4.94747	4.94698',
'44.00	4.95188	5.03277	5.00972	4.99591	4.98559	4.97851	4.97343	4.96681	4.96139	4.95926	4.95717	4.95522	4.95415	4.95310	4.95261',
'44.05	4.95752	5.03831	5.01530	5.00149	4.99118	4.98410	4.97904	4.97242	4.96701	4.96488	4.96279	4.96084	4.95978	4.95872	4.95824',
'44.10	4.96315	5.04385	5.02087	5.00707	4.99677	4.98970	4.98464	4.97803	4.97262	4.97049	4.96841	4.96646	4.96540	4.96435	4.96386',
'44.15	4.96877	5.04938	5.02644	5.01264	5.00236	4.99530	4.99024	4.98364	4.97824	4.97611	4.97403	4.97209	4.97103	4.96997	4.96949',
'44.20	4.97439	5.05495	5.03200	5.01822	5.00795	5.00090	4.99584	4.98925	4.98386	4.98173	4.97966	4.97771	4.97665	4.97560	4.97511',
'44.25	4.98002	5.06052	5.03756	5.02380	5.01354	5.00649	5.00145	4.99486	4.98947	4.98735	4.98528	4.98333	4.98228	4.98123	4.98074',
'44.30	4.98565	5.06609	5.04312	5.02938	5.01913	5.01209	5.00705	5.00047	4.99509	4.99297	4.99090	4.98896	4.98790	4.98685	4.98637',
'44.35	4.99128	5.07165	5.04871	5.03495	5.02472	5.01769	5.01265	5.00608	5.00071	4.99859	4.99652	4.99458	4.99352	4.99248	4.99199',
'44.40	4.99690	5.07720	5.05429	5.04053	5.03031	5.02328	5.01825	5.01169	5.00632	5.00420	5.00214	5.00020	4.99915	4.99810	4.99762',
'44.45	5.00252	5.08275	5.05987	5.04611	5.03590	5.02888	5.02386	5.01731	5.01194	5.00982	5.00776	5.00582	5.00477	5.00373	5.00324',
'44.50	5.00816	5.08829	5.06544	5.05169	5.04149	5.03448	5.02946	5.02292	5.01755	5.01544	5.01338	5.01145	5.01040	5.00935	5.00887',
'44.55	5.01379	5.09383	5.07100	5.05727	5.04708	5.04008	5.03506	5.02853	5.02317	5.02106	5.01900	5.01707	5.01602	5.01498	5.01450',
'44.60	5.01941	5.09936	5.07656	5.06285	5.05266	5.04567	5.04067	5.03414	5.02879	5.02668	5.02462	5.02269	5.02165	5.02060	5.02012',
'44.65	5.02503	5.10493	5.08211	5.06842	5.05825	5.05127	5.04627	5.03975	5.03440	5.03230	5.03024	5.02832	5.02727	5.02623	5.02575',
'44.70	5.03066	5.11051	5.08770	5.07400	5.06384	5.05687	5.05187	5.04536	5.04002	5.03792	5.03586	5.03394	5.03289	5.03185	5.03137',
'44.75	5.03629	5.11607	5.09328	5.07958	5.06943	5.06247	5.05748	5.05097	5.04564	5.04354	5.04149	5.03956	5.03852	5.03748	5.03700',
'44.80	5.04192	5.12163	5.09886	5.08516	5.07502	5.06806	5.06308	5.05658	5.05125	5.04915	5.04711	5.04519	5.04414	5.04311	5.04263',
'44.85	5.04754	5.12719	5.10444	5.09074	5.08062	5.07366	5.06868	5.06219	5.05687	5.05477	5.05273	5.05081	5.04977	5.04873	5.04825',
'44.90	5.05317	5.13274	5.11001	5.09632	5.08621	5.07926	5.07429	5.06780	5.06249	5.06039	5.05835	5.05643	5.05539	5.05436	5.05388',
'44.95	5.05880	5.13828	5.11557	5.10190	5.09180	5.08486	5.07989	5.07341	5.06810	5.06601	5.06397	5.06206	5.06102	5.05998	5.05950',
'45.00	5.06443	5.14382	5.12113	5.10748	5.09739	5.09046	5.08549	5.07902	5.07372	5.07163	5.06959	5.06768	5.06664	5.06561	5.06513',
'45.05	5.07005	5.14935	5.12669	5.11306	5.10298	5.09605	5.09110	5.08463	5.07933	5.07725	5.07521	5.07330	5.07227	5.07123	5.07076',
'45.10	5.07567	5.15493	5.13228	5.11864	5.10857	5.10165	5.09670	5.09024	5.08495	5.08287	5.08083	5.07893	5.07789	5.07686	5.07638',
'45.15	5.08131	5.16050	5.13787	5.12422	5.11416	5.10725	5.10230	5.09585	5.09057	5.08849	5.08645	5.08455	5.08351	5.08248	5.08201',
'45.20	5.08694	5.16607	5.14344	5.12980	5.11975	5.11285	5.10791	5.10146	5.09618	5.09410	5.09208	5.09017	5.08914	5.08811	5.08763',
'45.25	5.09256	5.17163	5.14902	5.13538	5.12534	5.11845	5.11351	5.10707	5.10180	5.09972	5.09770	5.09580	5.09476	5.09374	5.09326',
'45.30	5.09818	5.17719	5.15458	5.14096	5.13093	5.12404	5.11911	5.11268	5.10742	5.10534	5.10332	5.10142	5.10039	5.09936	5.09889',
'45.35	5.10381	5.18274	5.16014	5.14654	5.13652	5.12964	5.12472	5.11830	5.11303	5.11096	5.10894	5.10704	5.10601	5.10499	5.10451',
'45.40	5.10944	5.18828	5.16570	5.15212	5.14211	5.13524	5.13032	5.12391	5.11865	5.11658	5.11456	5.11267	5.11164	5.11061	5.11014',
'45.45	5.11507	5.19382	5.17128	5.15770	5.14770	5.14084	5.13593	5.12952	5.12427	5.12220	5.12018	5.11829	5.11726	5.11624	5.11576',
'45.50	5.12069	5.19935	5.17687	5.16328	5.15329	5.14644	5.14153	5.13513	5.12988	5.12782	5.12580	5.12391	5.12288	5.12186	5.12139',
'45.55	5.12631	5.20493	5.18245	5.16886	5.15889	5.15204	5.14713	5.14074	5.13550	5.13344	5.13142	5.12954	5.12851	5.12749	5.12702',
'45.60	5.13195	5.21050	5.18803	5.17444	5.16448	5.15764	5.15274	5.14635	5.14112	5.13906	5.13704	5.13516	5.13413	5.13311	5.13264',
'45.65	5.13758	5.21607	5.19360	5.18002	5.17007	5.16324	5.15834	5.15196	5.14673	5.14468	5.14267	5.14078	5.13976	5.13874	5.13827',
'45.70	5.14320	5.22163	5.19916	5.18560	5.17566	5.16883	5.16395	5.15757	5.15235	5.15029	5.14829	5.14641	5.14538	5.14436	5.14389',
'45.75	5.14882	5.22719	5.20472	5.19118	5.18125	5.17443	5.16955	5.16318	5.15797	5.15591	5.15391	5.15203	5.15101	5.14999	5.14952',
'45.80	5.15445	5.23274	5.21029	5.19676	5.18684	5.18003	5.17515	5.16880	5.16359	5.16153	5.15953	5.15765	5.15663	5.15562	5.15515',
'45.85	5.16008	5.23829	5.21588	5.20234	5.19243	5.18563	5.18076	5.17441	5.16920	5.16715	5.16515	5.16328	5.16226	5.16124	5.16077',
'45.90	5.16571	5.24383	5.22146	5.20792	5.19803	5.19123	5.18636	5.18002	5.17482	5.17277	5.17077	5.16890	5.16788	5.16687	5.16640',
'45.95	5.17133	5.24936	5.22704	5.21350	5.20362	5.19683	5.19197	5.18563	5.18044	5.17839	5.17639	5.17452	5.17350	5.17249	5.17202',
'46.00	5.17695	5.25494	5.23261	5.21909	5.20921	5.20243	5.19757	5.19124	5.18605	5.18401	5.18201	5.18014	5.17913	5.17812	5.17765',
'46.05	5.18259	5.26051	5.23818	5.22467	5.21480	5.20803	5.20318	5.19685	5.19167	5.18963	5.18764	5.18577	5.18475	5.18374	5.18328',
'46.10	5.18822	5.26608	5.24374	5.23025	5.22039	5.21363	5.20878	5.20246	5.19729	5.19525	5.19326	5.19139	5.19038	5.18937	5.18890',
'46.15	5.19384	5.27165	5.24930	5.23583	5.22599	5.21923	5.21439	5.20807	5.20290	5.20087	5.19888	5.19701	5.19600	5.19499	5.19453',
'46.20	5.19946	5.27721	5.25489	5.24141	5.23158	5.22483	5.21999	5.21369	5.20852	5.20649	5.20450	5.20264	5.20163	5.20062	5.20015',
'46.25	5.20509	5.28276	5.26048	5.24699	5.23717	5.23043	5.22560	5.21930	5.21414	5.21211	5.21012	5.20826	5.20725	5.20625	5.20578',
'46.30	5.21073	5.28831	5.26606	5.25258	5.24276	5.23603	5.23120	5.22491	5.21976	5.21772	5.21574	5.21389	5.21288	5.21187	5.21141',
'46.35	5.21635	5.29385	5.27164	5.25816	5.24836	5.24163	5.23681	5.23052	5.22537	5.22334	5.22136	5.21951	5.21850	5.21750	5.21703',
'46.40	5.22197	5.29938	5.27721	5.26374	5.25395	5.24723	5.24241	5.23613	5.23099	5.22896	5.22699	5.22513	5.22412	5.22312	5.22266',
'46.45	5.22760	5.30496	5.28277	5.26932	5.25954	5.25282	5.24801	5.24174	5.23661	5.23458	5.23261	5.23076	5.22975	5.22875	5.22829',
'46.50	5.23323	5.31054	5.28833	5.27490	5.26513	5.25842	5.25362	5.24735	5.24222	5.24020	5.23823	5.23638	5.23537	5.23437	5.23391',
'46.55	5.23886	5.31611	5.29390	5.28049	5.27073	5.26402	5.25922	5.25297	5.24784	5.24582	5.24385	5.24200	5.24100	5.24000	5.23954',
'46.60	5.24448	5.32167	5.29949	5.28607	5.27632	5.26962	5.26483	5.25858	5.25346	5.25144	5.24947	5.24763	5.24662	5.24563	5.24516',
'46.65	5.25010	5.32723	5.30508	5.29165	5.28191	5.27522	5.27044	5.26419	5.25908	5.25706	5.25509	5.25325	5.25225	5.25125	5.25079',
'46.70	5.25574	5.33278	5.31066	5.29723	5.28751	5.28082	5.27604	5.26980	5.26469	5.26268	5.26072	5.25887	5.25787	5.25688	5.25642',
'46.75	5.26137	5.33833	5.31623	5.30282	5.29310	5.28642	5.28165	5.27541	5.27031	5.26830	5.26634	5.26450	5.26350	5.26250	5.26204',
'46.80	5.26699	5.34387	5.32180	5.30840	5.29869	5.29202	5.28725	5.28103	5.27593	5.27392	5.27196	5.27012	5.26912	5.26813	5.26767',
'46.85	5.27261	5.34941	5.32737	5.31398	5.30428	5.29763	5.29286	5.28664	5.28154	5.27954	5.27758	5.27574	5.27475	5.27375	5.27329',
'46.90	5.27824	5.35499	5.33292	5.31957	5.30988	5.30323	5.29846	5.29225	5.28716	5.28516	5.28320	5.28137	5.28037	5.27938	5.27892',
'46.95	5.28387	5.36056	5.33851	5.32515	5.31547	5.30883	5.30407	5.29786	5.29278	5.29078	5.28882	5.28699	5.28599	5.28500	5.28455',
'47.00	5.28950	5.36614	5.34410	5.33073	5.32106	5.31443	5.30967	5.30347	5.29840	5.29640	5.29444	5.29261	5.29162	5.29063	5.29017',
'47.05	5.29512	5.37170	5.34969	5.33632	5.32666	5.32003	5.31528	5.30909	5.30401	5.30202	5.30007	5.29824	5.29724	5.29626	5.29580',
'47.10	5.30074	5.37726	5.35526	5.34190	5.33225	5.32563	5.32088	5.31470	5.30963	5.30763	5.30569	5.30386	5.30287	5.30188	5.30142',
'47.15	5.30638	5.38282	5.36084	5.34748	5.33785	5.33123	5.32649	5.32031	5.31525	5.31325	5.31131	5.30948	5.30849	5.30751	5.30705',
'47.20	5.31201	5.38836	5.36640	5.35307	5.34344	5.33683	5.33209	5.32592	5.32087	5.31887	5.31693	5.31511	5.31412	5.31313	5.31268',
'47.25	5.31763	5.39391	5.37196	5.35865	5.34903	5.34243	5.33770	5.33153	5.32648	5.32449	5.32255	5.32073	5.31974	5.31876	5.31830',
'47.30	5.32325	5.39945	5.37754	5.36423	5.35463	5.34803	5.34331	5.33715	5.33210	5.33011	5.32817	5.32635	5.32537	5.32438	5.32393',
'47.35	5.32888	5.40502	5.38313	5.36982	5.36022	5.35363	5.34891	5.34276	5.33772	5.33573	5.33380	5.33198	5.33099	5.33001	5.32956',
'47.40	5.33451	5.41060	5.38872	5.37540	5.36581	5.35923	5.35452	5.34837	5.34334	5.34135	5.33942	5.33760	5.33662	5.33564	5.33518',
'47.45	5.34014	5.41617	5.39430	5.38099	5.37141	5.36483	5.36012	5.35398	5.34895	5.34697	5.34504	5.34323	5.34224	5.34126	5.34081',
'47.50	5.34576	5.42174	5.39987	5.38657	5.37700	5.37043	5.36573	5.35959	5.35457	5.35259	5.35066	5.34885	5.34787	5.34689	5.34643',
'47.55	5.35138	5.42730	5.40544	5.39215	5.38260	5.37603	5.37133	5.36521	5.36019	5.35821	5.35628	5.35447	5.35349	5.35251	5.35206',
'47.60	5.35702	5.43286	5.41101	5.39774	5.38819	5.38164	5.37694	5.37082	5.36581	5.36383	5.36190	5.36010	5.35911	5.35814	5.35769',
'47.65	5.36265	5.43841	5.41657	5.40332	5.39379	5.38724	5.38255	5.37643	5.37142	5.36945	5.36753	5.36572	5.36474	5.36376	5.36331',
'47.70	5.36827	5.44395	5.42216	5.40891	5.39938	5.39284	5.38815	5.38204	5.37704	5.37507	5.37315	5.37134	5.37036	5.36939	5.36894',
'47.75	5.37389	5.44949	5.42775	5.41449	5.40497	5.39844	5.39376	5.38766	5.38266	5.38069	5.37877	5.37697	5.37599	5.37501	5.37456',
'47.80	5.37952	5.45507	5.43333	5.42008	5.41057	5.40404	5.39937	5.39327	5.38828	5.38631	5.38439	5.38259	5.38161	5.38064	5.38019',
'47.85	5.38516	5.46065	5.43891	5.42566	5.41616	5.40964	5.40497	5.39888	5.39389	5.39193	5.39001	5.38821	5.38724	5.38627	5.38582',
'47.90	5.39078	5.46622	5.44449	5.43125	5.42176	5.41524	5.41058	5.40449	5.39951	5.39755	5.39563	5.39384	5.39286	5.39189	5.39144',
'47.95	5.39640	5.47179	5.45005	5.43683	5.42735	5.42084	5.41618	5.41011	5.40513	5.40317	5.40126	5.39946	5.39849	5.39752	5.39707',
'48.00	5.40203	5.47735	5.45562	5.44242	5.43295	5.42645	5.42179	5.41572	5.41075	5.40879	5.40688	5.40509	5.40411	5.40314	5.40270',
'48.05	5.40766	5.48291	5.46119	5.44800	5.43854	5.43205	5.42740	5.42133	5.41637	5.41441	5.41250	5.41071	5.40974	5.40877	5.40832',
'48.10	5.41329	5.48846	5.46679	5.45359	5.44414	5.43765	5.43300	5.42695	5.42198	5.42003	5.41812	5.41633	5.41536	5.41439	5.41395',
'48.15	5.41891	5.49400	5.47237	5.45917	5.44973	5.44325	5.43861	5.43256	5.42760	5.42565	5.42374	5.42196	5.42099	5.42002	5.41957',
'48.20	5.42453	5.49954	5.47796	5.46476	5.45533	5.44885	5.44422	5.43817	5.43322	5.43127	5.42937	5.42758	5.42661	5.42565	5.42520',
'48.25	5.43017	5.50512	5.48353	5.47034	5.46092	5.45445	5.44982	5.44378	5.43884	5.43689	5.43499	5.43320	5.43224	5.43127	5.43083',
'48.30	5.43580	5.51070	5.48910	5.47593	5.46652	5.46006	5.45543	5.44940	5.44445	5.44251	5.44061	5.43883	5.43786	5.43690	5.43645',
'48.35	5.44142	5.51628	5.49467	5.48151	5.47211	5.46566	5.46104	5.45501	5.45007	5.44813	5.44623	5.44445	5.44348	5.44252	5.44208',
'48.40	5.44704	5.52184	5.50023	5.48710	5.47771	5.47126	5.46664	5.46062	5.45569	5.45375	5.45185	5.45008	5.44911	5.44815	5.44770',
'48.45	5.45267	5.52741	5.50583	5.49269	5.48330	5.47686	5.47225	5.46623	5.46131	5.45937	5.45747	5.45570	5.45473	5.45377	5.45333',
'48.50	5.45830	5.53296	5.51142	5.49827	5.48890	5.48246	5.47786	5.47185	5.46693	5.46499	5.46310	5.46132	5.46036	5.45940	5.45896',
'48.55	5.46393	5.53852	5.51700	5.50386	5.49449	5.48807	5.48346	5.47746	5.47254	5.47061	5.46872	5.46695	5.46598	5.46503	5.46458',
'48.60	5.46956	5.54406	5.52258	5.50944	5.50009	5.49367	5.48907	5.48307	5.47816	5.47623	5.47434	5.47257	5.47161	5.47065	5.47021',
'48.65	5.47517	5.54960	5.52815	5.51503	5.50569	5.49927	5.49468	5.48869	5.48378	5.48185	5.47996	5.47819	5.47723	5.47628	5.47584',
'48.70	5.48081	5.55518	5.53372	5.52062	5.51128	5.50487	5.50028	5.49430	5.48940	5.48747	5.48558	5.48382	5.48286	5.48190	5.48146',
'48.75	5.48644	5.56076	5.53929	5.52620	5.51688	5.51047	5.50589	5.49991	5.49502	5.49309	5.49121	5.48944	5.48848	5.48753	5.48709',
'48.80	5.49207	5.56634	5.54487	5.53179	5.52247	5.51608	5.51150	5.50553	5.50063	5.49871	5.49683	5.49507	5.49411	5.49315	5.49271',
'48.85	5.49768	5.57191	5.55046	5.53738	5.52807	5.52168	5.51710	5.51114	5.50625	5.50433	5.50245	5.50069	5.49973	5.49878	5.49834',
'48.90	5.50331	5.57747	5.55605	5.54296	5.53367	5.52728	5.52271	5.51675	5.51187	5.50995	5.50807	5.50631	5.50536	5.50441	5.50397',
'48.95	5.50895	5.58303	5.56163	5.54855	5.53926	5.53288	5.52832	5.52237	5.51749	5.51557	5.51369	5.51194	5.51098	5.51003	5.50959',
'49.00	5.51457	5.58858	5.56721	5.55414	5.54486	5.53849	5.53393	5.52798	5.52311	5.52119	5.51932	5.51756	5.51661	5.51566	5.51522',
'49.05	5.52020	5.59413	5.57278	5.55972	5.55045	5.54409	5.53953	5.53359	5.52873	5.52681	5.52494	5.52318	5.52223	5.52128	5.52084',
'49.10	5.52582	5.59967	5.57835	5.56531	5.55605	5.54969	5.54514	5.53920	5.53434	5.53243	5.53056	5.52881	5.52786	5.52691	5.52647',
'49.15	5.53145	5.60525	5.58391	5.57090	5.56165	5.55529	5.55075	5.54482	5.53996	5.53805	5.53618	5.53443	5.53348	5.53253	5.53210',
'49.20	5.53708	5.61083	5.58951	5.57648	5.56724	5.56090	5.55635	5.55043	5.54558	5.54367	5.54180	5.54006	5.53910	5.53816	5.53772',
'49.25	5.54271	5.61641	5.59510	5.58207	5.57284	5.56650	5.56196	5.55604	5.55120	5.54929	5.54743	5.54568	5.54473	5.54379	5.54335',
'49.30	5.54832	5.62198	5.60069	5.58766	5.57843	5.57210	5.56757	5.56166	5.55682	5.55491	5.55305	5.55130	5.55035	5.54941	5.54898',
'49.35	5.55396	5.62754	5.60627	5.59325	5.58403	5.57771	5.57318	5.56727	5.56243	5.56053	5.55867	5.55693	5.55598	5.55504	5.55460',
'49.40	5.55959	5.63310	5.61184	5.59883	5.58963	5.58331	5.57878	5.57288	5.56805	5.56615	5.56429	5.56255	5.56160	5.56066	5.56023',
'49.45	5.56522	5.63866	5.61741	5.60442	5.59522	5.58891	5.58439	5.57850	5.57367	5.57177	5.56991	5.56817	5.56723	5.56629	5.56585',
'49.50	5.57084	5.64420	5.62297	5.61001	5.60082	5.59451	5.59000	5.58411	5.57929	5.57739	5.57554	5.57380	5.57285	5.57191	5.57148',
'49.55	5.57646	5.64975	5.62856	5.61559	5.60642	5.60012	5.59561	5.58973	5.58491	5.58301	5.58116	5.57942	5.57848	5.57754	5.57711',
'49.60	5.58209	5.65533	5.63415	5.62118	5.61201	5.60572	5.60121	5.59534	5.59053	5.58863	5.58678	5.58505	5.58410	5.58317	5.58273',
'49.65	5.58772	5.66091	5.63974	5.62677	5.61761	5.61132	5.60682	5.60095	5.59614	5.59425	5.59240	5.59067	5.58973	5.58879	5.58836',
'49.70	5.59335	5.66649	5.64533	5.63236	5.62321	5.61693	5.61243	5.60656	5.60176	5.59987	5.59802	5.59629	5.59535	5.59442	5.59399',
'49.75	5.59897	5.67206	5.65090	5.63795	5.62881	5.62253	5.61804	5.61218	5.60738	5.60549	5.60365	5.60192	5.60098	5.60004	5.59961',
'49.80	5.60460	5.67762	5.65648	5.64353	5.63440	5.62813	5.62364	5.61779	5.61300	5.61111	5.60927	5.60754	5.60660	5.60567	5.60524',
'49.85	5.61023	5.68318	5.66204	5.64912	5.64000	5.63374	5.62925	5.62341	5.61862	5.61673	5.61489	5.61317	5.61223	5.61130	5.61086',
'49.90	5.61586	5.68874	5.66761	5.65471	5.64560	5.63934	5.63486	5.62902	5.62424	5.62235	5.62051	5.61879	5.61785	5.61692	5.61649',
'49.95	5.62148	5.69429	5.67321	5.66030	5.65119	5.64494	5.64047	5.63463	5.62986	5.62797	5.62614	5.62441	5.62348	5.62255	5.62212',
'50.00	5.62710	5.69983	5.67880	5.66589	5.65679	5.65055	5.64608	5.64025	5.63547	5.63359	5.63176	5.63004	5.62910	5.62817	5.62774',
'															',
'sqrt(B) Gauss   0.5     0.6     0.7     0.8     0.9     1.0     1.2     1.4     1.7     2.0     2.5     3.0     4.0     5.0',
'0.00	0.39889	0.42411	0.42175	0.42304	0.42576	0.42839	0.43036	0.43135	0.42820	0.42502	0.42048	0.41446	0.40986	0.40606	0.40362',
'0.05	0.39891	0.42413	0.42177	0.42307	0.42579	0.42843	0.43039	0.43138	0.42823	0.42505	0.42051	0.41448	0.40988	0.40608	0.40364',
'0.10	0.39897	0.42422	0.42186	0.42316	0.42588	0.42852	0.43049	0.43147	0.42832	0.42513	0.42058	0.41455	0.40995	0.40614	0.40370',
'0.15	0.39905	0.42436	0.42201	0.42331	0.42604	0.42868	0.43065	0.43163	0.42846	0.42527	0.42071	0.41467	0.41006	0.40624	0.40380',
'0.20	0.39918	0.42455	0.42221	0.42351	0.42625	0.42891	0.43088	0.43185	0.42867	0.42546	0.42089	0.41484	0.41021	0.40639	0.40393',
'0.25	0.39934	0.42480	0.42247	0.42378	0.42653	0.42920	0.43117	0.43213	0.42893	0.42571	0.42112	0.41505	0.41041	0.40657	0.40411',
'0.30	0.39954	0.42511	0.42280	0.42410	0.42688	0.42955	0.43153	0.43248	0.42925	0.42602	0.42141	0.41531	0.41066	0.40680	0.40433',
'0.35	0.39978	0.42548	0.42318	0.42449	0.42728	0.42997	0.43196	0.43289	0.42963	0.42638	0.42175	0.41562	0.41095	0.40707	0.40458',
'0.40	0.40005	0.42590	0.42363	0.42493	0.42775	0.43046	0.43246	0.43337	0.43008	0.42680	0.42214	0.41597	0.41129	0.40738	0.40488',
'0.45	0.40037	0.42639	0.42413	0.42544	0.42829	0.43101	0.43302	0.43391	0.43058	0.42729	0.42258	0.41638	0.41167	0.40773	0.40522',
'0.50	0.40073	0.42693	0.42470	0.42602	0.42889	0.43164	0.43366	0.43452	0.43115	0.42783	0.42308	0.41684	0.41211	0.40813	0.40560',
'0.55	0.40113	0.42753	0.42533	0.42666	0.42956	0.43233	0.43436	0.43520	0.43178	0.42844	0.42364	0.41735	0.41259	0.40857	0.40602',
'0.60	0.40157	0.42820	0.42603	0.42736	0.43030	0.43310	0.43514	0.43595	0.43247	0.42911	0.42425	0.41791	0.41311	0.40905	0.40649',
'0.65	0.40206	0.42893	0.42679	0.42813	0.43111	0.43394	0.43599	0.43676	0.43323	0.42984	0.42492	0.41852	0.41369	0.40959	0.40700',
'0.70	0.40258	0.42972	0.42762	0.42899	0.43200	0.43485	0.43691	0.43766	0.43407	0.43063	0.42566	0.41919	0.41432	0.41017	0.40756',
'0.75	0.40315	0.43058	0.42852	0.42995	0.43295	0.43584	0.43791	0.43865	0.43498	0.43149	0.42646	0.41991	0.41500	0.41079	0.40817',
'0.80	0.40376	0.43151	0.42950	0.43098	0.43399	0.43690	0.43899	0.43971	0.43596	0.43241	0.42732	0.42069	0.41574	0.41147	0.40882',
'0.85	0.40442	0.43251	0.43054	0.43209	0.43510	0.43805	0.44015	0.44086	0.43701	0.43340	0.42824	0.42154	0.41653	0.41220	0.40952',
'0.90	0.40513	0.43358	0.43166	0.43328	0.43629	0.43927	0.44139	0.44208	0.43814	0.43446	0.42923	0.42244	0.41738	0.41298	0.41027',
'0.95	0.40588	0.43472	0.43286	0.43455	0.43756	0.44058	0.44272	0.44339	0.43934	0.43559	0.43029	0.42341	0.41829	0.41382	0.41107',
'1.00	0.40669	0.43594	0.43413	0.43591	0.43898	0.44198	0.44413	0.44478	0.44062	0.43680	0.43141	0.42444	0.41926	0.41471	0.41193',
'1.05	0.40754	0.43723	0.43549	0.43735	0.44049	0.44347	0.44563	0.44625	0.44197	0.43807	0.43260	0.42553	0.42029	0.41566	0.41284',
'1.10	0.40845	0.43861	0.43694	0.43888	0.44210	0.44507	0.44721	0.44781	0.44341	0.43943	0.43387	0.42668	0.42138	0.41666	0.41381',
'1.15	0.40941	0.44007	0.43846	0.44050	0.44379	0.44681	0.44890	0.44946	0.44492	0.44086	0.43520	0.42791	0.42254	0.41773	0.41483',
'1.20	0.41043	0.44161	0.44008	0.44222	0.44559	0.44865	0.45070	0.45120	0.44653	0.44239	0.43661	0.42920	0.42376	0.41886	0.41592',
'1.25	0.41150	0.44324	0.44180	0.44403	0.44748	0.45059	0.45265	0.45304	0.44821	0.44402	0.43811	0.43057	0.42505	0.42006	0.41708',
'1.30	0.41264	0.44497	0.44360	0.44595	0.44948	0.45263	0.45470	0.45497	0.44999	0.44572	0.43970	0.43203	0.42643	0.42132	0.41829',
'1.35	0.41383	0.44678	0.44551	0.44796	0.45159	0.45478	0.45686	0.45701	0.45190	0.44752	0.44138	0.43356	0.42787	0.42265	0.41958',
'1.40	0.41510	0.44870	0.44752	0.45009	0.45381	0.45704	0.45912	0.45917	0.45391	0.44940	0.44314	0.43517	0.42939	0.42406	0.42093',
'1.45	0.41642	0.45077	0.44964	0.45233	0.45614	0.45942	0.46150	0.46147	0.45601	0.45138	0.44498	0.43686	0.43099	0.42554	0.42236',
'1.50	0.41782	0.45305	0.45187	0.45468	0.45858	0.46191	0.46399	0.46389	0.45821	0.45345	0.44691	0.43863	0.43267	0.42710	0.42386',
'1.55	0.41928	0.45544	0.45421	0.45716	0.46115	0.46452	0.46659	0.46642	0.46051	0.45561	0.44894	0.44049	0.43444	0.42873	0.42544',
'1.60	0.42082	0.45794	0.45667	0.45975	0.46384	0.46725	0.46932	0.46906	0.46291	0.45792	0.45107	0.44246	0.43630	0.43045	0.42710',
'1.65	0.42244	0.46056	0.45931	0.46248	0.46667	0.47011	0.47217	0.47181	0.46542	0.46033	0.45332	0.44453	0.43825	0.43226	0.42884',
'1.70	0.42413	0.46329	0.46220	0.46539	0.46967	0.47315	0.47515	0.47468	0.46807	0.46284	0.45567	0.44668	0.44029	0.43416	0.43067',
'1.75	0.42594	0.46615	0.46521	0.46856	0.47291	0.47642	0.47839	0.47767	0.47086	0.46546	0.45812	0.44893	0.44243	0.43615	0.43259',
'1.80	0.42786	0.46914	0.46837	0.47186	0.47630	0.47982	0.48175	0.48084	0.47377	0.46819	0.46067	0.45129	0.44468	0.43823	0.43460',
'1.85	0.42986	0.47226	0.47166	0.47530	0.47983	0.48336	0.48525	0.48418	0.47679	0.47104	0.46335	0.45377	0.44702	0.44042	0.43672',
'1.90	0.43196	0.47551	0.47509	0.47889	0.48351	0.48704	0.48888	0.48765	0.47992	0.47406	0.46616	0.45635	0.44947	0.44270	0.43893',
'1.95	0.43415	0.47890	0.47867	0.48264	0.48733	0.49087	0.49265	0.49125	0.48318	0.47718	0.46908	0.45904	0.45204	0.44510	0.44124',
'2.00	0.43644	0.48243	0.48240	0.48653	0.49131	0.49484	0.49656	0.49497	0.48663	0.48043	0.47212	0.46186	0.45472	0.44760	0.44367',
'2.05	0.43883	0.48611	0.48628	0.49059	0.49544	0.49897	0.50064	0.49882	0.49021	0.48379	0.47527	0.46481	0.45751	0.45022	0.44620',
'2.10	0.44132	0.48994	0.49033	0.49480	0.49973	0.50340	0.50502	0.50291	0.49391	0.48731	0.47859	0.46786	0.46044	0.45296	0.44885',
'2.15	0.44392	0.49392	0.49453	0.49918	0.50442	0.50803	0.50954	0.50716	0.49774	0.49099	0.48203	0.47105	0.46349	0.45581	0.45162',
'2.20	0.44663	0.49806	0.49891	0.50397	0.50927	0.51282	0.51420	0.51155	0.50173	0.49478	0.48559	0.47438	0.46665	0.45879	0.45451',
'2.25	0.44945	0.50256	0.50371	0.50898	0.51428	0.51775	0.51899	0.51606	0.50590	0.49870	0.48930	0.47783	0.46996	0.46189	0.45753',
'2.30	0.45246	0.50740	0.50876	0.51414	0.51945	0.52283	0.52393	0.52070	0.51020	0.50280	0.49317	0.48142	0.47340	0.46514	0.46067',
'2.35	0.45562	0.51239	0.51397	0.51948	0.52478	0.52807	0.52919	0.52564	0.51461	0.50705	0.49715	0.48516	0.47697	0.46850	0.46395',
'2.40	0.45889	0.51754	0.51935	0.52498	0.53027	0.53372	0.53463	0.53070	0.51922	0.51141	0.50128	0.48902	0.48069	0.47202	0.46737',
'2.45	0.46229	0.52284	0.52490	0.53064	0.53619	0.53951	0.54020	0.53588	0.52399	0.51593	0.50558	0.49304	0.48455	0.47567	0.47092',
'2.50	0.46581	0.52830	0.53061	0.53653	0.54231	0.54543	0.54590	0.54118	0.52888	0.52064	0.51000	0.49720	0.48855	0.47946	0.47462',
'2.55	0.46946	0.53393	0.53649	0.54294	0.54858	0.55148	0.55180	0.54678	0.53390	0.52546	0.51458	0.50151	0.49270	0.48340	0.47846',
'2.60	0.47323	0.53971	0.54262	0.54948	0.55497	0.55777	0.55800	0.55249	0.53915	0.53041	0.51932	0.50597	0.49700	0.48749	0.48245',
'2.65	0.47722	0.54565	0.54934	0.55618	0.56151	0.56440	0.56431	0.55831	0.54451	0.53557	0.52417	0.51056	0.50144	0.49173	0.48660',
'2.70	0.48140	0.55194	0.55620	0.56301	0.56852	0.57113	0.57072	0.56429	0.54996	0.54083	0.52921	0.51533	0.50605	0.49612	0.49089',
'2.75	0.48571	0.55879	0.56320	0.56997	0.57570	0.57795	0.57733	0.57051	0.55566	0.54623	0.53437	0.52021	0.51079	0.50066	0.49534',
'2.80	0.49015	0.56576	0.57033	0.57748	0.58297	0.58496	0.58422	0.57680	0.56144	0.55181	0.53968	0.52528	0.51569	0.50536	0.49994',
'2.85	0.49471	0.57286	0.57760	0.58519	0.59033	0.59233	0.59118	0.58317	0.56733	0.55748	0.54514	0.53046	0.52074	0.51022	0.50470',
'2.90	0.49941	0.58008	0.58515	0.59299	0.59804	0.59976	0.59820	0.58984	0.57344	0.56334	0.55071	0.53582	0.52593	0.51523	0.50962',
'2.95	0.50440	0.58743	0.59329	0.60087	0.60602	0.60724	0.60552	0.59657	0.57961	0.56930	0.55647	0.54129	0.53128	0.52039	0.51470',
'3.00	0.50952	0.59489	0.60151	0.60896	0.61403	0.61497	0.61296	0.60333	0.58592	0.57538	0.56230	0.54692	0.53678	0.52570	0.51992',
'3.05	0.51477	0.60273	0.60981	0.61757	0.62209	0.62293	0.62042	0.61036	0.59238	0.58162	0.56832	0.55268	0.54241	0.53116	0.52531',
'3.10	0.52013	0.61116	0.61818	0.62620	0.63050	0.63089	0.62803	0.61744	0.59888	0.58791	0.57441	0.55857	0.54819	0.53677	0.53084',
'3.15	0.52563	0.61964	0.62676	0.63485	0.63909	0.63886	0.63586	0.62453	0.60558	0.59439	0.58067	0.56461	0.55410	0.54253	0.53653',
'3.20	0.53144	0.62817	0.63596	0.64357	0.64765	0.64724	0.64367	0.63187	0.61232	0.60092	0.58700	0.57075	0.56014	0.54843	0.54236',
'3.25	0.53734	0.63675	0.64516	0.65287	0.65620	0.65558	0.65153	0.63922	0.61916	0.60759	0.59348	0.57703	0.56631	0.55447	0.54834',
'3.30	0.54333	0.64537	0.65435	0.66211	0.66523	0.66388	0.65965	0.64658	0.62612	0.61433	0.60002	0.58342	0.57261	0.56064	0.55445',
'3.35	0.54941	0.65446	0.66353	0.67131	0.67419	0.67242	0.66771	0.65416	0.63309	0.62117	0.60671	0.58990	0.57903	0.56694	0.56070',
'3.40	0.55579	0.66400	0.67323	0.68059	0.68308	0.68103	0.67576	0.66170	0.64024	0.62809	0.61344	0.59652	0.58555	0.57336	0.56708',
'3.45	0.56227	0.67351	0.68311	0.69032	0.69216	0.68956	0.68407	0.66930	0.64737	0.63507	0.62030	0.60322	0.59217	0.57990	0.57358',
'3.50	0.56880	0.68298	0.69291	0.69992	0.70140	0.69819	0.69229	0.67702	0.65461	0.64215	0.62721	0.60999	0.59891	0.58656	0.58020',
'3.55	0.57542	0.69242	0.70263	0.70942	0.71051	0.70695	0.70046	0.68468	0.66189	0.64926	0.63421	0.61689	0.60575	0.59332	0.58694',
'3.60	0.58232	0.70203	0.71261	0.71913	0.71956	0.71561	0.70887	0.69245	0.66920	0.65646	0.64127	0.62385	0.61267	0.60018	0.59378',
'3.65	0.58926	0.71231	0.72293	0.72903	0.72896	0.72426	0.71718	0.70025	0.67660	0.66368	0.64838	0.63088	0.61967	0.60714	0.60072',
'3.70	0.59623	0.72248	0.73310	0.73876	0.73820	0.73310	0.72540	0.70797	0.68397	0.67098	0.65558	0.63798	0.62674	0.61419	0.60776',
'3.75	0.60335	0.73254	0.74313	0.74836	0.74730	0.74181	0.73385	0.71586	0.69146	0.67829	0.66278	0.64516	0.63388	0.62131	0.61487',
'3.80	0.61062	0.74250	0.75328	0.75832	0.75661	0.75042	0.74218	0.72368	0.69890	0.68567	0.67009	0.65238	0.64110	0.62851	0.62208',
'3.85	0.61790	0.75262	0.76380	0.76820	0.76590	0.75928	0.75041	0.73149	0.70643	0.69305	0.67740	0.65964	0.64837	0.63578	0.62935',
'3.90	0.62518	0.76331	0.77412	0.77790	0.77503	0.76798	0.75884	0.73939	0.71394	0.70050	0.68476	0.66698	0.65570	0.64311	0.63670',
'3.95	0.63272	0.77383	0.78428	0.78754	0.78416	0.77656	0.76715	0.74720	0.72149	0.70793	0.69215	0.67435	0.66308	0.65050	0.64410',
'4.00	0.64024	0.78420	0.79447	0.79749	0.79343	0.78532	0.77536	0.75508	0.72905	0.71542	0.69955	0.68175	0.67050	0.65795	0.65156',
'4.05	0.64773	0.79443	0.80501	0.80723	0.80254	0.79399	0.78374	0.76294	0.73661	0.72290	0.70702	0.68918	0.67795	0.66544	0.65907',
'4.10	0.65539	0.80495	0.81535	0.81679	0.81149	0.80251	0.79201	0.77072	0.74420	0.73042	0.71448	0.69666	0.68544	0.67296	0.66663',
'4.15	0.66309	0.81578	0.82548	0.82646	0.82067	0.81114	0.80016	0.77863	0.75176	0.73793	0.72198	0.70416	0.69296	0.68053	0.67422',
'4.20	0.67074	0.82642	0.83559	0.83620	0.82973	0.81975	0.80849	0.78645	0.75939	0.74548	0.72949	0.71167	0.70051	0.68813	0.68185',
'4.25	0.67847	0.83687	0.84606	0.84575	0.83863	0.82822	0.81669	0.79426	0.76694	0.75301	0.73699	0.71921	0.70809	0.69576	0.68952',
'4.30	0.68630	0.84717	0.85630	0.85512	0.84755	0.83669	0.82478	0.80212	0.77459	0.76057	0.74455	0.72678	0.71569	0.70342	0.69721',
'4.35	0.69406	0.85795	0.86634	0.86472	0.85655	0.84524	0.83303	0.80988	0.78215	0.76813	0.75208	0.73436	0.72331	0.71109	0.70492',
'4.40	0.70184	0.86876	0.87628	0.87424	0.86538	0.85364	0.84117	0.81771	0.78979	0.77569	0.75965	0.74195	0.73095	0.71879	0.71266',
'4.45	0.70975	0.87936	0.88660	0.88358	0.87408	0.86196	0.84921	0.82551	0.79738	0.78326	0.76722	0.74954	0.73860	0.72651	0.72042',
'4.50	0.71760	0.88977	0.89670	0.89275	0.88297	0.87043	0.85738	0.83322	0.80500	0.79084	0.77477	0.75717	0.74626	0.73424	0.72819',
'4.55	0.72539	0.90002	0.90661	0.90223	0.89175	0.87878	0.86546	0.84106	0.81260	0.79842	0.78238	0.76480	0.75394	0.74198	0.73598',
'4.60	0.73337	0.91092	0.91634	0.91153	0.90038	0.88700	0.87343	0.84880	0.82020	0.80599	0.78995	0.77243	0.76162	0.74973	0.74377',
'4.65	0.74127	0.92160	0.92647	0.92067	0.90900	0.89535	0.88152	0.85653	0.82781	0.81358	0.79755	0.78006	0.76931	0.75750	0.75158',
'4.70	0.74910	0.93207	0.93642	0.92970	0.91772	0.90364	0.88955	0.86431	0.83540	0.82116	0.80515	0.78772	0.77701	0.76528	0.75940',
'4.75	0.75709	0.94236	0.94617	0.93898	0.92631	0.91181	0.89748	0.87201	0.84302	0.82876	0.81273	0.79538	0.78472	0.77306	0.76723',
'4.80	0.76502	0.95269	0.95576	0.94808	0.93476	0.92000	0.90548	0.87974	0.85059	0.83633	0.82036	0.80304	0.79243	0.78084	0.77506',
'4.85	0.77288	0.96340	0.96559	0.95703	0.94333	0.92824	0.91346	0.88747	0.85823	0.84393	0.82796	0.81070	0.80015	0.78864	0.78290',
'4.90	0.78086	0.97389	0.97538	0.96592	0.95187	0.93637	0.92135	0.89512	0.86579	0.85151	0.83557	0.81837	0.80788	0.79644	0.79074',
'4.95	0.78882	0.98420	0.98498	0.97500	0.96029	0.94440	0.92927	0.90287	0.87342	0.85912	0.84320	0.82606	0.81561	0.80425	0.79859',
'5.00	0.79670	0.99434	0.99443	0.98392	0.96860	0.95260	0.93721	0.91055	0.88100	0.86669	0.85080	0.83374	0.82334	0.81205	0.80644',
'5.05	0.80466	1.00462	1.00393	0.99271	0.97710	0.96070	0.94506	0.91820	0.88861	0.87431	0.85844	0.84141	0.83108	0.81986	0.81429',
'5.10	0.81264	1.01512	1.01357	1.00144	0.98549	0.96870	0.95291	0.92592	0.89620	0.88188	0.86606	0.84910	0.83883	0.82768	0.82215',
'5.15	0.82054	1.02542	1.02304	1.01035	0.99377	0.97676	0.96082	0.93356	0.90379	0.88950	0.87368	0.85680	0.84657	0.83550	0.83001',
'5.20	0.82848	1.03554	1.03236	1.01913	1.00202	0.98482	0.96864	0.94123	0.91139	0.89707	0.88132	0.86449	0.85432	0.84332	0.83788',
'5.25	0.83647	1.04549	1.04153	1.02778	1.01038	0.99280	0.97642	0.94891	0.91897	0.90470	0.88894	0.87219	0.86208	0.85114	0.84574',
'5.30	0.84439	1.05566	1.05103	1.03633	1.01864	1.00071	0.98430	0.95652	0.92658	0.91227	0.89659	0.87988	0.86983	0.85897	0.85361',
'5.35	0.85231	1.06594	1.06037	1.04511	1.02680	1.00876	0.99210	0.96419	0.93414	0.91990	0.90423	0.88759	0.87759	0.86680	0.86148',
'5.40	0.86032	1.07603	1.06957	1.05375	1.03500	1.01672	0.99982	0.97184	0.94177	0.92749	0.91185	0.89530	0.88535	0.87462	0.86935',
'5.45	0.86825	1.08596	1.07863	1.06228	1.04325	1.02459	1.00767	0.97943	0.94933	0.93511	0.91952	0.90301	0.89311	0.88246	0.87722',
'5.50	0.87614	1.09574	1.08777	1.07070	1.05140	1.03253	1.01545	0.98711	0.95695	0.94270	0.92715	0.91072	0.90087	0.89030	0.88509',
'5.55	0.88416	1.10571	1.09701	1.07932	1.05946	1.04047	1.02315	0.99473	0.96453	0.95033	0.93480	0.91844	0.90864	0.89813	0.89297',
'5.60	0.89210	1.11578	1.10610	1.08786	1.06760	1.04833	1.03094	1.00234	0.97214	0.95793	0.94246	0.92616	0.91641	0.90597	0.90085',
'5.65	0.89998	1.12568	1.11506	1.09628	1.07575	1.05614	1.03871	1.00999	0.97973	0.96555	0.95010	0.93388	0.92418	0.91381	0.90872',
'5.70	0.90801	1.13542	1.12390	1.10461	1.08380	1.06408	1.04640	1.01758	0.98732	0.97316	0.95777	0.94160	0.93196	0.92165	0.91660',
'5.75	0.91596	1.14501	1.13298	1.11306	1.09178	1.07194	1.05413	1.02521	0.99492	0.98078	0.96542	0.94932	0.93974	0.92950	0.92448',
'5.80	0.92385	1.15475	1.14199	1.12150	1.09987	1.07972	1.06188	1.03284	1.00251	0.98840	0.97308	0.95706	0.94752	0.93734	0.93237',
'5.85	0.93185	1.16462	1.15086	1.12984	1.10793	1.08755	1.06956	1.04041	1.01012	0.99602	0.98076	0.96479	0.95531	0.94519	0.94025',
'5.90	0.93982	1.17433	1.15962	1.13808	1.11591	1.09541	1.07724	1.04805	1.01770	1.00364	0.98841	0.97252	0.96309	0.95304	0.94814',
'5.95	0.94771	1.18389	1.16835	1.14637	1.12381	1.10319	1.08498	1.05566	1.02533	1.01126	0.99609	0.98025	0.97088	0.96089	0.95602',
'6.00	0.95570	1.19332	1.17727	1.15473	1.13185	1.11091	1.09266	1.06322	1.03290	1.01889	1.00376	0.98800	0.97867	0.96874	0.96391',
'6.05	0.96367	1.20278	1.18608	1.16299	1.13984	1.11877	1.10029	1.07087	1.04053	1.02652	1.01142	0.99574	0.98646	0.97659	0.97180',
'6.10	0.97158	1.21246	1.19477	1.17117	1.14775	1.12655	1.10803	1.07846	1.04811	1.03415	1.01911	1.00349	0.99425	0.98445	0.97968',
'6.15	0.97954	1.22200	1.20336	1.17929	1.15560	1.13428	1.11570	1.08604	1.05574	1.04178	1.02678	1.01123	1.00205	0.99230	0.98757',
'6.20	0.98753	1.23140	1.21200	1.18758	1.16359	1.14202	1.12332	1.09367	1.06333	1.04942	1.03447	1.01897	1.00984	1.00016	0.99546',
'6.25	0.99545	1.24068	1.22074	1.19579	1.17152	1.14981	1.13101	1.10124	1.07095	1.05705	1.04216	1.02673	1.01764	1.00802	1.00336',
'6.30	1.00339	1.24984	1.22938	1.20391	1.17938	1.15754	1.13869	1.10885	1.07856	1.06470	1.04983	1.03449	1.02544	1.01588	1.01125',
'6.35	1.01138	1.25935	1.23791	1.21195	1.18717	1.16521	1.14630	1.11646	1.08616	1.07232	1.05753	1.04224	1.03324	1.02374	1.01914',
'6.40	1.01931	1.26873	1.24636	1.22011	1.19511	1.17298	1.15396	1.12402	1.09379	1.07998	1.06522	1.04999	1.04105	1.03160	1.02704',
'6.45	1.02723	1.27799	1.25490	1.22827	1.20299	1.18072	1.16163	1.13164	1.10138	1.08761	1.07291	1.05776	1.04886	1.03947	1.03493',
'6.50	1.03524	1.28713	1.26350	1.23634	1.21080	1.18840	1.16925	1.13924	1.10902	1.09528	1.08061	1.06552	1.05667	1.04734	1.04283',
'6.55	1.04317	1.29615	1.27199	1.24434	1.21855	1.19607	1.17686	1.14680	1.11661	1.10290	1.08830	1.07329	1.06448	1.05520	1.05073',
'6.60	1.05108	1.30533	1.28039	1.25234	1.22645	1.20382	1.18454	1.15443	1.12426	1.11058	1.09601	1.08105	1.07229	1.06307	1.05863',
'6.65	1.05909	1.31458	1.28871	1.26046	1.23429	1.21152	1.19216	1.16201	1.13186	1.11821	1.10371	1.08881	1.08011	1.07094	1.06652',
'6.70	1.06704	1.32370	1.29715	1.26849	1.24206	1.21916	1.19973	1.16959	1.13950	1.12589	1.11141	1.09659	1.08792	1.07881	1.07442',
'6.75	1.07493	1.33271	1.30562	1.27646	1.24977	1.22685	1.20741	1.17721	1.14711	1.13353	1.11913	1.10436	1.09574	1.08668	1.08233',
'6.80	1.08294	1.34162	1.31399	1.28436	1.25763	1.23456	1.21503	1.18478	1.15475	1.14121	1.12683	1.11213	1.10356	1.09455	1.09023',
'6.85	1.09090	1.35046	1.32228	1.29239	1.26543	1.24221	1.22261	1.19238	1.16237	1.14886	1.13455	1.11990	1.11138	1.10243	1.09813',
'6.90	1.09880	1.35958	1.33049	1.30040	1.27317	1.24981	1.23025	1.19999	1.17000	1.15653	1.14226	1.12769	1.11920	1.11031	1.10603',
'6.95	1.10680	1.36859	1.33883	1.30834	1.28086	1.25754	1.23788	1.20755	1.17764	1.16419	1.14997	1.13547	1.12703	1.11818	1.11394',
'7.00	1.11476	1.37750	1.34718	1.31621	1.28868	1.26521	1.24547	1.21517	1.18526	1.17187	1.15770	1.14325	1.13485	1.12606	1.12184',
'7.05	1.12267	1.38631	1.35545	1.32410	1.29645	1.27283	1.25307	1.22277	1.19291	1.17954	1.16542	1.15103	1.14268	1.13394	1.12974',
'7.10	1.13065	1.39502	1.36365	1.33209	1.30416	1.28046	1.26071	1.23033	1.20052	1.18721	1.17314	1.15882	1.15050	1.14182	1.13765',
'7.15	1.13862	1.40381	1.37177	1.34000	1.31182	1.28815	1.26830	1.23797	1.20819	1.19489	1.18087	1.16661	1.15833	1.14969	1.14556',
'7.20	1.14654	1.41273	1.38000	1.34786	1.31961	1.29579	1.27587	1.24555	1.21581	1.20256	1.18859	1.17440	1.16616	1.15758	1.15347',
'7.25	1.15450	1.42154	1.38826	1.35565	1.32735	1.30338	1.28352	1.25314	1.22347	1.21025	1.19632	1.18219	1.17400	1.16546	1.16137',
'7.30	1.16248	1.43026	1.39645	1.36358	1.33504	1.31104	1.29112	1.26076	1.23110	1.21792	1.20406	1.18998	1.18183	1.17334	1.16928',
'7.35	1.17041	1.43889	1.40456	1.37148	1.34268	1.31870	1.29868	1.26833	1.23876	1.22561	1.21178	1.19778	1.18967	1.18122	1.17719',
'7.40	1.17835	1.44744	1.41261	1.37932	1.35043	1.32631	1.30631	1.27595	1.24640	1.23329	1.21953	1.20558	1.19751	1.18911	1.18510',
'7.45	1.18634	1.45616	1.42073	1.38710	1.35816	1.33388	1.31392	1.28356	1.25406	1.24099	1.22726	1.21337	1.20535	1.19700	1.19301',
'7.50	1.19428	1.46489	1.42891	1.39489	1.36583	1.34156	1.32149	1.29112	1.26171	1.24867	1.23500	1.22117	1.21319	1.20488	1.20092',
'7.55	1.20220	1.47354	1.43702	1.40278	1.37345	1.34919	1.32909	1.29876	1.26936	1.25637	1.24274	1.22897	1.22103	1.21277	1.20884',
'7.60	1.21020	1.48210	1.44507	1.41061	1.38117	1.35678	1.33672	1.30636	1.27703	1.26405	1.25047	1.23678	1.22887	1.22066	1.21675',
'7.65	1.21814	1.49058	1.45306	1.41839	1.38888	1.36439	1.34429	1.31394	1.28467	1.27176	1.25823	1.24458	1.23672	1.22855	1.22466',
'7.70	1.22606	1.49898	1.46107	1.42612	1.39654	1.37204	1.35186	1.32158	1.29235	1.27944	1.26598	1.25239	1.24456	1.23644	1.23258',
'7.75	1.23406	1.50761	1.46919	1.43393	1.40415	1.37965	1.35950	1.32917	1.29998	1.28716	1.27372	1.26019	1.25241	1.24433	1.24049',
'7.80	1.24201	1.51619	1.47724	1.44176	1.41184	1.38721	1.36709	1.33677	1.30767	1.29485	1.28148	1.26800	1.26025	1.25222	1.24840',
'7.85	1.24991	1.52470	1.48523	1.44953	1.41953	1.39485	1.37463	1.34440	1.31532	1.30257	1.28922	1.27582	1.26810	1.26012	1.25632',
'7.90	1.25792	1.53312	1.49316	1.45726	1.42718	1.40248	1.38227	1.35198	1.32301	1.31026	1.29698	1.28363	1.27595	1.26801	1.26423',
'7.95	1.26587	1.54147	1.50107	1.46495	1.43478	1.41007	1.38987	1.35961	1.33067	1.31798	1.30474	1.29144	1.28380	1.27590	1.27215',
'8.00	1.27378	1.54976	1.50913	1.47278	1.44244	1.41763	1.39743	1.36723	1.33835	1.32568	1.31249	1.29925	1.29165	1.28380	1.28007',
'8.05	1.28177	1.55828	1.51713	1.48055	1.45013	1.42529	1.40504	1.37481	1.34602	1.33340	1.32026	1.30707	1.29950	1.29169	1.28799',
'8.10	1.28974	1.56674	1.52508	1.48827	1.45776	1.43289	1.41265	1.38246	1.35369	1.34111	1.32802	1.31489	1.30736	1.29959	1.29590',
'8.15	1.29766	1.57512	1.53296	1.49595	1.46535	1.44046	1.42022	1.39007	1.36137	1.34883	1.33578	1.32271	1.31521	1.30749	1.30382',
'8.20	1.30563	1.58343	1.54080	1.50367	1.47300	1.44806	1.42781	1.39767	1.36904	1.35655	1.34355	1.33052	1.32307	1.31538	1.31174',
'8.25	1.31360	1.59168	1.54879	1.51145	1.48067	1.45569	1.43543	1.40532	1.37674	1.36427	1.35131	1.33835	1.33093	1.32328	1.31966',
'8.30	1.32153	1.59986	1.55675	1.51918	1.48830	1.46328	1.44302	1.41292	1.38440	1.37199	1.35908	1.34617	1.33879	1.33118	1.32758',
'8.35	1.32949	1.60827	1.56465	1.52686	1.49588	1.47084	1.45057	1.42055	1.39211	1.37971	1.36685	1.35400	1.34665	1.33908	1.33550',
'8.40	1.33747	1.61662	1.57250	1.53449	1.50350	1.47847	1.45821	1.42819	1.39977	1.38744	1.37461	1.36182	1.35451	1.34698	1.34342',
'8.45	1.34540	1.62490	1.58030	1.54224	1.51117	1.48608	1.46581	1.43579	1.40748	1.39516	1.38240	1.36964	1.36237	1.35488	1.35134',
'8.50	1.35334	1.63311	1.58819	1.54998	1.51879	1.49366	1.47336	1.44343	1.41516	1.40289	1.39017	1.37748	1.37023	1.36278	1.35926',
'8.55	1.36133	1.64126	1.59612	1.55767	1.52638	1.50122	1.48099	1.45106	1.42286	1.41061	1.39794	1.38531	1.37810	1.37069	1.36718',
'8.60	1.36927	1.64936	1.60399	1.56531	1.53398	1.50886	1.48860	1.45866	1.43055	1.41836	1.40573	1.39314	1.38596	1.37859	1.37510',
'8.65	1.37720	1.65766	1.61181	1.57295	1.54164	1.51646	1.49617	1.46633	1.43825	1.42607	1.41350	1.40096	1.39383	1.38649	1.38303',
'8.70	1.38519	1.66591	1.61958	1.58069	1.54926	1.52402	1.50377	1.47395	1.44594	1.43383	1.42128	1.40880	1.40169	1.39439	1.39095',
'8.75	1.39314	1.67411	1.62737	1.58839	1.55684	1.53162	1.51139	1.48157	1.45364	1.44155	1.42907	1.41664	1.40956	1.40230	1.39887',
'8.80	1.40106	1.68224	1.63527	1.59604	1.56442	1.53924	1.51897	1.48923	1.46135	1.44930	1.43684	1.42447	1.41743	1.41021	1.40680',
'8.85	1.40905	1.69031	1.64311	1.60365	1.57208	1.54683	1.52655	1.49685	1.46904	1.45703	1.44464	1.43231	1.42529	1.41811	1.41472',
'8.90	1.41700	1.69833	1.65091	1.61132	1.57969	1.55437	1.53418	1.50449	1.47676	1.46478	1.45242	1.44014	1.43316	1.42602	1.42265',
'8.95	1.42491	1.70652	1.65866	1.61903	1.58727	1.56200	1.54178	1.51214	1.48445	1.47252	1.46021	1.44798	1.44104	1.43393	1.43057',
'9.00	1.43291	1.71469	1.66637	1.62670	1.59483	1.56961	1.54934	1.51976	1.49217	1.48027	1.46800	1.45583	1.44891	1.44183	1.43850',
'9.05	1.44087	1.72281	1.67423	1.63432	1.60249	1.57719	1.55698	1.52743	1.49986	1.48801	1.47578	1.46367	1.45678	1.44974	1.44642',
'9.10	1.44879	1.73088	1.68205	1.64191	1.61011	1.58475	1.56460	1.53507	1.50759	1.49577	1.48358	1.47150	1.46466	1.45765	1.45435',
'9.15	1.45678	1.73889	1.68983	1.64961	1.61769	1.59239	1.57217	1.54269	1.51529	1.50351	1.49138	1.47935	1.47253	1.46556	1.46228',
'9.20	1.46474	1.74684	1.69756	1.65729	1.62523	1.59999	1.57979	1.55037	1.52302	1.51127	1.49917	1.48719	1.48041	1.47347	1.47020',
'9.25	1.47266	1.75491	1.70526	1.66492	1.63289	1.60755	1.58741	1.55801	1.53073	1.51902	1.50697	1.49504	1.48828	1.48138	1.47813',
'9.30	1.48064	1.76302	1.71303	1.67252	1.64051	1.61515	1.59500	1.56565	1.53845	1.52677	1.51476	1.50289	1.49616	1.48929	1.48606',
'9.35	1.48861	1.77108	1.72084	1.68012	1.64809	1.62277	1.60260	1.57332	1.54617	1.53453	1.52256	1.51073	1.50404	1.49720	1.49398',
'9.40	1.49653	1.77909	1.72860	1.68782	1.65563	1.63036	1.61023	1.58095	1.55389	1.54228	1.53037	1.51858	1.51192	1.50511	1.50191',
'9.45	1.50450	1.78704	1.73632	1.69547	1.66328	1.63791	1.61784	1.58862	1.56161	1.55005	1.53816	1.52643	1.51980	1.51302	1.50984',
'9.50	1.51247	1.79495	1.74400	1.70308	1.67089	1.64554	1.62541	1.59628	1.56933	1.55780	1.54597	1.53428	1.52767	1.52094	1.51777',
'9.55	1.52041	1.80290	1.75168	1.71066	1.67848	1.65315	1.63306	1.60391	1.57707	1.56557	1.55378	1.54213	1.53555	1.52885	1.52570',
'9.60	1.52835	1.81096	1.75947	1.71829	1.68602	1.66073	1.64068	1.61160	1.58478	1.57332	1.56157	1.54998	1.54344	1.53676	1.53363',
'9.65	1.53634	1.81897	1.76723	1.72596	1.69365	1.66830	1.64826	1.61926	1.59252	1.58110	1.56939	1.55784	1.55132	1.54467	1.54156',
'9.70	1.54428	1.82692	1.77494	1.73359	1.70127	1.67594	1.65590	1.62691	1.60023	1.58886	1.57719	1.56569	1.55920	1.55259	1.54948',
'9.75	1.55221	1.83483	1.78261	1.74118	1.70886	1.68354	1.66353	1.63459	1.60799	1.59664	1.58500	1.57355	1.56708	1.56051	1.55742',
'9.80	1.56020	1.84270	1.79024	1.74874	1.71641	1.69111	1.67112	1.64224	1.61570	1.60440	1.59282	1.58140	1.57496	1.56842	1.56534',
'9.85	1.56815	1.85053	1.79799	1.75640	1.72402	1.69871	1.67874	1.64991	1.62346	1.61218	1.60062	1.58925	1.58285	1.57634	1.57328',
'9.90	1.57607	1.85855	1.80574	1.76405	1.73165	1.70634	1.68638	1.65760	1.63118	1.61994	1.60844	1.59712	1.59074	1.58425	1.58121',
'9.95	1.58407	1.86651	1.81344	1.77166	1.73923	1.71393	1.69399	1.66524	1.63893	1.62772	1.61625	1.60498	1.59862	1.59217	1.58914',
'10.00	1.59202	1.87443	1.82110	1.77924	1.74679	1.72149	1.70159	1.67293	1.64666	1.63549	1.62406	1.61283	1.60651	1.60008	1.59707',
'10.05	1.59993	1.88230	1.82873	1.78681	1.75439	1.72913	1.70925	1.68061	1.65441	1.64327	1.63189	1.62069	1.61440	1.60800	1.60500',
'10.10	1.60793	1.89013	1.83640	1.79447	1.76202	1.73675	1.71687	1.68826	1.66215	1.65105	1.63970	1.62855	1.62229	1.61592	1.61293',
'10.15	1.61589	1.89792	1.84414	1.80210	1.76961	1.74434	1.72446	1.69596	1.66989	1.65882	1.64752	1.63642	1.63018	1.62384	1.62087',
'10.20	1.62381	1.90583	1.85184	1.80970	1.77717	1.75192	1.73212	1.70363	1.67764	1.66661	1.65534	1.64428	1.63807	1.63175	1.62880',
'10.25	1.63179	1.91376	1.85950	1.81726	1.78476	1.75956	1.73975	1.71131	1.68538	1.67438	1.66315	1.65214	1.64596	1.63967	1.63673',
'10.30	1.63976	1.92164	1.86713	1.82486	1.79239	1.76717	1.74736	1.71900	1.69314	1.68217	1.67098	1.66000	1.65385	1.64759	1.64466',
'10.35	1.64768	1.92948	1.87472	1.83251	1.79998	1.77475	1.75500	1.72667	1.70087	1.68995	1.67880	1.66787	1.66174	1.65551	1.65260',
'10.40	1.65565	1.93728	1.88245	1.84012	1.80755	1.78236	1.76265	1.73436	1.70864	1.69774	1.68662	1.67574	1.66963	1.66343	1.66053',
'10.45	1.66362	1.94504	1.89015	1.84770	1.81513	1.79000	1.77026	1.74205	1.71637	1.70551	1.69445	1.68361	1.67752	1.67135	1.66846',
'10.50	1.67155	1.95285	1.89781	1.85525	1.82276	1.79760	1.77789	1.74971	1.72414	1.71332	1.70228	1.69147	1.68542	1.67927	1.67640',
'10.55	1.67952	1.96075	1.90544	1.86288	1.83036	1.80517	1.78555	1.75743	1.73189	1.72109	1.71010	1.69934	1.69331	1.68719	1.68433',
'10.60	1.68749	1.96860	1.91304	1.87052	1.83793	1.81282	1.79318	1.76511	1.73966	1.72889	1.71793	1.70721	1.70120	1.69512	1.69227',
'10.65	1.69543	1.97642	1.92069	1.87812	1.84550	1.82044	1.80078	1.77279	1.74740	1.73668	1.72575	1.71508	1.70910	1.70304	1.70020',
'10.70	1.70338	1.98420	1.92839	1.88569	1.85314	1.82804	1.80846	1.78050	1.75517	1.74448	1.73359	1.72295	1.71699	1.71096	1.70814',
'10.75	1.71136	1.99194	1.93605	1.89323	1.86075	1.83563	1.81610	1.78818	1.76293	1.75226	1.74142	1.73082	1.72489	1.71888	1.71607',
'10.80	1.71930	1.99964	1.94368	1.90089	1.86832	1.84328	1.82371	1.79588	1.77069	1.76006	1.74925	1.73869	1.73278	1.72680	1.72401',
'10.85	1.72724	2.00751	1.95128	1.90851	1.87588	1.85090	1.83138	1.80359	1.77845	1.76786	1.75709	1.74657	1.74068	1.73473	1.73194',
'10.90	1.73522	2.01534	1.95886	1.91610	1.88353	1.85849	1.83903	1.81126	1.78621	1.77566	1.76492	1.75444	1.74858	1.74265	1.73988',
'10.95	1.74317	2.02314	1.96656	1.92365	1.89114	1.86612	1.84665	1.81898	1.79399	1.78345	1.77275	1.76231	1.75648	1.75057	1.74781',
'11.00	1.75110	2.03090	1.97423	1.93123	1.89872	1.87376	1.85431	1.82669	1.80174	1.79125	1.78059	1.77018	1.76438	1.75850	1.75575',
'11.05	1.75909	2.03862	1.98186	1.93887	1.90627	1.88137	1.86197	1.83437	1.80952	1.79906	1.78842	1.77806	1.77228	1.76642	1.76368',
'11.10	1.76704	2.04631	1.98946	1.94648	1.91392	1.88895	1.86961	1.84209	1.81728	1.80685	1.79626	1.78594	1.78018	1.77434	1.77162',
'11.15	1.77496	2.05407	1.99703	1.95406	1.92154	1.89662	1.87724	1.84979	1.82506	1.81466	1.80410	1.79382	1.78808	1.78227	1.77956',
'11.20	1.78295	2.06189	2.00467	1.96161	1.92912	1.90425	1.88492	1.85749	1.83282	1.82245	1.81193	1.80169	1.79598	1.79020	1.78749',
'11.25	1.79091	2.06967	2.01234	1.96922	1.93668	1.91185	1.89257	1.86522	1.84061	1.83027	1.81978	1.80957	1.80388	1.79812	1.79543',
'11.30	1.79884	2.07741	2.01998	1.97685	1.94432	1.91947	1.90019	1.87291	1.84837	1.83806	1.82762	1.81745	1.81178	1.80604	1.80337',
'11.35	1.80682	2.08512	2.02759	1.98445	1.95194	1.92712	1.90788	1.88063	1.85615	1.84588	1.83546	1.82533	1.81968	1.81397	1.81130',
'11.40	1.81478	2.09280	2.03517	1.99202	1.95954	1.93475	1.91554	1.88835	1.86392	1.85368	1.84331	1.83321	1.82758	1.82190	1.81924',
'11.45	1.82271	2.10045	2.04274	1.99956	1.96710	1.94235	1.92317	1.89603	1.87171	1.86150	1.85114	1.84109	1.83548	1.82982	1.82718',
'11.50	1.83068	2.10826	2.05042	2.00720	1.97473	1.95000	1.93085	1.90377	1.87948	1.86930	1.85899	1.84897	1.84339	1.83775	1.83512',
'11.55	1.83865	2.11603	2.05806	2.01482	1.98236	1.95765	1.93852	1.91148	1.88726	1.87712	1.86684	1.85685	1.85129	1.84568	1.84306',
'11.60	1.84658	2.12376	2.06568	2.02241	1.98996	1.96527	1.94616	1.91919	1.89505	1.88492	1.87468	1.86474	1.85919	1.85361	1.85099',
'11.65	1.85455	2.13146	2.07326	2.02997	1.99753	1.97287	1.95383	1.92693	1.90282	1.89274	1.88253	1.87262	1.86710	1.86153	1.85893',
'11.70	1.86252	2.13913	2.08082	2.03754	2.00516	1.98054	1.96151	1.93463	1.91061	1.90055	1.89038	1.88050	1.87500	1.86946	1.86687',
'11.75	1.87046	2.14676	2.08845	2.04518	2.01279	1.98818	1.96917	1.94236	1.91839	1.90837	1.89822	1.88838	1.88291	1.87739	1.87481',
'11.80	1.87841	2.15448	2.09610	2.05279	2.02040	1.99580	1.97682	1.95009	1.92618	1.91619	1.90608	1.89627	1.89081	1.88532	1.88275',
'11.85	1.88639	2.16224	2.10372	2.06037	2.02798	2.00343	1.98451	1.95779	1.93396	1.92400	1.91392	1.90416	1.89872	1.89324	1.89069',
'11.90	1.89433	2.16997	2.11132	2.06792	2.03560	2.01110	1.99218	1.96554	1.94176	1.93182	1.92178	1.91204	1.90663	1.90117	1.89863',
'11.95	1.90227	2.17766	2.11888	2.07552	2.04324	2.01873	1.99982	1.97326	1.94953	1.93963	1.92963	1.91992	1.91454	1.90910	1.90657',
'12.00	1.91025	2.18532	2.12645	2.08316	2.05085	2.02634	2.00752	1.98098	1.95734	1.94746	1.93747	1.92781	1.92244	1.91703	1.91450',
'12.05	1.91820	2.19296	2.13411	2.09076	2.05843	2.03401	2.01520	1.98872	1.96512	1.95527	1.94533	1.93570	1.93035	1.92496	1.92244',
'12.10	1.92613	2.20057	2.14174	2.09833	2.06605	2.04167	2.02285	1.99644	1.97292	1.96310	1.95319	1.94359	1.93826	1.93289	1.93038',
'12.15	1.93412	2.20833	2.14934	2.10588	2.07369	2.04930	2.03054	2.00418	1.98070	1.97091	1.96104	1.95148	1.94617	1.94082	1.93832',
'12.20	1.94207	2.21605	2.15692	2.11351	2.08131	2.05692	2.03823	2.01192	1.98850	1.97875	1.96890	1.95936	1.95408	1.94875	1.94626',
'12.25	1.95000	2.22374	2.16446	2.12114	2.08890	2.06460	2.04589	2.01963	1.99630	1.98656	1.97675	1.96726	1.96199	1.95668	1.95420',
'12.30	1.95799	2.23140	2.17209	2.12874	2.09651	2.07225	2.05357	2.02738	2.00409	1.99440	1.98461	1.97515	1.96990	1.96461	1.96214',
'12.35	1.96594	2.23903	2.17973	2.13630	2.10416	2.07988	2.06127	2.03512	2.01189	2.00222	1.99247	1.98304	1.97781	1.97254	1.97008',
'12.40	1.97387	2.24663	2.18734	2.14387	2.11179	2.08753	2.06894	2.04284	2.01969	2.01005	2.00032	1.99093	1.98572	1.98047	1.97803',
'12.45	1.98185	2.25431	2.19493	2.15151	2.11939	2.09521	2.07660	2.05060	2.02749	2.01787	2.00818	1.99882	1.99363	1.98841	1.98597',
'12.50	1.98982	2.26203	2.20248	2.15913	2.12699	2.10285	2.08431	2.05833	2.03528	2.02570	2.01604	2.00671	2.00154	1.99634	1.99391',
'12.55	1.99775	2.26972	2.21005	2.16672	2.13465	2.11047	2.09200	2.06607	2.04309	2.03353	2.02390	2.01461	2.00945	2.00427	2.00185',
'12.60	2.00572	2.27738	2.21770	2.17428	2.14228	2.11816	2.09965	2.07382	2.05088	2.04136	2.03177	2.02250	2.01736	2.01220	2.00979',
'12.65	2.01368	2.28501	2.22532	2.18188	2.14988	2.12583	2.10737	2.08155	2.05870	2.04919	2.03962	2.03039	2.02527	2.02013	2.01773',
'12.70	2.02162	2.29261	2.23292	2.18952	2.15748	2.13347	2.11507	2.08930	2.06648	2.05702	2.04749	2.03828	2.03319	2.02807	2.02567',
'12.75	2.02958	2.30019	2.24049	2.19713	2.16515	2.14111	2.12273	2.09705	2.07430	2.06486	2.05535	2.04618	2.04110	2.03600	2.03361',
'12.80	2.03755	2.30791	2.24803	2.20471	2.17279	2.14880	2.13044	2.10478	2.08210	2.07268	2.06321	2.05408	2.04901	2.04393	2.04155',
'12.85	2.04549	2.31560	2.25565	2.21227	2.18040	2.15646	2.13814	2.11255	2.08992	2.08053	2.07108	2.06197	2.05693	2.05186	2.04949',
'12.90	2.05345	2.32326	2.26329	2.21990	2.18799	2.16410	2.14582	2.12029	2.09772	2.08835	2.07894	2.06986	2.06484	2.05980	2.05744',
'12.95	2.06142	2.33089	2.27090	2.22753	2.19566	2.17178	2.15351	2.12803	2.10553	2.09620	2.08680	2.07776	2.07276	2.06773	2.06538',
'13.00	2.06937	2.33850	2.27848	2.23514	2.20331	2.17946	2.16123	2.13580	2.11334	2.10402	2.09468	2.08566	2.08067	2.07566	2.07332',
'13.05	2.07731	2.34608	2.28603	2.24272	2.21093	2.18711	2.16892	2.14354	2.12115	2.11187	2.10254	2.09356	2.08859	2.08360	2.08126',
'13.10	2.08529	2.35371	2.29360	2.25028	2.21852	2.19475	2.17660	2.15130	2.12896	2.11970	2.11041	2.10145	2.09650	2.09153	2.08921',
'13.15	2.09324	2.36141	2.30124	2.25793	2.22619	2.20245	2.18432	2.15906	2.13677	2.12755	2.11828	2.10935	2.10442	2.09946	2.09715',
'13.20	2.10117	2.36907	2.30886	2.26556	2.23384	2.21013	2.19202	2.16679	2.14459	2.13538	2.12614	2.11725	2.11234	2.10740	2.10509',
'13.25	2.10916	2.37671	2.31645	2.27316	2.24147	2.21778	2.19970	2.17457	2.15239	2.14322	2.13401	2.12515	2.12025	2.11533	2.11303',
'13.30	2.11711	2.38432	2.32402	2.28074	2.24907	2.22544	2.20743	2.18232	2.16022	2.15107	2.14188	2.13305	2.12817	2.12327	2.12098',
'13.35	2.12504	2.39190	2.33156	2.28833	2.25674	2.23314	2.21514	2.19007	2.16802	2.15890	2.14975	2.14095	2.13609	2.13120	2.12892',
'13.40	2.13303	2.39946	2.33919	2.29598	2.26440	2.24081	2.22282	2.19785	2.17585	2.16675	2.15762	2.14885	2.14400	2.13914	2.13686',
'13.45	2.14098	2.40714	2.34682	2.30360	2.27203	2.24846	2.23054	2.20559	2.18365	2.17459	2.16549	2.15675	2.15192	2.14707	2.14480',
'13.50	2.14891	2.41481	2.35442	2.31120	2.27964	2.25615	2.23826	2.21336	2.19148	2.18244	2.17336	2.16465	2.15984	2.15501	2.15275',
'13.55	2.15689	2.42245	2.36200	2.31877	2.28730	2.26384	2.24595	2.22113	2.19929	2.19027	2.18124	2.17255	2.16775	2.16294	2.16069',
'13.60	2.16485	2.43007	2.36956	2.32640	2.29497	2.27151	2.25366	2.22887	2.20712	2.19813	2.18911	2.18045	2.17567	2.17088	2.16863',
'13.65	2.17279	2.43766	2.37713	2.33404	2.30260	2.27917	2.26139	2.23666	2.21493	2.20596	2.19699	2.18835	2.18359	2.17881	2.17658',
'13.70	2.18076	2.44522	2.38477	2.34166	2.31022	2.28688	2.26909	2.24442	2.22276	2.21382	2.20486	2.19626	2.19151	2.18675	2.18452',
'13.75	2.18873	2.45282	2.39239	2.34925	2.31788	2.29456	2.27679	2.25218	2.23058	2.22166	2.21273	2.20416	2.19943	2.19468	2.19247',
'13.80	2.19666	2.46050	2.39998	2.35682	2.32555	2.30222	2.28453	2.25996	2.23841	2.22952	2.22061	2.21206	2.20735	2.20262	2.20041',
'13.85	2.20462	2.46815	2.40755	2.36448	2.33320	2.30991	2.29224	2.26772	2.24623	2.23736	2.22849	2.21996	2.21527	2.21056	2.20835',
'13.90	2.21260	2.47577	2.41509	2.37211	2.34082	2.31761	2.29993	2.27549	2.25405	2.24521	2.23636	2.22787	2.22319	2.21849	2.21630',
'13.95	2.22054	2.48337	2.42272	2.37973	2.34848	2.32529	2.30768	2.28327	2.26188	2.25306	2.24424	2.23578	2.23111	2.22643	2.22424',
'14.00	2.22849	2.49094	2.43035	2.38732	2.35615	2.33295	2.31540	2.29102	2.26970	2.26091	2.25211	2.24368	2.23903	2.23437	2.23219',
'14.05	2.23646	2.49849	2.43795	2.39492	2.36380	2.34067	2.32310	2.29881	2.27753	2.26877	2.25999	2.25159	2.24695	2.24230	2.24013',
'14.10	2.24441	2.50614	2.44554	2.40257	2.37143	2.34837	2.33083	2.30658	2.28535	2.27662	2.26787	2.25949	2.25487	2.25024	2.24807',
'14.15	2.25236	2.51379	2.45309	2.41021	2.37909	2.35604	2.33857	2.31435	2.29319	2.28447	2.27575	2.26740	2.26280	2.25818	2.25602',
'14.20	2.26033	2.52142	2.46067	2.41782	2.38677	2.36372	2.34627	2.32214	2.30101	2.29232	2.28363	2.27531	2.27072	2.26612	2.26396',
'14.25	2.26828	2.52903	2.46831	2.42541	2.39443	2.37144	2.35400	2.32990	2.30885	2.30018	2.29151	2.28321	2.27864	2.27405	2.27191',
'14.30	2.27622	2.53661	2.47593	2.43304	2.40206	2.37913	2.36174	2.33768	2.31666	2.30802	2.29939	2.29112	2.28656	2.28199	2.27985',
'14.35	2.28420	2.54417	2.48352	2.44069	2.40972	2.38680	2.36946	2.34547	2.32451	2.31589	2.30727	2.29902	2.29448	2.28993	2.28780',
'14.40	2.29216	2.55174	2.49110	2.44832	2.41740	2.39451	2.37717	2.35323	2.33233	2.32373	2.31515	2.30693	2.30241	2.29787	2.29574',
'14.45	2.30008	2.55940	2.49864	2.45593	2.42507	2.40222	2.38492	2.36103	2.34017	2.33160	2.32303	2.31484	2.31033	2.30580	2.30369',
'14.50	2.30807	2.56704	2.50628	2.46351	2.43271	2.40991	2.39265	2.36881	2.34800	2.33945	2.33092	2.32275	2.31825	2.31374	2.31163',
'14.55	2.31603	2.57465	2.51391	2.47117	2.44036	2.41758	2.40035	2.37658	2.35584	2.34732	2.33880	2.33065	2.32617	2.32168	2.31958',
'14.60	2.32396	2.58224	2.52152	2.47882	2.44805	2.42531	2.40811	2.38438	2.36367	2.35517	2.34668	2.33856	2.33410	2.32962	2.32752',
'14.65	2.33194	2.58981	2.52910	2.48645	2.45572	2.43302	2.41585	2.39215	2.37151	2.36303	2.35457	2.34648	2.34202	2.33756	2.33547',
'14.70	2.33990	2.59736	2.53666	2.49405	2.46337	2.44070	2.42356	2.39994	2.37934	2.37089	2.36245	2.35439	2.34994	2.34550	2.34341',
'14.75	2.34783	2.60498	2.54425	2.50166	2.47102	2.44840	2.43131	2.40773	2.38718	2.37875	2.37034	2.36229	2.35787	2.35344	2.35136',
'14.80	2.35580	2.61262	2.55189	2.50933	2.47872	2.45613	2.43905	2.41550	2.39502	2.38661	2.37822	2.37020	2.36579	2.36137	2.35930',
'14.85	2.36377	2.62025	2.55951	2.51698	2.48639	2.46383	2.44677	2.42330	2.40285	2.39447	2.38611	2.37811	2.37372	2.36931	2.36725',
'14.90	2.37171	2.62785	2.56711	2.52460	2.49404	2.47150	2.45451	2.43109	2.41070	2.40234	2.39400	2.38603	2.38164	2.37725	2.37519',
'14.95	2.37967	2.63543	2.57469	2.53220	2.50170	2.47924	2.46227	2.43886	2.41853	2.41019	2.40188	2.39394	2.38957	2.38519	2.38314',
'15.00	2.38764	2.64298	2.58224	2.53984	2.50940	2.48695	2.46999	2.44667	2.42638	2.41806	2.40977	2.40185	2.39749	2.39313	2.39108',
'15.05	2.39558	2.65053	2.58988	2.54750	2.51708	2.49465	2.47773	2.45445	2.43421	2.42591	2.41766	2.40976	2.40542	2.40107	2.39903',
'15.10	2.40354	2.65818	2.59752	2.55515	2.52474	2.50235	2.48549	2.46224	2.44206	2.43379	2.42554	2.41767	2.41335	2.40901	2.40698',
'15.15	2.41151	2.66582	2.60513	2.56277	2.53239	2.51008	2.49322	2.47005	2.44989	2.44164	2.43343	2.42559	2.42127	2.41695	2.41492',
'15.20	2.41946	2.67343	2.61272	2.57037	2.54010	2.51779	2.50095	2.47782	2.45774	2.44952	2.44132	2.43350	2.42920	2.42489	2.42287',
'15.25	2.42740	2.68102	2.62028	2.57804	2.54778	2.52548	2.50872	2.48563	2.46558	2.45738	2.44921	2.44141	2.43713	2.43283	2.43081',
'15.30	2.43538	2.68858	2.62788	2.58570	2.55545	2.53321	2.51646	2.49342	2.47343	2.46525	2.45710	2.44932	2.44505	2.44077	2.43876',
'15.35	2.44333	2.69613	2.63553	2.59334	2.56310	2.54094	2.52418	2.50121	2.48127	2.47311	2.46499	2.45724	2.45298	2.44871	2.44671',
'15.40	2.45127	2.70372	2.64315	2.60095	2.57081	2.54865	2.53195	2.50902	2.48912	2.48098	2.47288	2.46515	2.46091	2.45665	2.45465',
'15.45	2.45925	2.71137	2.65075	2.60857	2.57850	2.55634	2.53971	2.51681	2.49696	2.48885	2.48077	2.47306	2.46883	2.46459	2.46260',
'15.50	2.46720	2.71899	2.65834	2.61625	2.58617	2.56409	2.54744	2.52461	2.50481	2.49672	2.48866	2.48098	2.47676	2.47253	2.47054',
'15.55	2.47513	2.72659	2.66590	2.62391	2.59382	2.57181	2.55520	2.53241	2.51266	2.50459	2.49655	2.48889	2.48469	2.48047	2.47849',
'15.60	2.48312	2.73417	2.67355	2.63155	2.60154	2.57951	2.56296	2.54020	2.52050	2.51245	2.50445	2.49681	2.49261	2.48841	2.48644',
'15.65	2.49108	2.74173	2.68118	2.63916	2.60924	2.58723	2.57070	2.54801	2.52835	2.52033	2.51233	2.50472	2.50054	2.49635	2.49438',
'15.70	2.49901	2.74926	2.68880	2.64681	2.61691	2.59497	2.57845	2.55581	2.53620	2.52819	2.52023	2.51264	2.50847	2.50429	2.50233',
'15.75	2.50699	2.75691	2.69640	2.65449	2.62457	2.60269	2.58622	2.56360	2.54405	2.53607	2.52812	2.52055	2.51640	2.51223	2.51028',
'15.80	2.51495	2.76454	2.70397	2.66214	2.63229	2.61039	2.59396	2.57142	2.55190	2.54393	2.53601	2.52847	2.52433	2.52018	2.51822',
'15.85	2.52288	2.77215	2.71157	2.66978	2.63999	2.61814	2.60171	2.57922	2.55975	2.55181	2.54391	2.53639	2.53226	2.52812	2.52617',
'15.90	2.53085	2.77974	2.71923	2.67739	2.64767	2.62587	2.60948	2.58702	2.56760	2.55967	2.55180	2.54430	2.54018	2.53606	2.53412',
'15.95	2.53882	2.78731	2.72686	2.68507	2.65533	2.63358	2.61724	2.59483	2.57546	2.56756	2.55970	2.55222	2.54811	2.54400	2.54206',
'16.00	2.54676	2.79486	2.73447	2.69274	2.66305	2.64130	2.62497	2.60262	2.58330	2.57542	2.56760	2.56013	2.55604	2.55194	2.55001',
'16.05	2.55472	2.80243	2.74205	2.70040	2.67075	2.64905	2.63276	2.61044	2.59116	2.58330	2.57548	2.56805	2.56397	2.55988	2.55796',
'16.10	2.56269	2.81008	2.74962	2.70803	2.67844	2.65678	2.64052	2.61825	2.59901	2.59117	2.58339	2.57597	2.57190	2.56783	2.56591',
'16.15	2.57063	2.81770	2.75728	2.71566	2.68611	2.66449	2.64826	2.62604	2.60687	2.59905	2.59128	2.58389	2.57983	2.57577	2.57385',
'16.20	2.57859	2.82531	2.76492	2.72335	2.69382	2.67223	2.65603	2.63387	2.61472	2.60692	2.59917	2.59180	2.58776	2.58371	2.58180',
'16.25	2.58656	2.83289	2.77255	2.73102	2.70154	2.67998	2.66381	2.64167	2.62258	2.61480	2.60708	2.59972	2.59569	2.59165	2.58975',
'16.30	2.59451	2.84045	2.78015	2.73867	2.70923	2.68770	2.67155	2.64948	2.63043	2.62268	2.61497	2.60764	2.60362	2.59959	2.59769',
'16.35	2.60245	2.84799	2.78773	2.74630	2.71690	2.69542	2.67932	2.65730	2.63829	2.63055	2.62287	2.61556	2.61155	2.60754	2.60564',
'16.40	2.61043	2.85561	2.79535	2.75396	2.72461	2.70318	2.68710	2.66510	2.64614	2.63843	2.63077	2.62348	2.61948	2.61548	2.61359',
'16.45	2.61838	2.86325	2.80300	2.76165	2.73233	2.71092	2.69485	2.67292	2.65400	2.64630	2.63866	2.63140	2.62741	2.62342	2.62153',
'16.50	2.62632	2.87086	2.81064	2.76932	2.74003	2.71864	2.70261	2.68073	2.66186	2.65419	2.64656	2.63931	2.63535	2.63136	2.62948',
'16.55	2.63430	2.87846	2.81825	2.77696	2.74770	2.72638	2.71040	2.68853	2.66972	2.66205	2.65446	2.64724	2.64328	2.63931	2.63743',
'16.60	2.64225	2.88603	2.82585	2.78459	2.75542	2.73413	2.71816	2.69636	2.67758	2.66994	2.66236	2.65516	2.65121	2.64725	2.64538',
'16.65	2.65019	2.89359	2.83343	2.79228	2.76314	2.74186	2.72591	2.70417	2.68543	2.67781	2.67026	2.66308	2.65914	2.65519	2.65332',
'16.70	2.65817	2.90114	2.84110	2.79997	2.77084	2.74958	2.73371	2.71199	2.69330	2.68570	2.67816	2.67099	2.66707	2.66313	2.66127',
'16.75	2.66613	2.90879	2.84874	2.80763	2.77852	2.75735	2.74148	2.71981	2.70115	2.69358	2.68606	2.67892	2.67500	2.67108	2.66922',
'16.80	2.67406	2.91642	2.85637	2.81528	2.78624	2.76509	2.74923	2.72761	2.70902	2.70146	2.69396	2.68684	2.68293	2.67902	2.67717',
'16.85	2.68204	2.92403	2.86398	2.82292	2.79397	2.77282	2.75702	2.73544	2.71687	2.70934	2.70186	2.69476	2.69087	2.68696	2.68511',
'16.90	2.69000	2.93161	2.87157	2.83062	2.80167	2.78056	2.76480	2.74326	2.72474	2.71722	2.70976	2.70268	2.69880	2.69491	2.69306',
'16.95	2.69794	2.93918	2.87920	2.83831	2.80936	2.78832	2.77255	2.75107	2.73260	2.72510	2.71767	2.71060	2.70673	2.70285	2.70101',
'17.00	2.70591	2.94673	2.88686	2.84597	2.81708	2.79607	2.78034	2.75890	2.74047	2.73298	2.72556	2.71852	2.71466	2.71079	2.70896',
'17.05	2.71387	2.95433	2.89451	2.85361	2.82481	2.80379	2.78812	2.76671	2.74832	2.74087	2.73347	2.72644	2.72260	2.71874	2.71690',
'17.10	2.72181	2.96197	2.90213	2.86129	2.83252	2.81156	2.79589	2.77453	2.75620	2.74874	2.74137	2.73437	2.73053	2.72668	2.72485',
'17.15	2.72977	2.96959	2.90973	2.86898	2.84021	2.81931	2.80366	2.78236	2.76405	2.75663	2.74927	2.74229	2.73846	2.73462	2.73280',
'17.20	2.73774	2.97719	2.91732	2.87666	2.84793	2.82705	2.81145	2.79017	2.77192	2.76451	2.75718	2.75021	2.74640	2.74257	2.74075',
'17.25	2.74569	2.98478	2.92500	2.88432	2.85566	2.83479	2.81922	2.79801	2.77979	2.77240	2.76508	2.75813	2.75433	2.75051	2.74869',
'17.30	2.75364	2.99234	2.93265	2.89196	2.86338	2.84256	2.82699	2.80583	2.78765	2.78028	2.77298	2.76606	2.76226	2.75846	2.75664',
'17.35	2.76161	2.99988	2.94029	2.89967	2.87107	2.85031	2.83479	2.81364	2.79552	2.78817	2.78089	2.77398	2.77020	2.76640	2.76459',
'17.40	2.76956	3.00753	2.94790	2.90736	2.87879	2.85805	2.84257	2.82148	2.80339	2.79605	2.78879	2.78190	2.77813	2.77434	2.77254',
'17.45	2.77751	3.01517	2.95550	2.91504	2.88653	2.86581	2.85033	2.82930	2.81126	2.80394	2.79670	2.78982	2.78606	2.78229	2.78048',
'17.50	2.78548	3.02278	2.96314	2.92270	2.89425	2.87357	2.85814	2.83713	2.81912	2.81182	2.80460	2.79775	2.79400	2.79023	2.78843',
'17.55	2.79343	3.03037	2.97081	2.93036	2.90195	2.88132	2.86592	2.84496	2.82699	2.81971	2.81250	2.80567	2.80193	2.79818	2.79638',
'17.60	2.80137	3.03795	2.97846	2.93807	2.90967	2.88905	2.87368	2.85277	2.83485	2.82760	2.82041	2.81360	2.80986	2.80612	2.80433',
'17.65	2.80935	3.04551	2.98609	2.94576	2.91741	2.89684	2.88148	2.86061	2.84273	2.83548	2.82832	2.82152	2.81780	2.81406	2.81228',
'17.70	2.81731	3.05310	2.99370	2.95344	2.92514	2.90460	2.88928	2.86844	2.85059	2.84337	2.83622	2.82944	2.82573	2.82201	2.82022',
'17.75	2.82524	3.06074	3.00131	2.96109	2.93284	2.91234	2.89705	2.87626	2.85847	2.85126	2.84413	2.83737	2.83367	2.82995	2.82817',
'17.80	2.83322	3.06837	3.00899	2.96878	2.94056	2.92010	2.90484	2.88410	2.86633	2.85915	2.85204	2.84529	2.84160	2.83790	2.83612',
'17.85	2.84118	3.07598	3.01665	2.97649	2.94831	2.92787	2.91264	2.89192	2.87421	2.86703	2.85994	2.85322	2.84954	2.84584	2.84407',
'17.90	2.84911	3.08357	3.02429	2.98418	2.95604	2.93563	2.92042	2.89976	2.88207	2.87493	2.86785	2.86114	2.85747	2.85379	2.85202',
'17.95	2.85709	3.09114	3.03191	2.99185	2.96375	2.94337	2.92820	2.90759	2.88995	2.88281	2.87575	2.86907	2.86541	2.86173	2.85996',
'18.00	2.86505	3.09869	3.03952	2.99951	2.97146	2.95115	2.93601	2.91541	2.89782	2.89071	2.88367	2.87699	2.87334	2.86968	2.86791',
'18.05	2.87299	3.10633	3.04718	3.00723	2.97922	2.95892	2.94379	2.92326	2.90570	2.89859	2.89157	2.88492	2.88128	2.87762	2.87586',
'18.10	2.88096	3.11397	3.05485	3.01493	2.98695	2.96667	2.95157	2.93109	2.91357	2.90649	2.89948	2.89284	2.88921	2.88557	2.88381',
'18.15	2.88892	3.12159	3.06250	3.02262	2.99466	2.97443	2.95938	2.93891	2.92144	2.91437	2.90739	2.90077	2.89715	2.89351	2.89176',
'18.20	2.89687	3.12919	3.07014	3.03029	3.00238	2.98221	2.96717	2.94676	2.92931	2.92227	2.91530	2.90870	2.90508	2.90146	2.89970',
'18.25	2.90483	3.13677	3.07776	3.03796	3.01014	2.98998	2.97494	2.95459	2.93719	2.93016	2.92321	2.91662	2.91302	2.90940	2.90765',
'18.30	2.91279	3.14434	3.08538	3.04569	3.01788	2.99772	2.98276	2.96242	2.94506	2.93805	2.93112	2.92455	2.92096	2.91735	2.91560',
'18.35	2.92074	3.15192	3.09307	3.05339	3.02559	3.00550	2.99055	2.97026	2.95294	2.94594	2.93902	2.93248	2.92889	2.92529	2.92355',
'18.40	2.92870	3.15957	3.10073	3.06107	3.03331	3.01328	2.99833	2.97809	2.96082	2.95383	2.94694	2.94040	2.93683	2.93324	2.93149',
'18.45	2.93667	3.16721	3.10838	3.06874	3.04107	3.02104	3.00614	2.98594	2.96869	2.96173	2.95485	2.94833	2.94476	2.94118	2.93944',
'18.50	2.94461	3.17482	3.11601	3.07645	3.04882	3.02879	3.01394	2.99377	2.97657	2.96961	2.96275	2.95626	2.95270	2.94913	2.94739',
'18.55	2.95256	3.18242	3.12362	3.08417	3.05654	3.03659	3.02173	3.00160	2.98444	2.97751	2.97067	2.96418	2.96064	2.95707	2.95534',
'18.60	2.96054	3.19000	3.13130	3.09187	3.06426	3.04436	3.02953	3.00945	2.99232	2.98540	2.97858	2.97211	2.96857	2.96502	2.96329',
'18.65	2.96849	3.19757	3.13898	3.09955	3.07202	3.05211	3.03734	3.01728	3.00019	2.99330	2.98648	2.98004	2.97651	2.97296	2.97123',
'18.70	2.97643	3.20519	3.14664	3.10721	3.07977	3.05989	3.04513	3.02512	3.00808	3.00119	2.99440	2.98797	2.98445	2.98091	2.97918',
'18.75	2.98441	3.21284	3.15428	3.11495	3.08749	3.06768	3.05292	3.03297	3.01595	3.00909	3.00231	2.99590	2.99238	2.98886	2.98713',
'18.80	2.99236	3.22047	3.16191	3.12266	3.09522	3.07545	3.06074	3.04080	3.02383	3.01698	3.01022	3.00382	3.00032	2.99680	2.99508',
'18.85	3.00030	3.22808	3.16955	3.13036	3.10298	3.08320	3.06853	3.04865	3.03170	3.02488	3.01814	3.01175	3.00826	3.00475	3.00302',
'18.90	3.00828	3.23567	3.17724	3.13804	3.11073	3.09099	3.07632	3.05649	3.03959	3.03277	3.02604	3.01968	3.01619	3.01269	3.01097',
'18.95	3.01623	3.24325	3.18491	3.14574	3.11846	3.09878	3.08414	3.06432	3.04747	3.04067	3.03396	3.02761	3.02413	3.02064	3.01892',
'19.00	3.02417	3.25082	3.19257	3.15347	3.12619	3.10654	3.09194	3.07218	3.05535	3.04857	3.04187	3.03554	3.03207	3.02859	3.02687',
'19.05	3.03215	3.25848	3.20020	3.16118	3.13396	3.11431	3.09973	3.08001	3.06323	3.05646	3.04978	3.04347	3.04001	3.03653	3.03481',
'19.10	3.04011	3.26613	3.20782	3.16887	3.14171	3.12211	3.10755	3.08786	3.07111	3.06436	3.05770	3.05139	3.04795	3.04448	3.04276',
'19.15	3.04805	3.27375	3.21552	3.17655	3.14944	3.12988	3.11536	3.09571	3.07899	3.07225	3.06561	3.05932	3.05588	3.05242	3.05071',
'19.20	3.05602	3.28136	3.22320	3.18428	3.15717	3.13764	3.12315	3.10354	3.08687	3.08016	3.07352	3.06725	3.06382	3.06037	3.05866',
'19.25	3.06398	3.28895	3.23087	3.19200	3.16494	3.14544	3.13097	3.11140	3.09476	3.08804	3.08144	3.07518	3.07176	3.06832	3.06660',
'19.30	3.07192	3.29652	3.23852	3.19971	3.17270	3.15323	3.13878	3.11924	3.10263	3.09595	3.08935	3.08311	3.07970	3.07626	3.07455',
'19.35	3.07988	3.30414	3.24615	3.20741	3.18043	3.16100	3.14657	3.12708	3.11052	3.10384	3.09727	3.09104	3.08764	3.08421	3.08250',
'19.40	3.08785	3.31180	3.25381	3.21509	3.18816	3.16877	3.15438	3.13494	3.11840	3.11175	3.10518	3.09897	3.09557	3.09216	3.09044',
'19.45	3.09580	3.31944	3.26151	3.22283	3.19594	3.17657	3.16220	3.14278	3.12629	3.11964	3.11309	3.10690	3.10351	3.10010	3.09839',
'19.50	3.10375	3.32706	3.26919	3.23056	3.20370	3.18436	3.17000	3.15063	3.13416	3.12754	3.12101	3.11483	3.11145	3.10805	3.10634',
'19.55	3.11172	3.33466	3.27685	3.23826	3.21144	3.19212	3.17781	3.15848	3.14206	3.13544	3.12893	3.12276	3.11939	3.11599	3.11428',
'19.60	3.11967	3.34225	3.28449	3.24595	3.21917	3.19992	3.18563	3.16632	3.14993	3.14334	3.13684	3.13069	3.12733	3.12394	3.12223',
'19.65	3.12762	3.34982	3.29212	3.25367	3.22695	3.20771	3.19344	3.17418	3.15782	3.15124	3.14476	3.13862	3.13527	3.13189	3.13017',
'19.70	3.13559	3.35748	3.29983	3.26141	3.23471	3.21549	3.20124	3.18203	3.16570	3.15914	3.15267	3.14655	3.14321	3.13983	3.13812',
'19.75	3.14354	3.36513	3.30752	3.26913	3.24246	3.22326	3.20907	3.18987	3.17359	3.16704	3.16059	3.15448	3.15114	3.14778	3.14606',
'19.80	3.15149	3.37277	3.31519	3.27683	3.25018	3.23107	3.21688	3.19773	3.18147	3.17494	3.16850	3.16241	3.15908	3.15573	3.15401',
'19.85	3.15946	3.38038	3.32285	3.28452	3.25797	3.23886	3.22467	3.20557	3.18937	3.18285	3.17642	3.17034	3.16702	3.16367	3.16195',
'19.90	3.16742	3.38798	3.33048	3.29226	3.26573	3.24663	3.23251	3.21343	3.19725	3.19074	3.18434	3.17828	3.17496	3.17162	3.16990',
'19.95	3.17536	3.39557	3.33817	3.30000	3.27348	3.25442	3.24032	3.22128	3.20514	3.19865	3.19225	3.18621	3.18290	3.17957	3.17784',
'20.00	3.18333	3.40318	3.34587	3.30771	3.28121	3.26223	3.24812	3.22912	3.21302	3.20654	3.20016	3.19414	3.19084	3.18751	3.18579',
'20.05	3.19129	3.41085	3.35355	3.31542	3.28900	3.27001	3.25595	3.23757	3.22090	3.21432	3.20788	3.20183	3.19854	3.19527	3.19375',
'20.10	3.19923	3.41849	3.36122	3.32312	3.29677	3.27778	3.26377	3.24542	3.22879	3.22222	3.21580	3.20976	3.20648	3.20322	3.20171',
'20.15	3.20720	3.42612	3.36887	3.33087	3.30452	3.28560	3.27158	3.25326	3.23667	3.23012	3.22371	3.21770	3.21442	3.21117	3.20966',
'20.20	3.21516	3.43374	3.37652	3.33860	3.31226	3.29339	3.27940	3.26111	3.24456	3.23802	3.23163	3.22563	3.22236	3.21911	3.21761',
'20.25	3.22310	3.44133	3.38423	3.34632	3.32004	3.30117	3.28722	3.26895	3.25244	3.24592	3.23955	3.23356	3.23030	3.22706	3.22556',
'20.30	3.23107	3.44892	3.39193	3.35402	3.32782	3.30896	3.29503	3.27680	3.26033	3.25382	3.24746	3.24149	3.23824	3.23501	3.23351',
'20.35	3.23904	3.45658	3.39960	3.36175	3.33557	3.31677	3.30285	3.28464	3.26822	3.26172	3.25538	3.24942	3.24618	3.24296	3.24146',
'20.40	3.24698	3.46424	3.40726	3.36949	3.34331	3.32457	3.31068	3.29249	3.27610	3.26963	3.26330	3.25735	3.25412	3.25090	3.24941',
'20.45	3.25494	3.47188	3.41491	3.37722	3.35110	3.33234	3.31850	3.30034	3.28399	3.27753	3.27121	3.26529	3.26206	3.25885	3.25736',
'20.50	3.26291	3.47951	3.42261	3.38494	3.35887	3.34015	3.32630	3.30819	3.29188	3.28543	3.27913	3.27322	3.27000	3.26680	3.26531',
'20.55	3.27085	3.48712	3.43032	3.39263	3.36663	3.34796	3.33414	3.31603	3.29976	3.29333	3.28705	3.28115	3.27794	3.27475	3.27327',
'20.60	3.27881	3.49471	3.43800	3.40039	3.37437	3.35575	3.34196	3.32388	3.30765	3.30124	3.29497	3.28908	3.28588	3.28269	3.28122',
'20.65	3.28678	3.50232	3.44568	3.40814	3.38216	3.36353	3.34977	3.33173	3.31554	3.30914	3.30289	3.29701	3.29382	3.29064	3.28917',
'20.70	3.29473	3.51000	3.45333	3.41586	3.38994	3.37135	3.35761	3.33958	3.32343	3.31704	3.31081	3.30495	3.30176	3.29859	3.29712',
'20.75	3.30268	3.51765	3.46101	3.42357	3.39770	3.37915	3.36543	3.34743	3.33132	3.32495	3.31872	3.31288	3.30970	3.30654	3.30507',
'20.80	3.31065	3.52529	3.46872	3.43129	3.40545	3.38693	3.37324	3.35528	3.33920	3.33285	3.32664	3.32081	3.31764	3.31449	3.31302',
'20.85	3.31860	3.53292	3.47642	3.43905	3.41324	3.39474	3.38108	3.36314	3.34709	3.34076	3.33456	3.32875	3.32558	3.32243	3.32097',
'20.90	3.32655	3.54052	3.48410	3.44679	3.42102	3.40255	3.38891	3.37099	3.35498	3.34866	3.34248	3.33668	3.33352	3.33038	3.32893',
'20.95	3.33452	3.54812	3.49177	3.45452	3.42878	3.41035	3.39672	3.37884	3.36287	3.35657	3.35040	3.34461	3.34146	3.33833	3.33688',
'21.00	3.34248	3.55577	3.49942	3.46222	3.43653	3.41813	3.40455	3.38669	3.37076	3.36447	3.35832	3.35255	3.34940	3.34628	3.34483',
'21.05	3.35042	3.56344	3.50714	3.46997	3.44432	3.42596	3.41239	3.39455	3.37865	3.37238	3.36624	3.36048	3.35734	3.35423	3.35278',
'21.10	3.35839	3.57109	3.51485	3.47773	3.45211	3.43376	3.42020	3.40240	3.38654	3.38028	3.37416	3.36841	3.36529	3.36217	3.36073',
'21.15	3.36635	3.57873	3.52255	3.48546	3.45988	3.44155	3.42803	3.41026	3.39444	3.38819	3.38208	3.37635	3.37323	3.37012	3.36868',
'21.20	3.37429	3.58635	3.53023	3.49319	3.46763	3.44936	3.43587	3.41811	3.40233	3.39609	3.39000	3.38428	3.38117	3.37807	3.37664',
'21.25	3.38226	3.59396	3.53789	3.50090	3.47542	3.45717	3.44369	3.42597	3.41022	3.40400	3.39792	3.39221	3.38911	3.38602	3.38459',
'21.30	3.39022	3.60157	3.54558	3.50867	3.48321	3.46497	3.45151	3.43382	3.41811	3.41191	3.40584	3.40015	3.39705	3.39397	3.39254',
'21.35	3.39816	3.60925	3.55330	3.51642	3.49098	3.47276	3.45935	3.44168	3.42600	3.41981	3.41376	3.40808	3.40499	3.40192	3.40049',
'21.40	3.40613	3.61692	3.56101	3.52415	3.49873	3.48059	3.46718	3.44954	3.43390	3.42772	3.42168	3.41602	3.41293	3.40986	3.40844',
'21.45	3.41409	3.62456	3.56869	3.53187	3.50653	3.48840	3.47499	3.45739	3.44179	3.43563	3.42960	3.42395	3.42087	3.41781	3.41640',
'21.50	3.42204	3.63220	3.57637	3.53961	3.51432	3.49619	3.48284	3.46525	3.44968	3.44353	3.43753	3.43188	3.42882	3.42576	3.42435',
'21.55	3.43000	3.63982	3.58403	3.54737	3.52209	3.50400	3.49068	3.47311	3.45758	3.45144	3.44545	3.43982	3.43676	3.43371	3.43230',
'21.60	3.43797	3.64742	3.59176	3.55512	3.52985	3.51182	3.49849	3.48097	3.46547	3.45935	3.45337	3.44775	3.44470	3.44166	3.44025',
'21.65	3.44591	3.65508	3.59948	3.56285	3.53764	3.51963	3.50634	3.48883	3.47336	3.46726	3.46129	3.45569	3.45264	3.44961	3.44820',
'21.70	3.45387	3.66275	3.60718	3.57057	3.54544	3.52742	3.51418	3.49669	3.48126	3.47517	3.46921	3.46362	3.46058	3.45756	3.45615',
'21.75	3.46184	3.67042	3.61486	3.57834	3.55321	3.53525	3.52200	3.50455	3.48915	3.48308	3.47713	3.47156	3.46852	3.46551	3.46411',
'21.80	3.46979	3.67806	3.62253	3.58610	3.56097	3.54306	3.52984	3.51241	3.49705	3.49098	3.48506	3.47949	3.47647	3.47345	3.47206',
'21.85	3.47774	3.68569	3.63024	3.59384	3.56877	3.55086	3.53768	3.52027	3.50494	3.49889	3.49298	3.48743	3.48441	3.48140	3.48001',
'21.90	3.48571	3.69331	3.63797	3.60157	3.57656	3.55867	3.54550	3.52813	3.51284	3.50680	3.50090	3.49536	3.49235	3.48935	3.48796',
'21.95	3.49366	3.70092	3.64568	3.60930	3.58434	3.56650	3.55334	3.53599	3.52074	3.51471	3.50883	3.50330	3.50029	3.49730	3.49592',
'22.00	3.50161	3.70861	3.65337	3.61708	3.59211	3.57431	3.56118	3.54385	3.52863	3.52262	3.51675	3.51123	3.50823	3.50525	3.50387',
'22.05	3.50958	3.71628	3.66105	3.62483	3.59991	3.58210	3.56901	3.55172	3.53653	3.53053	3.52467	3.51917	3.51618	3.51320	3.51182',
'22.10	3.51754	3.72394	3.66874	3.63257	3.60770	3.58993	3.57684	3.55958	3.54443	3.53844	3.53259	3.52710	3.52412	3.52115	3.51977',
'22.15	3.52548	3.73159	3.67647	3.64030	3.61548	3.59776	3.58469	3.56744	3.55232	3.54635	3.54052	3.53504	3.53206	3.52910	3.52772',
'22.20	3.53345	3.73921	3.68419	3.64806	3.62325	3.60556	3.59253	3.57531	3.56022	3.55426	3.54844	3.54298	3.54000	3.53705	3.53568',
'22.25	3.54141	3.74683	3.69189	3.65583	3.63105	3.61337	3.60035	3.58317	3.56812	3.56217	3.55637	3.55091	3.54795	3.54500	3.54363',
'22.30	3.54935	3.75449	3.69958	3.66358	3.63885	3.62120	3.60820	3.59104	3.57602	3.57008	3.56429	3.55885	3.55589	3.55294	3.55158',
'22.35	3.55732	3.76217	3.70726	3.67132	3.64663	3.62902	3.61604	3.59890	3.58391	3.57800	3.57221	3.56678	3.56383	3.56089	3.55953',
'22.40	3.56528	3.76984	3.71499	3.67905	3.65440	3.63682	3.62387	3.60677	3.59181	3.58591	3.58014	3.57472	3.57177	3.56884	3.56749',
'22.45	3.57322	3.77750	3.72272	3.68683	3.66220	3.64464	3.63172	3.61463	3.59971	3.59382	3.58806	3.58266	3.57972	3.57679	3.57544',
'22.50	3.58119	3.78514	3.73043	3.69460	3.67001	3.65247	3.63956	3.62250	3.60761	3.60173	3.59599	3.59059	3.58766	3.58474	3.58339',
'22.55	3.58915	3.79276	3.73813	3.70235	3.67779	3.66028	3.64739	3.63037	3.61551	3.60964	3.60391	3.59853	3.59560	3.59269	3.59134',
'22.60	3.59710	3.80038	3.74581	3.71008	3.68556	3.66809	3.65524	3.63823	3.62341	3.61755	3.61184	3.60647	3.60355	3.60064	3.59930',
'22.65	3.60506	3.80808	3.75352	3.71783	3.69337	3.67593	3.66309	3.64610	3.63131	3.62547	3.61976	3.61440	3.61149	3.60859	3.60725',
'22.70	3.61303	3.81576	3.76126	3.72561	3.70117	3.68375	3.67092	3.65397	3.63921	3.63338	3.62769	3.62234	3.61943	3.61654	3.61520',
'22.75	3.62097	3.82343	3.76898	3.73338	3.70896	3.69155	3.67876	3.66184	3.64711	3.64129	3.63561	3.63028	3.62738	3.62449	3.62315',
'22.80	3.62893	3.83108	3.77669	3.74112	3.71673	3.69938	3.68662	3.66971	3.65501	3.64921	3.64354	3.63821	3.63532	3.63244	3.63111',
'22.85	3.63690	3.83872	3.78438	3.74885	3.72454	3.70721	3.69445	3.67757	3.66291	3.65712	3.65146	3.64615	3.64326	3.64039	3.63906',
'22.90	3.64485	3.84634	3.79207	3.75663	3.73235	3.71503	3.70229	3.68544	3.67081	3.66503	3.65939	3.65409	3.65121	3.64834	3.64701',
'22.95	3.65280	3.85400	3.79982	3.76441	3.74014	3.72283	3.71015	3.69331	3.67871	3.67295	3.66731	3.66203	3.65915	3.65629	3.65496',
'23.00	3.66077	3.86170	3.80755	3.77217	3.74791	3.73068	3.71799	3.70118	3.68661	3.68086	3.67524	3.66996	3.66709	3.66424	3.66292',
'23.05	3.66872	3.86938	3.81527	3.77991	3.75572	3.73850	3.72582	3.70905	3.69451	3.68877	3.68316	3.67790	3.67504	3.67219	3.67087',
'23.10	3.67667	3.87704	3.82297	3.78766	3.76353	3.74631	3.73368	3.71693	3.70242	3.69669	3.69109	3.68584	3.68298	3.68014	3.67882',
'23.15	3.68464	3.88469	3.83066	3.79545	3.77132	3.75414	3.74152	3.72480	3.71032	3.70460	3.69902	3.69377	3.69092	3.68809	3.68677',
'23.20	3.69260	3.89233	3.83839	3.80322	3.77910	3.76198	3.74935	3.73267	3.71822	3.71252	3.70694	3.70171	3.69887	3.69604	3.69473',
'23.25	3.70054	3.89995	3.84613	3.81097	3.78691	3.76980	3.75722	3.74054	3.72612	3.72043	3.71487	3.70965	3.70681	3.70399	3.70268',
'23.30	3.70851	3.90766	3.85386	3.81872	3.79472	3.77760	3.76507	3.74841	3.73403	3.72835	3.72280	3.71759	3.71476	3.71194	3.71063',
'23.35	3.71647	3.91535	3.86157	3.82649	3.80252	3.78545	3.77290	3.75629	3.74193	3.73626	3.73072	3.72553	3.72270	3.71989	3.71858',
'23.40	3.72441	3.92302	3.86927	3.83427	3.81030	3.79328	3.78076	3.76416	3.74983	3.74418	3.73865	3.73346	3.73064	3.72784	3.72654',
'23.45	3.73238	3.93068	3.87697	3.84204	3.81811	3.80110	3.78861	3.77203	3.75774	3.75209	3.74658	3.74140	3.73859	3.73579	3.73449',
'23.50	3.74034	3.93833	3.88472	3.84979	3.82592	3.80892	3.79645	3.77991	3.76564	3.76001	3.75451	3.74934	3.74653	3.74374	3.74244',
'23.55	3.74828	3.94597	3.89246	3.85753	3.83372	3.81676	3.80430	3.78778	3.77354	3.76792	3.76243	3.75728	3.75448	3.75169	3.75040',
'23.60	3.75625	3.95363	3.90018	3.86533	3.84150	3.82459	3.81216	3.79566	3.78145	3.77584	3.77036	3.76522	3.76242	3.75964	3.75835',
'23.65	3.76421	3.96133	3.90789	3.87311	3.84931	3.83240	3.82000	3.80353	3.78935	3.78376	3.77829	3.77316	3.77036	3.76759	3.76630',
'23.70	3.77216	3.96902	3.91558	3.88087	3.85713	3.84024	3.82784	3.81141	3.79726	3.79167	3.78622	3.78109	3.77831	3.77554	3.77425',
'23.75	3.78012	3.97670	3.92333	3.88862	3.86493	3.84808	3.83571	3.81928	3.80516	3.79959	3.79414	3.78903	3.78625	3.78349	3.78221',
'23.80	3.78809	3.98435	3.93108	3.89639	3.87271	3.85590	3.84355	3.82716	3.81307	3.80750	3.80207	3.79697	3.79420	3.79144	3.79016',
'23.85	3.79603	3.99200	3.93881	3.90418	3.88053	3.86372	3.85139	3.83503	3.82097	3.81542	3.81000	3.80491	3.80214	3.79939	3.79811',
'23.90	3.80399	3.99963	3.94652	3.91196	3.88835	3.87157	3.85926	3.84291	3.82888	3.82334	3.81793	3.81285	3.81009	3.80734	3.80607',
'23.95	3.81196	4.00734	3.95423	3.91972	3.89615	3.87940	3.86711	3.85079	3.83678	3.83126	3.82586	3.82079	3.81803	3.81529	3.81402',
'24.00	3.81991	4.01504	3.96195	3.92746	3.90393	3.88722	3.87494	3.85866	3.84469	3.83917	3.83378	3.82873	3.82598	3.82324	3.82197',
'24.05	3.82786	4.02272	3.96971	3.93526	3.91175	3.89506	3.88281	3.86654	3.85260	3.84709	3.84171	3.83667	3.83392	3.83119	3.82993',
'24.10	3.83583	4.03040	3.97745	3.94304	3.91957	3.90290	3.89067	3.87442	3.86050	3.85501	3.84964	3.84460	3.84187	3.83914	3.83788',
'24.15	3.84378	4.03805	3.98517	3.95082	3.92737	3.91072	3.89851	3.88230	3.86841	3.86293	3.85757	3.85254	3.84981	3.84709	3.84583',
'24.20	3.85173	4.04569	3.99288	3.95858	3.93516	3.91855	3.90637	3.89018	3.87631	3.87084	3.86550	3.86048	3.85776	3.85504	3.85379',
'24.25	3.85970	4.05337	4.00059	3.96634	3.94298	3.92640	3.91423	3.89806	3.88422	3.87876	3.87343	3.86842	3.86570	3.86299	3.86174',
'24.30	3.86766	4.06108	4.00835	3.97414	3.95080	3.93423	3.92208	3.90593	3.89213	3.88668	3.88136	3.87636	3.87365	3.87094	3.86969',
'24.35	3.87560	4.06877	4.01610	3.98192	3.95861	3.94205	3.92993	3.91381	3.90004	3.89460	3.88929	3.88430	3.88159	3.87889	3.87764',
'24.40	3.88357	4.07645	4.02383	3.98969	3.96640	3.94990	3.93780	3.92169	3.90794	3.90252	3.89722	3.89224	3.88954	3.88684	3.88560',
'24.45	3.89153	4.08412	4.03155	3.99744	3.97422	3.95774	3.94564	3.92957	3.91585	3.91044	3.90515	3.90018	3.89748	3.89479	3.89355',
'24.50	3.89947	4.09178	4.03926	4.00523	3.98204	3.96557	3.95350	3.93745	3.92376	3.91836	3.91308	3.90812	3.90543	3.90275	3.90150',
'24.55	3.90744	4.09942	4.04701	4.01303	3.98985	3.97339	3.96137	3.94534	3.93167	3.92628	3.92101	3.91606	3.91337	3.91070	3.90946',
'24.60	3.91540	4.10713	4.05477	4.02081	3.99764	3.98125	3.96922	3.95322	3.93958	3.93419	3.92894	3.92400	3.92132	3.91865	3.91741',
'24.65	3.92335	4.11484	4.06251	4.02857	4.00546	3.98909	3.97707	3.96110	3.94749	3.94211	3.93687	3.93194	3.92926	3.92660	3.92536',
'24.70	3.93131	4.12253	4.07024	4.03633	4.01329	3.99691	3.98494	3.96898	3.95539	3.95003	3.94480	3.93988	3.93721	3.93455	3.93332',
'24.75	3.93928	4.13021	4.07795	4.04414	4.02110	4.00475	3.99279	3.97686	3.96330	3.95795	3.95273	3.94782	3.94515	3.94250	3.94127',
'24.80	3.94722	4.13788	4.08568	4.05193	4.02889	4.01260	4.00064	3.98474	3.97121	3.96587	3.96066	3.95576	3.95310	3.95045	3.94922',
'24.85	3.95518	4.14553	4.09344	4.05970	4.03672	4.02044	4.00851	3.99263	3.97912	3.97379	3.96859	3.96370	3.96104	3.95840	3.95718',
'24.90	3.96315	4.15321	4.10120	4.06747	4.04454	4.02826	4.01637	4.00051	3.98703	3.98171	3.97652	3.97164	3.96899	3.96635	3.96513',
'24.95	3.97110	4.16092	4.10893	4.07525	4.05236	4.03612	4.02421	4.00839	3.99494	3.98963	3.98445	3.97958	3.97694	3.97430	3.97308',
'25.00	3.97905	4.16863	4.11666	4.08305	4.06015	4.04396	4.03209	4.01628	4.00285	3.99755	3.99238	3.98752	3.98488	3.98225	3.98104',
'25.05	3.98702	4.17632	4.12437	4.09084	4.06798	4.05179	4.03995	4.02416	4.01076	4.00547	4.00031	3.99546	3.99283	3.99021	3.98899',
'25.10	3.99497	4.18399	4.13214	4.09861	4.07581	4.05963	4.04780	4.03204	4.01867	4.01339	4.00824	4.00340	4.00077	3.99816	3.99694',
'25.15	4.00292	4.19166	4.13990	4.10637	4.08362	4.06748	4.05566	4.03993	4.02658	4.02132	4.01617	4.01134	4.00872	4.00611	4.00490',
'25.20	4.01089	4.19931	4.14764	4.11418	4.09142	4.07532	4.06353	4.04781	4.03449	4.02924	4.02410	4.01928	4.01666	4.01406	4.01285',
'25.25	4.01885	4.20703	4.15537	4.12198	4.09925	4.08315	4.07138	4.05570	4.04240	4.03716	4.03203	4.02723	4.02461	4.02201	4.02080',
'25.30	4.02679	4.21474	4.16309	4.12976	4.10708	4.09101	4.07925	4.06358	4.05031	4.04508	4.03997	4.03517	4.03256	4.02996	4.02876',
'25.35	4.03476	4.22244	4.17084	4.13753	4.11489	4.09885	4.08712	4.07147	4.05823	4.05300	4.04790	4.04311	4.04050	4.03791	4.03671',
'25.40	4.04272	4.23013	4.17861	4.14531	4.12269	4.10669	4.09497	4.07935	4.06614	4.06092	4.05583	4.05105	4.04845	4.04586	4.04467',
'25.45	4.05066	4.23780	4.18636	4.15312	4.13052	4.11453	4.10283	4.08724	4.07405	4.06884	4.06376	4.05899	4.05640	4.05381	4.05262',
'25.50	4.05864	4.24547	4.19410	4.16091	4.13835	4.12238	4.11070	4.09513	4.08196	4.07677	4.07169	4.06693	4.06434	4.06177	4.06057',
'25.55	4.06659	4.25315	4.20183	4.16869	4.14617	4.13023	4.11856	4.10301	4.08987	4.08469	4.07962	4.07487	4.07229	4.06972	4.06853',
'25.60	4.07453	4.26088	4.20956	4.17646	4.15397	4.13805	4.12642	4.11090	4.09779	4.09261	4.08756	4.08281	4.08023	4.07767	4.07648',
'25.65	4.08251	4.26859	4.21733	4.18426	4.16180	4.14591	4.13429	4.11879	4.10570	4.10053	4.09549	4.09075	4.08818	4.08562	4.08443',
'25.70	4.09047	4.27628	4.22510	4.19207	4.16964	4.15376	4.14216	4.12667	4.11361	4.10846	4.10342	4.09870	4.09613	4.09357	4.09239',
'25.75	4.09841	4.28397	4.23284	4.19986	4.17745	4.16160	4.15000	4.13456	4.12152	4.11638	4.11135	4.10664	4.10407	4.10152	4.10034',
'25.80	4.10638	4.29164	4.24058	4.20763	4.18526	4.16944	4.15789	4.14245	4.12944	4.12430	4.11929	4.11458	4.11202	4.10947	4.10829',
'25.85	4.11434	4.29930	4.24830	4.21541	4.19309	4.17730	4.16575	4.15034	4.13735	4.13222	4.12722	4.12252	4.11997	4.11742	4.11625',
'25.90	4.12228	4.30703	4.25607	4.22322	4.20093	4.18515	4.17360	4.15823	4.14526	4.14015	4.13515	4.13046	4.12791	4.12538	4.12420',
'25.95	4.13025	4.31475	4.26384	4.23102	4.20875	4.19298	4.18148	4.16612	4.15318	4.14807	4.14308	4.13840	4.13586	4.13333	4.13216',
'26.00	4.13821	4.32246	4.27160	4.23881	4.21655	4.20084	4.18935	4.17401	4.16109	4.15599	4.15102	4.14635	4.14381	4.14128	4.14011',
'26.05	4.14616	4.33015	4.27934	4.24659	4.22439	4.20869	4.19721	4.18189	4.16900	4.16392	4.15895	4.15429	4.15175	4.14923	4.14806',
'26.10	4.15412	4.33783	4.28707	4.25438	4.23222	4.21653	4.20508	4.18978	4.17692	4.17184	4.16688	4.16223	4.15970	4.15718	4.15602',
'26.15	4.16208	4.34550	4.29482	4.26220	4.24004	4.22438	4.21295	4.19767	4.18483	4.17976	4.17481	4.17017	4.16765	4.16513	4.16397',
'26.20	4.17003	4.35320	4.30260	4.26999	4.24785	4.23224	4.22081	4.20556	4.19275	4.18769	4.18275	4.17811	4.17559	4.17309	4.17192',
'26.25	4.17799	4.36093	4.31036	4.27778	4.25569	4.24009	4.22868	4.21345	4.20066	4.19561	4.19068	4.18606	4.18354	4.18104	4.17988',
'26.30	4.18596	4.36865	4.31811	4.28555	4.26353	4.24792	4.23655	4.22134	4.20857	4.20354	4.19861	4.19400	4.19149	4.18899	4.18783',
'26.35	4.19391	4.37635	4.32585	4.29337	4.27135	4.25578	4.24442	4.22924	4.21649	4.21146	4.20655	4.20194	4.19943	4.19694	4.19579',
'26.40	4.20186	4.38404	4.33358	4.30118	4.27916	4.26364	4.25228	4.23713	4.22440	4.21938	4.21448	4.20988	4.20738	4.20489	4.20374',
'26.45	4.20983	4.39172	4.34137	4.30897	4.28700	4.27149	4.26016	4.24502	4.23232	4.22731	4.22242	4.21782	4.21533	4.21284	4.21169',
'26.50	4.21778	4.39939	4.34914	4.31675	4.29484	4.27933	4.26803	4.25291	4.24023	4.23523	4.23035	4.22577	4.22327	4.22080	4.21965',
'26.55	4.22573	4.40713	4.35690	4.32454	4.30266	4.28719	4.27588	4.26080	4.24815	4.24316	4.23828	4.23371	4.23122	4.22875	4.22760',
'26.60	4.23370	4.41485	4.36464	4.33236	4.31047	4.29505	4.28377	4.26869	4.25606	4.25108	4.24622	4.24165	4.23917	4.23670	4.23556',
'26.65	4.24166	4.42257	4.37238	4.34017	4.31831	4.30288	4.29164	4.27659	4.26398	4.25901	4.25415	4.24959	4.24712	4.24465	4.24351',
'26.70	4.24960	4.43027	4.38015	4.34796	4.32615	4.31074	4.29949	4.28448	4.27190	4.26693	4.26208	4.25754	4.25506	4.25260	4.25146',
'26.75	4.25757	4.43796	4.38793	4.35574	4.33398	4.31860	4.30738	4.29237	4.27981	4.27486	4.27002	4.26548	4.26301	4.26055	4.25942',
'26.80	4.26553	4.44564	4.39569	4.36355	4.34179	4.32645	4.31525	4.30026	4.28773	4.28278	4.27795	4.27342	4.27096	4.26851	4.26737',
'26.85	4.27347	4.45334	4.40345	4.37137	4.34963	4.33429	4.32311	4.30816	4.29564	4.29071	4.28589	4.28136	4.27890	4.27646	4.27532',
'26.90	4.28144	4.46108	4.41119	4.37917	4.35747	4.34216	4.33099	4.31605	4.30356	4.29863	4.29382	4.28931	4.28685	4.28441	4.28328',
'26.95	4.28940	4.46881	4.41894	4.38695	4.36530	4.35002	4.33887	4.32394	4.31148	4.30656	4.30176	4.29725	4.29480	4.29236	4.29123',
'27.00	4.29735	4.47652	4.42672	4.39474	4.37312	4.35786	4.34673	4.33184	4.31939	4.31449	4.30969	4.30519	4.30275	4.30031	4.29919',
'27.05	4.30531	4.48422	4.43450	4.40257	4.38096	4.36572	4.35460	4.33973	4.32731	4.32241	4.31763	4.31314	4.31069	4.30827	4.30714',
'27.10	4.31327	4.49190	4.44226	4.41038	4.38880	4.37358	4.36248	4.34763	4.33523	4.33034	4.32556	4.32108	4.31864	4.31622	4.31509',
'27.15	4.32122	4.49958	4.45001	4.41818	4.39663	4.38144	4.37035	4.35552	4.34315	4.33826	4.33350	4.32902	4.32659	4.32417	4.32305',
'27.20	4.32918	4.50732	4.45775	4.42596	4.40445	4.38928	4.37822	4.36342	4.35106	4.34619	4.34143	4.33696	4.33454	4.33212	4.33100',
'27.25	4.33715	4.51506	4.46554	4.43377	4.41229	4.39715	4.38610	4.37131	4.35898	4.35412	4.34937	4.34491	4.34248	4.34007	4.33896',
'27.30	4.34510	4.52278	4.47332	4.44159	4.42014	4.40501	4.39397	4.37921	4.36690	4.36204	4.35730	4.35285	4.35043	4.34803	4.34691',
'27.35	4.35305	4.53049	4.48109	4.44940	4.42797	4.41285	4.40184	4.38710	4.37482	4.36997	4.36524	4.36079	4.35838	4.35598	4.35487',
'27.40	4.36102	4.53819	4.48884	4.45719	4.43579	4.42071	4.40972	4.39500	4.38273	4.37790	4.37317	4.36874	4.36633	4.36393	4.36282',
'27.45	4.36897	4.54587	4.49659	4.46498	4.44363	4.42858	4.41760	4.40289	4.39065	4.38582	4.38111	4.37668	4.37428	4.37188	4.37077',
'27.50	4.37692	4.55358	4.50436	4.47281	4.45148	4.43643	4.42546	4.41079	4.39857	4.39375	4.38904	4.38462	4.38222	4.37983	4.37873',
'27.55	4.38489	4.56133	4.51215	4.48062	4.45931	4.44428	4.43335	4.41869	4.40649	4.40168	4.39698	4.39257	4.39017	4.38779	4.38668',
'27.60	4.39285	4.56906	4.51992	4.48843	4.46713	4.45215	4.44122	4.42658	4.41441	4.40960	4.40491	4.40051	4.39812	4.39574	4.39464',
'27.65	4.40079	4.57678	4.52768	4.49622	4.47498	4.46001	4.44908	4.43448	4.42233	4.41753	4.41285	4.40846	4.40607	4.40369	4.40259',
'27.70	4.40876	4.58448	4.53544	4.50403	4.48283	4.46786	4.45697	4.44238	4.43024	4.42546	4.42078	4.41640	4.41402	4.41164	4.41054',
'27.75	4.41672	4.59218	4.54319	4.51185	4.49066	4.47572	4.46485	4.45028	4.43816	4.43339	4.42872	4.42434	4.42196	4.41960	4.41850',
'27.80	4.42466	4.59986	4.55098	4.51967	4.49848	4.48359	4.47272	4.45817	4.44608	4.44131	4.43666	4.43229	4.42991	4.42755	4.42645',
'27.85	4.43263	4.60761	4.55877	4.52746	4.50633	4.49145	4.48060	4.46607	4.45400	4.44924	4.44459	4.44023	4.43786	4.43550	4.43441',
'27.90	4.44059	4.61536	4.56654	4.53525	4.51418	4.49929	4.48848	4.47397	4.46192	4.45717	4.45253	4.44817	4.44581	4.44345	4.44236',
'27.95	4.44854	4.62308	4.57430	4.54308	4.52201	4.50717	4.49635	4.48187	4.46984	4.46510	4.46046	4.45612	4.45376	4.45140	4.45032',
'28.00	4.45650	4.63080	4.58204	4.55091	4.52983	4.51503	4.50423	4.48976	4.47776	4.47303	4.46840	4.46406	4.46170	4.45936	4.45827',
'28.05	4.46447	4.63850	4.58983	4.55871	4.53769	4.52289	4.51212	4.49766	4.48568	4.48095	4.47634	4.47201	4.46965	4.46731	4.46622',
'28.10	4.47241	4.64620	4.59763	4.56651	4.54554	4.53074	4.51999	4.50556	4.49360	4.48888	4.48427	4.47995	4.47760	4.47526	4.47418',
'28.15	4.48037	4.65392	4.60540	4.57432	4.55337	4.53862	4.52786	4.51346	4.50152	4.49681	4.49221	4.48789	4.48555	4.48321	4.48213',
'28.20	4.48834	4.66167	4.61317	4.58215	4.56120	4.54648	4.53575	4.52136	4.50944	4.50474	4.50015	4.49584	4.49350	4.49117	4.49009',
'28.25	4.49629	4.66941	4.62092	4.58997	4.56905	4.55433	4.54362	4.52926	4.51736	4.51267	4.50808	4.50378	4.50144	4.49912	4.49804',
'28.30	4.50425	4.67713	4.62869	4.59777	4.57690	4.56220	4.55149	4.53716	4.52528	4.52060	4.51602	4.51173	4.50939	4.50707	4.50600',
'28.35	4.51221	4.68484	4.63649	4.60556	4.58474	4.57007	4.55939	4.54506	4.53320	4.52852	4.52396	4.51967	4.51734	4.51502	4.51395',
'28.40	4.52016	4.69255	4.64428	4.61339	4.59256	4.57793	4.56726	4.55296	4.54112	4.53645	4.53189	4.52762	4.52529	4.52298	4.52191',
'28.45	4.52812	4.70024	4.65205	4.62122	4.60042	4.58578	4.57513	4.56086	4.54904	4.54438	4.53983	4.53556	4.53324	4.53093	4.52986',
'28.50	4.53608	4.70800	4.65981	4.62903	4.60827	4.59366	4.58302	4.56876	4.55696	4.55231	4.54777	4.54350	4.54119	4.53888	4.53781',
'28.55	4.54404	4.71574	4.66756	4.63684	4.61611	4.60152	4.59091	4.57666	4.56488	4.56024	4.55570	4.55145	4.54914	4.54683	4.54577',
'28.60	4.55199	4.72348	4.67537	4.64464	4.62393	4.60937	4.59877	4.58456	4.57281	4.56817	4.56364	4.55939	4.55708	4.55479	4.55372',
'28.65	4.55995	4.73120	4.68316	4.65247	4.63179	4.61725	4.60666	4.59246	4.58073	4.57610	4.57158	4.56734	4.56503	4.56274	4.56168',
'28.70	4.56791	4.73891	4.69094	4.66030	4.63964	4.62512	4.61455	4.60036	4.58865	4.58403	4.57952	4.57528	4.57298	4.57069	4.56963',
'28.75	4.57585	4.74661	4.69871	4.66811	4.64748	4.63298	4.62242	4.60827	4.59657	4.59196	4.58745	4.58323	4.58093	4.57864	4.57759',
'28.80	4.58383	4.75434	4.70646	4.67591	4.65531	4.64084	4.63031	4.61617	4.60449	4.59989	4.59539	4.59117	4.58888	4.58660	4.58554',
'28.85	4.59178	4.76210	4.71426	4.68373	4.66317	4.64871	4.63819	4.62407	4.61241	4.60782	4.60333	4.59912	4.59683	4.59455	4.59350',
'28.90	4.59973	4.76984	4.72206	4.69157	4.67102	4.65658	4.64607	4.63197	4.62034	4.61575	4.61127	4.60706	4.60478	4.60250	4.60145',
'28.95	4.60770	4.77757	4.72984	4.69939	4.67886	4.66443	4.65395	4.63987	4.62826	4.62368	4.61920	4.61501	4.61272	4.61046	4.60940',
'29.00	4.61566	4.78529	4.73762	4.70719	4.68669	4.67231	4.66184	4.64778	4.63618	4.63161	4.62714	4.62295	4.62067	4.61841	4.61736',
'29.05	4.62360	4.79300	4.74538	4.71499	4.69456	4.68018	4.66972	4.65568	4.64410	4.63954	4.63508	4.63090	4.62862	4.62636	4.62531',
'29.10	4.63157	4.80070	4.75315	4.72283	4.70241	4.68804	4.67760	4.66358	4.65202	4.64747	4.64302	4.63884	4.63657	4.63431	4.63327',
'29.15	4.63953	4.80847	4.76096	4.73066	4.71025	4.69590	4.68549	4.67148	4.65995	4.65540	4.65095	4.64679	4.64452	4.64227	4.64122',
'29.20	4.64748	4.81622	4.76875	4.73848	4.71808	4.70378	4.69337	4.67939	4.66787	4.66333	4.65889	4.65473	4.65247	4.65022	4.64918',
'29.25	4.65544	4.82396	4.77653	4.74628	4.72594	4.71165	4.70124	4.68729	4.67579	4.67126	4.66683	4.66268	4.66042	4.65817	4.65713',
'29.30	4.66340	4.83169	4.78430	4.75410	4.73380	4.71951	4.70914	4.69519	4.68372	4.67919	4.67477	4.67062	4.66837	4.66612	4.66509',
'29.35	4.67135	4.83941	4.79206	4.76194	4.74164	4.72738	4.71702	4.70310	4.69164	4.68712	4.68271	4.67857	4.67632	4.67408	4.67304',
'29.40	4.67931	4.84711	4.79987	4.76977	4.74947	4.73526	4.72489	4.71100	4.69956	4.69505	4.69064	4.68651	4.68427	4.68203	4.68100',
'29.45	4.68727	4.85486	4.80767	4.77758	4.75734	4.74312	4.73279	4.71891	4.70748	4.70298	4.69858	4.69446	4.69221	4.68998	4.68895',
'29.50	4.69523	4.86262	4.81546	4.78538	4.76520	4.75098	4.74068	4.72681	4.71541	4.71091	4.70652	4.70240	4.70016	4.69794	4.69690',
'29.55	4.70318	4.87037	4.82324	4.79322	4.77304	4.75887	4.74855	4.73471	4.72333	4.71884	4.71446	4.71035	4.70811	4.70589	4.70486',
'29.60	4.71115	4.87810	4.83100	4.80106	4.78087	4.76674	4.75645	4.74262	4.73126	4.72677	4.72240	4.71829	4.71606	4.71384	4.71281',
'29.65	4.71910	4.88583	4.83880	4.80888	4.78874	4.77460	4.76433	4.75052	4.73918	4.73471	4.73034	4.72624	4.72401	4.72179	4.72077',
'29.70	4.72705	4.89354	4.84660	4.81669	4.79660	4.78247	4.77221	4.75843	4.74710	4.74264	4.73828	4.73418	4.73196	4.72975	4.72872',
'29.75	4.73502	4.90126	4.85440	4.82451	4.80444	4.79035	4.78010	4.76633	4.75503	4.75057	4.74621	4.74213	4.73991	4.73770	4.73668',
'29.80	4.74297	4.90903	4.86218	4.83235	4.81227	4.79822	4.78799	4.77424	4.76295	4.75850	4.75415	4.75008	4.74786	4.74565	4.74463',
'29.85	4.75092	4.91679	4.86995	4.84018	4.82014	4.80607	4.79587	4.78214	4.77087	4.76643	4.76209	4.75802	4.75581	4.75361	4.75259',
'29.90	4.75889	4.92453	4.87773	4.84800	4.82800	4.81396	4.80376	4.79005	4.77880	4.77436	4.77003	4.76597	4.76376	4.76156	4.76054',
'29.95	4.76685	4.93227	4.88554	4.85580	4.83585	4.82184	4.81165	4.79796	4.78672	4.78229	4.77797	4.77391	4.77171	4.76951	4.76850',
'30.00	4.77479	4.93999	4.89334	4.86364	4.84368	4.82970	4.81953	4.80586	4.79465	4.79023	4.78591	4.78186	4.77966	4.77747	4.77645',
'30.05	4.78276	4.94770	4.90113	4.87148	4.85155	4.83787	4.82741	4.81377	4.80257	4.79816	4.79385	4.78980	4.78761	4.78542	4.78441',
'30.10	4.79072	4.95546	4.90891	4.87931	4.85941	4.84573	4.83530	4.82167	4.81050	4.80609	4.80179	4.79775	4.79556	4.79337	4.79236',
'30.15	4.79867	4.96322	4.91667	4.88712	4.86726	4.85360	4.84318	4.82958	4.81842	4.81402	4.80973	4.80570	4.80350	4.80132	4.80032',
'30.20	4.80663	4.97098	4.92449	4.89494	4.87509	4.86147	4.85107	4.83749	4.82635	4.82195	4.81767	4.81364	4.81145	4.80928	4.80827',
'30.25	4.81459	4.97872	4.93230	4.90279	4.88297	4.86934	4.85895	4.84539	4.83427	4.82989	4.82560	4.82159	4.81940	4.81723	4.81623',
'30.30	4.82254	4.98645	4.94009	4.91062	4.89083	4.87720	4.86684	4.85330	4.84220	4.83782	4.83354	4.82953	4.82735	4.82518	4.82418',
'30.35	4.83050	4.99417	4.94787	4.91844	4.89867	4.88507	4.87472	4.86121	4.85012	4.84575	4.84148	4.83748	4.83530	4.83314	4.83214',
'30.40	4.83847	5.00190	4.95564	4.92625	4.90651	4.89294	4.88261	4.86912	4.85805	4.85368	4.84942	4.84543	4.84325	4.84109	4.84009',
'30.45	4.84642	5.00967	4.96345	4.93409	4.91439	4.90081	4.89049	4.87702	4.86597	4.86162	4.85736	4.85337	4.85120	4.84904	4.84804',
'30.50	4.85437	5.01743	4.97126	4.94194	4.92225	4.90868	4.89838	4.88493	4.87390	4.86955	4.86530	4.86132	4.85915	4.85700	4.85600',
'30.55	4.86234	5.02518	4.97906	4.94977	4.93010	4.91655	4.90627	4.89284	4.88182	4.87748	4.87324	4.86926	4.86710	4.86495	4.86395',
'30.60	4.87029	5.03292	4.98685	4.95758	4.93794	4.92442	4.91415	4.90075	4.88975	4.88541	4.88118	4.87721	4.87505	4.87290	4.87191',
'30.65	4.87825	5.04065	4.99463	4.96540	4.94581	4.93229	4.92204	4.90865	4.89768	4.89335	4.88912	4.88516	4.88300	4.88086	4.87986',
'30.70	4.88621	5.04837	5.00241	4.97325	4.95367	4.94016	4.92993	4.91656	4.90560	4.90128	4.89706	4.89310	4.89095	4.88881	4.88782',
'30.75	4.89416	5.05614	5.01023	4.98109	4.96152	4.94803	4.93781	4.92447	4.91353	4.90921	4.90500	4.90105	4.89890	4.89676	4.89577',
'30.80	4.90212	5.06391	5.01804	4.98892	4.96936	4.95590	4.94570	4.93238	4.92145	4.91715	4.91294	4.90899	4.90685	4.90472	4.90373',
'30.85	4.91008	5.07167	5.02583	4.99673	4.97724	4.96377	4.95359	4.94029	4.92938	4.92508	4.92088	4.91694	4.91480	4.91267	4.91168',
'30.90	4.91804	5.07941	5.03362	5.00457	4.98510	4.97164	4.96147	4.94820	4.93731	4.93301	4.92882	4.92489	4.92275	4.92062	4.91964',
'30.95	4.92599	5.08715	5.04139	5.01242	4.99295	4.97952	4.96936	4.95611	4.94523	4.94095	4.93676	4.93283	4.93070	4.92858	4.92759',
'31.00	4.93396	5.09487	5.04921	5.02025	5.00079	4.98739	4.97725	4.96402	4.95316	4.94888	4.94470	4.94078	4.93865	4.93653	4.93555',
'31.05	4.94191	5.10261	5.05703	5.02807	5.00867	4.99526	4.98514	4.97192	4.96109	4.95681	4.95264	4.94873	4.94660	4.94448	4.94350',
'31.10	4.94986	5.11039	5.06483	5.03589	5.01653	5.00313	4.99303	4.97983	4.96901	4.96475	4.96058	4.95667	4.95455	4.95244	4.95146',
'31.15	4.95783	5.11816	5.07262	5.04374	5.02438	5.01101	5.00092	4.98774	4.97694	4.97268	4.96852	4.96462	4.96250	4.96039	4.95941',
'31.20	4.96579	5.12592	5.08040	5.05159	5.03223	5.01888	5.00881	4.99565	4.98487	4.98061	4.97646	4.97257	4.97045	4.96834	4.96737',
'31.25	4.97373	5.13366	5.08820	5.05942	5.04011	5.02675	5.01670	5.00356	4.99279	4.98855	4.98440	4.98051	4.97840	4.97630	4.97532',
'31.30	4.98170	5.14139	5.09602	5.06724	5.04797	5.03463	5.02458	5.01147	5.00072	4.99648	4.99234	4.98846	4.98635	4.98425	4.98328',
'31.35	4.98966	5.14912	5.10383	5.07507	5.05582	5.04250	5.03247	5.01938	5.00865	5.00442	5.00028	4.99641	4.99430	4.99220	4.99123',
'31.40	4.99761	5.15690	5.11163	5.08292	5.06367	5.05037	5.04036	5.02730	5.01658	5.01235	5.00822	5.00435	5.00225	5.00016	4.99919',
'31.45	5.00557	5.16467	5.11941	5.09076	5.07155	5.05825	5.04825	5.03521	5.02450	5.02028	5.01617	5.01230	5.01020	5.00811	5.00714',
'31.50	5.01353	5.17243	5.12720	5.09859	5.07941	5.06612	5.05614	5.04312	5.03243	5.02822	5.02411	5.02025	5.01815	5.01606	5.01510',
'31.55	5.02148	5.18019	5.13503	5.10641	5.08727	5.07400	5.06404	5.05103	5.04036	5.03615	5.03205	5.02819	5.02610	5.02402	5.02305',
'31.60	5.02944	5.18793	5.14284	5.11426	5.09512	5.08187	5.07193	5.05894	5.04829	5.04409	5.03999	5.03614	5.03405	5.03197	5.03101',
'31.65	5.03740	5.19566	5.15064	5.12211	5.10299	5.08975	5.07982	5.06685	5.05621	5.05202	5.04793	5.04409	5.04200	5.03992	5.03896',
'31.70	5.04536	5.20341	5.15843	5.12995	5.11086	5.09763	5.08771	5.07476	5.06414	5.05996	5.05587	5.05204	5.04995	5.04788	5.04692',
'31.75	5.05331	5.21119	5.16621	5.13777	5.11871	5.10550	5.09560	5.08267	5.07207	5.06789	5.06381	5.05998	5.05790	5.05583	5.05487',
'31.80	5.06128	5.21897	5.17404	5.14560	5.12657	5.11338	5.10349	5.09058	5.08000	5.07583	5.07175	5.06793	5.06585	5.06379	5.06283',
'31.85	5.06923	5.22673	5.18186	5.15346	5.13444	5.12125	5.11138	5.09850	5.08793	5.08376	5.07969	5.07588	5.07380	5.07174	5.07078',
'31.90	5.07718	5.23448	5.18966	5.16130	5.14231	5.12913	5.11928	5.10641	5.09586	5.09170	5.08763	5.08382	5.08175	5.07969	5.07874',
'31.95	5.08515	5.24221	5.19746	5.16913	5.15017	5.13701	5.12717	5.11432	5.10378	5.09963	5.09557	5.09177	5.08970	5.08765	5.08669',
'32.00	5.09310	5.24994	5.20525	5.17695	5.15802	5.14489	5.13506	5.12223	5.11171	5.10757	5.10352	5.09972	5.09765	5.09560	5.09465',
'32.05	5.10105	5.25773	5.21306	5.18481	5.16590	5.15276	5.14295	5.13014	5.11964	5.11550	5.11146	5.10767	5.10560	5.10355	5.10260',
'32.10	5.10902	5.26551	5.22088	5.19266	5.17377	5.16064	5.15085	5.13806	5.12757	5.12344	5.11940	5.11561	5.11355	5.11151	5.11056',
'32.15	5.11698	5.27328	5.22870	5.20050	5.18162	5.16852	5.15874	5.14597	5.13550	5.13137	5.12734	5.12356	5.12150	5.11946	5.11851',
'32.20	5.12492	5.28104	5.23650	5.20833	5.18948	5.17640	5.16663	5.15388	5.14343	5.13931	5.13528	5.13151	5.12946	5.12741	5.12647',
'32.25	5.13289	5.28878	5.24429	5.21616	5.19736	5.18428	5.17452	5.16179	5.15136	5.14724	5.14322	5.13945	5.13741	5.13537	5.13442',
'32.30	5.14085	5.29652	5.25209	5.22402	5.20523	5.19215	5.18242	5.16971	5.15929	5.15518	5.15116	5.14740	5.14536	5.14332	5.14238',
'32.35	5.14880	5.30428	5.25992	5.23186	5.21308	5.20003	5.19031	5.17762	5.16721	5.16311	5.15911	5.15535	5.15331	5.15128	5.15033',
'32.40	5.15676	5.31207	5.26774	5.23970	5.22094	5.20791	5.19821	5.18553	5.17514	5.17105	5.16705	5.16330	5.16126	5.15923	5.15829',
'32.45	5.16472	5.31985	5.27554	5.24752	5.22882	5.21579	5.20610	5.19345	5.18307	5.17898	5.17499	5.17124	5.16921	5.16718	5.16624',
'32.50	5.17267	5.32761	5.28334	5.25538	5.23669	5.22367	5.21399	5.20136	5.19100	5.18692	5.18293	5.17919	5.17716	5.17514	5.17420',
'32.55	5.18063	5.33536	5.29113	5.26323	5.24455	5.23155	5.22189	5.20928	5.19893	5.19485	5.19087	5.18714	5.18511	5.18309	5.18216',
'32.60	5.18860	5.34311	5.29896	5.27107	5.25241	5.23943	5.22978	5.21719	5.20686	5.20279	5.19881	5.19509	5.19306	5.19104	5.19011',
'32.65	5.19655	5.35085	5.30678	5.27891	5.26029	5.24731	5.23768	5.22510	5.21479	5.21073	5.20676	5.20303	5.20101	5.19900	5.19807',
'32.70	5.20451	5.35864	5.31460	5.28674	5.26816	5.25519	5.24557	5.23302	5.22272	5.21866	5.21470	5.21098	5.20896	5.20695	5.20602',
'32.75	5.21247	5.36643	5.32240	5.29460	5.27601	5.26307	5.25347	5.24093	5.23065	5.22660	5.22264	5.21893	5.21691	5.21491	5.21398',
'32.80	5.22042	5.37420	5.33019	5.30245	5.28388	5.27096	5.26136	5.24885	5.23858	5.23453	5.23058	5.22688	5.22486	5.22286	5.22193',
'32.85	5.22838	5.38196	5.33801	5.31029	5.29176	5.27884	5.26926	5.25676	5.24651	5.24247	5.23852	5.23483	5.23281	5.23081	5.22989',
'32.90	5.23634	5.38971	5.34584	5.31812	5.29963	5.28672	5.27716	5.26468	5.25444	5.25041	5.24647	5.24277	5.24076	5.23877	5.23784',
'32.95	5.24429	5.39745	5.35366	5.32597	5.30748	5.29460	5.28505	5.27259	5.26237	5.25834	5.25441	5.25072	5.24871	5.24672	5.24580',
'33.00	5.25225	5.40523	5.36147	5.33383	5.31535	5.30248	5.29295	5.28050	5.27030	5.26628	5.26235	5.25867	5.25667	5.25467	5.25375',
'33.05	5.26021	5.41302	5.36926	5.34168	5.32323	5.31036	5.30085	5.28842	5.27823	5.27422	5.27029	5.26662	5.26462	5.26263	5.26171',
'33.10	5.26817	5.42080	5.37707	5.34951	5.33110	5.31825	5.30874	5.29633	5.28616	5.28215	5.27824	5.27456	5.27257	5.27058	5.26966',
'33.15	5.27612	5.42857	5.38490	5.35734	5.33896	5.32613	5.31664	5.30425	5.29409	5.29009	5.28618	5.28251	5.28052	5.27854	5.27762',
'33.20	5.28409	5.43632	5.39273	5.36521	5.34683	5.33401	5.32454	5.31217	5.30202	5.29802	5.29412	5.29046	5.28847	5.28649	5.28557',
'33.25	5.29204	5.44407	5.40054	5.37306	5.35471	5.34190	5.33243	5.32008	5.30995	5.30596	5.30206	5.29841	5.29642	5.29444	5.29353',
'33.30	5.29999	5.45183	5.40834	5.38090	5.36258	5.34978	5.34033	5.32800	5.31788	5.31390	5.31001	5.30636	5.30437	5.30240	5.30148',
'33.35	5.30796	5.45962	5.41613	5.38874	5.37044	5.35766	5.34823	5.33591	5.32582	5.32184	5.31795	5.31430	5.31232	5.31035	5.30944',
'33.40	5.31592	5.46741	5.42397	5.39658	5.37831	5.36555	5.35613	5.34383	5.33375	5.32977	5.32589	5.32225	5.32027	5.31831	5.31740',
'33.45	5.32386	5.47519	5.43180	5.40445	5.38619	5.37343	5.36402	5.35174	5.34168	5.33771	5.33383	5.33020	5.32822	5.32626	5.32535',
'33.50	5.33183	5.48295	5.43962	5.41230	5.39406	5.38131	5.37192	5.35966	5.34961	5.34565	5.34178	5.33815	5.33618	5.33421	5.33331',
'33.55	5.33979	5.49071	5.44743	5.42014	5.40192	5.38920	5.37982	5.36758	5.35754	5.35358	5.34972	5.34610	5.34413	5.34217	5.34126',
'33.60	5.34774	5.49845	5.45523	5.42797	5.40979	5.39708	5.38772	5.37549	5.36547	5.36152	5.35766	5.35404	5.35208	5.35012	5.34922',
'33.65	5.35570	5.50624	5.46305	5.43584	5.41768	5.40497	5.39562	5.38341	5.37340	5.36946	5.36561	5.36199	5.36003	5.35808	5.35717',
'33.70	5.36366	5.51404	5.47088	5.44369	5.42555	5.41285	5.40352	5.39133	5.38133	5.37739	5.37355	5.36994	5.36798	5.36603	5.36513',
'33.75	5.37161	5.52182	5.47871	5.45154	5.43341	5.42074	5.41141	5.39924	5.38927	5.38533	5.38149	5.37789	5.37593	5.37398	5.37308',
'33.80	5.37957	5.52959	5.48652	5.45938	5.44128	5.42862	5.41931	5.40716	5.39720	5.39327	5.38943	5.38584	5.38388	5.38194	5.38104',
'33.85	5.38754	5.53735	5.49432	5.46722	5.44917	5.43651	5.42721	5.41508	5.40513	5.40121	5.39738	5.39379	5.39183	5.38989	5.38899',
'33.90	5.39549	5.54511	5.50213	5.47509	5.45704	5.44440	5.43511	5.42299	5.41306	5.40914	5.40532	5.40173	5.39978	5.39785	5.39695',
'33.95	5.40344	5.55287	5.50997	5.48295	5.46490	5.45228	5.44301	5.43091	5.42099	5.41708	5.41326	5.40968	5.40774	5.40580	5.40490',
'34.00	5.41141	5.56067	5.51780	5.49079	5.47277	5.46017	5.45091	5.43883	5.42892	5.42502	5.42121	5.41763	5.41569	5.41375	5.41286',
'34.05	5.41936	5.56846	5.52562	5.49862	5.48066	5.46806	5.45881	5.44675	5.43685	5.43296	5.42915	5.42558	5.42364	5.42171	5.42081',
'34.10	5.42731	5.57624	5.53343	5.50649	5.48853	5.47594	5.46671	5.45466	5.44479	5.44089	5.43709	5.43353	5.43159	5.42966	5.42877',
'34.15	5.43528	5.58401	5.54123	5.51435	5.49639	5.48383	5.47461	5.46258	5.45272	5.44883	5.44504	5.44148	5.43954	5.43762	5.43673',
'34.20	5.44323	5.59177	5.54907	5.52220	5.50427	5.49172	5.48251	5.47050	5.46065	5.45677	5.45298	5.44942	5.44749	5.44557	5.44468',
'34.25	5.45118	5.59952	5.55690	5.53004	5.51215	5.49960	5.49041	5.47842	5.46858	5.46471	5.46092	5.45737	5.45544	5.45352	5.45264',
'34.30	5.45915	5.60732	5.56473	5.53789	5.52003	5.50749	5.49831	5.48634	5.47652	5.47264	5.46887	5.46532	5.46340	5.46148	5.46059',
'34.35	5.46711	5.61512	5.57254	5.54576	5.52789	5.51538	5.50621	5.49425	5.48445	5.48058	5.47681	5.47327	5.47135	5.46943	5.46855',
'34.40	5.47505	5.62291	5.58034	5.55361	5.53577	5.52327	5.51412	5.50217	5.49238	5.48852	5.48475	5.48122	5.47930	5.47739	5.47650',
'34.45	5.48302	5.63068	5.58817	5.56146	5.54365	5.53116	5.52202	5.51009	5.50031	5.49646	5.49270	5.48917	5.48725	5.48534	5.48446',
'34.50	5.49098	5.63845	5.59601	5.56930	5.55153	5.53904	5.52992	5.51801	5.50825	5.50440	5.50064	5.49712	5.49520	5.49330	5.49241',
'34.55	5.49893	5.64620	5.60384	5.57716	5.55939	5.54693	5.53782	5.52593	5.51618	5.51234	5.50858	5.50506	5.50315	5.50125	5.50037',
'34.60	5.50690	5.65399	5.61166	5.58503	5.56727	5.55482	5.54572	5.53385	5.52411	5.52027	5.51653	5.51301	5.51110	5.50920	5.50832',
'34.65	5.51486	5.66179	5.61947	5.59288	5.57516	5.56271	5.55362	5.54177	5.53204	5.52821	5.52447	5.52096	5.51905	5.51716	5.51628',
'34.70	5.52280	5.66958	5.62728	5.60073	5.58303	5.57060	5.56153	5.54968	5.53998	5.53615	5.53241	5.52891	5.52701	5.52511	5.52424',
'34.75	5.53077	5.67737	5.63513	5.60857	5.59090	5.57849	5.56943	5.55760	5.54791	5.54409	5.54036	5.53686	5.53496	5.53307	5.53219',
'34.80	5.53873	5.68514	5.64296	5.61644	5.59878	5.58638	5.57733	5.56552	5.55584	5.55203	5.54830	5.54481	5.54291	5.54102	5.54015',
'34.85	5.54668	5.69290	5.65079	5.62430	5.60666	5.59427	5.58523	5.57344	5.56378	5.55997	5.55625	5.55276	5.55086	5.54898	5.54810',
'34.90	5.55464	5.70066	5.65860	5.63215	5.61454	5.60216	5.59314	5.58136	5.57171	5.56790	5.56419	5.56071	5.55881	5.55693	5.55606',
'34.95	5.56260	5.70847	5.66640	5.63999	5.62240	5.61005	5.60104	5.58928	5.57964	5.57584	5.57213	5.56866	5.56676	5.56488	5.56401',
'35.00	5.57055	5.71627	5.67425	5.64786	5.63029	5.61794	5.60894	5.59720	5.58758	5.58378	5.58008	5.57660	5.57472	5.57284	5.57197',
'35.05	5.57851	5.72406	5.68209	5.65572	5.63817	5.62583	5.61685	5.60512	5.59551	5.59172	5.58802	5.58455	5.58267	5.58079	5.57992',
'35.10	5.58647	5.73184	5.68992	5.66358	5.64605	5.63372	5.62475	5.61304	5.60344	5.59966	5.59597	5.59250	5.59062	5.58875	5.58788',
'35.15	5.59443	5.73961	5.69774	5.67143	5.65391	5.64161	5.63265	5.62096	5.61138	5.60760	5.60391	5.60045	5.59857	5.59670	5.59584',
'35.20	5.60238	5.74737	5.70555	5.67927	5.66180	5.64950	5.64056	5.62888	5.61931	5.61554	5.61185	5.60840	5.60652	5.60466	5.60379',
'35.25	5.61035	5.75516	5.71338	5.68715	5.66969	5.65739	5.64846	5.63680	5.62724	5.62348	5.61980	5.61635	5.61447	5.61261	5.61175',
'35.30	5.61830	5.76297	5.72122	5.69501	5.67756	5.66528	5.65636	5.64472	5.63518	5.63141	5.62774	5.62430	5.62243	5.62056	5.61970',
'35.35	5.62625	5.77077	5.72906	5.70287	5.68543	5.67318	5.66427	5.65264	5.64311	5.63935	5.63569	5.63225	5.63038	5.62852	5.62766',
'35.40	5.63422	5.77855	5.73688	5.71071	5.69332	5.68107	5.67217	5.66056	5.65104	5.64729	5.64363	5.64020	5.63833	5.63647	5.63561',
'35.45	5.64217	5.78633	5.74469	5.71857	5.70120	5.68896	5.68008	5.66848	5.65898	5.65523	5.65158	5.64814	5.64628	5.64443	5.64357',
'35.50	5.65012	5.79409	5.75252	5.72644	5.70908	5.69685	5.68798	5.67640	5.66691	5.66317	5.65952	5.65609	5.65423	5.65238	5.65152',
'35.55	5.65809	5.80187	5.76036	5.73430	5.71695	5.70474	5.69589	5.68432	5.67485	5.67111	5.66746	5.66404	5.66218	5.66034	5.65948',
'35.60	5.66605	5.80968	5.76820	5.74215	5.72484	5.71264	5.70379	5.69224	5.68278	5.67905	5.67541	5.67199	5.67014	5.66829	5.66744',
'35.65	5.67400	5.81748	5.77603	5.74999	5.73272	5.72053	5.71169	5.70016	5.69071	5.68699	5.68335	5.67994	5.67809	5.67624	5.67539',
'35.70	5.68196	5.82528	5.78385	5.75787	5.74060	5.72842	5.71960	5.70809	5.69865	5.69493	5.69130	5.68789	5.68604	5.68420	5.68335',
'35.75	5.68992	5.83306	5.79166	5.76574	5.74847	5.73632	5.72751	5.71601	5.70658	5.70287	5.69924	5.69584	5.69399	5.69215	5.69130',
'35.80	5.69787	5.84083	5.79951	5.77360	5.75636	5.74421	5.73541	5.72393	5.71452	5.71081	5.70719	5.70379	5.70194	5.70011	5.69926',
'35.85	5.70583	5.84859	5.80735	5.78145	5.76425	5.75210	5.74332	5.73185	5.72245	5.71875	5.71513	5.71174	5.70990	5.70806	5.70721',
'35.90	5.71379	5.85640	5.81519	5.78931	5.77212	5.76000	5.75122	5.73977	5.73039	5.72669	5.72308	5.71969	5.71785	5.71602	5.71517',
'35.95	5.72174	5.86421	5.82301	5.79718	5.77999	5.76789	5.75913	5.74769	5.73832	5.73463	5.73102	5.72764	5.72580	5.72397	5.72313',
'36.00	5.72970	5.87201	5.83082	5.80504	5.78788	5.77578	5.76703	5.75561	5.74625	5.74257	5.73896	5.73559	5.73375	5.73193	5.73108',
'36.05	5.73767	5.87980	5.83866	5.81290	5.79577	5.78368	5.77494	5.76354	5.75419	5.75051	5.74691	5.74354	5.74170	5.73988	5.73904',
'36.10	5.74562	5.88758	5.84651	5.82074	5.80365	5.79157	5.78285	5.77146	5.76212	5.75845	5.75485	5.75149	5.74966	5.74783	5.74699',
'36.15	5.75358	5.89535	5.85435	5.82862	5.81152	5.79947	5.79075	5.77938	5.77006	5.76639	5.76280	5.75944	5.75761	5.75579	5.75495',
'36.20	5.76154	5.90313	5.86218	5.83649	5.81941	5.80736	5.79866	5.78730	5.77799	5.77433	5.77074	5.76739	5.76556	5.76374	5.76290',
'36.25	5.76949	5.91095	5.86999	5.84435	5.82730	5.81526	5.80657	5.79522	5.78593	5.78227	5.77869	5.77533	5.77351	5.77170	5.77086',
'36.30	5.77745	5.91876	5.87782	5.85220	5.83518	5.82315	5.81447	5.80315	5.79386	5.79021	5.78663	5.78328	5.78146	5.77965	5.77881',
'36.35	5.78541	5.92655	5.88568	5.86006	5.84305	5.83105	5.82238	5.81107	5.80180	5.79815	5.79458	5.79123	5.78942	5.78761	5.78677',
'36.40	5.79337	5.93434	5.89352	5.86794	5.85094	5.83894	5.83029	5.81899	5.80973	5.80609	5.80252	5.79918	5.79737	5.79556	5.79473',
'36.45	5.80132	5.94211	5.90135	5.87580	5.85883	5.84684	5.83819	5.82691	5.81767	5.81403	5.81047	5.80713	5.80532	5.80352	5.80268',
'36.50	5.80928	5.94988	5.90917	5.88366	5.86671	5.85473	5.84610	5.83484	5.82560	5.82197	5.81841	5.81508	5.81327	5.81147	5.81064',
'36.55	5.81724	5.95770	5.91699	5.89151	5.87458	5.86263	5.85401	5.84276	5.83354	5.82991	5.82636	5.82303	5.82122	5.81943	5.81859',
'36.60	5.82519	5.96551	5.92484	5.89938	5.88248	5.87053	5.86192	5.85068	5.84148	5.83785	5.83430	5.83098	5.82918	5.82738	5.82655',
'36.65	5.83316	5.97331	5.93269	5.90726	5.89037	5.87842	5.86982	5.85861	5.84941	5.84579	5.84225	5.83893	5.83713	5.83534	5.83450',
'36.70	5.84111	5.98111	5.94053	5.91512	5.89825	5.88632	5.87773	5.86653	5.85735	5.85373	5.85019	5.84688	5.84508	5.84329	5.84246',
'36.75	5.84906	5.98889	5.94836	5.92297	5.90612	5.89422	5.88564	5.87445	5.86528	5.86167	5.85814	5.85483	5.85303	5.85124	5.85042',
'36.80	5.85703	5.99666	5.95617	5.93083	5.91402	5.90211	5.89355	5.88237	5.87322	5.86961	5.86609	5.86278	5.86099	5.85920	5.85837',
'36.85	5.86499	6.00446	5.96402	5.93871	5.92191	5.91001	5.90146	5.89030	5.88115	5.87755	5.87403	5.87073	5.86894	5.86715	5.86633',
'36.90	5.87294	6.01228	5.97187	5.94658	5.92979	5.91791	5.90937	5.89822	5.88909	5.88549	5.88198	5.87868	5.87689	5.87511	5.87428',
'36.95	5.88090	6.02009	5.97971	5.95444	5.93766	5.92580	5.91727	5.90615	5.89703	5.89343	5.88992	5.88663	5.88484	5.88306	5.88224',
'37.00	5.88886	6.02788	5.98755	5.96229	5.94556	5.93370	5.92518	5.91407	5.90496	5.90137	5.89787	5.89458	5.89279	5.89102	5.89020',
'37.05	5.89681	6.03567	5.99537	5.97017	5.95347	5.94160	5.93309	5.92199	5.91290	5.90931	5.90581	5.90253	5.90075	5.89897	5.89815',
'37.10	5.90477	6.04345	6.00320	5.97804	5.96135	5.94950	5.94100	5.92992	5.92083	5.91725	5.91376	5.91048	5.90870	5.90693	5.90611',
'37.15	5.91273	6.05123	6.01106	5.98591	5.96923	5.95739	5.94891	5.93784	5.92877	5.92519	5.92170	5.91843	5.91665	5.91488	5.91406',
'37.20	5.92069	6.05906	6.01890	5.99377	5.97712	5.96529	5.95682	5.94576	5.93670	5.93313	5.92965	5.92638	5.92460	5.92284	5.92202',
'37.25	5.92864	6.06687	6.02674	6.00162	5.98500	5.97319	5.96473	5.95369	5.94464	5.94107	5.93759	5.93433	5.93256	5.93079	5.92997',
'37.30	5.93661	6.07467	6.03457	6.00951	5.99288	5.98109	5.97264	5.96161	5.95258	5.94902	5.94554	5.94228	5.94051	5.93875	5.93793',
'37.35	5.94456	6.08247	6.04239	6.01738	6.00076	5.98899	5.98055	5.96954	5.96051	5.95696	5.95349	5.95023	5.94846	5.94670	5.94589',
'37.40	5.95251	6.09025	6.05025	6.02524	6.00865	5.99688	5.98846	5.97746	5.96845	5.96490	5.96143	5.95818	5.95641	5.95466	5.95384',
'37.45	5.96048	6.09803	6.05810	6.03309	6.01653	6.00478	5.99637	5.98539	5.97639	5.97284	5.96938	5.96613	5.96437	5.96261	5.96180',
'37.50	5.96843	6.10584	6.06594	6.04097	6.02441	6.01268	6.00428	5.99331	5.98432	5.98078	5.97732	5.97408	5.97232	5.97056	5.96975',
'37.55	5.97638	6.11366	6.07377	6.04885	6.03230	6.02058	6.01219	6.00123	5.99226	5.98872	5.98527	5.98203	5.98027	5.97852	5.97771',
'37.60	5.98435	6.12147	6.08159	6.05672	6.04018	6.02848	6.02010	6.00916	6.00020	5.99666	5.99321	5.98998	5.98822	5.98647	5.98566',
'37.65	5.99231	6.12927	6.08945	6.06457	6.04807	6.03638	6.02801	6.01708	6.00813	6.00460	6.00116	5.99793	5.99617	5.99443	5.99362',
'37.70	6.00025	6.13707	6.09730	6.07243	6.05595	6.04428	6.03592	6.02501	6.01607	6.01255	6.00911	6.00588	6.00413	6.00238	6.00158',
'37.75	6.00822	6.14485	6.10515	6.08032	6.06383	6.05218	6.04383	6.03293	6.02400	6.02049	6.01705	6.01383	6.01208	6.01034	6.00953',
'37.80	6.01618	6.15264	6.11298	6.08819	6.07172	6.06008	6.05174	6.04086	6.03194	6.02843	6.02500	6.02178	6.02003	6.01829	6.01749',
'37.85	6.02413	6.16047	6.12081	6.09606	6.07960	6.06798	6.05965	6.04878	6.03988	6.03637	6.03294	6.02973	6.02798	6.02625	6.02544',
'37.90	6.03210	6.16828	6.12865	6.10391	6.08749	6.07588	6.06756	6.05671	6.04782	6.04431	6.04089	6.03768	6.03594	6.03420	6.03340',
'37.95	6.04005	6.17609	6.13651	6.11179	6.09537	6.08378	6.07547	6.06463	6.05575	6.05225	6.04884	6.04563	6.04389	6.04216	6.04136',
'38.00	6.04800	6.18389	6.14436	6.11967	6.10326	6.09168	6.08338	6.07256	6.06369	6.06019	6.05678	6.05358	6.05184	6.05011	6.04931',
'38.05	6.05597	6.19167	6.15220	6.12754	6.11115	6.09958	6.09130	6.08049	6.07163	6.06814	6.06473	6.06153	6.05979	6.05807	6.05727',
'38.10	6.06393	6.19945	6.16003	6.13540	6.11903	6.10748	6.09921	6.08841	6.07956	6.07608	6.07267	6.06948	6.06775	6.06602	6.06522',
'38.15	6.07188	6.20728	6.16786	6.14326	6.12692	6.11538	6.10712	6.09634	6.08750	6.08402	6.08062	6.07743	6.07570	6.07398	6.07318',
'38.20	6.07984	6.21510	6.17572	6.15114	6.13480	6.12328	6.11503	6.10426	6.09544	6.09196	6.08857	6.08538	6.08365	6.08193	6.08114',
'38.25	6.08780	6.22291	6.18358	6.15902	6.14269	6.13119	6.12294	6.11219	6.10338	6.09990	6.09651	6.09333	6.09161	6.08989	6.08909',
'38.30	6.09575	6.23072	6.19142	6.16689	6.15058	6.13909	6.13085	6.12011	6.11131	6.10784	6.10446	6.10128	6.09956	6.09784	6.09705',
'38.35	6.10371	6.23851	6.19926	6.17475	6.15846	6.14699	6.13877	6.12804	6.11925	6.11579	6.11240	6.10923	6.10751	6.10580	6.10500',
'38.40	6.11167	6.24630	6.20708	6.18262	6.16635	6.15489	6.14668	6.13597	6.12719	6.12373	6.12035	6.11718	6.11546	6.11375	6.11296',
'38.45	6.11963	6.25410	6.21494	6.19050	6.17424	6.16279	6.15459	6.14389	6.13512	6.13167	6.12830	6.12513	6.12342	6.12171	6.12091',
'38.50	6.12758	6.26193	6.22280	6.19838	6.18213	6.17069	6.16250	6.15182	6.14306	6.13961	6.13624	6.13308	6.13137	6.12966	6.12887',
'38.55	6.13555	6.26975	6.23065	6.20624	6.19001	6.17860	6.17042	6.15974	6.15100	6.14755	6.14419	6.14104	6.13932	6.13762	6.13683',
'38.60	6.14350	6.27756	6.23849	6.21410	6.19790	6.18650	6.17833	6.16767	6.15894	6.15550	6.15214	6.14899	6.14727	6.14557	6.14478',
'38.65	6.15145	6.28536	6.24632	6.22199	6.20579	6.19440	6.18624	6.17560	6.16687	6.16344	6.16008	6.15694	6.15523	6.15353	6.15274',
'38.70	6.15942	6.29315	6.25416	6.22987	6.21368	6.20230	6.19415	6.18352	6.17481	6.17138	6.16803	6.16489	6.16318	6.16148	6.16069',
'38.75	6.16737	6.30094	6.26203	6.23774	6.22156	6.21021	6.20207	6.19145	6.18275	6.17932	6.17598	6.17284	6.17113	6.16944	6.16865',
'38.80	6.17532	6.30877	6.26988	6.24560	6.22945	6.21811	6.20998	6.19938	6.19069	6.18726	6.18392	6.18079	6.17908	6.17739	6.17661',
'38.85	6.18329	6.31659	6.27772	6.25347	6.23734	6.22601	6.21789	6.20730	6.19863	6.19521	6.19187	6.18874	6.18704	6.18535	6.18456',
'38.90	6.19125	6.32441	6.28556	6.26136	6.24523	6.23391	6.22581	6.21523	6.20656	6.20315	6.19982	6.19669	6.19499	6.19330	6.19252',
'38.95	6.19920	6.33221	6.29339	6.26923	6.25312	6.24182	6.23372	6.22316	6.21450	6.21109	6.20776	6.20464	6.20294	6.20126	6.20047',
'39.00	6.20716	6.34001	6.30126	6.27710	6.26101	6.24972	6.24163	6.23108	6.22244	6.21903	6.21571	6.21259	6.21090	6.20921	6.20843',
'39.05	6.21512	6.34780	6.30912	6.28496	6.26890	6.25762	6.24955	6.23901	6.23038	6.22698	6.22366	6.22054	6.21885	6.21717	6.21639',
'39.10	6.22307	6.35562	6.31696	6.29285	6.27679	6.26553	6.25746	6.24694	6.23832	6.23492	6.23160	6.22849	6.22680	6.22512	6.22434',
'39.15	6.23103	6.36345	6.32480	6.30073	6.28468	6.27343	6.26538	6.25487	6.24625	6.24286	6.23955	6.23644	6.23475	6.23308	6.23230',
'39.20	6.23899	6.37127	6.33263	6.30860	6.29257	6.28133	6.27329	6.26279	6.25419	6.25080	6.24750	6.24439	6.24271	6.24103	6.24025',
'39.25	6.24695	6.37908	6.34050	6.31647	6.30046	6.28924	6.28120	6.27072	6.26213	6.25875	6.25544	6.25234	6.25066	6.24899	6.24821',
'39.30	6.25491	6.38688	6.34836	6.32434	6.30835	6.29714	6.28912	6.27865	6.27007	6.26669	6.26339	6.26029	6.25861	6.25694	6.25617',
'39.35	6.26287	6.39467	6.35621	6.33223	6.31624	6.30505	6.29703	6.28658	6.27801	6.27463	6.27134	6.26825	6.26657	6.26490	6.26412',
'39.40	6.27082	6.40247	6.36405	6.34011	6.32413	6.31295	6.30495	6.29450	6.28595	6.28257	6.27928	6.27620	6.27452	6.27285	6.27208',
'39.45	6.27878	6.41031	6.37189	6.34798	6.33202	6.32086	6.31286	6.30243	6.29388	6.29052	6.28723	6.28415	6.28247	6.28081	6.28003',
'39.50	6.28674	6.41814	6.37974	6.35584	6.33991	6.32876	6.32078	6.31036	6.30182	6.29846	6.29518	6.29210	6.29042	6.28876	6.28799',
'39.55	6.29469	6.42595	6.38761	6.36372	6.34780	6.33667	6.32869	6.31829	6.30976	6.30640	6.30312	6.30005	6.29838	6.29672	6.29595',
'39.60	6.30265	6.43376	6.39546	6.37161	6.35569	6.34457	6.33661	6.32621	6.31770	6.31435	6.31107	6.30800	6.30633	6.30467	6.30390',
'39.65	6.31061	6.44156	6.40331	6.37948	6.36358	6.35248	6.34452	6.33414	6.32564	6.32229	6.31902	6.31595	6.31428	6.31263	6.31186',
'39.70	6.31857	6.44935	6.41114	6.38735	6.37147	6.36038	6.35244	6.34207	6.33358	6.33023	6.32696	6.32390	6.32224	6.32058	6.31981',
'39.75	6.32652	6.45718	6.41899	6.39522	6.37936	6.36829	6.36035	6.35000	6.34152	6.33817	6.33491	6.33185	6.33019	6.32854	6.32777',
'39.80	6.33449	6.46501	6.42686	6.40311	6.38726	6.37619	6.36827	6.35793	6.34946	6.34612	6.34286	6.33980	6.33814	6.33649	6.33573',
'39.85	6.34244	6.47283	6.43472	6.41099	6.39515	6.38410	6.37618	6.36586	6.35739	6.35406	6.35081	6.34775	6.34610	6.34445	6.34368',
'39.90	6.35039	6.48065	6.44257	6.41886	6.40304	6.39200	6.38410	6.37378	6.36533	6.36200	6.35875	6.35570	6.35405	6.35240	6.35164',
'39.95	6.35836	6.48845	6.45041	6.42673	6.41093	6.39991	6.39201	6.38171	6.37327	6.36995	6.36670	6.36366	6.36200	6.36036	6.35959',
'40.00	6.36632	6.49625	6.45824	6.43461	6.41882	6.40781	6.39993	6.38964	6.38121	6.37789	6.37465	6.37161	6.36995	6.36831	6.36755',
'40.05	6.37426	6.50406	6.46611	6.44272	6.42672	6.41572	6.40784	6.39757	6.38915	6.38583	6.38259	6.37956	6.37791	6.37627	6.37551',
'40.10	6.38223	6.51190	6.47398	6.45059	6.43461	6.42363	6.41576	6.40550	6.39709	6.39378	6.39054	6.38751	6.38586	6.38422	6.38346',
'40.15	6.39019	6.51973	6.48183	6.45847	6.44250	6.43153	6.42368	6.41343	6.40503	6.40172	6.39849	6.39546	6.39381	6.39218	6.39142',
'40.20	6.39814	6.52754	6.48968	6.46634	6.45040	6.43944	6.43159	6.42136	6.41297	6.40966	6.40644	6.40341	6.40177	6.40013	6.39937',
'40.25	6.40610	6.53535	6.49751	6.47422	6.45829	6.44735	6.43951	6.42929	6.42091	6.41761	6.41438	6.41136	6.40972	6.40809	6.40733',
'40.30	6.41406	6.54315	6.50538	6.48209	6.46618	6.45525	6.44743	6.43721	6.42885	6.42555	6.42233	6.41931	6.41767	6.41604	6.41529',
'40.35	6.42201	6.55095	6.51324	6.48996	6.47408	6.46316	6.45534	6.44514	6.43679	6.43349	6.43028	6.42726	6.42563	6.42400	6.42324',
'40.40	6.42997	6.55879	6.52110	6.49784	6.48197	6.47107	6.46326	6.45307	6.44472	6.44144	6.43823	6.43522	6.43358	6.43195	6.43120',
'40.45	6.43793	6.56663	6.52895	6.50571	6.48986	6.47898	6.47117	6.46100	6.45266	6.44938	6.44617	6.44317	6.44153	6.43991	6.43916',
'40.50	6.44589	6.57445	6.53679	6.51359	6.49776	6.48688	6.47909	6.46893	6.46060	6.45732	6.45412	6.45112	6.44949	6.44786	6.44711',
'40.55	6.45384	6.58226	6.54464	6.52146	6.50565	6.49479	6.48701	6.47686	6.46854	6.46527	6.46207	6.45907	6.45744	6.45582	6.45507',
'40.60	6.46181	6.59007	6.55251	6.52934	6.51355	6.50270	6.49493	6.48479	6.47648	6.47321	6.47002	6.46702	6.46539	6.46377	6.46302',
'40.65	6.46976	6.59787	6.56038	6.53721	6.52144	6.51060	6.50284	6.49272	6.48442	6.48115	6.47796	6.47497	6.47335	6.47173	6.47098',
'40.70	6.47772	6.60570	6.56823	6.54509	6.52934	6.51851	6.51076	6.50065	6.49236	6.48910	6.48591	6.48292	6.48130	6.47968	6.47894',
'40.75	6.48568	6.61353	6.57607	6.55296	6.53723	6.52642	6.51868	6.50858	6.50030	6.49704	6.49386	6.49087	6.48925	6.48764	6.48689',
'40.80	6.49364	6.62136	6.58391	6.56084	6.54513	6.53433	6.52659	6.51651	6.50824	6.50498	6.50181	6.49882	6.49720	6.49559	6.49485',
'40.85	6.50159	6.62918	6.59179	6.56872	6.55302	6.54224	6.53451	6.52444	6.51618	6.51293	6.50975	6.50678	6.50516	6.50355	6.50280',
'40.90	6.50955	6.63699	6.59966	6.57659	6.56091	6.55014	6.54243	6.53237	6.52412	6.52087	6.51770	6.51473	6.51311	6.51150	6.51076',
'40.95	6.51751	6.64480	6.60751	6.58447	6.56881	6.55805	6.55035	6.54030	6.53206	6.52882	6.52565	6.52268	6.52106	6.51946	6.51872',
'41.00	6.52546	6.65261	6.61536	6.59235	6.57671	6.56596	6.55826	6.54823	6.54000	6.53676	6.53360	6.53063	6.52902	6.52741	6.52667',
'41.05	6.53342	6.66045	6.62320	6.60022	6.58460	6.57387	6.56618	6.55616	6.54794	6.54470	6.54154	6.53858	6.53697	6.53537	6.53463',
'41.10	6.54138	6.66829	6.63107	6.60810	6.59250	6.58178	6.57410	6.56409	6.55588	6.55265	6.54949	6.54653	6.54492	6.54332	6.54258',
'41.15	6.54933	6.67611	6.63894	6.61598	6.60039	6.58969	6.58202	6.57202	6.56382	6.56059	6.55744	6.55448	6.55288	6.55128	6.55054',
'41.20	6.55730	6.68393	6.64680	6.62386	6.60829	6.59760	6.58994	6.57995	6.57176	6.56854	6.56539	6.56244	6.56083	6.55924	6.55850',
'41.25	6.56526	6.69173	6.65465	6.63173	6.61619	6.60551	6.59786	6.58788	6.57970	6.57648	6.57334	6.57039	6.56878	6.56719	6.56645',
'41.30	6.57321	6.69953	6.66250	6.63961	6.62408	6.61341	6.60577	6.59581	6.58764	6.58442	6.58128	6.57834	6.57674	6.57515	6.57441',
'41.35	6.58117	6.70738	6.67035	6.64749	6.63198	6.62132	6.61369	6.60374	6.59558	6.59237	6.58923	6.58629	6.58469	6.58310	6.58237',
'41.40	6.58913	6.71522	6.67823	6.65537	6.63988	6.62923	6.62161	6.61167	6.60352	6.60031	6.59718	6.59424	6.59264	6.59106	6.59032',
'41.45	6.59708	6.72305	6.68609	6.66325	6.64777	6.63714	6.62953	6.61960	6.61146	6.60826	6.60513	6.60219	6.60060	6.59901	6.59828',
'41.50	6.60504	6.73087	6.69395	6.67112	6.65567	6.64505	6.63745	6.62753	6.61940	6.61620	6.61307	6.61014	6.60855	6.60697	6.60623',
'41.55	6.61300	6.73868	6.70179	6.67900	6.66357	6.65296	6.64537	6.63546	6.62734	6.62414	6.62102	6.61809	6.61650	6.61492	6.61419',
'41.60	6.62095	6.74648	6.70964	6.68688	6.67146	6.66087	6.65329	6.64339	6.63528	6.63209	6.62897	6.62605	6.62446	6.62288	6.62215',
'41.65	6.62891	6.75431	6.71752	6.69476	6.67936	6.66878	6.66120	6.65132	6.64322	6.64003	6.63692	6.63400	6.63241	6.63083	6.63010',
'41.70	6.63687	6.76215	6.72539	6.70264	6.68726	6.67669	6.66912	6.65925	6.65116	6.64798	6.64487	6.64195	6.64037	6.63879	6.63806',
'41.75	6.64483	6.76999	6.73325	6.71052	6.69516	6.68460	6.67704	6.66718	6.65910	6.65592	6.65281	6.64990	6.64832	6.64674	6.64601',
'41.80	6.65278	6.77782	6.74110	6.71840	6.70305	6.69251	6.68496	6.67511	6.66705	6.66387	6.66076	6.65785	6.65627	6.65470	6.65397',
'41.85	6.66075	6.78563	6.74894	6.72628	6.71095	6.70042	6.69288	6.68304	6.67499	6.67181	6.66871	6.66580	6.66423	6.66265	6.66193',
'41.90	6.66870	6.79344	6.75682	6.73416	6.71885	6.70833	6.70080	6.69098	6.68293	6.67975	6.67666	6.67376	6.67218	6.67061	6.66988',
'41.95	6.67665	6.80125	6.76469	6.74204	6.72675	6.71624	6.70872	6.69891	6.69087	6.68770	6.68461	6.68171	6.68013	6.67857	6.67784',
'42.00	6.68462	6.80910	6.77255	6.74992	6.73465	6.72416	6.71664	6.70684	6.69881	6.69564	6.69255	6.68966	6.68809	6.68652	6.68580',
'42.05	6.69258	6.81694	6.78041	6.75780	6.74255	6.73207	6.72456	6.71477	6.70675	6.70359	6.70050	6.69761	6.69604	6.69448	6.69375',
'42.10	6.70053	6.82477	6.78825	6.76568	6.75044	6.73998	6.73248	6.72270	6.71469	6.71153	6.70845	6.70556	6.70399	6.70243	6.70171',
'42.15	6.70849	6.83260	6.79612	6.77356	6.75834	6.74789	6.74040	6.73063	6.72263	6.71948	6.71640	6.71351	6.71195	6.71039	6.70966',
'42.20	6.71645	6.84041	6.80399	6.78145	6.76624	6.75580	6.74832	6.73856	6.73057	6.72742	6.72435	6.72147	6.71990	6.71834	6.71762',
'42.25	6.72440	6.84821	6.81186	6.78933	6.77414	6.76371	6.75624	6.74650	6.73851	6.73537	6.73230	6.72942	6.72785	6.72630	6.72558',
'42.30	6.73236	6.85606	6.81972	6.79721	6.78204	6.77162	6.76416	6.75443	6.74645	6.74331	6.74024	6.73737	6.73581	6.73425	6.73353',
'42.35	6.74032	6.86390	6.82757	6.80509	6.78994	6.77953	6.77208	6.76236	6.75439	6.75126	6.74819	6.74532	6.74376	6.74221	6.74149',
'42.40	6.74827	6.87174	6.83542	6.81297	6.79784	6.78745	6.78000	6.77029	6.76234	6.75920	6.75614	6.75327	6.75171	6.75016	6.74945',
'42.45	6.75624	6.87956	6.84330	6.82086	6.80574	6.79536	6.78792	6.77822	6.77028	6.76715	6.76409	6.76122	6.75967	6.75812	6.75740',
'42.50	6.76420	6.88738	6.85117	6.82874	6.81364	6.80327	6.79584	6.78615	6.77822	6.77509	6.77204	6.76918	6.76762	6.76607	6.76536',
'42.55	6.77215	6.89519	6.85903	6.83662	6.82154	6.81118	6.80376	6.79409	6.78616	6.78304	6.77999	6.77713	6.77557	6.77403	6.77331',
'42.60	6.78011	6.90302	6.86689	6.84450	6.82944	6.81909	6.81168	6.80202	6.79410	6.79098	6.78793	6.78508	6.78353	6.78198	6.78127',
'42.65	6.78807	6.91087	6.87473	6.85239	6.83734	6.82701	6.81960	6.80995	6.80204	6.79892	6.79588	6.79303	6.79148	6.78994	6.78923',
'42.70	6.79602	6.91871	6.88261	6.86027	6.84524	6.83492	6.82752	6.81788	6.80998	6.80687	6.80383	6.80098	6.79944	6.79790	6.79718',
'42.75	6.80398	6.92654	6.89049	6.86815	6.85314	6.84283	6.83545	6.82581	6.81792	6.81481	6.81178	6.80894	6.80739	6.80585	6.80514',
'42.80	6.81194	6.93437	6.89835	6.87604	6.86104	6.85074	6.84337	6.83375	6.82586	6.82276	6.81973	6.81689	6.81534	6.81381	6.81310',
'42.85	6.81990	6.94218	6.90621	6.88392	6.86894	6.85865	6.85129	6.84168	6.83381	6.83070	6.82768	6.82484	6.82330	6.82176	6.82105',
'42.90	6.82785	6.94999	6.91406	6.89180	6.87684	6.86657	6.85921	6.84961	6.84175	6.83865	6.83563	6.83279	6.83125	6.82972	6.82901',
'42.95	6.83582	6.95784	6.92193	6.89969	6.88474	6.87448	6.86713	6.85754	6.84969	6.84659	6.84357	6.84074	6.83920	6.83767	6.83696',
'43.00	6.84377	6.96569	6.92981	6.90757	6.89264	6.88239	6.87505	6.86548	6.85763	6.85454	6.85152	6.84869	6.84716	6.84563	6.84492',
'43.05	6.85172	6.97353	6.93768	6.91545	6.90055	6.89031	6.88297	6.87341	6.86557	6.86248	6.85947	6.85665	6.85511	6.85358	6.85288',
'43.10	6.85969	6.98136	6.94554	6.92334	6.90845	6.89822	6.89089	6.88134	6.87351	6.87043	6.86742	6.86460	6.86306	6.86154	6.86083',
'43.15	6.86764	6.98918	6.95339	6.93122	6.91635	6.90613	6.89882	6.88927	6.88146	6.87838	6.87537	6.87255	6.87102	6.86949	6.86879',
'43.20	6.87559	6.99699	6.96125	6.93911	6.92425	6.91405	6.90674	6.89721	6.88940	6.88632	6.88332	6.88050	6.87897	6.87745	6.87675',
'43.25	6.88356	7.00482	6.96913	6.94699	6.93215	6.92196	6.91466	6.90514	6.89734	6.89427	6.89127	6.88845	6.88693	6.88541	6.88470',
'43.30	6.89152	7.01268	6.97701	6.95488	6.94005	6.92987	6.92258	6.91307	6.90528	6.90221	6.89922	6.89641	6.89488	6.89336	6.89266',
'43.35	6.89947	7.02052	6.98487	6.96276	6.94796	6.93779	6.93050	6.92100	6.91322	6.91016	6.90716	6.90436	6.90283	6.90132	6.90061',
'43.40	6.90743	7.02835	6.99273	6.97065	6.95586	6.94570	6.93843	6.92894	6.92116	6.91810	6.91511	6.91231	6.91079	6.90927	6.90857',
'43.45	6.91539	7.03618	7.00058	6.97853	6.96376	6.95361	6.94635	6.93687	6.92911	6.92605	6.92306	6.92026	6.91874	6.91723	6.91653',
'43.50	6.92334	7.04399	7.00846	6.98642	6.97166	6.96153	6.95427	6.94480	6.93705	6.93399	6.93101	6.92821	6.92669	6.92518	6.92448',
'43.55	6.93130	7.05181	7.01634	6.99431	6.97957	6.96944	6.96219	6.95274	6.94499	6.94194	6.93896	6.93617	6.93465	6.93314	6.93244',
'43.60	6.93926	7.05967	7.02421	7.00219	6.98747	6.97736	6.97011	6.96067	6.95293	6.94988	6.94691	6.94412	6.94260	6.94109	6.94040',
'43.65	6.94722	7.06752	7.03207	7.01008	6.99537	6.98527	6.97804	6.96860	6.96087	6.95783	6.95486	6.95207	6.95056	6.94905	6.94835',
'43.70	6.95518	7.07536	7.03992	7.01796	7.00327	6.99318	6.98596	6.97654	6.96882	6.96577	6.96281	6.96002	6.95851	6.95701	6.95631',
'43.75	6.96314	7.08319	7.04780	7.02585	7.01118	7.00110	6.99388	6.98447	6.97676	6.97372	6.97076	6.96797	6.96646	6.96496	6.96427',
'43.80	6.97109	7.09101	7.05568	7.03374	7.01908	7.00901	7.00180	6.99240	6.98470	6.98167	6.97870	6.97593	6.97442	6.97292	6.97222',
'43.85	6.97905	7.09882	7.06355	7.04162	7.02698	7.01693	7.00973	7.00034	6.99264	6.98961	6.98665	6.98388	6.98237	6.98087	6.98018',
'43.90	6.98701	7.10667	7.07141	7.04951	7.03489	7.02484	7.01765	7.00827	7.00058	6.99756	6.99460	6.99183	6.99032	6.98883	6.98813',
'43.95	6.99496	7.11452	7.07926	7.05740	7.04279	7.03276	7.02557	7.01620	7.00853	7.00550	7.00255	6.99978	6.99828	6.99678	6.99609',
'44.00	7.00292	7.12237	7.08713	7.06529	7.05069	7.04067	7.03350	7.02414	7.01647	7.01345	7.01050	7.00774	7.00623	7.00474	7.00405',
'44.05	7.01088	7.13020	7.09502	7.07317	7.05860	7.04859	7.04142	7.03207	7.02441	7.02139	7.01845	7.01569	7.01419	7.01269	7.01200',
'44.10	7.01884	7.13803	7.10289	7.08106	7.06650	7.05650	7.04934	7.04000	7.03235	7.02934	7.02640	7.02364	7.02214	7.02065	7.01996',
'44.15	7.02679	7.14585	7.11076	7.08895	7.07441	7.06442	7.05727	7.04794	7.04030	7.03729	7.03435	7.03159	7.03009	7.02861	7.02792',
'44.20	7.03476	7.15368	7.11861	7.09684	7.08231	7.07233	7.06519	7.05587	7.04824	7.04523	7.04230	7.03954	7.03805	7.03656	7.03587',
'44.25	7.04271	7.16154	7.12647	7.10472	7.09021	7.08025	7.07311	7.06381	7.05618	7.05318	7.05024	7.04750	7.04600	7.04452	7.04383',
'44.30	7.05066	7.16938	7.13436	7.11261	7.09812	7.08816	7.08104	7.07174	7.06412	7.06112	7.05819	7.05545	7.05396	7.05247	7.05178',
'44.35	7.05863	7.17722	7.14224	7.12050	7.10602	7.09608	7.08896	7.07967	7.07207	7.06907	7.06614	7.06340	7.06191	7.06043	7.05974',
'44.40	7.06659	7.18505	7.15011	7.12839	7.11393	7.10400	7.09688	7.08761	7.08001	7.07701	7.07409	7.07135	7.06986	7.06838	7.06770',
'44.45	7.07453	7.19288	7.15797	7.13628	7.12183	7.11191	7.10481	7.09554	7.08795	7.08496	7.08204	7.07931	7.07782	7.07634	7.07565',
'44.50	7.08250	7.20070	7.16582	7.14417	7.12974	7.11983	7.11273	7.10348	7.09589	7.09291	7.08999	7.08726	7.08577	7.08429	7.08361',
'44.55	7.09046	7.20856	7.17371	7.15206	7.13764	7.12774	7.12065	7.11141	7.10384	7.10085	7.09794	7.09521	7.09373	7.09225	7.09157',
'44.60	7.09841	7.21641	7.18159	7.15995	7.14555	7.13566	7.12858	7.11934	7.11178	7.10880	7.10589	7.10316	7.10168	7.10021	7.09952',
'44.65	7.10637	7.22425	7.18946	7.16783	7.15345	7.14358	7.13650	7.12728	7.11972	7.11674	7.11384	7.11111	7.10963	7.10816	7.10748',
'44.70	7.11433	7.23209	7.19733	7.17572	7.16136	7.15149	7.14443	7.13521	7.12766	7.12469	7.12179	7.11907	7.11759	7.11612	7.11544',
'44.75	7.12228	7.23992	7.20518	7.18361	7.16926	7.15941	7.15235	7.14315	7.13561	7.13264	7.12974	7.12702	7.12554	7.12407	7.12339',
'44.80	7.13024	7.24774	7.21306	7.19150	7.17717	7.16732	7.16027	7.15108	7.14355	7.14058	7.13769	7.13497	7.13350	7.13203	7.13135',
'44.85	7.13821	7.25558	7.22094	7.19939	7.18507	7.17524	7.16820	7.15901	7.15149	7.14853	7.14564	7.14292	7.14145	7.13998	7.13931',
'44.90	7.14616	7.26344	7.22882	7.20728	7.19298	7.18316	7.17612	7.16695	7.15944	7.15647	7.15359	7.15088	7.14940	7.14794	7.14726',
'44.95	7.15412	7.27129	7.23669	7.21517	7.20089	7.19107	7.18405	7.17488	7.16738	7.16442	7.16153	7.15883	7.15736	7.15590	7.15522',
'45.00	7.16208	7.27913	7.24455	7.22306	7.20879	7.19899	7.19197	7.18282	7.17532	7.17237	7.16948	7.16678	7.16531	7.16385	7.16318',
'45.05	7.17003	7.28696	7.25241	7.23095	7.21670	7.20691	7.19990	7.19075	7.18326	7.18031	7.17743	7.17473	7.17327	7.17181	7.17113',
'45.10	7.17799	7.29479	7.26030	7.23884	7.22460	7.21482	7.20782	7.19869	7.19121	7.18826	7.18538	7.18269	7.18122	7.17976	7.17909',
'45.15	7.18595	7.30262	7.26818	7.24674	7.23251	7.22274	7.21575	7.20662	7.19915	7.19621	7.19333	7.19064	7.18917	7.18772	7.18704',
'45.20	7.19391	7.31048	7.27605	7.25463	7.24042	7.23066	7.22367	7.21456	7.20709	7.20415	7.20128	7.19859	7.19713	7.19567	7.19500',
'45.25	7.20186	7.31833	7.28391	7.26252	7.24832	7.23858	7.23160	7.22249	7.21504	7.21210	7.20923	7.20654	7.20508	7.20363	7.20296',
'45.30	7.20982	7.32618	7.29177	7.27041	7.25623	7.24649	7.23952	7.23043	7.22298	7.22004	7.21718	7.21450	7.21304	7.21159	7.21091',
'45.35	7.21778	7.33401	7.29966	7.27830	7.26414	7.25441	7.24745	7.23836	7.23092	7.22799	7.22513	7.22245	7.22099	7.21954	7.21887',
'45.40	7.22573	7.34184	7.30754	7.28619	7.27204	7.26233	7.25537	7.24630	7.23887	7.23594	7.23308	7.23040	7.22894	7.22750	7.22683',
'45.45	7.23370	7.34966	7.31542	7.29408	7.27995	7.27025	7.26330	7.25423	7.24681	7.24388	7.24103	7.23835	7.23690	7.23545	7.23478',
'45.50	7.24165	7.35752	7.32329	7.30198	7.28786	7.27816	7.27122	7.26217	7.25475	7.25183	7.24898	7.24631	7.24485	7.24341	7.24274',
'45.55	7.24960	7.36538	7.33114	7.30987	7.29577	7.28608	7.27915	7.27010	7.26270	7.25978	7.25693	7.25426	7.25281	7.25136	7.25070',
'45.60	7.25757	7.37323	7.33903	7.31776	7.30367	7.29400	7.28707	7.27804	7.27064	7.26772	7.26488	7.26221	7.26076	7.25932	7.25865',
'45.65	7.26553	7.38107	7.34691	7.32565	7.31158	7.30192	7.29500	7.28597	7.27858	7.27567	7.27283	7.27016	7.26871	7.26727	7.26661',
'45.70	7.27348	7.38890	7.35479	7.33354	7.31949	7.30984	7.30292	7.29391	7.28653	7.28362	7.28078	7.27812	7.27667	7.27523	7.27456',
'45.75	7.28144	7.39673	7.36266	7.34144	7.32740	7.31775	7.31085	7.30184	7.29447	7.29156	7.28873	7.28607	7.28462	7.28319	7.28252',
'45.80	7.28940	7.40458	7.37052	7.34933	7.33530	7.32567	7.31877	7.30978	7.30241	7.29951	7.29668	7.29402	7.29258	7.29114	7.29048',
'45.85	7.29735	7.41244	7.37839	7.35722	7.34321	7.33359	7.32670	7.31772	7.31036	7.30746	7.30463	7.30197	7.30053	7.29910	7.29843',
'45.90	7.30531	7.42029	7.38628	7.36512	7.35112	7.34151	7.33463	7.32565	7.31830	7.31540	7.31258	7.30993	7.30849	7.30705	7.30639',
'45.95	7.31327	7.42814	7.39416	7.37301	7.35903	7.34943	7.34255	7.33359	7.32624	7.32335	7.32053	7.31788	7.31644	7.31501	7.31435',
'46.00	7.32123	7.43597	7.40204	7.38090	7.36694	7.35735	7.35048	7.34152	7.33419	7.33130	7.32848	7.32583	7.32439	7.32297	7.32230',
'46.05	7.32918	7.44380	7.40990	7.38880	7.37484	7.36526	7.35840	7.34946	7.34213	7.33924	7.33643	7.33378	7.33235	7.33092	7.33026',
'46.10	7.33715	7.45163	7.41777	7.39669	7.38275	7.37318	7.36633	7.35739	7.35007	7.34719	7.34438	7.34174	7.34030	7.33888	7.33822',
'46.15	7.34510	7.45950	7.42566	7.40458	7.39066	7.38110	7.37426	7.36533	7.35802	7.35514	7.35232	7.34969	7.34826	7.34683	7.34617',
'46.20	7.35306	7.46736	7.43354	7.41248	7.39857	7.38902	7.38218	7.37326	7.36596	7.36308	7.36027	7.35764	7.35621	7.35479	7.35413',
'46.25	7.36102	7.47521	7.44142	7.42037	7.40648	7.39694	7.39011	7.38120	7.37390	7.37103	7.36823	7.36559	7.36417	7.36274	7.36209',
'46.30	7.36897	7.48305	7.44929	7.42826	7.41439	7.40486	7.39803	7.38914	7.38185	7.37898	7.37617	7.37355	7.37212	7.37070	7.37004',
'46.35	7.37693	7.49088	7.45715	7.43616	7.42230	7.41278	7.40596	7.39707	7.38979	7.38692	7.38412	7.38150	7.38007	7.37866	7.37800',
'46.40	7.38489	7.49871	7.46504	7.44405	7.43020	7.42070	7.41389	7.40501	7.39774	7.39487	7.39207	7.38945	7.38803	7.38661	7.38596',
'46.45	7.39285	7.50657	7.47292	7.45195	7.43811	7.42862	7.42181	7.41294	7.40568	7.40282	7.40002	7.39741	7.39598	7.39457	7.39391',
'46.50	7.40080	7.51443	7.48080	7.45984	7.44602	7.43653	7.42974	7.42088	7.41362	7.41076	7.40797	7.40536	7.40394	7.40252	7.40187',
'46.55	7.40876	7.52229	7.48868	7.46774	7.45393	7.44445	7.43767	7.42882	7.42157	7.41871	7.41592	7.41331	7.41189	7.41048	7.40982',
'46.60	7.41672	7.53013	7.49654	7.47563	7.46184	7.45237	7.44559	7.43675	7.42951	7.42666	7.42387	7.42126	7.41985	7.41843	7.41778',
'46.65	7.42467	7.53797	7.50442	7.48353	7.46975	7.46029	7.45352	7.44469	7.43746	7.43461	7.43182	7.42922	7.42780	7.42639	7.42574',
'46.70	7.43264	7.54580	7.51231	7.49142	7.47766	7.46821	7.46145	7.45263	7.44540	7.44255	7.43977	7.43717	7.43575	7.43435	7.43369',
'46.75	7.44059	7.55364	7.52019	7.49932	7.48557	7.47613	7.46937	7.46056	7.45334	7.45050	7.44772	7.44512	7.44371	7.44230	7.44165',
'46.80	7.44854	7.56151	7.52807	7.50721	7.49348	7.48405	7.47730	7.46850	7.46129	7.45845	7.45567	7.45307	7.45166	7.45026	7.44961',
'46.85	7.45651	7.56937	7.53593	7.51511	7.50139	7.49197	7.48523	7.47643	7.46923	7.46639	7.46362	7.46103	7.45962	7.45821	7.45756',
'46.90	7.46447	7.57722	7.54380	7.52300	7.50930	7.49989	7.49316	7.48437	7.47718	7.47434	7.47157	7.46898	7.46757	7.46617	7.46552',
'46.95	7.47242	7.58506	7.55170	7.53090	7.51721	7.50781	7.50108	7.49231	7.48512	7.48229	7.47952	7.47693	7.47553	7.47413	7.47348',
'47.00	7.48038	7.59289	7.55958	7.53879	7.52512	7.51573	7.50901	7.50024	7.49306	7.49024	7.48747	7.48489	7.48348	7.48208	7.48143',
'47.05	7.48834	7.60073	7.56746	7.54669	7.53303	7.52365	7.51694	7.50818	7.50101	7.49818	7.49542	7.49284	7.49143	7.49004	7.48939',
'47.10	7.49629	7.60860	7.57533	7.55459	7.54094	7.53157	7.52487	7.51612	7.50895	7.50613	7.50338	7.50079	7.49939	7.49799	7.49735',
'47.15	7.50425	7.61646	7.58319	7.56248	7.54885	7.53949	7.53279	7.52405	7.51690	7.51408	7.51133	7.50874	7.50734	7.50595	7.50530',
'47.20	7.51221	7.62431	7.59109	7.57038	7.55676	7.54741	7.54072	7.53199	7.52484	7.52202	7.51927	7.51670	7.51530	7.51390	7.51326',
'47.25	7.52017	7.63216	7.59898	7.57828	7.56467	7.55534	7.54865	7.53993	7.53279	7.52997	7.52723	7.52465	7.52325	7.52186	7.52122',
'47.30	7.52812	7.64000	7.60686	7.58617	7.57259	7.56326	7.55658	7.54786	7.54073	7.53792	7.53518	7.53260	7.53121	7.52982	7.52917',
'47.35	7.53609	7.64783	7.61473	7.59407	7.58050	7.57118	7.56450	7.55580	7.54867	7.54587	7.54313	7.54056	7.53916	7.53777	7.53713',
'47.40	7.54404	7.65569	7.62260	7.60197	7.58841	7.57910	7.57243	7.56374	7.55662	7.55381	7.55108	7.54851	7.54711	7.54573	7.54509',
'47.45	7.55199	7.66355	7.63048	7.60986	7.59632	7.58702	7.58036	7.57167	7.56456	7.56176	7.55903	7.55646	7.55507	7.55368	7.55304',
'47.50	7.55996	7.67141	7.63837	7.61776	7.60423	7.59494	7.58829	7.57961	7.57251	7.56971	7.56698	7.56442	7.56302	7.56164	7.56100',
'47.55	7.56792	7.67926	7.64626	7.62566	7.61214	7.60286	7.59621	7.58755	7.58045	7.57766	7.57493	7.57237	7.57098	7.56960	7.56896',
'47.60	7.57587	7.68711	7.65413	7.63356	7.62005	7.61078	7.60414	7.59549	7.58840	7.58560	7.58288	7.58032	7.57893	7.57755	7.57691',
'47.65	7.58383	7.69494	7.66200	7.64145	7.62796	7.61870	7.61207	7.60342	7.59634	7.59355	7.59083	7.58827	7.58689	7.58551	7.58487',
'47.70	7.59179	7.70279	7.66988	7.64935	7.63588	7.62662	7.62000	7.61136	7.60428	7.60150	7.59878	7.59623	7.59484	7.59346	7.59282',
'47.75	7.59974	7.71066	7.67777	7.65725	7.64379	7.63455	7.62793	7.61930	7.61223	7.60945	7.60673	7.60418	7.60280	7.60142	7.60078',
'47.80	7.60770	7.71852	7.68566	7.66515	7.65170	7.64247	7.63586	7.62723	7.62017	7.61739	7.61468	7.61213	7.61075	7.60938	7.60874',
'47.85	7.61566	7.72637	7.69354	7.67305	7.65961	7.65039	7.64378	7.63517	7.62812	7.62534	7.62263	7.62009	7.61870	7.61733	7.61669',
'47.90	7.62361	7.73422	7.70141	7.68094	7.66752	7.65831	7.65171	7.64311	7.63606	7.63329	7.63058	7.62804	7.62666	7.62529	7.62465',
'47.95	7.63158	7.74206	7.70928	7.68884	7.67544	7.66623	7.65964	7.65105	7.64401	7.64124	7.63853	7.63599	7.63461	7.63324	7.63261',
'48.00	7.63954	7.74989	7.71718	7.69674	7.68335	7.67415	7.66757	7.65898	7.65195	7.64918	7.64648	7.64395	7.64257	7.64120	7.64056',
'48.05	7.64749	7.75776	7.72507	7.70464	7.69126	7.68208	7.67550	7.66692	7.65990	7.65713	7.65443	7.65190	7.65052	7.64915	7.64852',
'48.10	7.65545	7.76563	7.73295	7.71254	7.69917	7.69000	7.68343	7.67486	7.66784	7.66508	7.66238	7.65985	7.65848	7.65711	7.65648',
'48.15	7.66341	7.77349	7.74082	7.72044	7.70709	7.69792	7.69136	7.68280	7.67579	7.67303	7.67033	7.66780	7.66643	7.66507	7.66443',
'48.20	7.67136	7.78134	7.74869	7.72834	7.71500	7.70584	7.69928	7.69073	7.68373	7.68097	7.67828	7.67576	7.67439	7.67302	7.67239',
'48.25	7.67932	7.78918	7.75658	7.73623	7.72291	7.71376	7.70721	7.69867	7.69168	7.68892	7.68623	7.68371	7.68234	7.68098	7.68035',
'48.30	7.68728	7.79702	7.76448	7.74413	7.73082	7.72168	7.71514	7.70661	7.69962	7.69687	7.69418	7.69166	7.69029	7.68893	7.68830',
'48.35	7.69524	7.80488	7.77236	7.75203	7.73874	7.72961	7.72307	7.71455	7.70757	7.70482	7.70213	7.69962	7.69825	7.69689	7.69626',
'48.40	7.70319	7.81275	7.78024	7.75993	7.74665	7.73753	7.73100	7.72249	7.71551	7.71276	7.71008	7.70757	7.70620	7.70485	7.70422',
'48.45	7.71115	7.82061	7.78811	7.76783	7.75456	7.74545	7.73893	7.73042	7.72346	7.72071	7.71803	7.71552	7.71416	7.71280	7.71217',
'48.50	7.71911	7.82846	7.79599	7.77573	7.76248	7.75337	7.74686	7.73836	7.73140	7.72866	7.72599	7.72348	7.72211	7.72076	7.72013',
'48.55	7.72706	7.83631	7.80389	7.78363	7.77039	7.76130	7.75479	7.74630	7.73935	7.73661	7.73394	7.73143	7.73007	7.72871	7.72809',
'48.60	7.73503	7.84415	7.81178	7.79153	7.77830	7.76922	7.76272	7.75424	7.74729	7.74456	7.74189	7.73938	7.73802	7.73667	7.73604',
'48.65	7.74298	7.85200	7.81966	7.79943	7.78622	7.77714	7.77065	7.76217	7.75524	7.75250	7.74984	7.74734	7.74598	7.74463	7.74400',
'48.70	7.75093	7.85987	7.82753	7.80733	7.79413	7.78506	7.77857	7.77011	7.76318	7.76045	7.75779	7.75529	7.75393	7.75258	7.75196',
'48.75	7.75890	7.86774	7.83541	7.81523	7.80204	7.79299	7.78650	7.77805	7.77113	7.76840	7.76574	7.76324	7.76189	7.76054	7.75991',
'48.80	7.76686	7.87559	7.84331	7.82313	7.80996	7.80091	7.79443	7.78599	7.77907	7.77635	7.77369	7.77120	7.76984	7.76849	7.76787',
'48.85	7.77481	7.88345	7.85120	7.83103	7.81787	7.80883	7.80236	7.79393	7.78702	7.78430	7.78164	7.77915	7.77780	7.77645	7.77583',
'48.90	7.78277	7.89129	7.85908	7.83893	7.82578	7.81676	7.81029	7.80187	7.79496	7.79224	7.78959	7.78710	7.78575	7.78441	7.78378',
'48.95	7.79073	7.89913	7.86695	7.84683	7.83370	7.82468	7.81822	7.80980	7.80291	7.80019	7.79754	7.79505	7.79370	7.79236	7.79174',
'49.00	7.79868	7.90700	7.87482	7.85473	7.84161	7.83260	7.82615	7.81774	7.81085	7.80814	7.80549	7.80301	7.80166	7.80032	7.79970',
'49.05	7.80664	7.91487	7.88272	7.86263	7.84953	7.84053	7.83408	7.82568	7.81880	7.81609	7.81344	7.81096	7.80961	7.80827	7.80765',
'49.10	7.81460	7.92273	7.89062	7.87054	7.85744	7.84845	7.84201	7.83362	7.82674	7.82404	7.82139	7.81891	7.81757	7.81623	7.81561',
'49.15	7.82256	7.93059	7.89850	7.87844	7.86535	7.85637	7.84994	7.84156	7.83469	7.83198	7.82934	7.82687	7.82552	7.82419	7.82357',
'49.20	7.83052	7.93843	7.90638	7.88634	7.87327	7.86430	7.85787	7.84949	7.84263	7.83993	7.83729	7.83482	7.83348	7.83214	7.83152',
'49.25	7.83848	7.94627	7.91425	7.89424	7.88118	7.87222	7.86580	7.85743	7.85058	7.84788	7.84524	7.84277	7.84143	7.84010	7.83948',
'49.30	7.84643	7.95413	7.92214	7.90214	7.88910	7.88014	7.87373	7.86537	7.85852	7.85583	7.85320	7.85073	7.84939	7.84805	7.84744',
'49.35	7.85439	7.96201	7.93004	7.91004	7.89701	7.88807	7.88166	7.87331	7.86647	7.86378	7.86115	7.85868	7.85734	7.85601	7.85539',
'49.40	7.86235	7.96987	7.93793	7.91794	7.90493	7.89599	7.88959	7.88125	7.87442	7.87172	7.86910	7.86663	7.86530	7.86397	7.86335',
'49.45	7.87030	7.97773	7.94581	7.92585	7.91284	7.90391	7.89752	7.88919	7.88236	7.87967	7.87705	7.87459	7.87325	7.87192	7.87131',
'49.50	7.87826	7.98558	7.95368	7.93375	7.92076	7.91184	7.90545	7.89713	7.89031	7.88762	7.88500	7.88254	7.88121	7.87988	7.87926',
'49.55	7.88622	7.99343	7.96157	7.94165	7.92867	7.91976	7.91338	7.90506	7.89825	7.89557	7.89295	7.89049	7.88916	7.88783	7.88722',
'49.60	7.89418	8.00127	7.96947	7.94955	7.93659	7.92769	7.92131	7.91300	7.90620	7.90352	7.90090	7.89845	7.89711	7.89579	7.89518',
'49.65	7.90213	8.00915	7.97736	7.95745	7.94450	7.93561	7.92924	7.92094	7.91414	7.91147	7.90885	7.90640	7.90507	7.90375	7.90313',
'49.70	7.91010	8.01702	7.98524	7.96536	7.95242	7.94353	7.93717	7.92888	7.92209	7.91941	7.91680	7.91435	7.91302	7.91170	7.91109',
'49.75	7.91805	8.02488	7.99312	7.97326	7.96033	7.95146	7.94510	7.93682	7.93003	7.92736	7.92475	7.92231	7.92098	7.91966	7.91905',
'49.80	7.92600	8.03274	8.00099	7.98116	7.96825	7.95938	7.95303	7.94476	7.93798	7.93531	7.93270	7.93026	7.92893	7.92761	7.92700',
'49.85	7.93397	8.04058	8.00890	7.98907	7.97616	7.96731	7.96097	7.95270	7.94593	7.94326	7.94066	7.93821	7.93689	7.93557	7.93496',
'49.90	7.94193	8.04843	8.01679	7.99697	7.98408	7.97523	7.96890	7.96064	7.95387	7.95121	7.94861	7.94617	7.94484	7.94353	7.94292',
'49.95	7.94987	8.05630	8.02468	8.00487	7.99199	7.98316	7.97683	7.96858	7.96182	7.95916	7.95656	7.95412	7.95280	7.95148	7.95087',
'50.00	7.95784	8.06417	8.03256	8.01277	7.99991	7.99108	7.98476	7.97651	7.96976	7.96710	7.96451	7.96208	7.96075	7.95944	7.95883',
]                
                      
class APanel(wx.Panel):
    def __init__(self, parent, size, pos):
       wx.Panel.__init__(self, parent, -1, size = size, pos = pos)
   
class InsertFrame(wx.Frame):
#----------
#mainframe
#----------   
    def __init__(self, parent, id):
        global wppanel, hppanel, hgpanel, gpanel, btnBrowse, btnRun1, btnRun3, btnRun4, btnrb1, btnrb2
        global tmes
        global font0, font1, font2, font3, font6
        global wd, hd, posmainframe
        global wpar, hpar, bsz
        global imac, bis
   
        (wd, hd) = wx.DisplaySize()   

        wdbase=1440
        hdbase=900
        wpar = hpar = 1.

        if wd >= wdbase : wpar= float(wd)/float(wdbase) 
        if hd >= hdbase : hpar = float(hd)/float(hdbase)

        font0 = wx.Font(9, wx.SWISS, wx.NORMAL, wx.BOLD)
        font1 = wx.Font(10, wx.SWISS, wx.NORMAL, wx.BOLD)
        font2 = wx.Font(11, wx.SWISS, wx.NORMAL, wx.BOLD)
        font3 = wx.Font(12, wx.SWISS, wx.NORMAL, wx.BOLD)
        font6 = wx.Font(10, wx.MODERN, wx.NORMAL, wx.BOLD)
        font7 = wx.Font(10, wx.SWISS, wx.NORMAL, wx.NORMAL)

        dc = wx.ScreenDC()
        dc.SetFont(font1)
        wf1, hf1 = dc.GetTextExtent("Browse")
        wf11, hf11 = dc.GetTextExtent("get B value from interactive Wilson plot")
        wf12, hf12 = dc.GetTextExtent("Parameters")
        wf13, hf13 = dc.GetTextExtent("Help")
        wf14, hf14 = dc.GetTextExtent("Exit")
        
        dc.SetFont(font2)
        wf2, hf2 = dc.GetTextExtent("number of resolution cut-offs:")
        wf21, hf21 = dc.GetTextExtent("resolution step:")  
        wf22, hf22 = dc.GetTextExtent("unit cell parameters:")
        wf23, hf23 = dc.GetTextExtent("amplitudes:")
        wf24, hf24 = dc.GetTextExtent("effective resolution along the coordinate axes")

        hver = hf24+8
        hver1 = 8
        whor = wf22+30
        whor1 = wf24+60
        whor2 = wf2+30
        whor3 = wf21+50
        hlst = 4*hf1  
        wtit = 10
        wamp = whor2+80
        waml = wamp+whor3
        wbrw = whor+whor1+20

        wppanel = int(wbrw+wf1+50)
        wppanel1 = waml+200
        if wppanel < wppanel1: wppanel = int(wppanel1) 
        hppanel = int(11*hver+hlst+9*hver1+70*hpar)
        hgpanel = int(160*hpar)
 
        wbut = int((wppanel-whor1)/2)
        wwil = wf11+20
        
        htit1 = hver1
        hv1 = hver+hver1
        htit2 = htit1+hv1
        htit3 = htit2+hv1
        htit4 = htit3+hlst+hver1
        htit41 = htit4+hv1
        hrun1 = htit41+hver+15
        hrb1 = int(hrun1+hver+hver1/2)
        hrb2 = hrb1+hver
        hrun3 = hrb2+hv1
        hrun4 = hrun3+hv1
        hmes = hrun4+hver+15
        hext = hmes+hver+5

        bsz = int(80*hpar)
        platform = wx.PlatformInfo
        if 'wxGTK' in wx.PlatformInfo: bsz = int(50*hpar)
        if 'wxMac' in wx.PlatformInfo: 
            imac = 1
            bsz = int(50*hpar)

        titl='Effective resolution ; v.4.1 from Nov 2023, by Urzhumtseva & Urzhumtsev' 
  
        if fstat == 0: 

         print('   ESTIMATION OF THE EFFECTIVE AND OPTICAL RESOLUTION', file = fileout)
         print('         Python3, wxPython version 1.1, Sep 2023', file = fileout)
         print('         Authors :  L.Urzhumtseva & A.Urzhumtsev', file = fileout)

         xfmain = 10
         yfmain = int(20*hpar) 
         posmainframe = (xfmain, yfmain)

         wx.Frame.__init__(self, None, -1, title=titl, pos=posmainframe, size=(wppanel, hppanel),
          style = wx.DEFAULT_FRAME_STYLE & ~(wx.RESIZE_BORDER | wx.MAXIMIZE_BOX))
         self.CreatePpanel(self)  

        if fstat == 1:   
         wx.Frame.__init__(self, None, -1, title=titl, pos=posmainframe, size=(wppanel, hppanel+hgpanel),
          style = wx.DEFAULT_FRAME_STYLE & ~(wx.RESIZE_BORDER | wx.MAXIMIZE_BOX))
         self.CreatePpanel(self)	  
         gpanel = self.CreateGpanel(self) 	 
         gpanel.SetBackgroundColour(gcolor) 	 	 
   	         
# structure factor - file dialog
        tit1 = wx.StaticText(self.ppanel, -1, "structure factor file:", pos =(wtit,htit1))
        tit1.SetFont(font2)

        inputfile = self.inputfile = wx.TextCtrl(self.ppanel, -1, Filename, pos=(whor,htit1), 
                    size=(whor1,hver), style = wx.TE_PROCESS_ENTER)
        inputfile.SetFont(font1) 
        inputfile.Bind(wx.EVT_SET_FOCUS, self.CleanMes)
        inputfile.Bind(wx.EVT_TEXT_ENTER, self.FilenameEnter)
        btnBrowse = wx.Button(self.ppanel, -1, "Browse", pos =(wbrw,htit1), size =(wf1+20,hver))
        btnBrowse.SetBackgroundColour('#CDCDC1')  
        btnBrowse.SetFont(font1)
        btnBrowse.Bind(wx.EVT_BUTTON, self.FilenameBrowse)

# unit cell parameters
        tit2 = wx.StaticText(self.ppanel, -1, "unit cell parameters:", pos = (wtit, htit2))
        tit2.SetFont(font2)
        self.cell = wx.TextCtrl(self.ppanel, -1, Cell, pos=(whor,htit2), size=(whor1,hver))     
        self.cell.SetFont(font1)
        self.cell.Bind(wx.EVT_SET_FOCUS, self.CleanCell)   

# Laue group
        tit3 = wx.StaticText(self.ppanel, -1, "Laue symmetry:", pos =(wtit,htit3))
        tit3.SetFont(font2)
        tit31 = wx.StaticText(self.ppanel, -1, "(double click to select)", pos =(wtit,htit3+hver-5))
        tit31.SetFont(font7)
        self.group = wx.ListBox(self.ppanel, choices= lauelist, pos =(whor,htit3), size=(100,hlst))
        self.group.SetFont(font1)
        self.group.SetSelection(jlaue)
        self.group.Bind(wx.EVT_LISTBOX_DCLICK, self.Evtgroup, self.group)

# amplitudes  
        self.rbtn1= wx.RadioButton(self.ppanel, -1, 'amplitudes', (wamp,htit3), (wf23+20,hver), style = wx.RB_GROUP)
        self.rbtn1.SetFont(font2)
        self.rbtn1.SetValue(state1)
        self.rbtn1.Bind(wx.EVT_RADIOBUTTON, self.AmpOrInt, id = self.rbtn1.GetId())
        self.rbtn2= wx.RadioButton(self.ppanel, 222, 'intensities', (wamp,htit3+hver-5), (wf23+20,hver))
        self.rbtn2.SetFont(font2)
        self.rbtn2.SetValue(state2)
        self.rbtn2.Bind(wx.EVT_RADIOBUTTON, self.AmpOrInt, id = self.rbtn2.GetId())
        titrb = wx.StaticText(self.ppanel, -1, "(double click to select)", pos =(wamp,htit3+2*hver-5))
        titrb.SetFont(font7)
        ampl = self.ampl = wx.ListBox(self.ppanel, choices= amplist, pos =(waml,htit3), size=(150,hlst))
        self.ampl.SetFont(font1)
        self.ampl.SetSelection(campl)
        self.ampl.Bind(wx.EVT_LISTBOX_DCLICK, self.Evtampl, self.ampl)

# high resolution   
        tit4 = wx.StaticText(self.ppanel, -1, "high resolution:", pos =(wtit,htit4))
        tit4.SetFont(font2)
        self.resh = wx.TextCtrl(self.ppanel, -1, dminframe, pos=(whor,htit4), size=(80,hver))
        self.resh.SetFont(font1) 
        self.resh.SetEditable(True)
        self.resh.Bind(wx.EVT_SET_FOCUS, self.DhighEnter)   

# low resolution   
        tit4 = wx.StaticText(self.ppanel, -1, "low resolution:", pos =(wamp,htit4))
        tit4.SetFont(font2)
        self.resl = wx.TextCtrl(self.ppanel, -1, dmaxframe, pos=(waml,htit4), size=(80,hver))
        self.resl.SetFont(font1)
        self.resl.SetEditable(True)
        self.resl.Bind(wx.EVT_SET_FOCUS, self.DlowEnter)   

# number of resolution bins 
        tit41 = wx.StaticText(self.ppanel, -1, "number of resolution cut-offs:", pos =(wtit,htit41))
        tit41.SetFont(font2) 
        self.bin = wx.TextCtrl(self.ppanel, -1, str(nbins), pos=(whor2,htit41), size=(80,hver))
        self.bin.SetFont(font1)
        self.bin.SetEditable(True)
        self.bin.Bind(wx.EVT_SET_FOCUS, self.ClearAll) 

# resolution step 
        tit42 = wx.StaticText(self.ppanel, -1, "resolution step:", pos =(wamp+30,htit41))
        tit42.SetFont(font2) 
        self.sres = wx.TextCtrl(self.ppanel, -1, str(dstep), pos=(waml,htit41), size=(80,hver))
        self.sres.SetFont(font1)
        self.sres.SetEditable(True)
        self.sres.Bind(wx.EVT_SET_FOCUS, self.ClearAll)   
	
# run buttons

        btnRun1 = wx.Button(self.ppanel, 600, 'effective resolution along the coordinate axes', (wbut,hrun1), (whor1,hver))
        btnRun1.SetBackgroundColour('#CDCDC1') 
        btnRun1.SetFont(font2)
        btnRun1.Bind(wx.EVT_BUTTON, self.DisResol)
        btnRun1.Disable()

        btnrb1 = self.rb1 = wx.RadioButton(self.ppanel, -1, 'type B-factor value', (wbut+20,hrb1), (wwil,hver), style = wx.RB_GROUP)
        self.rb1.SetFont(font1)
        self.rb1.SetValue(bfstate1)
        self.rb1.Bind(wx.EVT_RADIOBUTTON, self.Rbfac, id = self.rb1.GetId())
        self.rb1.Disable()
    
        btnrb2 = self.rb2 = wx.RadioButton(self.ppanel, -1, 'get B value from interactive Wilson plot', (wbut+20,hrb2), (wwil,hver))
        self.rb2.SetFont(font1)
        self.rb2.SetValue(bfstate2)
        self.rb2.Bind(wx.EVT_RADIOBUTTON, self.Rbfac, id = self.rb2.GetId())
        self.rb2.Disable()

        bis = self.bis = wx.TextCtrl(self.ppanel, -1, str(bfac), pos=(wbut+wwil+65,int(hrb1+hver/2+10)), size=(80,hver))     
        self.bis.SetFont(font1)
        self.bis.SetEditable(True) 
        self.bis.Bind(wx.EVT_SET_FOCUS, self.Swbfac)

        btnRun3 = wx.Button(self.ppanel, 800, 'optical resolution along the coordinate axes', (wbut,hrun3), (whor1,hver))
        btnRun3.SetBackgroundColour('#CDCDC1')  
        btnRun3.SetFont(font2)
        btnRun3.Bind(wx.EVT_BUTTON, self.Opt_Res)
        btnRun3.Disable()

        btnRun4 = wx.Button(self.ppanel, 900, 'resolution along all directions', (wbut,hrun4), (whor1,hver))
        btnRun4.SetBackgroundColour('#CDCDC1')  
        btnRun4.SetFont(font2)
        btnRun4.Bind(wx.EVT_BUTTON, self.Res_Dir)
        btnRun4.Disable()
        
# message

        tmes= wx.TextCtrl(self.ppanel, -1, "", pos=(wtit,hmes), size=(wppanel-3*wtit,hver), style = wx.CB_READONLY)
        tmes.SetForegroundColour(col1) 
        tmes.SetFont(font1)

        btnPar=wx.Button(self.ppanel, -1, 'Parameters', (int(wppanel/2),hext), (wf12+20,hver))
        btnPar.SetBackgroundColour('#CDCDC1')  
        btnPar.SetFont(font1)
        btnPar.Bind(wx.EVT_LEFT_DOWN, self.OnParam)
         
        btnHelp=wx.Button(self.ppanel, -1, 'Help', (int(wppanel/2+wf12+50),hext), (wf13+20,hver))
        btnHelp.SetBackgroundColour('#CDCDC1')  
        btnHelp.SetFont(font1)
        btnHelp.Bind(wx.EVT_LEFT_DOWN, self.OnHelp)

        btnExit1=wx.Button(self.ppanel, -1, 'Exit', (int(wppanel/2+wf12+wf13+100),hext), (wf14+20,hver))
        btnExit1.SetBackgroundColour('#CDCDC1')  
        btnExit1.SetFont(font1)
        btnExit1.Bind(wx.EVT_BUTTON, self.OnCloseWindow)

####        wx.EVT_CLOSE(self, self.OnCloseWindow)

#-------------------------------------
# Clear all

    def ClearAll( self, evt):
       global n1, n2, bfac, bfstate1, bfstate2

       n1, n2 = 0, nwilson
       bfac = 30.
       self.bis.SetValue(str(bfac))

       bfstate1 = True
       bfstate2 = False
       self.rb1.SetValue(bfstate1) 
       self.rb2.SetValue(bfstate2) 

       error_mes = tmes.GetValue()  
       if error_mes: 

        btnRun1.SetBackgroundColour('#CDCDC1')
        btnRun1.ClearBackground()
        btnRun1.SetLabel('effective resolution along the coordinate axes')
         
       if effwin : effwin.Destroy()
       if optwin : optwin.Destroy()
       if hiswin : hiswin.Destroy() 
       if wilwin : wilwin.Destroy()

       self.CleanMes(evt) 
       btnRun3.Disable()
       btnrb1.Disable()
       btnrb2.Disable()
       btnRun4.Disable()

#-------------------------------------
# Amplitudes or intensities selected

    def AmpOrInt( self, evt):
        global state1, state2

        self.CleanMes(evt)

        if effwin : effwin.Destroy()
        if optwin : optwin.Destroy()
        if hiswin : hiswin.Destroy()
        if wilwin : wilwin.Destroy()

        btnRun3.Disable()
        btnrb1.Disable()
        btnrb2.Disable()
        btnRun4.Disable()

        bfstate1 = True
        bfstate2 = False
        self.rb1.SetValue(bfstate1)
        self.rb2.SetValue(bfstate2)

        state1 = self.rbtn1.GetValue()
        state2 = self.rbtn2.GetValue()

#-------------------------------------
# Enter dhigh

    def DhighEnter( self, evt):
        global fdhigh

        self.ClearAll(self)

        tmes.SetValue("")      
        fdhigh = 1
        return

#-------------------------------------
# Enter dlow

    def DlowEnter( self, evt):
        global fdlow

        self.ClearAll(self)

        tmes.SetValue("")      
        fdlow = 1
        return

#-------------------------------------
# Create button panel

    def CreatePpanel(self, parent):
        global ppanel
	 
        ppanel = self.ppanel = APanel(parent, (wppanel,hppanel), (0,0))
        return ppanel

#-------------------------------------
# Create completeness panel

    def CreateGpanel(self, parent):
        global gpanel

        gpanel = self.gpanel = APanel(parent, (wppanel,hgpanel), (0,int(hppanel-35*hpar)))
        return gpanel

#-------------------------------------
# OnBrowse - create open file dialog

    def OnBrowse(self, evt):
       global h_ind, k_ind, l_ind, Fobs
       global flagfile, Filename, nrefl
       global dfile
       global fstat, ffile, fdupl
       global bfac, bfstate1, bfstate2, Sgrp, Lgroup, jlaue, campl
       global gpanel

       if fstat == 1: 
         if gpanel: gpanel.Destroy()  

       fstat = 0

       btnRun1.Disable()

       bfac = 30.

       self.ClearAll(self)

       self.cell.SetValue("")
       self.resh.SetValue("")
       self.resl.SetValue("")

       flagfile = 0
       ffile = 1
       fdupl = 0
       nrefl = 0
  
       Sgrp = 0
       Lgroup = 0
       jlaue = -1
       campl = 0
       bfstate1 = True
       bfstate2 = False
       amplist = ['']

       self.group.SetSelection(jlaue)
       self.ampl.Set(amplist) 
       self.ampl.SetSelection(campl)
       self.rb1.SetValue(bfstate1)
       self.rb2.SetValue(bfstate2)
       self.bis.SetValue(str(bfac))

       h_ind, k_ind, l_ind, Fobs = [], [], [], []

       if  ifile == 0:    
        wildcard = ".mtz files (*.mtz)|*.mtz|"   \
                   ".cif files (*.cif)|*.cif|"   \
                   "CNS files (*.hkl)|*.hkl|"    \
                   "XDS files (*.hkl)|*.hkl|"    \
                   "HKL2000 files (*.sca)|*.sca|"\
                   "All files (*.*)|*.*"    

        if dfile == "": dDir=os.getcwd()
        else: dDir=dfile
        dlg = wx.FileDialog(
            self, message="Choose a file",
            defaultDir=dDir, 
            defaultFile="",
            wildcard=wildcard,
            style=wx.FD_OPEN
            )                
        if dlg.ShowModal() == wx.ID_OK:
            pth = dlg.GetPath()
            dfile = dlg.GetDirectory()
            self.inputfile.ChangeValue(pth)
            dlg.Destroy()
            Filename = self.inputfile.GetValue()
            Filename = Filename.strip() 

       if  ifile == 1:

        fn = self.inputfile.GetValue()
        fn = fn.strip() 
        if os.path.isfile(fn):
          Filename = fn 
        else: 
          tmes.SetValue(" No such file or directory : " + fn)
          return

# read an information for the reflections

# .mtz file?       
       self.Read_mtz()  

# .cif file?
       if flagfile == 0: self.Read_cif()  
        
# .hkl (CNS) file?
       if flagfile == 0: self.Read_cns()

#  .hkl (XDS) file?
       if flagfile == 0: self.Read_xds()

# .sca (HKL2000) file?
       if flagfile == 0: self.Read_sca()
 
       if flagfile != 2: self.Lauegr(Sgrp)

       btnRun1.Enable()

#-----------------------
# Parameters

    def OnParam(self,evt):
      global parwin 

      parwin = ListPar(self)

#-------------------------------------
# Read .mtz file

    def Read_mtz (self):
       global Sgrp, amplist
       global fdhigh, flow, flagfile, fcell, campl, coltyp1
       global nrf, hwork, kwork, lwork, fwork
       global state1, state2

       nrf = 0
       fdhigh, flow = 0, 0
       hwork, kwork, lwork, fwork = [],[],[],[]
  
       maxhead = 600   
       header, symm = [], []
       collab, coltyp, coltyp1 = [], [], []
       ncolamp = []
       ch4 = []
       kstamp = [16708, 4369, 1145110528, 286326784]
       cmtz = b'MTZ'
#
#======== file / computer recognition ======== 
#     
       try:
           filemtz = open(Filename, 'rb')
       except IOError:
           tmes.SetValue(" No such file or directory : " + Filename)
           return   

       fm = '@4s2i'
       fmsz = struct.calcsize(fm)
       lin1 = filemtz.read(fmsz)

       ch1, ch2, mstamp = struct.unpack(fm, lin1)
       ch1 = ch1.rstrip()
       mstamp = int(mstamp)

       if ch1 != cmtz:
         flagfile = 0
         return

       if mstamp == kstamp[1]:
         fmtsw = '>4s2i'
         fmr = '>f'
         csw1, csw2, csw3 = struct.unpack(fmtsw, lin1)
         lhead = int(csw2)

       if mstamp == kstamp[2]:
         fmtsw = '<4s2i'
         fmr = '<f'
         csw1, csw2, csw3 = struct.unpack(fmtsw, lin1)
         lhead = int(csw2)
     
       if mstamp == kstamp[0] or mstamp == kstamp[3]:
          fmr = '@f'
          lhead = int(ch2)
       if mstamp != kstamp[0] and mstamp == kstamp[1] and mstamp != kstamp[2] and mstamp == kstamp[3]: 
          tmes.SetValue(" Sorry : unknown machine stamp" + mstamp + "please check the hexagonal presentation")
          return

       kwords = lhead-21

       fmt = '@4s4s4s4s4s4s4s4s4s4s4s4s4s4s4s4s4s'
       fmtsz = struct.calcsize(fmt)
       lin2 = filemtz.read(fmtsz)
#
#======== read reflections and headers ========
#

       for i in range(kwords) :

        fmrsz = struct.calcsize(fmr)
        lin3 = filemtz.read(fmrsz)
        ch = struct.unpack(fmr, lin3)
        lch=str(ch)
        lenlch=len(lch)
        lch = float(lch[1:lenlch-2])
        try:
             ilch = int(lch)
        except ValueError:
             lch = 1.E+10 
        ch4.append(lch)
      
       for k in range(maxhead) :

        fmh = '@80s'
        fmhsz = struct.calcsize(fmh)
        lin4 = filemtz.read(fmhsz)
        if lin4 == b'': break
        ch = struct.unpack(fmh, lin4)
        lheader=str(ch)
        lenlh=len(lheader)
        lheader = lheader[3:lenlh-3]
        header.append(lheader)
#
#======== process headers ========
#       
       nhead = k

# information of header 3

       hncol = header[2]
       if hncol.split()[0] == 'NCOL':
         ncol = int(hncol.split()[1])
         nbatch = int(hncol.split()[3])
       else:
         tmes.SetValue(" Header 3 is not NCOL")
         return

# information of header 4

       hcell = header[3]
       if hcell.split()[0] == 'CELL':
         ac = float(hcell.split()[1])
         bc = float(hcell.split()[2])
         cc = float(hcell.split()[3])
         al = float(hcell.split()[4])
         bt = float(hcell.split()[5])
         gm = float(hcell.split()[6])
         
         Cell = str(fc %ac)+" "+str(fc %bc)+" "+str(fc %cc)+" "+str(fc %al)+" "+str(fc %bt)+" "+str(fc %gm)
       else:
         tmes.SetValue(" Header 4 is not CELL")
         return
       self.cell.SetValue(Cell)

# information of header 6

       hsyminf = header[5]
       if hsyminf.split()[0] == 'SYMINF':
         nsym = int(hsyminf.split()[1])
         Sgrp = int(hsyminf.split()[4])
       else:
         tmes.SetValue(" Header 6 is not SYMINF")
         return
       
# resolution limits

       hres = header[6+nsym]
       if hres.split()[0] == 'RESO':
         ssmin = float(hres.split()[1])
         ssmax = float(hres.split()[2])
       else:
         tmes.SetValue(" Header" + (nsym+7) + "is not RESO")
         return

       if flagfile == 0:
        dmtzh = 1./math.sqrt(ssmax)
        if ssmin > 0.0: dmtzl = 1./math.sqrt(ssmin)
        else: dmtzl = 1.E+10
        dminframe = "%6.2f" % (dmtzh)        
        dmaxframe = "%6.2f" % (dmtzl) 
        self.resh.SetValue(dminframe)  
        self.resl.SetValue(dmaxframe)  

# columns
       scol = 0
       for i in range(ncol*3):        
        hcol = header[i+8+nsym]

        if hcol.split()[0] != 'COLUMN' and hcol.split()[0] != 'COLSRC' and hcol.split()[0] != 'COLGRP': break
        if hcol.split()[0] == 'COLSRC': pass
        if hcol.split()[0] == 'COLGRP': pass
        if hcol.split()[0] == 'COLUMN':
    
         scol = scol +1
         collab.append(hcol.split()[1])
         coltyp.append(hcol.split()[2])
 
       if scol == 0:
         tmes.SetValue(" Columns are not defined")
         return

       if len(amplist) >0:
        self.ampl.Delete(0)
        amplist = []   
 
       for i in range(ncol):  
         if coltyp[i] == 'F' or coltyp[i] == 'G' or coltyp[i] == 'E' or coltyp[i] == 'J' or coltyp[i] == 'K':
           amplist.append(collab[i])
           ncolamp.append(i)
           coltyp1.append(coltyp[i])

       self.ampl.Set(amplist)
       self.ampl.SetSelection(campl)

       if coltyp1[campl] == 'F' or coltyp1[campl] == 'G'or coltyp1[campl] == 'E':
            state1 = True 
            state2 = False
       if coltyp1[campl] == 'J' or coltyp1[campl] == 'K':
            state1 = False 
            state2 = True

       self.rbtn1.SetValue(state1)
       self.rbtn2.SetValue(state2)

#
#======== reflection data processing ========
#

       for i in range(0, kwords-1, ncol):
          for j in range(ncol):   
# indicate outliers by 10*10      
            if lhead == -370086 or lhead == 1515911935:
               ch4[i+j] = 1.E+10

            if j == 0: 
              nrf = nrf+1
              hwork.append(int(ch4[i+j]))
            if j == 1: 
              kwork.append(int(ch4[i+j])) 
            if j == 2: 
              lwork.append(int(ch4[i+j]))            
            if j == ncolamp[campl]: 
              fwork.append(float(ch4[i+j]))   

       flagfile = 1

       filemtz.close()

#-----------------------------------------------------
# Read .cif file

    def Read_cif (self):
       global Sgrp, campl, amplist, Fcif
       global fdhigh, flow, flagfile, nrefl, fcell, fgroup

       fdhigh, flow = 0, 0

       tmes.SetValue("")
       try:
           filesf = open(Filename, 'r')
       except IOError:
           tmes.SetValue(" No such file or directory : " + Filename)
           return

       lines = filesf.readlines()

       nrefl = 0
       campl = 0
       amplist = [] 
       Fcif = []   
       ac = bc = cc = alpha = beta = gamma = -1.
       iiref = 0
       nf1, nf2, nf3, nf4 = 0, 0, 0, 0
   
       for line in lines:  
        if len(line) != 1: 
         if lines[0][0:5] != 'data_': 
           tmes.SetValue(" Wrong file " + Filename)
           flagfile = 0
           return   
         try:   
          word = line.split()[0] 

          if word == '_cell.length_a': ac = float(line.split()[1])
          if word == '_cell.length_b': bc = float(line.split()[1])
          if word == '_cell.length_c': cc = float(line.split()[1])
          if word == '_cell.angle_alpha': alpha = float(line.split()[1])
          if word == '_cell.angle_beta': beta = float(line.split()[1])
          if word == '_cell.angle_gamma': gamma = float(line.split()[1])

          Cell = str(fc %ac)+" "+str(fc %bc)+" "+str(fc %cc)+" "+str(fc %alpha)+" "+str(fc %beta)+" "+str(fc %gamma)
          self.cell.SetValue(Cell)

          if '_high' in word: 
            dcifh = float(line.split()[1])
            dminframe = "%6.2f" % (dcifh) 
            self.resh.SetValue(dminframe)   
          if '_low' in word:
            dcifl = float(line.split()[1])
            dmaxframe = "%6.2f" % (dcifl) 
            self.resl.SetValue(dmaxframe)   

          if word == '_symmetry.Int_Tables_number': Sgrp = int(line.split()[1])

          if '_refln.' in word:

           if 'index_h' in word: nh = iiref
           if 'index_k' in word: nk = iiref
           if 'index_l' in word: nl = iiref
# FP
           if 'F_meas_au' in word: 
            nf1 = iiref
            amplist.append('F_meas_au')
           if 'F_calc' in word: 
            nf2 = iiref
            amplist.append('F_calc')
# I
           if 'intensity_meas' in word: 
             nf3 = iiref
             amplist.append('intensity_meas')
           if 'F_squared_meas' in word: 
             nf4 = iiref
             amplist.append('F_squared_meas')

           iiref = iiref +1
          else: 
           if iiref != 0 and len(line.split()) == iiref:
              nrefl = nrefl+1
              h_ind.append(int(line.split()[nh])) 
              k_ind.append(int(line.split()[nk])) 
              l_ind.append(int(line.split()[nl]))
              if nf1 != 0: 
                if line.split()[nf1] == '?': Fcif.append('1.E+10')
                else: Fcif.append(float(line.split()[nf1]))
              if nf2 != 0: 
                if line.split()[nf2] == '?': Fcif.append('1.E+10')
                else: Fcif.append(float(line.split()[nf2]))
              if nf3 != 0: 
                if line.split()[nf3] == '?': Fcif.append('1.E+10')
                else: Fcif.append(float(line.split()[nf3]))
              if nf4 != 0: 
               if line.split()[nf4] == '?': Fcif.append('1.E+10')
               else: Fcif.append(float(line.split()[nf4]))

         except IndexError:
           tmes.SetValue(" Wrong file " + Filename)
           flagfile = 0
           return 
                              
       self.ampl.Set(amplist)
       self.ampl.SetSelection(campl)

       fcell, fgroup, flagfile = 1, 1, 5
       filesf.close()

#-------------------------------------
# Read .hkl (CNS) file

    def Read_cns (self):
       global campl, amplist, Fobs
       global fdhigh, flow, flagfile, nrefl, fcell, fgroup

       fdhigh, flow = 0, 0
       Fobs = []
       amplist = []
       nrefl = 0

       tmes.SetValue("")
       try:
           filesf = open(Filename, 'r')
       except IOError:
           tmes.SetValue(" No such file or directory : " + Filename)
           return

       lines = filesf.readlines()
       chline = ''      
       chcontr = []
       ii = 0
   
       for line in lines:                     
           try:
            inde = line.split()[0] 
            if inde.find('FORMAT=XDS_ASCII') == 1: 
              flagfile = 0
              return
            ii = ii+1
            if ii < 3: chcontr.append(inde) 
            if ii == 3:
              if chcontr[0] == "1" and chcontr[1] == "-985": 
                flagfile = 0
                return
           except IndexError:
            tmes.SetValue(" Wrong file " + Filename)
            return
           if inde == 'DECLare':
             amplist.append(line.split()[1][5:])
           linde = (line.split()[0]).lower()
           if 'INDE' in inde or 'inde' in linde:
              nrefl = nrefl+1
              ih=int(line.split()[1])
              ik=int(line.split()[2]) 
              il=int(line.split()[3]) 
              h_ind.append(ih) 
              k_ind.append(ik) 
              l_ind.append(il)

              for i in range(500):
                try:
                  word=line.split()[i]
                except IndexError:                
                  break
              nword = i-1

              for i in range(nword):
               if amplist[campl] in line.split()[i]:
                  Fobs.append(float(line.split()[i+1]))

       if nrefl == 0:
              flagfile = 0
              tmes.SetValue(" Wrong file " + Filename)
              return

       self.ampl.Set(amplist)
       self.ampl.SetSelection(campl)

       fcell, fgroup, flagfile = 1, 1, 2
       filesf.close()

#-------------------------------------
# Read .hkl (XDS) file

    def Read_xds (self):
       global Sgrp, campl, amplist
       global fdhigh, flow, flagfile, fcell
       global nrf, hwork, kwork, lwork, fwork

       fdhigh, flow = 0, 0

       tmes.SetValue("")

       try:
           filesf = open(Filename, 'r')
       except IOError:
           tmes.SetValue(" No such file or directory : " + Filename)
           return

       lines = filesf.readlines()
       nrf = 0
       jj = 0
       for line in lines:
           jj = jj+1                     
           try:
            chline = line.split()[0] 
           except IndexError:
            tmes.SetValue(" Wrong file " + Filename)
            return
           if jj == 1:
             ixds = chline.find('FORMAT=XDS_ASCII')  
             if ixds == -1:
              flagfile = 0
              tmes.SetValue(" Wrong file " + Filename)
              return  
             else:               
              friedel = line.split()[2]
              tfriedel = friedel.find('TRUE') 
              ffriedel = friedel.find('FALSE') 
           
           if tfriedel != -1 or ffriedel != -1:
              isgroup = chline.find('SPACE_GROUP_NUMBER') 
              if isgroup != -1:
                  Sgrp = int(line.split()[1])      
              icell = chline.find('UNIT_CELL_CONSTANTS') 
              if icell != -1:
                  ac = float(line.split()[1])
                  bc = float(line.split()[2])
                  cc = float(line.split()[3])
                  al = float(line.split()[4])
                  bt = float(line.split()[5])
                  gm = float(line.split()[6])         
                  Cell = str(fc %ac)+" "+str(fc %bc)+" "+str(fc %cc)+" "+str(fc %al)+" "+str(fc %bt)+" "+str(fc %gm)
                  self.cell.SetValue(Cell)

              iobs = chline.find('_IOBS=') 
              if iobs != -1:
                  amplist = ['IOBS']
                  iii = chline.find('=')+1
                  ciobs = int(chline[iii:])-1

              if chline.find('END_OF_HEADER') != -1: 
                nlin = jj
              if chline.find('!') == -1:
               nrf = nrf+1

       hwork, kwork, lwork, fwork = [],[],[],[]

       for line in lines[nlin:]:
          chline = line.split()[0] 
          if chline.find('!') == -1:
               hwork.append(int(line.split()[0]))
               kwork.append(int(line.split()[1])) 
               lwork.append(int(line.split()[2])) 
               fwork.append(line.split()[ciobs])

       if nrf == 0:
              flagfile = 0
              tmes.SetValue(" Wrong file " + Filename)
              return

       self.ampl.Set(amplist) 
       self.ampl.SetSelection(campl)

       fcell, flagfile = 1, 4
       filesf.close()

#-------------------------------------
# Read .sca (HKL2000) file

    def Read_sca (self):
       global Sgrp, campl, amplist
       global fdhigh, flow, flagfile, nrefl, fcell

       fdhigh, flow = 0, 0

       tmes.SetValue("")
       whitelist = string.letters + string.digits + '-' + '/'

       try:
           filesf = open(Filename, 'r')
       except IOError:
           tmes.SetValue(" No such file or directory : " + Filename)
           return

       lines = filesf.readlines()
       ii = 0
       chcontr = []
       nword = []

       for line in lines:   
        if len(line) != 1:     
           try:
            chline = line.split()[0] 
           except IndexError:
            if ii == 0: 
                tmes.SetValue(" Wrong file " + Filename)
                flagfile = 0
                return
            if ii != 0: break
           ii= ii+1 
           if ii < 3: chcontr.append(line.split()[0]) 
           if ii == 3:
            if chcontr[0] != "1" and chcontr[1] != "-985":  
              tmes.SetValue(" Wrong file " + Filename)
              flagfile = 0
              return  
            else:
             try:
              ac = float(line.split()[0])
              bc = float(line.split()[1])
              cc = float(line.split()[2])
              al = float(line.split()[3])
              bt = float(line.split()[4])
              gm = float(line.split()[5])
         
              Cell = str(fc %ac)+" "+str(fc %bc)+" "+str(fc %cc)+" "+str(fc %al)+" "+str(fc %bt)+" "+str(fc %gm)
              self.cell.SetValue(Cell)

              csgroup =line.split()[6]
              scsgroup = csgroup.swapcase()    

              for i in range(len(grouplist)):
                ng = int(grouplist[i].split()[0])
                chl = grouplist[i].split()[1]
                new_s = ''
                for char in chl:
                   if char in whitelist: new_s +=char
                   else: new_s += '' 
                if new_s == csgroup or new_s == scsgroup: Sgrp = ng  

             except IndexError:
                tmes.SetValue(" Wrong line: " + line)
                flagfile = 0
                return
          
           if ii > 3:  
            numword = 0 
    
            for i in range(8):
                try:
                  word=line.split()[i]
                  numword = numword+1
                except IndexError:                  
                  break
            nword.append(numword)

       lnrefl = -1    
       for line in lines[3:]:
         try:
            lnrefl = lnrefl+1
            ih=int(line.split()[0])
            ik=int(line.split()[1]) 
            il=int(line.split()[2]) 
    
            if nword[lnrefl] == 5: 
             h_ind.append(ih) 
             k_ind.append(ik) 
             l_ind.append(il)   
             Fobs.append(float(line.split()[3]))
            if nword[lnrefl] == 7: 
               if line.split()[3] != "0" and line.split()[4] != "-1": 
                  h_ind.append(ih) 
                  k_ind.append(ik) 
                  l_ind.append(il)   
                  Fobs.append(float(line.split()[3]))
               if line.split()[3] == "0" and line.split()[4] == "-1":  
                  h_ind.append(-ih) 
                  k_ind.append(-ik) 
                  l_ind.append(-il) 
                  Fobs.append(float(line.split()[5]))
          
         except IndexError: break

       nrefl = len(h_ind)

       if nrefl == 0:
              tmes.SetValue(" Wrong file " + Filename)
              flagfile = 0
              return

       amplist = ['IOBS']
       self.ampl.Set(amplist)
       self.ampl.SetSelection(campl)

       fcell, flagfile = 1, 3
       filesf.close()

#-------------------------------------
# Laue group

    def Lauegr (self, Sgrp):
      global jlaue, Lgroup

      if Sgrp > 0: 
       if Sgrp <= 2: jlaue = 0
       elif Sgrp <= 15: jlaue = 1
       elif Sgrp <= 74: jlaue = 2
       elif Sgrp <= 88: jlaue = 3
       elif Sgrp <= 142: jlaue = 4
       elif Sgrp <= 148: jlaue = 5
       elif Sgrp <= 167: jlaue = 6
       elif Sgrp <= 176: jlaue = 7
       elif Sgrp <= 194: jlaue = 8
       elif Sgrp <= 206: jlaue = 9
       elif Sgrp <= 230: jlaue = 10
       elif Sgrp == 20146: jlaue=11
       elif Sgrp == 20155: jlaue = 12

       self.group.SetSelection(jlaue)
       Lgroup = lauelist[jlaue]

      return

#-------------------------------------
# Laue symmetries

    def hkl2P1(self,ir,ih,ik,il,jlaue,irefl):

      nzero = 0

# (-1)
      if jlaue == 0:    
       irefl[0].append(ih)
       irefl[1].append(ik)
       irefl[2].append(il)

       if il == 0:
        irefl[0].append(-ih)
        irefl[1].append(-ik)
        irefl[2].append(nzero)

# 2/m
      elif jlaue == 1:
       irefl[0].append(ih)
       irefl[1].append(ik)
       irefl[2].append(il)

       irefl[0].append(ih)
       irefl[1].append(-ik)
       irefl[2].append(il)

       if il == 0:
        irefl[0].append(-ih)
        irefl[1].append(-ik)
        irefl[2].append(nzero)

        irefl[0].append(-ih)
        irefl[1].append(ik)
        irefl[2].append(nzero)

# mmm
      elif jlaue == 2:
       irefl[0].append(ih)
       irefl[1].append(ik)
       irefl[2].append(il)

       irefl[0].append(-ih)
       irefl[1].append(-ik)
       irefl[2].append(il)

       irefl[0].append(-ih)
       irefl[1].append(ik)
       irefl[2].append(il)

       irefl[0].append(ih)
       irefl[1].append(-ik)
       irefl[2].append(il)

# 4/m
      elif jlaue == 3:
       irefl[0].append(ih)
       irefl[1].append(ik)
       irefl[2].append(il)

       irefl[0].append(-ih)
       irefl[1].append(-ik)
       irefl[2].append(il)

       irefl[0].append(-ik)
       irefl[1].append(ih)
       irefl[2].append(il)

       irefl[0].append(ik)
       irefl[1].append(-ih)
       irefl[2].append(il)
 
# 4/mmm
      elif jlaue == 4:
       irefl[0].append(ih)
       irefl[1].append(ik)
       irefl[2].append(il)

       irefl[0].append(-ih)
       irefl[1].append(-ik)
       irefl[2].append(il)

       irefl[0].append(-ik)
       irefl[1].append(ih)
       irefl[2].append(il)

       irefl[0].append(ik)
       irefl[1].append(-ih)
       irefl[2].append(il)

       irefl[0].append(ih)
       irefl[1].append(-ik)
       irefl[2].append(il)

       irefl[0].append(-ih)
       irefl[1].append(ik)
       irefl[2].append(il)

       irefl[0].append(-ik)
       irefl[1].append(-ih)
       irefl[2].append(il)

       irefl[0].append(ik)
       irefl[1].append(ih)
       irefl[2].append(il)

# (-3)
      elif jlaue == 5:
       ii = -ih-ik
       irefl[0].append(ih)
       irefl[1].append(ik)
       irefl[2].append(il)

       irefl[0].append(ii)
       irefl[1].append(ih)
       irefl[2].append(il)

       irefl[0].append(ik)
       irefl[1].append(ii)
       irefl[2].append(il)

       if il == 0:
        irefl[0].append(-ih)
        irefl[1].append(-ik)
        irefl[2].append(nzero)

        irefl[0].append(-ii)
        irefl[1].append(-ih)
        irefl[2].append(nzero)

        irefl[0].append(-ik)
        irefl[1].append(-ii)
        irefl[2].append(nzero)

# (-3)/m
      elif jlaue == 6:
       ii= -ih-ik
       irefl[0].append(ih)
       irefl[1].append(ik)
       irefl[2].append(il)

       irefl[0].append(ii)
       irefl[1].append(ih)
       irefl[2].append(il)

       irefl[0].append(ik)
       irefl[1].append(ii)
       irefl[2].append(il)

       irefl[0].append(-ik)
       irefl[1].append(-ih)
       irefl[2].append(il)

       irefl[0].append(-ii)
       irefl[1].append(-ik)
       irefl[2].append(il)

       irefl[0].append(-ih)
       irefl[1].append(-ii)
       irefl[2].append(il)

       if il == 0:
        irefl[0].append(-ih)
        irefl[1].append(-ik)
        irefl[2].append(nzero)

        irefl[0].append(-ii)
        irefl[1].append(-ih)
        irefl[2].append(nzero)

        irefl[0].append(-ik)
        irefl[1].append(-ii)
        irefl[2].append(nzero)

        irefl[0].append(ik)
        irefl[1].append(ih)
        irefl[2].append(nzero)

        irefl[0].append(ii)
        irefl[1].append(ik)
        irefl[2].append(nzero)

        irefl[0].append(ih)
        irefl[1].append(ii)
        irefl[2].append(nzero)

# 6/m
      elif jlaue == 7:
       ii = -ih-ik
       irefl[0].append(ih)
       irefl[1].append(ik)
       irefl[2].append(il)

       irefl[0].append(ii)
       irefl[1].append(ih)
       irefl[2].append(il)

       irefl[0].append(ik)
       irefl[1].append(ii)
       irefl[2].append(il)

       irefl[0].append(-ih)
       irefl[1].append(-ik)
       irefl[2].append(il)

       irefl[0].append(-ii)
       irefl[1].append(-ih)
       irefl[2].append(il)

       irefl[0].append(-ik)
       irefl[1].append(-ii)
       irefl[2].append(il)

# 6/mmm
      elif jlaue == 8:
       ii = -ih-ik
       irefl[0].append(ih)
       irefl[1].append(ik)
       irefl[2].append(il)

       irefl[0].append(ii)
       irefl[1].append(ih)
       irefl[2].append(il)

       irefl[0].append(ik)
       irefl[1].append(ii)
       irefl[2].append(il)

       irefl[0].append(-ih)
       irefl[1].append(-ik)
       irefl[2].append(il)

       irefl[0].append(-ii)
       irefl[1].append(-ih)
       irefl[2].append(il)

       irefl[0].append(-ik)
       irefl[1].append(-ii)
       irefl[2].append(il)

       irefl[0].append(-ik)
       irefl[1].append(-ih)
       irefl[2].append(il)

       irefl[0].append(-ih)
       irefl[1].append(-ii)
       irefl[2].append(il)

       irefl[0].append(-ii)
       irefl[1].append(-ik)
       irefl[2].append(il)

       irefl[0].append(ik)
       irefl[1].append(ih)
       irefl[2].append(il)

       irefl[0].append(ih)
       irefl[1].append(ii)
       irefl[2].append(il)

       irefl[0].append(ii)
       irefl[1].append(ik)
       irefl[2].append(il)

# m3
      elif jlaue == 9:
       if ih <= 0: ih = -ih
       if ik <= 0: ik = -ik
       irefl[0].append(ih)
       irefl[1].append(ik)
       irefl[2].append(il)

       irefl[0].append(-ih)
       irefl[1].append(ik)
       irefl[2].append(il)

       irefl[0].append(ih)
       irefl[1].append(-ik)
       irefl[2].append(il)

       irefl[0].append(-ih)
       irefl[1].append(-ik)
       irefl[2].append(il)

       irefl[0].append(il)
       irefl[1].append(ih)
       irefl[2].append(ik)

       irefl[0].append(-il)
       irefl[1].append(ih)
       irefl[2].append(ik)

       irefl[0].append(il)
       irefl[1].append(-ih)
       irefl[2].append(ik)

       irefl[0].append(-il)
       irefl[1].append(-ih)
       irefl[2].append(ik)

       irefl[0].append(ik)
       irefl[1].append(il)
       irefl[2].append(ih)

       irefl[0].append(-ik)
       irefl[1].append(il)
       irefl[2].append(ih)

       irefl[0].append(ik)
       irefl[1].append(-il)
       irefl[2].append(ih)

       irefl[0].append(-ik)
       irefl[1].append(-il)
       irefl[2].append(ih)
 
# m(-3)m
      elif jlaue == 10:
       if ih <= 0: ih = -ih
       if ik <= 0: ik = -ik
       irefl[0].append(ih)
       irefl[1].append(ik)
       irefl[2].append(il)

       irefl[0].append(-ih)
       irefl[1].append(ik)
       irefl[2].append(il)

       irefl[0].append(ih)
       irefl[1].append(-ik)
       irefl[2].append(il)

       irefl[0].append(-ih)
       irefl[1].append(-ik)
       irefl[2].append(il)

       irefl[0].append(il)
       irefl[1].append(ih)
       irefl[2].append(ik)

       irefl[0].append(-il)
       irefl[1].append(ih)
       irefl[2].append(ik)

       irefl[0].append(il)
       irefl[1].append(-ih)
       irefl[2].append(ik)

       irefl[0].append(-il)
       irefl[1].append(-ih)
       irefl[2].append(ik)

       irefl[0].append(ik)
       irefl[1].append(il)
       irefl[2].append(ih)

       irefl[0].append(-ik)
       irefl[1].append(il)
       irefl[2].append(ih)

       irefl[0].append(ik)
       irefl[1].append(-il)
       irefl[2].append(ih)

       irefl[0].append(-ik)
       irefl[1].append(-il)
       irefl[2].append(ih)

       irefl[0].append(ik)
       irefl[1].append(-ih)
       irefl[2].append(il)

       irefl[0].append(ik)
       irefl[1].append(ih)
       irefl[2].append(il)

       irefl[0].append(-ik)
       irefl[1].append(-ih)
       irefl[2].append(il)

       irefl[0].append(-ik)
       irefl[1].append(ih)
       irefl[2].append(il)

       irefl[0].append(ih)
       irefl[1].append(-il)
       irefl[2].append(ik)

       irefl[0].append(ih)
       irefl[1].append(il)
       irefl[2].append(ik)

       irefl[0].append(-ih)
       irefl[1].append(-il)
       irefl[2].append(ik)

       irefl[0].append(-ih)
       irefl[1].append(il)
       irefl[2].append(ik)

       irefl[0].append(il)
       irefl[1].append(-ik)
       irefl[2].append(ih)

       irefl[0].append(il)
       irefl[1].append(ik)
       irefl[2].append(ih)

       irefl[0].append(-il)
       irefl[1].append(-ik)
       irefl[2].append(ih)

       irefl[0].append(-il)
       irefl[1].append(ik)
       irefl[2].append(ih)

# R3
      elif jlaue == 11:
       irefl[0].append(ih)
       irefl[1].append(ik)
       irefl[2].append(il)
       if ih >= 0:
        irefl[0].append(ik)
        irefl[1].append(il)
        irefl[2].append(ih)
       else:
        irefl[0].append(-ik)
        irefl[1].append(-il)
        irefl[2].append(-ih)
       if ik >= 0:
        irefl[0].append(il)
        irefl[1].append(ih)
        irefl[2].append(ik)
       else:
        irefl[0].append(-il)
        irefl[1].append(-ih)
        irefl[2].append(-ik)

        if il == 0:
         irefl[0].append(-ih)
         irefl[1].append(-ik)
         irefl[2].append(nzero)
        if ih == 0:
         irefl[0].append(-ik)
         irefl[1].append(-il)
         irefl[2].append(nzero)
        if ik == 0:
         irefl[0].append(-il)
         irefl[1].append(-ih)
         irefl[2].append(nzero)
       
# R32
      elif jlaue == 12:
       irefl[0].append(ih)
       irefl[1].append(ik)
       irefl[2].append(il)

       irefl[0].append(ik)
       irefl[1].append(ih)
       irefl[2].append(il)

       if ih >= 0:
        irefl[0].append(ik)
        irefl[1].append(il)
        irefl[2].append(ih)

        irefl[0].append(il)
        irefl[1].append(ik)
        irefl[2].append(ih)
       else:
        irefl[0].append(-ik)
        irefl[1].append(-il)
        irefl[2].append(-ih)

        irefl[0].append(-il)
        irefl[1].append(-ik)
        irefl[2].append(-ih) 

       if ik >= 0:
        irefl[0].append(il)
        irefl[1].append(ih)
        irefl[2].append(ik)

        irefl[0].append(ih)
        irefl[1].append(il)
        irefl[2].append(ik)
       else:
        irefl[0].append(-il)
        irefl[1].append(-ih)
        irefl[2].append(-ik)

        irefl[0].append(-ih)
        irefl[1].append(-il)
        irefl[2].append(-ik)

        if il == 0:
         irefl[0].append(-ih)
         irefl[1].append(-ik)
         irefl[2].append(nzero)

         irefl[0].append(-ik)
         irefl[1].append(-ih)
         irefl[2].append(nzero)
     
        if ih == 0:
         irefl[0].append(-ik)
         irefl[1].append(-il)
         irefl[2].append(nzero)

         irefl[0].append(-il)
         irefl[1].append(-ik)
         irefl[2].append(nzero)
    
        if ik == 0: 
         irefl[0].append(-il)
         irefl[1].append(-ih)
         irefl[2].append(nzero)

         irefl[0].append(-ih)
         irefl[1].append(-il)
         irefl[2].append(nzero)

# unknown
      else: 
        msg = 'unknown Laue group ' + str(jlaue) + ' reflection ' + str(ir) + ' indices ' + str(ih) + str(ik) + str(il)
        print(msg, file = fileout)
        tmes.SetValue(msg)
        return

      return
     
#-------------------------------------
# Enter input file name
 
    def FilenameEnter(self, event):
        global ifile

        ifile = 1
        self.OnBrowse(self)

#-------------------------------------
# Browse input file name
 
    def FilenameBrowse(self, event):
        global ifile

        ifile = 0
        self.OnBrowse(self)

#-------------------------------------
# Choice of Laue group
 
    def Evtgroup(self, event):
        global fgroup, Lgroup, jlaue

        self.ClearAll(self)

        jlaue = event.GetSelection()
        Lgroup = lauelist[jlaue]
        self.group.SetSelection(jlaue)
        fgroup = 1
        return

#-------------------------------------
# Clean up the cell list 

    def CleanCell(self, evt):
     global fcell

     self.ClearAll(self)

     fcell = 1

#-------------------------------------
# Clean up the message list 

    def CleanMes(self, evt):
     tmes.SetValue("")

#-------------------------------------
# Close window

    def OnCloseWindow(self, evt):
        
        fileout.close()
        self.Destroy()
        if effwin : effwin.Destroy()
        if optwin : optwin.Destroy()
        if hiswin : hiswin.Destroy() 
        if wilwin : wilwin.Destroy()
        if parwin : parwin.Destroy()

#-------------------------------------
# Choice of amplitude/intensity
 
    def Evtampl(self, event):
        global fampl, campl, fdupl, bwilson, state1, state2, bfac, bfstate1, bfstate2
	
        self.CleanMes(event)

        campl = event.GetSelection()
        self.ampl.SetSelection(campl)

        if effwin : effwin.Destroy()
        if optwin : optwin.Destroy()
        if hiswin : hiswin.Destroy()
        if wilwin : wilwin.Destroy()

        btnRun3.Disable()
        btnrb1.Disable()
        btnrb2.Disable()
        btnRun4.Disable()

        bfac = 30.
        bfstate1 = True
        bfstate2 = False
        self.rb1.SetValue(bfstate1)
        self.rb2.SetValue(bfstate2)
        self.bis.SetValue(str(bfac))

        fampl = 1
        fdupl = 0
        bwilson = 0.

# if mtz or cns, read new column

        if flagfile == 1: 
          self.Read_mtz()
          if coltyp1[campl] == 'F' or coltyp1[campl] == 'G'or coltyp1[campl] == 'E':
              state1 = True 
              state2 = False
          if coltyp1[campl] == 'J' or coltyp1[campl] == 'K':
              state1 = False 
              state2 = True
        if flagfile == 2: self.Read_cns()
        
        self.rbtn1.SetValue(state1)
        self.rbtn2.SetValue(state2)
        return

#-------------------------------------
# Help - statistics

    def OnHelp(self, evt):
        global helpwin

        dc = wx.ScreenDC()
        dc.SetFont(font2)
        wfhl0, hfhl0 = dc.GetTextExtent("          data set but also for several subsets where the high-resolution cut-off is lowed in purpose. The number") 

        helpwin = HelpFrame(self, -1, "Help", (int(400*wpar), int(300*hpar)), (int(wfhl0+50), int(500*hpar)))
        helpwin.Show()

#-------------------------------------
# Display 

    def DisResol(self, evt): 
       global Fobs

       btnRun1.SetBackgroundColour(col1)
       btnRun1.ClearBackground()
       btnRun1.SetLabel('effective resolution along the coordinate axes')
    
       error_mes = tmes.GetValue()  
       if not error_mes:  self.ClearAll(self)

       Filename = self.inputfile.GetValue()
       Filename = Filename.strip() 
       if len(Filename) == 0 or Filename.isspace() == True:
             tmes.SetValue(" File name of structure factors is undefined")
             return 
       try:
           filesf = open(Filename, 'r')
       except IOError:
           tmes.SetValue(" No such file or directory : " + Filename)
           return

       if flagfile == 0: 
           tmes.SetValue(" Wrong file " + Filename)
           return     

       Cell = self.cell.GetValue()

       if Cell == "": 
           tmes.SetValue(" Unit cell parameters are not defined")
           return 

# data entry 

       error_mes = tmes.GetValue()  
       if not error_mes: 
        self.OnEntry(self) 

       error_mes = tmes.GetValue()  
       if not error_mes: 

        print(' ', file = fileout)
        print('========= PROGRAM PARAMETERS ============', file = fileout)
        print(' ', file = fileout)
        print('file name (diffraction data)      :   ', Filename, file = fileout) 
        if flagfile == 1:
         print('high resolution                                      :   ', "%8.3f" % float(dhigh), file = fileout)
         print('low resolution                                       :   ', "%8.3f" % float(dlow), file = fileout)
        print('N of bins for the resolution analysis along the axes :   ', "%5i" % nbins, file = fileout)
        print('step (in A) for the resolution bins                  :   ', "%8.3f" % dstep, file = fileout)     
        print('step to analyse the resolution along the axes        :   ', "%8.3f" % staxes, file = fileout)
        print('step to analyse the resolution along the rad-vectors :   ', "%8.3f" % radst, file = fileout) 
        print('distance limits to analyse the rad-vectors           :   ', "%8.3f" % frrad, "%8.3f" % torad, file = fileout) 
        print('code for the grid method on the sphere               :   ', "%4i" % metgrd, file = fileout)
        if metgrd == 2: print('  method : regular grid in horizontal circles', file = fileout)
        print('angular step for the grid on the sphere              :   ', "%8.3f" % sphgrd, file = fileout)
        print('flag to select asymmetric directions for deff        :   ', "%4i" % kvasym, file = fileout)        
        if kvasym >= 1: print('  only asymmetric set of directions will be analysed', file = fileout)
        if kvasym < 1: print('  all directions in the demisphere z>=0 will be analyzed', file = fileout)
        print('numbers of vectors with min/max deff to show         :   ', "%5i" % ndirv, file = fileout)
        print('B factor manually defined for the typical atom       :', "%11.2f" % float(bfac), file = fileout)
        print('space group number                                   :   ', "%5i" % Sgrp, file = fileout)   
        print('cell parameters                                      :   ', str(Cell), file = fileout)
        if state1: print('diffraction data are presented by amplitudes', file = fileout)     
        else: print('diffraction data are presented by intensities', file = fileout) 
        print(' ', file = fileout)
        print('========= END OF PARAMETERS  ============', file = fileout)
        print(' ', file = fileout)

# delete duplicates
       error_mes = tmes.GetValue()  
       if not error_mes:    
        if fdupl == 0 and (flagfile == 1 or flagfile == 4): self.DelDuplsf()    
       
# for .cif file
       error_mes = tmes.GetValue()  
       if not error_mes:    
        if flagfile == 5: 
           Fobs = zeros(nrefl)
           for i in range(nrefl):
             Fobs[i] = Fcif[campl+i*len(amplist)]
            
# computation of the resolution for each reflection

       error_mes = tmes.GetValue()  
       if not error_mes:
         if ffile == 1 or fcell == 1: self.Lim_hkl(self)

# computation of the number of resolution bins 

       error_mes = tmes.GetValue()  
       if not error_mes: self.Res_Bin(self)

# applied symmetry operations

       error_mes = tmes.GetValue()  
       if not error_mes: 
        if ffile == 1 or fcell == 1 or fgroup == 1 or fampl == 1: self.OnSymmetry(self) 

# get the table of the C-curves

       error_mes = tmes.GetValue()  
       if not error_mes: self.Inptab(self)

# completeness in shell

       error_mes = tmes.GetValue()  
       if not error_mes: self.Compl(self)

# computation of the curves in x,y,z
 
       error_mes = tmes.GetValue()  
       if not error_mes: self.Curves_Axe(self)

# effective resolution 

       error_mes = tmes.GetValue()  
       if not error_mes: self.Eff_Res(self)

#-------------------------------------
# Delete duplicates in the structure factor file

    def DelDuplsf (self):
       global nrefl, h_ind, k_ind, l_ind, Fobs
       global fdupl, hwork, kwork, lwork, fwork

       h_ind, k_ind, l_ind, Fobs = [], [], [], []

       mwork = [[0,0] for i in range(len(hwork))]
       hmn = min(hwork)
       hmx = max(hwork)
       kmn = min(kwork)
       kmx = max(kwork)
       lmn = min(lwork)
       lmx = max(lwork)
       nhw= hmx-hmn+1
       nkw= kmx-kmn+1
       nhwnkw= nhw*nkw
       
       for i in range(len(hwork)):  
               ind=hwork[i]-hmn+(kwork[i]-kmn)*nhw+(lwork[i]-lmn)*nhwnkw
               mwork[i][0]=ind       
               mwork[i][1]=i         

       mwork.sort()

       if flagfile == 1 or flagfile == 4:  

        fwk = float(fwork[0])   
        for i in range(nrf):          
          if i > 0:
           indx0 = int(mwork[i-1][1]) 
           indx1 = int(mwork[i][1])   
           if mwork[i][0] == mwork[i-1][0]:
             if float(fwork[indx1]) > fwk:    
               fwk = float(fwork[indx1])
           if mwork[i][0] != mwork[i-1][0]: 
              h_ind.append(int(hwork[indx0]))  
              k_ind.append(int(kwork[indx0]))
              l_ind.append(int(lwork[indx0]))
              Fobs.append(fwk)
              fwk = float(fwork[indx1])                          
        h_ind.append(int(hwork[mwork[nrf-1][1]]))
        k_ind.append(int(kwork[mwork[nrf-1][1]]))
        l_ind.append(int(lwork[mwork[nrf-1][1]]))
        Fobs.append(float(fwork[mwork[nrf-1][1]]))

       fmin = min(Fobs)
       fmax = max(Fobs)
       faveg = sum(Fobs)/len(Fobs)

       nrefl = len(h_ind)
       print(' ', file = fileout)
       print('number of reflections = ', "%10i" % nrefl, file = fileout)  
       print('min / max h,k,l values', "%7.0f" % hmn, "%7.0f" % hmx, "%7.0f" % kmn, "%7.0f" % kmx, "%7.0f" % lmn, "%7.0f" % lmx, file = fileout)
       print('min / max / ave Fobs(Iobs)', "%15.5g" % fmin, "%15.5g" % fmax, "%15.5g" % faveg, file = fileout)

       fdupl = 1
                    
#-------------------------------------
# Data entry

    def OnEntry(self, evt):
       global Acell, Bcell, Ccell, Alpha, Beta, Gamma, Cell, dhigh, dlow, nbins, dstep
       global dminframe, dmaxframe
       
# read input parameters
    
       Cell = self.cell.GetValue()
       self.Cell= Cell = Cell.strip()
       blanc = Cell.count(' ')
       if len(Cell) == 0 or Cell.isspace() == True:
          tmes.SetValue(" Unit cell parameters are not defined")
          return 
       if len(Cell) != 0 and blanc < 5:
          tmes.SetValue(" Wrong number of the unit cell parameters")
          return
       if len(Cell) != 0 :
          repl = Cell.replace(' ','0')
          repl = repl.replace('.','0')   
          if repl.isdigit() == False:
              tmes.SetValue(" Wrong symbol in the unit cell parameters")
              return   
       try:
          Acell= float(Cell.split()[0])
          Bcell= float(Cell.split()[1])
          Ccell= float(Cell.split()[2])
          Alpha= float(Cell.split()[3])
          Beta= float(Cell.split()[4])
          Gamma= float(Cell.split()[5])
       except IndexError:
          tmes.SetValue(" Wrong number of the unit cell parameters")
          return       
       if Alpha <= 0 or Beta <= 0 or Gamma <= 0:
          tmes.SetValue(" Wrong unit cell parameters")
          return
       if Alpha >= 180 or Beta >= 180 or Gamma >= 180:
          tmes.SetValue(" Wrong unit cell parameters")
          return
       if Alpha+Beta <= Gamma or Alpha+Gamma <= Beta or Beta+Gamma <= Alpha:
          tmes.SetValue(" Wrong unit cell parameters")
          return

       if Lgroup == 0:
          tmes.SetValue(" Laue symmetry is not defined (see Help)")
          return 

       if flagfile == 1:

        dhigh = self.resh.GetValue()
        try:
         dhigh = float(dhigh)
        except ValueError:
         tmes.SetValue(" Wrong high resolution value")
         return 
  
        dminframe = "%6.2f" % dhigh 
        self.resh.SetValue(dminframe)
  
        dlow = self.resl.GetValue()
        try:
         dlow = float(dlow)
        except ValueError:
         tmes.SetValue(" Wrong low resolution value")
         return 

        dmaxframe = "%6.2f" % dlow 
        self.resl.SetValue(dmaxframe)  

       nbins = self.bin.GetValue()
       try:
         nbins = int(nbins)
       except ValueError:
         tmes.SetValue(" Wrong number of resolution cut-offs")
         return 

       nbframe = "%4i" % (nbins) 
       self.bin.SetValue(nbframe)  

       dstep = self.sres.GetValue()
       try:
         dstep = float(dstep)
       except ValueError:
         tmes.SetValue(" Wrong resolution step value")
         return 

       if dstep <= 0:
          tmes.SetValue(" Wrong resolution step value")
          return

       dsframe = "%6.1f" % (dstep) 
       self.sres.SetValue(dsframe) 

#-------------------------------------
# Computation min and max values for h,k,l

    def Lim_hkl(self, evt):
       global grrad, alp, bet, gam, salp, sbet, sgam, calp, cbet, cgam
       global acellr, bcellr, ccellr, alprc, betrc, gamrc 
       global resol, dhigh, dlow, dhigh0, dlow0, dminframe, dmaxframe
       global hmin, hmax, kmin, kmax, lmin, lmax, nh, nk, nl2

       resol = zeros(nrefl) 
       ress = zeros(nrefl)
      
       dhigh  = 0.0
       dlow = 10000000.

       grrad = float(math.pi/180.)
       alp = Alpha*grrad
       bet = Beta*grrad
       gam = Gamma*grrad

       salp = np.sin(alp)
       if math.fabs(salp) < eps: salp = 0.
       sbet = np.sin(bet)
       if math.fabs(sbet) < eps: sbet = 0.
       sgam = np.sin(gam)
       if math.fabs(sgam) < eps: sgam = 0.
       calp = np.cos(alp)
       if math.fabs(calp) < eps: calp = 0.
       cbet = np.cos(bet)
       if math.fabs(cbet) < eps: cbet = 0.
       cgam = np.cos(gam)
       if math.fabs(cgam) < eps: cgam = 0.

       V = Acell*Bcell*Ccell*math.sqrt(1.+2.*calp*cbet*cgam-calp*calp-cbet*cbet-cgam*cgam)

# unit cell parameters in reciprocal space

       acellr = Bcell*Ccell*salp/V
       bcellr = Acell*Ccell*sbet/V
       ccellr = Acell*Bcell*sgam/V

       alprc = (cbet*cgam-calp)/(sbet*sgam)
       if math.fabs(alprc) < eps: alprc = 0.
       betrc = (calp*cgam-cbet)/(salp*sgam)
       if math.fabs(betrc) < eps: betrc = 0.
       gamrc = (calp*cbet-cgam)/(salp*sbet)
       if math.fabs(gamrc) < eps: gamrc = 0.

       self.tenr11 = acellr*acellr
       self.tenr12 = acellr*bcellr*gamrc
       self.tenr13 = acellr*ccellr*betrc
       self.tenr21 = bcellr*acellr*gamrc
       self.tenr22 = bcellr*bcellr
       self.tenr23 = bcellr*ccellr*alprc
       self.tenr31 = ccellr*acellr*betrc
       self.tenr32 = ccellr*bcellr*alprc
       self.tenr33 = ccellr*ccellr

       wh = self.tenr22*self.tenr33-self.tenr23**2
       wk = self.tenr11*self.tenr33-self.tenr13**2
       wl = self.tenr11*self.tenr22-self.tenr12**2
     
       for k in range(nrefl) : 
          if Fobs[k] < fcut :           
                vc1 = self.tenr11*h_ind[k]+self.tenr12*k_ind[k]+self.tenr13*l_ind[k]
                vc2 = self.tenr21*h_ind[k]+self.tenr22*k_ind[k]+self.tenr23*l_ind[k]
                vc3 = self.tenr31*h_ind[k]+self.tenr32*k_ind[k]+self.tenr33*l_ind[k]
                s2 = h_ind[k]*vc1+k_ind[k]*vc2+l_ind[k]*vc3
                res = float(1./math.sqrt(s2))
                resol[k] = res
                ress[k] = res
        

       ress.sort()
       for i in range(len(ress)) : 
         if ress[i] != 0:
           dhigh0 = dhigh = float(ress[i])
           break       
       dlow0 = dlow = float(max(ress))
       del ress

       if fdhigh == 1: 
          dhigh0 = float(self.resh.GetValue())  
          if dhigh < dhigh0: dhigh = dhigh0

       if fdlow == 1: 
          dlow0 = float(self.resl.GetValue()) 
          if dlow > dlow0: dlow = dlow0

       print('resolution limits in A   ', "%12.4f"  %dhigh, "%12.4f" %dlow, file = fileout)

       dminframe = "%6.2f" % dhigh        
       dmaxframe = "%6.2f" % dlow
       self.resh.SetValue(dminframe)  
       self.resl.SetValue(dmaxframe)  

       hmax = int(V*math.sqrt(wh)/dhigh+1)
       kmax = int(V*math.sqrt(wk)/dhigh+1)
       lmax = int(V*math.sqrt(wl)/dhigh+1)

       hmin = -hmax
       kmin = -kmax
       lmin = 0
       nh = hmax-hmin+1
       nk = kmax-kmin+1
       nl2 = lmax+1
           
#-------------------------------------
# Computation of the number of resolution bins

    def Res_Bin(self, evt):
       global kbin, dmax, nrfbin, iprint
       global dlow, qhh, qhk, qhl, qkk, qkl, qll

       nrf0 = 0
       nrf1 = 0
       nrf2 = 0

       kbin = zeros(nrefl)
       nrfbin = zeros(nbins)

       dmax = dhigh+(nbins-1)*dstep
       if dmax > float(dmaxframe): 
         tmes.SetValue(" Too small low resolution")

       dlowf = max(Acell, Bcell, Ccell)+1

       if fdlow == 0: dlow = dlowf

       qhh = acellr*acellr
       qhk = 2.*acellr*bcellr*gamrc
       qhl = 2.*acellr*ccellr*betrc
       qkk = bcellr*bcellr
       qkl = 2.*ccellr*bcellr*alprc
       qll = ccellr*ccellr
       
       for i in range(nrefl): 
           ah = h_ind[i]
           ak = k_ind[i]
           al = l_ind[i]
           ss=ah*ah*qhh+ak*ak*qkk+al*al*qll+ah*ak*qhk+ah*al*qhl+ak*al*qkl 
           res=float(1./math.sqrt(ss))

           if res >= dlow: kb = -1 
           elif res >= dmax: kb = 0
           elif res < dhigh: kb = -2
           elif Fobs[i] > fcut: kb = -3
           else:
              kb = nbins-1-int((res-dhigh)/dstep)
           kbin[i] = kb
           if kb == -2: nrf0 = nrf0+1
           elif kb == -1: nrf1 = nrf1+1
           elif kb == -3: nrf2 = nrf2+1
           else:
             nrfbin[kb] = nrfbin[kb]+1

       aaa = nrfbin[::-1]
    
       print(' ', file = fileout)
       print('========= bin statistics ============', file = fileout)
       print(' ', file = fileout)
       print('Nreflections : resolution higher than dhigh', "%15i" %nrf0, '     dhigh=', "%12.5g" %dhigh, file = fileout)
       print('Nreflections : resolution lower  than dlow ', "%15i" %nrf1, '     dlow =', "%12.5g" %dlowf, file = fileout)     
       print('Nreflections : excluded by F(hkl)>Fcut     ', "%15i" %nrf2, '     Fcut =', "%12.5g" %fcut, file = fileout)     
       print('Nreflections in resolution bins', file = fileout)
       print(aaa, file = fileout)

       npin=int(nbins/10+0.0001)
       if npin == 0 : npin = 1

# grid for print

       iprint=[nbins-1]
       indi=0
       par=nbins-1
       while par > 0:
         par=iprint[indi]-npin
         if par >= 0:
           iprint.append(par)
           indi=indi+1
       iprint.reverse()
      
#-------------------------------------
# OnSymmetry - applied symmetry operations

    def OnSymmetry(self, evt):
       global lfl, nmind, pres

       lfl = nh*nk*nl2
  
       nmind = -ones((nh,nk,nl2))
       pres = ones((nh,nk,nl2))
  
       for i in range(nrefl) : 
            irefl = [],[],[]         
            if Fobs[i] < fcut and resol[i] >= dhigh and resol[i] <= dlow:                    
                  ih = h_ind[i]
                  ik = k_ind[i]
                  il = l_ind[i]
                  if il < 0:
                   ih = -ih
                   ik = -ik
                   il = -il

# read Laue symmetry

                  self.hkl2P1(i,ih,ik,il,jlaue,irefl)

                  for j in range(len(irefl[0])) :    
                    hs = int(irefl[0][j])
                    ks = int(irefl[1][j])
                    ls = int(irefl[2][j]) 
                     
                    if ls >= 0:
                       try:
                         ihm = hs-hmin
                         ikm = ks-kmin
                         pres[ihm,ikm,ls] = 0       
                         nmind[ihm,ikm,ls] = i
                       except IndexError:
                         tmes.SetValue(" Laue symmetry is incompatible with the data")
                         return

#-------------------------------------
# Completeness statistics

    def Compl(self, evt):
       global fstat, lxmin, lxmax, lymin, lymax, dm, statwin
       global ssmax, comp, compc
       global numx, numy, numz, lnumx, lnumy, lnumz
 
       lxmin, lxmax, lymin, lymax = 20, wppanel-40, int(30*hpar), int(120*hpar)

       dm= [dhigh]

       lnumx = 2*hmax+1
       lnumy = 2*kmax+1
       lnumz = lmax+1
      
       numx = zeros((nbins,lnumx))
       numy = zeros((nbins,lnumy))
       numz = zeros((nbins,lnumz))

       for k in range(1,nbins): 
           tt= dhigh+k*dstep
           dm.append(tt)
       
       comp = [0. for i in range(nbins)]
       compc = [0. for i in range(nbins)]

       fstat = 1
       ssmax = 1./dhigh**2
       amul = 1.0

       for il in range(lmax+1):
        al = il
        sll = al*al*qll
        skl = al*qkl
        shl = al*qhl
        for ik in range(-kmax,kmax+1):
         ak = ik
         skk = ak*(ak*qkk+skl)+sll
         shk = ak*qhk+shl
         for ih in range(-hmax,hmax+1):
          ah = ih 
          ss = ah*(ah*qhh+shk)+skk

          if ss > 0.0 and ss <= ssmax:
           dd = 1./math.sqrt(ss)
           ib = int((dd-dhigh)/dstep)    
           if ib > nbins-1: ib = nbins-1
           comp[ib] = comp[ib]+amul
 
           h = ih+hmax
           k = ik+kmax
           if nmind[h,k,il] > -1:

            nb = int(kbin[int(nmind[h,k,il])])
            
            if pres[h,k,il] == 0 and (nb != -1 and nb != -2 and nb != -3): 
              compc[ib] = compc[ib]+amul

              numx[nb,h] = numx[nb,h]+amul
              numy[nb,k] = numy[nb,k]+amul
              numz[nb,il] = numz[nb,il]+amul

        amul=2.0

       ctot = 0.0
       cpres = 0.0
       for ib in range(nbins-1,-1,-1):
        ctotb = comp[ib]
        cpresb = compc[ib]
        ctot = ctot +ctotb
        cpres = cpres+cpresb
        if ctotb > 0.0:
          comp[ib] = cpresb/ctotb
        else:
          comp[ib] = 0.0
      
        if ctot > 0.0:
          compc[ib] = cpres/ctot
        else:
          compc[ib] = 0.0

       for i in range(0,nbins):
        for j in range(lnumx):
          if j > hmax : 
            numx[i,j] = numx[i,j]+numx[i,2*hmax-j]
        for j in range(lnumy):
          if j > kmax : 
            numy[i,j] = numy[i,j]+numy[i,2*kmax-j]	

       statwin = InsertFrame(parent=1, id=-1)       
       gpanel.Bind(wx.EVT_PAINT, self.OnPaintCompl)
       statwin.Show()    
       self.Destroy()    

#-------------------------------------
# Put stat DC on the window

    def OnPaintCompl(self, evt):
     global gwc, ghc

     error_mes = tmes.GetValue()   
     if not error_mes:

       dc = wx.PaintDC(gpanel)
       dc.SetBackground(wx.Brush(gcolor))
       (gwc, ghc) = dc.GetSize()
       dc.Clear() 
  
       statwin.PaintCompl(dc)

#-------------------------------------
# Statistics drawing

    def PaintCompl(self, dc):  
                         
       dc.SetFont(font2)

       dc.SetTextForeground(col7) 
       dc.DrawText("completeness in shell", 20, int(3*hpar))  
       dc.SetTextForeground(col8)
       dc.DrawText("cumulative completeness", int(wppanel/2+20), int(3*hpar)) 
       dc.SetTextForeground('black') 
       
# statistical graphics drawing

       self.ix = [0 for i in range(nbins)] 
       self.iy1 = [0 for i in range(nbins)]
       self.iy2 = [0 for i in range(nbins)]

       dc.SetFont(font1) 
       dc.SetPen(wx.Pen('black', int(hpar)))

       dc.DrawLine(lxmin, lymax, lxmax, lymax)

# coordinates
 
       for i in range(0, nbins):
           self.ix[i]=int(lxmin+(lxmax-lxmin)*i/(nbins-1))        
           self.iy1[i]=int(lymax-(lymax-lymin)*comp[i]) 
           self.iy2[i]=int(lymax-(lymax-lymin)*compc[i])  

       for i in range(0, nbins):

          dc.SetPen(wx.Pen(col7, int(2*hpar))) 
          dc.DrawCircle(self.ix[i], self.iy1[i], int(3*hpar))                 
          if i < nbins-1: dc.DrawLine(self.ix[i], self.iy1[i], self.ix[i+1], self.iy1[i+1]) 
       
          dc.SetPen(wx.Pen(col8, int(2*hpar)))
          dc.DrawCircle(self.ix[i], self.iy2[i], int(3*hpar))    
          if i < nbins-1: dc.DrawLine(self.ix[i], self.iy2[i], self.ix[i+1], self.iy2[i+1])  
        
          dc.SetPen(wx.Pen('black', int(hpar)))

          for k in range(len(iprint)):
           if i == iprint[k]:
            txt = str("%6.2f" % dm[i])     
            dc.DrawLine(self.ix[i], lymin, self.ix[i], lymax) 
            dc.DrawText(txt, self.ix[i]-20, lymax) 
 
       gpanel.Bind(wx.EVT_LEFT_DOWN, self.OnDisplay)

#-------------------------------------
# Display statistical values

    def OnDisplay(self, event):
 
        x, y = event.GetPosition()

        self.gpanel.SetForegroundColour('black') 
        self.gpanel.SetFont(font3)

        for i in range(0, nbins):

         cs= ("%6.2f" % (comp[i]*100))
         cc= ("%6.2f" % (compc[i]*100))
         ex = (x >= self.ix[i]-3 and x <= self.ix[i]+3)
         ey1 = (y >= self.iy1[i]-3 and y <= self.iy1[i]+3)
         ey2 = (y >= self.iy2[i]-3 and y <= self.iy2[i]+3)

         if ex and ey1 : 
           tx1 = wx.StaticText(gpanel, -1, label=cs, pos =(self.ix[i]-15,self.iy1[i]-15)) 
           tx1.SetFont(font1)
         if ex and ey2 :
           tx2 = wx.StaticText(gpanel, -1, label=cc, pos =(self.ix[i]-15,self.iy2[i]-15)) 
           tx2.SetFont(font1)     

#-------------------------------------
# Computation of Patterson curves in x,y,z
    def Curves_Axe(self, evt):
       global npi, nx, ny, nz, cx, cy, cz, mx, my, mz, Ux, Uy, Uz
       global lnumx, lnumy, lnumz, numx, numy, numz, hh, kk, ll

       nx = int(Acell/staxes)
       ny = int(Bcell/staxes)
       nz = int(Ccell/staxes)

       npi = 2*math.pi
       cx = float(npi/nx)
       cy = float(npi/ny)
       cz = float(npi/nz)
 
       mx = int(nx/2)
       my = int(ny/2)
       mz = int(nz/2)
 
       Ux = zeros((nbins,mx))
       Uy = zeros((nbins,my))
       Uz = zeros((nbins,mz))

       hh = arange(0,hmax+1)
       kk = arange(0,kmax+1)
       ll = arange(0,lmax+1)

       nnx = cx*arange(mx)
       nny = cy*arange(my)
       nnz = cz*arange(mz)

       nnx = nnx.reshape(-1,1)
       matr = nnx*hh
       matr = matr.reshape(1,-1)
       matr = np.cos(matr)
       aa = np.size(matr)
       matr = matr.reshape(mx,hmax+1)
       aaa = np.size(matr)
     
       for i in range(nbins):
        Ux[i,0:mx] = dot(matr,numx[i,hmax:])

       nny = nny.reshape(-1,1)
       matr = nny*kk
       matr = matr.reshape(1,-1)
       matr = np.cos(matr)
       matr = matr.reshape(my,kmax+1)
       for i in range(0,nbins):
        Uy[i,0:my] = dot(matr,numy[i,kmax:])

       nnz = nnz.reshape(-1,1)
       matr = nnz*ll
       matr = matr.reshape(1,-1)
       matr = np.cos(matr)
       matr = matr.reshape(mz,lmax+1)     
       for i in range(0,nbins):
        Uz[i,0:mz] = dot(matr,numz[i,0:])

       for i in range(1,nbins): 
           Ux[i,0:mx] = Ux[i,0:mx]+Ux[i-1,0:mx]
           Uy[i,0:my] = Uy[i,0:my]+Uy[i-1,0:my]
           Uz[i,0:mz] = Uz[i,0:mz]+Uz[i-1,0:mz]

# normalisation
  
       for i in range(nbins): 
        normx = Ux[i,0]  
        Ux[i,0:mx] = Ux[i,0:mx]/normx 
        normy = Uy[i,0] 
        Uy[i,0:my] = Uy[i,0:my]/normy 
        normz = Uz[i,0] 
        Uz[i,0:mz] = Uz[i,0:mz]/normz 

#-------------------------------------
# Effective resolution

    def Eff_Res(self, evt):
       global effwin, cnx, cny, cnz, deffx, deffy, deffz

       vx = zeros(mx)
       vy = zeros(my)
       vz = zeros(mz)
      
       deffx, deffy, deffz =[], [], []
  
       cnx = Acell/nx
       cny = Bcell/ny
       cnz = Ccell/nz

       for i in range(nbins): 

# calculate 2nd derivative

# for X
        vx[1:mx-1] = Ux[i,2:mx]+Ux[i,0:mx-2]-2*Ux[i,1:mx-1]
        Ux[i,1:mx-1] = vx[1:mx-1]

        vx[3:mx-3] = (Ux[i,5:mx-1]+Ux[i,4:mx-2]+Ux[i,3:mx-3]+Ux[i,2:mx-4]+Ux[i,1:mx-5])/5.
        if vx[3] > 0.0:
          print('inflection point is too close to the origin', file = fileout)
          tmes.SetValue(' Inflection point is too close to the origin')
          return

        ia = where(vx > 0)
         
        nux1 = ia[0][0]-1
        tx1 = vx[nux1]
        nux2 = ia[0][0]
        tx2 = vx[nux2]
        t = -tx1/(tx2-tx1)
        dx = (nux1+t)*cnx
        deffx.append(2.5*dx)

# for Y
        vy[1:my-1] = Uy[i,2:my]+Uy[i,0:my-2]-2*Uy[i,1:my-1]
        Uy[i,1:my-1] = vy[1:my-1]

        vy[3:my-3] = Uy[i,5:my-1]+Uy[i,4:my-2]+Uy[i,3:my-3]+Uy[i,2:my-4]+Uy[i,1:my-5]
        if vy[3] > 0.0:
          print('inflection point is too close to the origin', file = fileout)
          tmes.SetValue(' Inflection point is too close to the origin')
          return

        ia = where(vy > 0)
        nuy = ia[0][0]-1
        ty1 = vy[nuy]
        ty2 = vy[ia[0][0]]
        t = -ty1/(ty2-ty1)
        dy = (nuy+t)*cny
        deffy.append(2.5*dy)

# for Z
        vz[1:mz-1] = Uz[i,2:mz]+Uz[i,0:mz-2]-2*Uz[i,1:mz-1]
        Uz[i,1:mz-1] = vz[1:mz-1]

        vz[3:mz-3] = Uz[i,5:mz-1]+Uz[i,4:mz-2]+Uz[i,3:mz-3]+Uz[i,2:mz-4]+Uz[i,1:mz-5]
        if vz[3] > 0.0:
          print('inflection point is too close to the origin', file = fileout)
          tmes.SetValue(' Inflection point is too close to the origin')
          return

        ia = where(vz > 0)
        nuz = ia[0][0]-1
        tz1 = vz[nuz]
        tz2 = vz[ia[0][0]]
        t = -tz1/(tz2-tz1)   
        dz = (nuz+t)*cnz
        deffz.append(2.5*dz) 

       deffx.reverse()
       deffy.reverse()
       deffz.reverse()

       print(' ', file = fileout)
       print('  N   dhigh  ind.refl. C(shell)  C(total)  deffx    deffy    deffz', file = fileout)

       bbb = nrfbin[::-1]

       for jb in range(nbins-2,-1,-1):
        jb1 = jb+1
        bbb[jb] = bbb[jb]+bbb[jb1]

       for ib in range(nbins):
        di = dhigh+dstep*ib
        print("%3i" %ib, "%7.3f" %di, "%9i" %bbb[ib], "%8.4f" %comp[ib], "%8.4f" %compc[ib], "%8.3f" %deffx[ib], "%8.3f" %deffy[ib], "%8.3f" %deffz[ib], file = fileout)

       effwin = Eff_Graph(self)

#-------------------------------------
# Choice of radio button for B-factor

    def Swbfac(self, event):
       global bfstate1, bfstate2

       tmes.SetValue("")
       if optwin : optwin.Destroy()
       if hiswin : hiswin.Destroy()
       if wilwin : wilwin.Destroy()

       btnRun3.Enable()
       btnrb1.Enable()
       btnrb2.Enable()
       btnRun4.Disable()

       bfstate1 = True
       bfstate2 = False
       self.rb1.SetValue(bfstate1)
       self.rb2.SetValue(bfstate2)

#-------------------------------------
# Choice of radio button for B-factor

    def Rbfac(self, event):
       global bfstate1, bfstate2, bfac

       if effwin:

        tmes.SetValue("")
        if optwin : optwin.Destroy()
        if hiswin : hiswin.Destroy()
        if wilwin : wilwin.Destroy()

        btnRun3.Enable()
        btnrb1.Enable()
        btnrb2.Enable()
        btnRun4.Disable()

        bfstate1 = self.rb1.GetValue()
        bfstate2 = self.rb2.GetValue()

        if bfstate1:
          self.Bfactor()

        if bfstate2:
          self.BfacWilson()

#-------------------------------------
# B factor

    def Bfactor(self):
       global bfac

       bfac = self.bis.GetValue()       
       try:
         bfac = float(bfac)
       except ValueError:
         tmes.SetValue(" Wrong symbol in the B-factor value")
         return            

#-----------------------------------------------------
# Wilson B-factor

    def BfacWilson(self):
      global delw, wyn, resbin, sigbin, awork, wilwin

      if campl == -1:
         tmes.SetValue(' Amplitudes or intensities are not defined')
         return

      error_mes = tmes.GetValue()   
      if not error_mes:

       if state1 or state2:
 
        c = [0.215600, 2.31000, 1.02000, 1.58860, 0.865000]
        b = [0, 20.8439, 10.2075, 0.568700, 51.6512]

        ssmax = 1./dhigh0**2

        delw = ssmax/nwilson

        resbin = zeros(nwilson+1)  
        resbin[0] =  dlow0 
        resbin[nwilson]= dhigh0
        sigbin = zeros(nwilson)
        wyn = zeros(nwilson)
        awork = zeros(nwilson)

# mean intensity

        for i in range(nrefl): 
         if state1: fbsc = (float(Fobs[i]))**2
         if state2: fbsc = float(Fobs[i])
         if fbsc < fcut and resol[i] >= dhigh and resol[i] <= dlow:
           ah = h_ind[i]
           ak = k_ind[i]
           al = l_ind[i]
           ss = ah*ah*qhh+ak*ak*qkk+al*al*qll+ah*ak*qhk+ah*al*qhl+ak*al*qkl 
           ibin=int(ss/delw)
           if ibin > nwilson-1: ibin = nwilson-1             
           awork[ibin] = awork[ibin]+1
           wyn[ibin] = wyn[ibin]+fbsc

        for i in range(nwilson):
         if awork[i] > 0: wyn[i] = float(wyn[i])/float(awork[i])

        for i in range(nwilson):
         sg = delw*(i+0.5)
         sigbin[i] = sg
         if i != 0: resbin[i] = 1./math.sqrt(delw*i)
         ss4 = sg/4.
         fc = c[0] + c[1]*np.exp(-b[1]*ss4)+c[2]*np.exp(-b[2]*ss4)+c[3]*np.exp(-b[3]*ss4)+c[4]*np.exp(-b[4]*ss4)
         fn = fc**2

         wwc = wyn[i]/fn
         if wwc !=0: wyn[i] = np.log(wwc)

       else: 
        tmes.SetValue(" Amplitudes or intensities are not defined")
        return
  
       wilwin = Wil_Graph(self)

       return

#-------------------------------------
# Get the table of the C-curves

    def Inptab(self, evt):
       global dtab, stab, linftab, nbtab

       nbtab = maxtab
       nrtab = maxres

       dtab = zeros(maxres)
       stab = zeros(maxtab)
       linftab = zeros((maxres,maxtab))


       for i in range(len(filetab)):                                
         line = filetab[i].split() 
  
         if i == 0: 

# read resolution dtab
          for j in range(1,maxres+1):
            dtab[j-1] = float(line[j])

         if i > 0 and len(line) != 0: 

# read sqrt(B) stab 
          stab[i-1] = float(line[0])

# read linftab
          for j in range(1,maxres+1):
           linftab[j-1,i-1] = float(line[j])

         if len(line) == 0: break

       print(' ', file = fileout)
       print('========= table of C scatterers ===========', file = fileout)
       print(' ', file = fileout)
       print('number of intervals on B                  ', "%5i" %nbtab, file = fileout)
       print('minimal and maximal sqrt(B)/dhigh values ', "%10.3f" %stab[0], "%10.3f" %stab[nbtab-1], file = fileout)
       print('number of resolution tables               ', "%5i" %nrtab, file = fileout)
       print('C curves are calculated for the resolutions', file = fileout)
       print(dtab, file = fileout)

       return

#-------------------------------------
# Optical resolution

    def Opt_Res(self, evt):
       global bfac, optwin, doptx, dopty, doptz

       tmes.SetValue("")

       btnRun3.SetBackgroundColour(col1)
       btnRun3.ClearBackground()
       btnRun3.SetLabel('optical resolution along the coordinate axes')

       bfac = self.bis.GetValue()
       try:
         bfac = float(bfac)
       except ValueError:
         tmes.SetValue(" Wrong symbol in the B-factor value")
         return            

       lres = len(deffx)

       doptx = []
       dopty = []
       doptz = []

       print(' ', file = fileout)
       if bfstate1: print('*** optical resolution was calculated for the user-defined B-factor :', "%9.2f" %float(bfac), file = fileout)
       if bfstate2: print('*** optical resolution was calculated for the Wilson B-factor :', "%9.2f" %float(bfac), file = fileout)
       print(' ', file = fileout)
       print('  N   dhigh      doptx    dopty    doptz           dopt*1.25', file = fileout)

       for i in range(nbins):
         deff = deffx[i]
         self.Clinf(deff)
         dpx = dopt*2.0
         dpx1 = dpx*1.25
         doptx.append(dpx)
         deff = deffy[i]
         self.Clinf(deff)
         dpy = dopt*2.0
         dpy1 = dpy*1.25
         dopty.append(dpy)
         deff = deffz[i]
         self.Clinf(deff)
         dpz = dopt*2.0
         dpz1 = dpz*1.25
         doptz.append(dpz)

         print("%3i" %i, "%7.3f" %dm[i], " ", "%8.3f" %dpx, "%8.3f" %dpy, "%8.3f" %dpz, "%8.3f" %dpx1, "%8.3f" %dpy1, "%8.3f" %dpz1, file = fileout)

       self.Limits()

       optwin = Opt_Graph(self)

       btnRun3.SetBackgroundColour('#CDCDC1')
       btnRun3.ClearBackground()
       btnRun3.SetLabel('optical resolution along the coordinate axes')

#-------------------------------------
# Getting (interpolated) G table for the given resolution deff

    def Clinf(self, deff):
       global dopt

       linf = zeros(maxtab)

       for j in range(len(dtab)):

            if deff == dtab[j]: 
              for k in range(len(stab)):
                 linf[k] = linftab[j,k]

            if deff > dtab[maxres-1]: 
              for k in range(len(stab)):
                 linf[k] = linftab[maxres-1,k]
 
            if j < len(dtab)-1 and deff > dtab[j] and deff < dtab[j+1]: 
                dtb = dtab[j+1]-dtab[j]
                for k in range(len(stab)):
                   linf[k] = linftab[j,k]+(linftab[j+1,k]-linftab[j,k])*(deff-dtab[j])/dtb         

# calcul sqrt(B)/deff
   
       sb = math.sqrt(float(bfac))/deff
  
       if sb > stab[maxtab-1]: dopt = deff*math.sqrt(0.5*sb)/(2*math.pi) 
       elif sb <= stab[0]: dopt = linf[0]*deff
       else:

        for j in range(1,len(stab)-1): 
            if sb < stab[j]: 
                t=(sb-stab[j-1])/(stab[j]-stab[j-1])
                t1=1.-t
                dopt = deff*(linf[j-1]*t1+linf[j]*t)
                return
         
#-------------------------------------
# Estimate resolutions along coordinate axes
    def Limits(self):
      global dismin, dismax      

      aemax = max(deffx[0],deffy[0],deffz[0])/2.5
      aemin = min(deffx[0],deffy[0],deffz[0])/2.5

      aomax = max(doptx[0],dopty[0],doptz[0])/2.0
      aomin = min(doptx[0],dopty[0],doptz[0])/2.0

      if aemin > aomin:
        print('minimal distance to the inflection point for a point scatterer is longer than that for the scatterer with B', "%10.5f" %aemin, "%10.5f" %aomin, file = fileout) 
        tmes.SetValue(' Minimal distance to the inflection point for a point scatterer is longer than that for the scatterer with B')
        return
      if aemax > aomax:
        print('maximal distance to the inflection point for a point scatterer is longer than that for the scatterer with B', "%10.5f" %aemax, "%10.5f" %aomax, file = fileout) 
        tmes.SetValue(' Maximal distance to the inflection point for a point scatterer is longer than that for the scatterer with B')
        return

      dismin = aemin*frrad
      dismax = aomax*torad

      return

#-------------------------------------
# Exact resolution along the different directions 
    def Res_Dir(self, evt):  

      btnRun4.SetBackgroundColour(col1)
      btnRun4.ClearBackground()
      btnRun4.SetLabel('resolution along all directions')

# estimate resolutions following all directions

      error_mes = tmes.GetValue()   
      if not error_mes:

       self.Spvect()

# calculate deff for the selected directions

      error_mes = tmes.GetValue()   
      if not error_mes:
      
       self.Vecres() 

       btnRun4.SetBackgroundColour('#CDCDC1')
       btnRun4.ClearBackground()
       btnRun4.SetLabel('resolution along the different directions')
  
#-------------------------------------
    def Spvect(self):

# generate all vectors corresponding to an angular grid in the demisphere z>=0
# the result is a set of unit vectors expressed in cartesian coordinates 

      if metgrd == 1:
        self.Grdeul()
      elif metgrd == 2:
        self.Regul1()
      else:
        print('unknown code to generate the set of vectors', "%5i" %metgrd, file = fileout)
        tmes.SetValue(' Unknown code to generate the set of vectors'+ metgrd)
        return

# convert vectors into the fractional coordinates

      self.Vdeort()

# select independent set of the vectors

      if kvasym > 0: self.Vcasym()

      return

#-------------------------------------
    def Grdeul(self):
      global vect, nvect

      vect = zeros((3,maxvec))

      kphi = [360,180,120,90,72,60,45,40,36,30,24,20,18,15,12,10,9,8,6,5,4,3,2,1]

      nm = 24
 
      if sphgrd < 1.0:
        print('too small grid step to generate vectors to check deff', "%8.5f" % sphgrd, file = fileout)
        print('cannot be smaller than 1.0 degree for the method 1', file = fileout)
        tmes.SetValue(' Too small grid step to generate vectors to check deff' + sphgrd + ' Cannot be <= 1.0 degree for the method 1')
        return

      ivec = -1

      npsi = int(90./sphgrd*1.0001)
      dpsi = 90./npsi
      dpsir = dpsi*grrad

      for ipsi in range(0,npsi+1):
        ii = 0
        psirc = ipsi*dpsir
        rad = np.cos(psirc)
        z  = np.sin(psirc)
        circ = npi*rad
        nphi = int(circ/dpsir*1.001)

        for im in range(1,nm):
          if nphi > kphi[im]:
            nphi = int(kphi[im-1])
            ii = 1
            break
        if ii == 0: nphi = 1

        dphir = npi/nphi
        for iphi in range(0,nphi):
          phir = iphi*dphir
          ivec = ivec+1
          if ivec > maxvec:
            print('too many vectors to analyse deff are generated, increase parameter maxvec= ' % maxvec, file = fileout)
            tmes.SetValue(' Too many vectors to analyse deff are generated, increase parameter maxvec= ' + maxvec)
            return
          vect[0,ivec] = rad*np.cos(phir)
          if math.fabs(vect[0,ivec]) < 0.0000000001: vect[0,ivec] = 0.
          vect[1,ivec] = rad*np.sin(phir)
          if math.fabs(vect[1,ivec]) < 0.0000000001: vect[1,ivec] = 0.
          vect[2,ivec] = z
          if math.fabs(vect[2,ivec]) < 0.0000000001: vect[2,ivec] = 0.
    
      nvect = ivec+1
      print(' ', file = fileout)
      print('vectors are generated in a spherical grid in the demisphere z>=0', file = fileout)
      print('total number of vectors is ', "%10i" % nvect, file = fileout)

      return

#-------------------------------------
    def Regul1(self):
      global vect, nvect, sphgrd

      vect = zeros((3,maxvec))
      ivec = 0
      pi4 = math.pi/4.
      cspi4=1./math.sqrt(2.)

      if sphgrd > 45.0: sphgrd = 45.0
      npsi = int((45./sphgrd)*1.001)
      dpsi = 45./npsi

      print('grid step for the regular grid is recalculated as ',  "%8.4f" % dpsi, file = fileout)    
      
      radsp = 1.0
      radsp2 = radsp*2.
      radcr = float(radsp * math.sqrt(2.))
      drad = float(radcr)/float(npsi)
  
      vect[2,ivec] = radsp

      for ix in range(1,npsi+1):
        rad = float(ix*drad)
        rad2r = rad*float(rad)/float(radsp2)
        z = radsp-rad2r
        argsq = 1.-float(rad2r)/float(radsp2)
        if argsq < 0.0: argsq = 0.0
        xy = rad*math.sqrt(argsq)
        dphi = float(pi4)/float(ix)

        ivec = ivec+4
        if ivec > maxvec:
            print('too many vectors to analyse deff are generated, increase parameter maxvec= ' % maxvec, file = fileout)
            tmes.SetValue(' Too many vectors to analyse deff are generated, increase parameter maxvec= ' + maxvec)

        vect[0,ivec-3] = xy
        vect[1,ivec-3] = 0
        vect[2,ivec-3] = z
        vect[0,ivec-2] = 0
        vect[1,ivec-2] = xy
        vect[2,ivec-2] = z
        vect[0,ivec-1] =-xy
        vect[1,ivec-1] = 0
        vect[2,ivec-1] = z
        vect[0,ivec] = 0
        vect[1,ivec] = -xy
        vect[2,ivec] = z

        if ix > 1:
         for iy in range(1,ix):
          phi = dphi*iy
          x = xy*np.cos(phi)
          y = xy*np.sin(phi)
          ivec = ivec+8
          if ivec > maxvec:
            print('too many vectors to analyse deff are generated, increase parameter maxvec= ' % maxvec, file = fileout)
            tmes.SetValue(' Too many vectors to analyse deff are generated, increase parameter maxvec= ' + maxvec)

          vect[0,ivec-7] = x
          vect[1,ivec-7] = y
          vect[2,ivec-7] = z
          vect[0,ivec-6] = y
          vect[1,ivec-6] = x
          vect[2,ivec-6] = z
          vect[0,ivec-5] =-x
          vect[1,ivec-5] = y
          vect[2,ivec-5] = z
          vect[0,ivec-4] = y
          vect[1,ivec-4] =-x
          vect[2,ivec-4] = z
          vect[0,ivec-3] =-x
          vect[1,ivec-3] =-y
          vect[2,ivec-3] = z
          vect[0,ivec-2] =-y
          vect[1,ivec-2] =-x
          vect[2,ivec-2] = z
          vect[0,ivec-1] = x
          vect[1,ivec-1] =-y
          vect[2,ivec-1] = z
          vect[0,ivec] =-y
          vect[1,ivec] = x
          vect[2,ivec] = z

        ivec = ivec+4
        if ivec > maxvec:
            print('too many vectors to analyse deff are generated, increase parameter maxvec= ' % maxvec, file = fileout)
            tmes.SetValue(' Too many vectors to analyse deff are generated, increase parameter maxvec= ' + maxvec)

        xypi4 = xy*cspi4
        vect[0,ivec-3] = xypi4
        vect[1,ivec-3] = xypi4
        vect[2,ivec-3] = z
        vect[0,ivec-2] = -xypi4
        vect[1,ivec-2] = xypi4
        vect[2,ivec-2] = z
        vect[0,ivec-1] = -xypi4
        vect[1,ivec-1] = -xypi4
        vect[2,ivec-1] = z
        vect[0,ivec] = xypi4
        vect[1,ivec] = -xypi4
        vect[2,ivec] = z

      for i in range(ivec+1):
        if math.fabs(vect[0,i]) < 0.0000000001: vect[0,i] = 0.
        if math.fabs(vect[1,i]) < 0.0000000001: vect[1,i] = 0.
        if math.fabs(vect[2,i]) < 0.0000000001: vect[2,i] = 0.

      nvect = ivec+1
      print(' ', file = fileout)
      print('vectors are generated in a spherical grid in the demisphere z>=0', file = fileout)
      print('total number of vectors is ', "%10i" % nvect, file = fileout)

      return

#-------------------------------------
    def Vdeort(self):
      global vectf

      vectf = zeros((3,nvect))

      cha = (calp-cbet*cgam)/(sbet*sgam)
      sha = math.sqrt(1.-cha**2)
      chb = (cbet-calp*cgam)/(salp*sgam)
      shb = math.sqrt(1.-chb**2)

      axx= 1./Acell
      axy=-axx*cgam/sgam
      axz=-axx*salp*chb/(sbet*sgam*sha)
      ayy= 1./(Bcell*sgam)
      ayz=-ayy*cha/sha
      azz= 1./(Ccell*sbet*sha)

      for ivec in range(0,nvect):
        e1 = vect[0,ivec]
        e2 = vect[1,ivec]
        e3 = vect[2,ivec]

        vectf[0,ivec] = e1*axx+e2*axy+e3*axz
        vectf[1,ivec] = e2*ayy+e3*ayz
        vectf[2,ivec] = e3*azz

      return

#-------------------------------------
    def Vcasym(self):

      ksym = 0

# the vectors are already selected by z >= 0

      for ivec in range(0,nvect):
        xb = vectf[0,ivec]
        yb = vectf[1,ivec]
        zb = vectf[2,ivec]

# (-1) - nothing to do

        jsym = 0

# 2/m
        if jlaue == 1:
          if yb < 0.0: jsym = 1

# mmm
        elif jlaue == 2:
          if xb < 0.0 or yb < 0.0: jsym = 1

# 4/m
        elif jlaue == 3:
          if xb < 0.0 or yb < 0.0: jsym = 1

# 4/mmm
        elif jlaue == 4: 
          if xb < 0.0 or yb < 0.0 or xb < yb: jsym = 1

# (-3)
        elif jlaue == 5:
          if xb < 0.0 or yb < 0.0: jsym = 1


# (-3)m
        elif jlaue == 6:
          if xb < 0.0 or yb < 0.0 or yb < xb*0.5 or yb > xb*2.0: jsym = 1

# 6/m
        elif jlaue == 7:
          if xb < 0.0 or yb < 0.0 or xb < yb: jsym = 1

# 6/mmm
        elif jlaue == 8:
          if xb < 0.0 or yb < 0.0 or 0.5*xb < yb: jsym = 1

# m3
        elif jlaue == 9:
          if xb < 0.0 or yb < 0.0 or (xb > yb and zb > yb) or (xb <= yb and zb > xb): jsym = 1

# m(-3)m
        elif jlaue == 10:
          if xb < 0.0 or yb < 0.0 or xb < yb or zb > yb: jsym = 1

# R3
        elif jlaue == 11:
          if (xb > yb and zb > yb) or (xb <= yb and zb > xb) or xb+yb+zb < 0.0: jsym = 1

# R32
        elif jlaue == 12:
          if xb < yb or zb > yb or xb+yb+zb < 0.0: jsym = 1

        if jsym > 0:
          vectf[2,ivec] = -1.
          ksym = ksym+1

      ddd = nvect-ksym

      print(' ', file = fileout)
      print("%5i" %ksym, ' directions from', "%10i" %nvect, ' removed as symmetry related', file = fileout)
      print('resolution will be analysed for', "%10i" %ddd, ' directions left', file = fileout)

      return

#-------------------------------------
    def Vecres(self):
      global hiswin, nsteps, vcdist, alinf, defmean, rmsd  

      vcdist = [[0,i] for i in range(nvect)]

      nsteps = int((dismax-dismin)/radst)

# calculated distance to the inflection point for each accepted direction (demisphere z>=0)
# removed directions are indicated by z=-1

      kvec = 0
      alinf = 0
      sum0=0.0
      sum1=0.0
      sum2=0.0
 
      for ivec in range(nvect):

        if vectf[2,ivec] >= 0.0:
       
          self.Curves_Dir(ivec)

          self.Deraxe()

          vcdist[ivec][0] = alinf+dismin
          vcdist[ivec][1] = ivec
          wvect = 2.0
          if vectf[2,ivec] < eps: wvect = 1.0
          sum0 = sum0+wvect
          sum1 = sum1+wvect*vcdist[ivec][0]
          sum2=sum2+wvect*vcdist[ivec][0]*vcdist[ivec][0]

          kvec = kvec+1
          if (kvec/10)*10 == kvec:
             print(' vectors analysed : max,curr,asymm,distance', "%8i" %nvect, "%8i" %ivec, "%8i" %kvec, "%9.5f" %vcdist[ivec][0], file = fileout)

        else:
          vcdist[ivec][0] = 0.0
          vcdist[ivec][1] = -1

      defmean = sum1/sum0
      rmsd = math.sqrt(sum2/sum0-defmean*defmean)
      defmean = defmean*2.5
      rmsd = rmsd*2.5

# reorder the results and calculate the statistics

      self.Statvc()

# final results including optical resolution

      self.Result()

      error_mes = tmes.GetValue()  
      if not error_mes:

        hiswin = Hist_Graph(self)

      return

#-------------------------------------
    def Curves_Dir(self, ivec):
      global func

      lfun = nsteps+1

      func = zeros(lfun)

      t1 = vectf[0,ivec]*npi*radst
      t2 = vectf[1,ivec]*npi*radst
      t3 = vectf[2,ivec]*npi*radst

      sc = dismin/radst

      vnsteps = arange(0,nsteps+1)

      aa = (np.nonzero(nmind[0:lnumx,0:lnumy,0:lnumz] > -1))
      laa = len(aa[0])
               
      dphi = (aa[0]-hmax)*t1+(aa[1]-kmax)*t2+aa[2]*t3
      dphi = dphi.reshape(-1,1)
      phi = dphi*sc

      for id in range(0,nsteps):
            cphi    = np.cos(phi+id*dphi)
            func[id] = func[id]+sum(cphi)
      
      return
 
#-------------------------------------
    def Deraxe(self):
      global alinf
 
      func1 = zeros(nsteps+1)
      func2 = zeros(nsteps+1)

# calculate 2nd derivative

      for i in range(1,nsteps-1):
        func1[i] = func[i-1]+func[i+1]-2.*func[i]

# smooth the derivative

      for i in range(3,nsteps-3):
        func2[i] = (func1[i-2]+func1[i-1]+func1[i]+func1[i+1]+func1[i+2])/5.
      
      if func2[3] > 0.0:
        print('inflection point is too close to the origin', file = fileout)
        tmes.SetValue(' Inflection point is too close to the origin')
        return
 
# find the inflection point

      ier = 1

      for i in range(4,nsteps-3):
        if func2[i] > 0:
          fp = func2[i]
          ddr = (fp-0.0)/(fp-func2[i-1])
          alinf = (i-ddr)*radst
          fcut = func[i]/func[0]
          nxinfl=i
          ier = 0
          return

      if ier == 1:
       print('failed to find the inflection point explicitely', file = fileout)
       tmes.SetValue(' Failed to find the inflection point explicitely')
       return

#-------------------------------------
    def Statvc(self):
      global vcdist, khist, dstmin, dstmax, dstmean

      khist = zeros(maxhis)

# skip nul vectors (removed symmetrical copies)

      vcdist.sort()

      for mvec in range(0,nvect):             
        if vcdist[mvec][1] >= 0: 
           vcdist = vcdist[mvec:]
           break

      dstmin = vcdist[0][0]
      dstmax = vcdist[len(vcdist)-1][0]
      dstmean = (dstmin+dstmax)/2.

      dhist = float((dstmax-dstmin))/maxhis  
 
      for i in range(len(vcdist)):

        dist = vcdist[i][0]
        ihis = int((dist-dstmin)/dhist)
        if ihis >= maxhis-1: ihis = maxhis-1
        khist[ihis] = int(khist[ihis]+1)
       
      print(' ', file = fileout)
      print('min and max distance to the inflection point ', "%10.5f" %dstmin,  "%10.5f" %dstmax, file = fileout)
      print('histogram of the effective resolution', file = fileout)
      print(' ', file = fileout)
      print(khist[0:maxhis], file = fileout)

      return

#-------------------------------------  
    def Result(self):
      global ndirv, defmin, defmax, dopmin, dopmax, dopminm, dopmaxm, anise, aniso
      global thig, tlow

      thig = []
      tlow = []

      qxx = Acell*Acell
      qxy = Acell*Bcell*cgam
      qxz = Acell*Ccell*cbet
      qyy = Bcell*Bcell
      qyz = Bcell*Ccell*calp
      qzz = Ccell*Ccell

      lvd = len(vcdist)

      if 2*ndirv >= lvd:
        print('---------------------------------------------------', file = fileout) 
        print('all directions and corresponding resolution ', file = fileout)
        print('      vector (cart)           vector (frac)        vector (recip)   eff.res.    B    dopt  1.25*dopt', file = fileout)    
        ndirv = lvd
      else:
        print('---------------------------------------------------', file = fileout) 
        print('directions with the highest resolution ', file = fileout)
        print('      vector (cart)           vector (frac)        vector (recip)   eff.res.    B    dopt  1.25*dopt', file = fileout)

# highest resolutions 

      for ivec in range(0,ndirv):

        jvec = vcdist[ivec][1]
        xc = vect[0,jvec]
        yc = vect[1,jvec]
        zc = vect[2,jvec]
        xf = vectf[0,jvec]
        yf = vectf[1,jvec]
        zf = vectf[2,jvec]
        xr = xf*qxx+yf*qxy+zf*qxz
        yr = xf*qxy+yf*qyy+zf*qyz
        zr = xf*qxz+yf*qyz+zf*qzz

        dinfl = vcdist[ivec][0]
        deff = dinfl*2.5

# extraction of the optical resolution from the Patterson data

        self.Clinf(deff)

        doptd = dopt*2.0
        dcmpd = dopt*2.5
        if ivec == 0: dopmin = doptd
        if ivec == lvd-1: dopmax = doptd

        thig.append("%6.3f" %xc+"%6.3f" %yc+"%6.3f" %zc+"  %7.4f" %xf+"%7.4f" %yf+"%7.4f" %zf+"  %6.1f" %xr+"%6.1f" %yr+"%6.1f" %zr+"  %6.2f" %float(bfac)+"  %7.3f" %deff+"  %7.3f" %doptd+"  %7.3f" %dcmpd)
        print("%6.3f" %xc, "%6.3f" %yc, "%6.3f" %zc,  " ", "%7.4f" %xf, "%7.4f" %yf, "%7.4f" %zf, "%6.1f" %xr, "%6.1f" %yr, "%6.1f" %zr, "%7.3f" %deff, "%7.2f" %float(bfac), "%7.3f" %doptd, "%7.3f" %dcmpd, file = fileout)

      isw = 0
      if ndirv >= lvd: isw= 1

      if isw == 0:
       print('---------------------------------------------------', file = fileout)
       print('directions with the lowest resolution ', file = fileout)
       print('      vector (cart)           vector (frac)        vector (recip)   eff.res.    B    dopt  1.25*dopt', file = fileout)

       for ivec in range(lvd-1,lvd-ndirv-1,-1):

        jvec = vcdist[ivec][1]
        xc = vect[0,jvec]
        yc = vect[1,jvec]
        zc = vect[2,jvec]
        xf = vectf[0,jvec]
        yf = vectf[1,jvec]
        zf = vectf[2,jvec]
        xr = xf*qxx+yf*qxy+zf*qxz
        yr = xf*qxy+yf*qyy+zf*qyz
        zr = xf*qxz+yf*qyz+zf*qzz

        dinfl = vcdist[ivec][0]
        deff = dinfl*2.5

# extraction of the optical resolution from the Patterson data

        self.Clinf(deff)

        doptd = dopt*2.0
        dcmpd = dopt*2.5
        if ivec == lvd-1: dopmax = doptd

        tlow.append("%6.3f" %xc+"%6.3f" %yc+"%6.3f" %zc+"  %7.4f" %xf+"%7.4f" %yf+"%7.4f" %zf+"  %6.1f" %xr+"%6.1f" %yr+"%6.1f" %zr+"  %6.2f" %float(bfac)+"  %7.3f" %deff+"  %7.3f" %doptd+"  %7.3f" %dcmpd)
        print("%6.3f" %xc, "%6.3f" %yc, "%6.3f" %zc, ' ', "%7.4f" %xf, "%7.4f" %yf, "%7.4f" %zf, "%6.1f" %xr, "%6.1f" %yr, "%6.1f" %zr, "%7.3f" %deff, "%7.2f" %float(bfac), "%7.3f" %doptd, "%7.3f" %dcmpd, file = fileout)
 
      defmin = vcdist[0][0]*2.5
      defmax = vcdist[lvd-1][0]*2.5
      anise = defmin/defmax
      aniso = dopmin/dopmax

      dopminm = dopmin*1.25
      dopmaxm = dopmax*1.25

      print(' ', file = fileout)
      print('min/max deff       ', "%10.5f" %defmin, "%10.5f" %defmax, '     anisotropy ratio', "%9.5f" %anise, '  mean', "%10.5f" %defmean, '  rms', "%8.5f" %rmsd, file = fileout)
      print('corresponding dopt ', "%10.5f" %dopmin, "%10.5f" %dopmax, '     anisotropy ratio', "%9.5f" %aniso, file = fileout)
      print('and dopt*1.25      ', "%10.5f" %dopminm, "%10.5f" %dopmaxm, file = fileout)

      return

#-------------------------------------
# Display of Wilson statistics

class Wil_Graph(wx.Frame):
    def __init__(self, parent) :
       global wpanel, lxwmin, lywmin, xw1, xw2

       wwinw = int(0.70*hd)
       hwinw = int(0.45*hd)

       if imac == 1: 
         wwinw = int(0.55*wd)
         hwinw = int(0.45*hd)

       lxwmin = int(50*wpar)
       lywmin = int(40*hpar) 
       xw1 = lxwmin
       xw2 = int(wwinw-lxwmin) 

       dc = wx.ScreenDC()
       dc.SetFont(font1)
       wfw, hfw = dc.GetTextExtent("Wilson B-factor:")

       wx.Frame.__init__(self, None, -1, title= 'Wilson statistics', pos=(660, int(50*hpar)), size=(wwinw,hwinw),
         style = wx.DEFAULT_FRAME_STYLE & ~(wx.RESIZE_BORDER | wx.MAXIMIZE_BOX)) 

       wpanel = self.wpanel = wx.Panel(self, pos=(0, 0), size=(wwinw, hwinw-bsz))
       wpanel.SetBackgroundColour(wcolor)
       bwpanel = self.bwpanel = wx.Panel(self, pos=(0, hwinw-bsz), size=(wwinw, bsz))

       wpanel.SetCursor(wx.Cursor(wx.CURSOR_PENCIL))

       menuBar4 = wx.MenuBar()
# export
       exportMenu4 = wx.Menu()
       exportMenu4.Append(400, "graphics to png")
       menuBar4.Append(exportMenu4, "Export")
       self.SetMenuBar(menuBar4) 
       self.Bind(wx.EVT_MENU, self.OnToBitmap4, id=400)  

       titw = wx.StaticText(self.wpanel, -1, "Wilson B-factor:", pos =(int(wwinw/2), int(5*hpar)))
       titw.SetFont(font1)

       self.wils = wx.TextCtrl(self.wpanel, -1, str(bfac), pos=(int(wwinw/2+wfw+30), int(5*hpar)), size=(60, int(20*hpar)))     
       self.wils.SetFont(font1)


       btnExit5 = wx.Button(self.bwpanel, -1, 'Close', (int((wwinw-wf1)/2-20), 1), (wf1+40,hf1+10))
       btnExit5.SetBackgroundColour('#CDCDC1') 
       btnExit5.SetFont(font1)
       btnExit5.Bind(wx.EVT_BUTTON, self.OnCloseWil)

##       wx.EVT_CLOSE(self, self.OnCloseWil) 

       wpanel.Bind(wx.EVT_PAINT, self.DcWil)

       btnRun3.Enable()
       btnrb1.Enable()
       btnrb2.Enable()

       self.Show()

#-------------------------------------
# Put DC on the window

    def DcWil(self, evt): 
       global gw4, gh4, lxwmin, lywmin, laxx, laxy, lwx, lwy
 
       error_mes = tmes.GetValue()   
       if not error_mes:

        dcw = wx.PaintDC(self.wpanel)
        dcw.SetBackground(wx.Brush(wcolor))
        dcw.Clear()
        (gw4, gh4) = dcw.GetSize() 
 
        laxx = gw4-lxwmin*2  
        laxy = gh4-lywmin   
        lwx = laxx+lxwmin
        lwy = laxy+lywmin

        self.OnPaintWil(dcw)

#-------------------------------------
# Paint Wilson statistics

    def OnPaintWil(self, dcw): 
      global minwil, wminmax, n1, n2, bfac, bwilson, k

      error_mes = tmes.GetValue()   
      if not error_mes:
 
       lenxy = float(laxx/(nwilson-1))
       lenyy = float(laxy/(nwilson-1))

       minwil = min(wyn)
       maxwil = max(wyn)
       wminmax = np.abs(maxwil-minwil)
         
       self.ix = zeros(nwilson) 
       self.iy = zeros(nwilson)
       self.yint = zeros(nwilson)

       sumsig2 = 0.0
       sumsig4 = 0.0
       sumy = 0.0
       sumys = 0.0
       
       nn = n2-n1 

       for i in range(n1,n2):
        if awork[i] > 0: 
         sb2 = sigbin[i]
         sb4 = sb2**2
         sumsig2 = sumsig2+sb2
         sumsig4 = sumsig4+sb4
         sumy = sumy+wyn[i]
         sumys = sumys+wyn[i]*sb2

       bbf = bfac = -2*(sumsig2*sumy-nn*sumys)/(sumsig2**2-nn*sumsig4) 
                 
       bwilson = float(bfac)

       bfac = "%7.3f" %float(bfac)
       self.wils.SetValue(bfac)
       bis.SetValue(bfac)

       bflist = string.digits + '-' + '.'+ ' '
       for char in bfac:
          if char in bflist: pass
          else: 
           tmes.SetValue("Invalid Wilson B-factor, probably wrong column for the amplitudes or intensities:  " + amplist[campl])
           btnRun3.Disable()
           return 

       if bbf <=0:
        tmes.SetValue("Wilson B-factor < 0, probably wrong column for the amplitudes or intensities:  " + amplist[campl])
        btnRun3.Disable()
        return 

       k = (sumsig2*sumys-sumsig4*sumy)/(sumsig2**2-nn*sumsig4)

       lwil = resbin[n1] 
       lwil = "%6.2f" % lwil
       rwil = resbin[n2]
       rwil = "%6.2f" % rwil 

       for i in range(nwilson):
         self.ix[i] = int(lxwmin+lenxy*i)
         try:
           self.iy[i] = int(lwy-laxy*((wyn[i]-minwil)/wminmax))
         except ValueError:
           return   

         yi = k-0.5*bwilson*sigbin[i]
         self.yint[i] = int(lwy-laxy*((yi-minwil)/wminmax))
      
         if i > 0: 
           dcw.SetPen(wx.Pen(col9,2))
           dcw.DrawLine(int(self.ix[i-1]), int(self.iy[i-1]), int(self.ix[i]), int(self.iy[i])) 

           dcw.SetPen(wx.Pen(col10,2)) 
           dcw.DrawLine(int(self.ix[i-1]), int(self.yint[i-1]), int(self.ix[i]), int(self.yint[i]))

       dcw.SetPen(wx.Pen(col1,2))
       dcw.DrawLine(xw1,lwy,xw1,lywmin)
       dcw.DrawLine(xw2,lwy,xw2,lywmin)

       dc = wx.ScreenDC()
       dc.SetFont(font1)
       wfw, hfw = dc.GetTextExtent("100.00")

       dcw.SetFont(font1)
       dcw.SetTextForeground(col1) 

       dcw.DrawText(lwil, int(xw1-wfw), int(lymin-2*hpar))
       dcw.DrawText(rwil, xw2, int(lymin-2*hpar))

       dcw.SetPen(wx.Pen('black',2))
       dcw.DrawLine(lxwmin,lwy,lwx,lwy)

       wpanel.Bind(wx.EVT_LEFT_DOWN, self.OnDisWil)

#-------------------------------------
# Recalculate Wilson B-factor

    def OnDisWil(self, event):
       global distl, distr, xw1, xw2, n1, n2

       tmes.SetValue("")  

       btnRun4.Disable() 

       self.px, self.py = event.GetPosition()

       if self.px < self.ix[0]: self.px = self.ix[0]
       if self.px > self.ix[nwilson-1]: self.px = self.ix[nwilson-1]

       distl = np.abs(self.px-xw1)
       distr = np.abs(self.px-xw2)

       if distl <= distr: xw1 = self.px
       if distl > distr: xw2 = self.px

       for i in range(nwilson):

         if xw1 > xw2:
           xr = xw1
           xw1 = xw2
           xw2 = xr
         if xw1 != lxwmin:  
          if xw1 >= self.ix[i-1] and xw1 < self.ix[i]: n1 = i-1
         else: n1 = 0
         if xw2 != lwx:  
          if xw2 >= self.ix[i-1] and xw2 < self.ix[i]: n2 = i
         else: n2 = nwilson

       if n2-n1  == 1: 
        tmes.SetValue(" Too small interval")
        return
       self.Refresh()

#-------------------------------------
# Dialog with entering name and dimensions for png file - Wilson B-factor

    def OnToBitmap4(self, evt):
        
        id = evt.GetId()
     
        gwidth = str(gw4)
        gheight = str(gh4)
      
        dlg=wx.Dialog(self, -1, "Export picture to bitmap file",(250,int(250*hpar)),(250,int(180*hpar)))
        mainsizer = wx.BoxSizer(wx.VERTICAL)
        hsizerFile = wx.BoxSizer(wx.HORIZONTAL)
        hsizer1 = wx.BoxSizer(wx.HORIZONTAL)
        hsizer2 = wx.BoxSizer(wx.HORIZONTAL)
        hsizerBtn = wx.BoxSizer(wx.HORIZONTAL)

        label = wx.StaticText(dlg,-1,"File name:", (10,int(10*hpar)))

        dlg.inputFilename = wx.TextCtrl(dlg,-1,"", (80,int(10*hpar)), (160,int(20*hpar)))
        hsizerFile.Add(label,0, wx.ALIGN_CENTRE|wx.ALL, 5)
        hsizerFile.Add(dlg.inputFilename,1, wx.EXPAND|wx.ALL, 5)
        mainsizer.Add(hsizerFile)
        
        labelResWidth = wx.StaticText(dlg, -1, "Width:", (10,int(40*hpar)))
        dlg.inputResWidth = wx.TextCtrl(dlg, -1, value=str(gwidth), pos=(80,int(40*hpar)), size=(50,int(20*hpar)))
        hsizer1.Add(labelResWidth,0,wx.ALL|wx.ALIGN_CENTER|wx.ALIGN_LEFT,5)
        hsizer1.Add(dlg.inputResWidth,0,wx.ALL|wx.ALIGN_CENTER,5)
        labelResHeight = wx.StaticText(dlg, -1, "Height:", (10,int(70*hpar)))
        dlg.inputResHeight = wx.TextCtrl(dlg, -1, value=str(gheight), pos=(80,int(70*hpar)), size=(50,int(20*hpar)))
        hsizer2.Add(labelResHeight,0,wx.ALL|wx.ALIGN_CENTER|wx.ALIGN_LEFT,5)
        hsizer2.Add(dlg.inputResHeight,0,wx.ALL|wx.ALIGN_CENTER,5)

        okBtn = wx.Button(dlg, wx.ID_OK, "OK", (30,100)) 
        cancelBtn = wx.Button(dlg, wx.ID_CANCEL, "Cancel", (130,100))
        hsizerBtn.Add(okBtn,0,wx.ALIGN_CENTER,5)
        hsizerBtn.Add(cancelBtn,0,wx.ALIGN_CENTER,5)
        
        mainsizer.Add(hsizer1, 0, wx.ALL,5)
        mainsizer.Add(hsizer2, 0, wx.ALL,5)
        mainsizer.Add(hsizerBtn, 0, wx.ALL,5)
        self.SetSizer(mainsizer)
   
        self.MakeBitmapFile4(dlg)

#-------------------------------------
# Function makes png file from current image on the screen

    def MakeBitmapFile4(self, dlg):

        if dlg.ShowModal() == wx.ID_OK:  
          width = dlg.inputResWidth.GetValue()
          height = dlg.inputResHeight.GetValue()   
          width = width.strip()
          height = height.strip()
          if len(width) == 0 or width.isspace() == True:
           tmes.SetValue(" Width is not defined")
           return 
          if width.isdigit() == False :
           tmes.SetValue(" Wrong symbol in the width parameter")
           return 
          if len(height) == 0 or height.isspace() == True:
           tmes.SetValue(" Height is not defined")
           return 
          if height.isdigit() == False :
           tmes.SetValue(" Wrong symbol in the height parameter")
           return 
                                    
          pngbuffer = wx.Bitmap(int(dlg.inputResWidth.GetValue()),int(dlg.inputResHeight.GetValue()))
          self.dcc = pngdc = wx.MemoryDC(pngbuffer)
          pngdc.SelectObject(pngbuffer)     
          pngdc.SetBackground(wx.Brush(ccolor))
          pngdc.Clear()
          self.OnPaintWil(pngdc)   
 
          ttt=dlg.inputFilename.GetValue()
          sss=dfile+"/"+ttt
          pngbuffer.SaveFile("%s.png" % sss,wx.BITMAP_TYPE_PNG)
          pngdc.SelectObject(wx.NullBitmap)

#-------------------------------------
# Close Wilson window 

    def OnCloseWil(self, evt):
        self.Destroy()

#-------------------------------------
# Display of effective resolution

class Eff_Graph(wx.Frame):
    def __init__(self, parent) :
       global wf0, hf0, wf1, hf1, wf2, hf2, wf21, wf22, weff, heff, laxe

       dc = wx.ScreenDC()
       dc.SetFont(font0)
       wf0, hf0 = dc.GetTextExtent("100.00")
       dc.SetFont(font1)
       wf1, hf1 = dc.GetTextExtent("Clean")
       dc.SetFont(font2)
       wf2, hf2 = dc.GetTextExtent("Effective resolution along the coordinate axes")
       wf21, hf21 = dc.GetTextExtent("a")
       wf22, hf22 = dc.GetTextExtent("resolution cut-off")

       laxe = 10*(wf0+3)

       weff1 =  wf2+3*(wf21+10)+100
       weff2 = 40+laxe+wf22+30
       weff = max(weff1,weff2)

       heff = hf2+laxe+hf0+40

       wx.Frame.__init__(self, None, -1, title= 'Effective resolution', pos=(int(620*wpar), int(40*hpar)), size=(weff,heff+bsz),
        style = wx.DEFAULT_FRAME_STYLE & ~(wx.RESIZE_BORDER | wx.MAXIMIZE_BOX)) 

       spanel = self.spanel = wx.Panel(self, pos=(0, 0), size=(weff, heff))
       spanel.SetBackgroundColour(scolor)
       bspanel = self.bspanel = wx.Panel(self, pos=(0, heff), size=(weff, bsz))

       menuBar1 = wx.MenuBar()
# export
       exportMenu1 = wx.Menu()
       exportMenu1.Append(100, "graphics to png")
       menuBar1.Append(exportMenu1, "Export")
       self.SetMenuBar(menuBar1) 
       self.Bind(wx.EVT_MENU, self.OnToBitmap1, id=100) 

       btnUpd2 = wx.Button(self.bspanel, -1, 'Clean', (int(weff/2-wf1-70), 0), (wf1+40,hf1+10))
       btnUpd2.SetFont(font1)
       btnUpd2.SetBackgroundColour('#CDCDC1') 
       btnUpd2.Bind(wx.EVT_BUTTON, self.Clean_Eff) 

       btnExit2 = wx.Button(self.bspanel, -1, 'Close', (int(weff/2+30), 0), (wf1+40,hf1+10))
       btnExit2.SetFont(font1)
       btnExit2.SetBackgroundColour('#CDCDC1') 
       btnExit2.Bind(wx.EVT_BUTTON, self.OnCloseWstat)

##       wx.EVT_CLOSE(self, self.OnCloseWstat) 

       spanel.Bind(wx.EVT_PAINT, self.DcEff)

       self.Show()

#-------------------------------------
# Clean eff

    def Clean_Eff(self, evt): 
       global effwin

       if effwin : effwin.Destroy()
       effwin = Eff_Graph(self)

#-------------------------------------
# Put DC on the window

    def DcEff(self, evt): 
       global gw1, gh1 
 
       error_mes = tmes.GetValue()   
       if not error_mes:

        dc = wx.PaintDC(self.spanel)
        dc.SetBackground(wx.Brush(scolor))
 
        dc.Clear()
        (gw1, gh1) = dc.GetSize() 
        self.OnPaintEff(dc)

#-------------------------------------
# Paint effective resolution

    def OnPaintEff(self, dc): 
       global lxrmin, lyrmin, laxe, lslcx, lslcy, lenxy, sted, ilaxe, ilaxe1

       lxrmin = 40
       lyrmin = hf2+20

       lslcx = laxe+lxrmin
       lslcy = laxe+lyrmin

       lenxy = float(laxe/(nbins-1))

       maxxyz = max(max(deffx),max(deffy),max(deffz))  
       minxyz = min(min(deffx),min(deffy),min(deffz))   
       dminmax = maxxyz-minxyz
       steff = dminmax/(nbins-1)
       steff1 = dminmax/9.
       dd = dmax-dhigh
       sted = dd/9.
         
       self.ix = zeros(nbins)
       self.iyx = zeros(nbins)
       self.iyy = zeros(nbins)
       self.iyz = zeros(nbins)

       dc.SetFont(font2)   
       dc.SetTextForeground('black')  
       dc.DrawText('Effective resolution along the coordinate axes', 10, int(5*hpar))

       dc.SetTextForeground(col1)  
       dc.DrawText('a', wf2+80, int(5*hpar)) 
       dc.SetTextForeground(col2)  
       dc.DrawText('b', wf2+80+wf21+10, int(5*hpar)) 
       dc.SetTextForeground(col3)  
       dc.DrawText('c', wf2+80+2*(wf21+10), int(5*hpar)) 

       ilaxe = float(laxe)/(len(iprint)-1)
       ilaxe1 = laxe/9.

       for i in range(nbins):
        self.ix[i] = int(lxrmin+lenxy*i)

        self.iyx[i] = lslcy-laxe*((deffx[i]-minxyz)/dminmax)
        self.iyy[i] = lslcy-laxe*((deffy[i]-minxyz)/dminmax)
        self.iyz[i] = lslcy-laxe*((deffz[i]-minxyz)/dminmax)

        dc.SetPen(wx.Pen(col1,2)) 
        dc.DrawCircle(int(self.ix[i]), int(self.iyx[i]), int(3*hpar))   
        if i > 0: 
           dc.DrawLine(int(self.ix[i-1]), int(self.iyx[i-1]), int(self.ix[i]), int(self.iyx[i])) 
 
        dc.SetPen(wx.Pen(col2,2)) 
        dc.DrawCircle(int(self.ix[i]), int(self.iyy[i]), int(3*hpar)) 
        if i > 0: 
           dc.DrawLine(int(self.ix[i-1]), int(self.iyy[i-1]), int(self.ix[i]), int(self.iyy[i]))

        dc.SetPen(wx.Pen(col3,2))
        dc.DrawCircle(int(self.ix[i]), int(self.iyz[i]), int(int(3*hpar)))   
        if i > 0: 
           dc.DrawLine(int(self.ix[i-1]), int(self.iyz[i-1]), int(self.ix[i]), int(self.iyz[i]))  

        if nbins <= 10:
         deff = minxyz+steff*(nbins-1-i)
         cly = int(lyrmin+ilaxe*i)
         clx = int(self.ix[i])
           
         txt = str("%6.2f" % dm[i])
         txtc = str("%6.2f" % deff)

         dc.SetPen(wx.Pen('black',1)) 
         dc.DrawLine(lxrmin, cly, lslcx, cly)        

         dc.SetFont(font0)  
         dc.SetTextForeground('black')  
         dc.DrawText(txt, int(clx-wf0/2), lslcy+hf0-3) 
         dc.DrawText(txtc, lxrmin-wf0, int(cly-int(5*hpar))) 

       if nbins > 10:
        for i in range(10):
         deff = maxxyz-steff1*i
         cly = lyrmin+ilaxe1*i
         ddd = dhigh+sted*i 
         clx = lxrmin+ilaxe1*i
           
         txt = str("%6.2f" % ddd)
         txtc = str("%6.2f" % deff)

         dc.SetPen(wx.Pen('black',1)) 
         dc.DrawLine(lxrmin, cly, lslcx, cly)        

         dc.SetFont(font0)   
         dc.SetTextForeground('black')  
         dc.DrawText(txt, clx-wf0/2, lslcy+hf0-3) 
         dc.DrawText(txtc, lxrmin-wf0, int(cly-5*hpar)) 
        
       dc.SetPen(wx.Pen('black',2))
       dc.DrawLine(lxrmin,lslcy,lxrmin,lyrmin)
       dc.DrawLine(lxrmin,lslcy,lxrmin+laxe,lslcy)
       dc.SetFont(font2)   
       dc.DrawText('resolution cut-off',lxrmin+laxe+5,int(lslcy-7*hpar)) 

       self.spanel.Bind(wx.EVT_LEFT_DOWN, self.OnDisEff)

       btnRun1.Enable()
       btnrb1.Enable() 
       btnrb2.Enable()
       btnRun3.Enable()

#-------------------------------------
# Display value

    def OnDisEff(self, event):

        x, y = event.GetPosition()

        self.spanel.SetForegroundColour('black') 
        self.spanel.SetFont(font0)

        for i in range(nbins):

         ex = (x >= self.ix[i]-3 and x <= self.ix[i]+3)

         eyx = (y >= self.iyx[i]-3 and y <= self.iyx[i]+3)
         eyy = (y >= self.iyy[i]-3 and y <= self.iyy[i]+3)
         eyz = (y >= self.iyz[i]-3 and y <= self.iyz[i]+3)
         
         if ex and eyx :    
            cfxyz= ("%6.2f" % deffx[i])  
            tx1 = wx.StaticText(self.spanel, -1, label=cfxyz, pos =(int(self.ix[i]),int(self.iyx[i]-12)))
            tx1.SetFont(font1)
         if ex and eyy : 
            cfxyz= ("%6.2f" % deffy[i])        
            tx2 = wx.StaticText(self.spanel, -1, label=cfxyz, pos =(int(self.ix[i]),int(self.iyy[i]-12))) 
            tx2.SetFont(font1)
         if ex and eyz :    
            cfxyz= ("%6.2f" % deffz[i])   
            tx3 = wx.StaticText(self.spanel, -1, label=cfxyz, pos =(int(self.ix[i]),int(self.iyz[i]-12)))   
            tx3.SetFont(font1)

#-------------------------------------
# Close graphics window 

    def OnCloseWstat(self, evt):
        self.Destroy()

#-------------------------------------
# Dialog with entering name and dimensions for png file -statistics

    def OnToBitmap1(self, evt):
        
        id = evt.GetId()
        gwidth = str(gw1)
        gheight = str(gh1)
      
        dlg=wx.Dialog(self, -1, "Export picture to bitmap file",(250,int(250*hpar)),(250,int(180*hpar)))
        mainsizer = wx.BoxSizer(wx.VERTICAL)
        hsizerFile = wx.BoxSizer(wx.HORIZONTAL)
        hsizer1 = wx.BoxSizer(wx.HORIZONTAL)
        hsizer2 = wx.BoxSizer(wx.HORIZONTAL)
        hsizerBtn = wx.BoxSizer(wx.HORIZONTAL)

        label = wx.StaticText(dlg,-1,"File name:", (10,int(10*hpar)))

        dlg.inputFilename = wx.TextCtrl(dlg,-1,"", (80,int(10*hpar)), (160,int(20*hpar)))
        hsizerFile.Add(label,0, wx.ALIGN_CENTRE|wx.ALL, 5)
        hsizerFile.Add(dlg.inputFilename,1, wx.EXPAND|wx.ALL, 5)
        mainsizer.Add(hsizerFile)
        
        labelResWidth = wx.StaticText(dlg, -1, "Width:", (10,int(40*hpar)))
        dlg.inputResWidth = wx.TextCtrl(dlg, -1, value=str(gwidth), pos=(80,int(40*hpar)), size=(50,int(20*hpar)))
        hsizer1.Add(labelResWidth,0,wx.ALL|wx.ALIGN_CENTER|wx.ALIGN_LEFT,5)
        hsizer1.Add(dlg.inputResWidth,0,wx.ALL|wx.ALIGN_CENTER,5)
        labelResHeight = wx.StaticText(dlg, -1, "Height:", (10,int(70*hpar)))
        dlg.inputResHeight = wx.TextCtrl(dlg, -1, value=str(gheight), pos=(80,int(70*hpar)), size=(50,int(20*hpar)))
        hsizer2.Add(labelResHeight,0,wx.ALL|wx.ALIGN_CENTER|wx.ALIGN_LEFT,5)
        hsizer2.Add(dlg.inputResHeight,0,wx.ALL|wx.ALIGN_CENTER,5)

        okBtn = wx.Button(dlg, wx.ID_OK, "OK", (30,100)) 
        cancelBtn = wx.Button(dlg, wx.ID_CANCEL, "Cancel", (130,100))
        hsizerBtn.Add(okBtn,0,wx.ALIGN_CENTER,5)
        hsizerBtn.Add(cancelBtn,0,wx.ALIGN_CENTER,5)
        
        mainsizer.Add(hsizer1, 0, wx.ALL,5)
        mainsizer.Add(hsizer2, 0, wx.ALL,5)
        mainsizer.Add(hsizerBtn, 0, wx.ALL,5)
        self.SetSizer(mainsizer)
   
        self.MakeBitmapFile1(dlg)

#-------------------------------------
# Function makes png file from current image on the screen

    def MakeBitmapFile1(self, dlg):

        if dlg.ShowModal() == wx.ID_OK:  
          width = dlg.inputResWidth.GetValue()
          height = dlg.inputResHeight.GetValue()   
          width = width.strip()
          height = height.strip()
          if len(width) == 0 or width.isspace() == True:
           tmes.SetValue(" Width is not defined")
           return 
          if width.isdigit() == False :
           tmes.SetValue(" Wrong symbol in the width parameter")
           return 
          if len(height) == 0 or height.isspace() == True:
           tmes.SetValue(" Height is not defined")
           return 
          if height.isdigit() == False :
           tmes.SetValue(" Wrong symbol in the height parameter")
           return 
                                    
          pngbuffer = wx.Bitmap(int(dlg.inputResWidth.GetValue()),int(dlg.inputResHeight.GetValue()))
          pngdc = wx.MemoryDC(pngbuffer)
          pngdc.SelectObject(pngbuffer)     
          pngdc.SetBackground(wx.Brush(scolor))
          pngdc.Clear()
          self.OnPaintEff(pngdc)       
 
          ttt=dlg.inputFilename.GetValue()
          sss=dfile+"/"+ttt
          pngbuffer.SaveFile("%s.png" % sss,wx.BITMAP_TYPE_PNG)
          pngdc.SelectObject(wx.NullBitmap)

#-------------------------------------
# Display of optical resolution

class Opt_Graph(wx.Frame):
    def __init__(self, parent) :

       if optwin: optwin.Destroy()
       if hiswin : hiswin.Destroy()

       btnRun4.Disable()

       wx.Frame.__init__(self, None, -1, title= 'Optical resolution', pos=(int(640*wpar), int(120*hpar)), size=(weff,heff+bsz),
        style = wx.DEFAULT_FRAME_STYLE & ~(wx.RESIZE_BORDER | wx.MAXIMIZE_BOX)) 

       tpanel = self.tpanel = wx.Panel(self, pos=(0, 0), size=(weff, heff))
       tpanel.SetBackgroundColour(tcolor)
       btpanel = self.btpanel = wx.Panel(self, pos=(0, heff), size=(weff, bsz))

       menuBar2 = wx.MenuBar()
# export
       exportMenu2 = wx.Menu()
       exportMenu2.Append(200, "graphics to png")
       menuBar2.Append(exportMenu2, "Export")
       self.SetMenuBar(menuBar2) 
       self.Bind(wx.EVT_MENU, self.OnToBitmap2, id=200) 

       btnUpd3 = wx.Button(self.btpanel, -1, 'Clean', (int(weff/2-wf1-70), 0), (wf1+40,hf1+10))
       btnUpd3.SetFont(font1)
       btnUpd3.SetBackgroundColour('#CDCDC1') 
       btnUpd3.Bind(wx.EVT_BUTTON, self.Clean_Opt) 

       btnExit3 = wx.Button(self.btpanel, -1, 'Close', (int(weff/2+30), 0), (wf1+40,hf1+10))
       btnExit3.SetFont(font1)
       btnExit3.SetBackgroundColour('#CDCDC1') 
       btnExit3.Bind(wx.EVT_BUTTON, self.OnCloseVstat)

##       wx.EVT_CLOSE(self, self.OnCloseVstat) 

       tpanel.Bind(wx.EVT_PAINT, self.DcOpt)

       self.Show()

#-------------------------------------
# Clean opt

    def Clean_Opt(self, evt): 
       global optwin

       if optwin : optwin.Destroy()
       optwin = Opt_Graph(self)

#-------------------------------------
# Put DC on the window

    def DcOpt(self, evt): 
       global gw2, gh2 
 
       error_mes = tmes.GetValue()   
       if not error_mes:

        dc = wx.PaintDC(self.tpanel)
        dc.SetBackground(wx.Brush(tcolor))
        dc.Clear()
        (gw2, gh2) = dc.GetSize()
        self.OnPaintOpt(dc)

#-------------------------------------
# Paint optical resolution

    def OnPaintOpt(self, dc): 

       maxxyz = max(max(doptx),max(dopty),max(doptz))  
       minxyz = min(min(doptx),min(dopty),min(doptz))   
       dminmax = maxxyz-minxyz
       stopt = dminmax/(nbins-1)
       stopt1 = dminmax/9.
         
       self.ix = zeros(nbins) 
       self.iyx = zeros(nbins)
       self.iyy = zeros(nbins)
       self.iyz = zeros(nbins)

       dc.SetFont(font2)   
       dc.SetTextForeground('black')  
       dc.DrawText('Optical resolution along the coordinate axes', 10, int(5*hpar)) 

       dc.SetTextForeground(col1)  
       dc.DrawText('a', wf2+80, int(5*hpar)) 
       dc.SetTextForeground(col2)  
       dc.DrawText('b', wf2+80+wf21+10, int(5*hpar)) 
       dc.SetTextForeground(col3)  
       dc.DrawText('c', wf2+80+2*(wf21+10), int(5*hpar)) 

       for i in range(nbins):
        self.ix[i] = lxrmin+lenxy*i

        self.iyx[i] = lslcy-laxe*((doptx[i]-minxyz)/dminmax)
        self.iyy[i] = lslcy-laxe*((dopty[i]-minxyz)/dminmax)
        self.iyz[i] = lslcy-laxe*((doptz[i]-minxyz)/dminmax)

        dc.SetPen(wx.Pen(col1,2)) 
        dc.DrawCircle(int(self.ix[i]), int(self.iyx[i]), int(3*hpar))   
        if i > 0: 
           dc.DrawLine(int(self.ix[i-1]), int(self.iyx[i-1]), int(self.ix[i]), int(self.iyx[i])) 
 
        dc.SetPen(wx.Pen(col2,2)) 
        dc.DrawCircle(int(self.ix[i]), int(self.iyy[i]), int(3*hpar)) 
        if i > 0: 
           dc.DrawLine(int(self.ix[i-1]), int(self.iyy[i-1]), int(self.ix[i]), int(self.iyy[i]))

        dc.SetPen(wx.Pen(col3,2))
        dc.DrawCircle(int(self.ix[i]), int(self.iyz[i]), int(3*hpar))   
        if i > 0: 
           dc.DrawLine(int(self.ix[i-1]), int(self.iyz[i-1]), int(self.ix[i]), int(self.iyz[i]))  

        if nbins <= 10:
         dopt = minxyz+stopt*(nbins-1-i)
         cly = lyrmin+ilaxe*i
         clx = self.ix[i]
           
         txt = str("%6.2f" % dm[i])
         txtc = str("%6.2f" % dopt) 

         dc.SetPen(wx.Pen('black',1)) 
         dc.DrawLine(int(lxrmin), int(cly), int(lslcx), int(cly))        

         dc.SetFont(font0)  
         dc.SetTextForeground('black')  
         dc.DrawText(txt, int(clx-wf0/2), lslcy+hf0-3) 
         dc.DrawText(txtc, lxrmin-wf0, int(cly-5*hpar)) 

       if nbins > 10:
        for i in range(10):
         dopt = maxxyz-stopt1*i
         cly = lyrmin+ilaxe1*i
         ddd = dhigh+sted*i 
         clx = lxrmin+ilaxe1*i
           
         txt = str("%6.2f" % ddd)
         txtc = str("%6.2f" % dopt)

         dc.SetPen(wx.Pen('black',1)) 
         dc.DrawLine(lxrmin, cly, lslcx, cly)        

         dc.SetFont(font0)   
         dc.SetTextForeground('black')  
         dc.DrawText(txt, int(clx-wf0/2), lslcy+hf0-3) 
         dc.DrawText(txtc, lxrmin-wf0, int(cly-5*hpar)) 

       dc.SetPen(wx.Pen('black',2))
       dc.DrawLine(lxrmin,lslcy,lxrmin,lyrmin)
       dc.DrawLine(lxrmin,lslcy,lxrmin+laxe,lslcy)
       dc.SetFont(font2)   
       dc.DrawText('resolution cut-off',lxrmin+laxe+5, int(lslcy-7*hpar)) 

       self.tpanel.Bind(wx.EVT_LEFT_DOWN, self.OnDisOpt)

       btnRun4.Enable()

#-------------------------------------
# Display value

    def OnDisOpt(self, event):
 
        x, y = event.GetPosition()

        self.tpanel.SetForegroundColour('black') 
        self.tpanel.SetFont(font0)

        for i in range(0, nbins):

         ex = (x >= self.ix[i]-3 and x <= self.ix[i]+3)

         eyx = (y >= self.iyx[i]-3 and y <= self.iyx[i]+3)
         eyy = (y >= self.iyy[i]-3 and y <= self.iyy[i]+3)
         eyz = (y >= self.iyz[i]-3 and y <= self.iyz[i]+3)
         
         if ex and eyx : 
            cfxyz= ("%6.2f" % doptx[i])            
            tx1 = wx.StaticText(self.tpanel, -1, label=cfxyz, pos =(int(self.ix[i]), int(self.iyx[i]-12))) 
            tx1.SetFont(font1)
         if ex and eyy : 
            cfxyz= ("%6.2f" % dopty[i])         
            tx2 = wx.StaticText(self.tpanel, -1, label=cfxyz, pos =(int(self.ix[i]), int(self.iyy[i]-12))) 
            tx2.SetFont(font1)
         if ex and eyz : 
            cfxyz= ("%6.2f" % doptz[i])       
            tx3 = wx.StaticText(self.tpanel, -1, label=cfxyz, pos =(int(self.ix[i]), int(self.iyz[i]-12)))   
            tx3.SetFont(font1)

#-------------------------------------
# Close graphics window 

    def OnCloseVstat(self, evt):
        self.Destroy()

#-------------------------------------
# Dialog with entering name and dimensions for png file -statistics

    def OnToBitmap2(self, evt):
        
        id = evt.GetId()

        gwidth = str(gw2)
        gheight = str(gh2)
      
        dlg=wx.Dialog(self, -1, "Export picture to bitmap file",(250,int(250*hpar)),(250,int(180*hpar)))
        mainsizer = wx.BoxSizer(wx.VERTICAL)
        hsizerFile = wx.BoxSizer(wx.HORIZONTAL)
        hsizer1 = wx.BoxSizer(wx.HORIZONTAL)
        hsizer2 = wx.BoxSizer(wx.HORIZONTAL)
        hsizerBtn = wx.BoxSizer(wx.HORIZONTAL)

        label = wx.StaticText(dlg,-1,"File name:", (10,int(10*hpar)))

        dlg.inputFilename = wx.TextCtrl(dlg,-1,"", (80,int(10*hpar)), (160,int(20*hpar)))
        hsizerFile.Add(label,0, wx.ALIGN_CENTRE|wx.ALL, 5)
        hsizerFile.Add(dlg.inputFilename,1, wx.EXPAND|wx.ALL, 5)
        mainsizer.Add(hsizerFile)
        
        labelResWidth = wx.StaticText(dlg, -1, "Width:", (10,int(40*hpar)))
        dlg.inputResWidth = wx.TextCtrl(dlg, -1, value=str(gwidth), pos=(80,int(40*hpar)), size=(50,int(20*hpar)))
        hsizer1.Add(labelResWidth,0,wx.ALL|wx.ALIGN_CENTER|wx.ALIGN_LEFT,5)
        hsizer1.Add(dlg.inputResWidth,0,wx.ALL|wx.ALIGN_CENTER,5)
        labelResHeight = wx.StaticText(dlg, -1, "Height:", (10,int(70*hpar)))
        dlg.inputResHeight = wx.TextCtrl(dlg, -1, value=str(gheight), pos=(80,int(70*hpar)), size=(50,int(20*hpar)))
        hsizer2.Add(labelResHeight,0,wx.ALL|wx.ALIGN_CENTER|wx.ALIGN_LEFT,5)
        hsizer2.Add(dlg.inputResHeight,0,wx.ALL|wx.ALIGN_CENTER,5)

        okBtn = wx.Button(dlg, wx.ID_OK, "OK", (30,100)) 
        cancelBtn = wx.Button(dlg, wx.ID_CANCEL, "Cancel", (130,100))
        hsizerBtn.Add(okBtn,0,wx.ALIGN_CENTER,5)
        hsizerBtn.Add(cancelBtn,0,wx.ALIGN_CENTER,5)
        
        mainsizer.Add(hsizer1, 0, wx.ALL,5)
        mainsizer.Add(hsizer2, 0, wx.ALL,5)
        mainsizer.Add(hsizerBtn, 0, wx.ALL,5)
        self.SetSizer(mainsizer)
   
        self.MakeBitmapFile2(dlg)

#-------------------------------------
# Function makes png file from current image on the screen

    def MakeBitmapFile2(self, dlg):

        if dlg.ShowModal() == wx.ID_OK:  
          width = dlg.inputResWidth.GetValue()
          height = dlg.inputResHeight.GetValue()   
          width = width.strip()
          height = height.strip()
          if len(width) == 0 or width.isspace() == True:
           tmes.SetValue(" Width is not defined")
           return 
          if width.isdigit() == False :
           tmes.SetValue(" Wrong symbol in the width parameter")
           return 
          if len(height) == 0 or height.isspace() == True:
           tmes.SetValue(" Height is not defined")
           return 
          if height.isdigit() == False :
           tmes.SetValue(" Wrong symbol in the height parameter")
           return 
                                    
          pngbuffer = wx.Bitmap(int(dlg.inputResWidth.GetValue()),int(dlg.inputResHeight.GetValue()))
          pngdc = wx.MemoryDC(pngbuffer)
          pngdc.SelectObject(pngbuffer)     
          pngdc.SetBackground(wx.Brush(tcolor))
          pngdc.Clear()  
          self.OnPaintOpt(pngdc)      
 
          ttt=dlg.inputFilename.GetValue()
          sss=dfile+"/"+ttt
          pngbuffer.SaveFile("%s.png" % sss,wx.BITMAP_TYPE_PNG)
          pngdc.SelectObject(wx.NullBitmap)

#-------------------------------------
# Display of selected curves

class Hist_Graph(wx.Frame):
    def __init__(self, parent) :
       global wwinh, hwinh, lpanel, lyrmin, lyr, wsum, wsum1
       global wfh0, hfh0, wfh1, hfh1, wfh11, hfh11, wfh12, hfh12, wfh13, hfh13
       global wfh14, hfh14, wfh15, wfh16, wfh2, hfh2, wfh21, hfh21, wfh4, hfh4, wfh6, hfh6, wfh61, hfh61

       if hiswin : hiswin.Destroy() 

       dc = wx.ScreenDC()
       dc.SetFont(font0)
       wfh0, hfh0 = dc.GetTextExtent("10.00000") 
       dc.SetFont(font1)
       wfh1, hfh1 = dc.GetTextExtent("Exit")
       dc.SetFont(font2)
       wfh11, hfh11 = dc.GetTextExtent("(all selected reflections taken)")
       wfh12, hfh12 = dc.GetTextExtent("effective resolution varies from")
       wfh13, hfh13 = dc.GetTextExtent("to")
       wfh14, hfh14 = dc.GetTextExtent("anisotropy ratio")
       wfh15, hfh15 = dc.GetTextExtent("mean effective resolution")
       wfh16, hfh16 = dc.GetTextExtent("rms")  
       wfh2, hfh2 = dc.GetTextExtent("Histogram of the effective resolution")
       wfh21, hfh21 = dc.GetTextExtent("Directions with the highest resolution")
       wfh4, hfh4 = dc.GetTextExtent("1000.000") 
       dc.SetFont(font6)
       wfh6, hfh6 = dc.GetTextExtent("vector(cartesian)  vector(fractional)  vector(reciprocal) B-fact effective optical opt*1.25")
       wfh61, hfh61 = dc.GetTextExtent("v")

       wwinh = wfh6+100

       shp = int(0.4*hd)       
       slp = int(2*hfh21+8*hfh6+hfh1+215)
       hwinh = shp+slp

       wsum = wfh15+wfh16+2*wfh4+30 
       wsum1 = wfh12+wfh13+wfh14+3*wfh4+50 
       hsum1 = 2*hfh4+60

       lyrmin = 2*hfh2+20
       lyr = shp-hsum1

       wx.Frame.__init__(self, None, -1, title= 'Histogram', pos=(int(670*wpar), int(40*hpar)), size=(wwinh,hwinh),
        style = wx.DEFAULT_FRAME_STYLE & ~(wx.RESIZE_BORDER | wx.MAXIMIZE_BOX)) 

       self.hpanel = wx.Panel(self, -1, pos=(0, 0), size=(wwinh, shp))
       self.hpanel.SetBackgroundColour(ccolor)
       lpanel = self.lpanel = wx.Panel(self, -1, pos=(0, shp), size=(wwinh, slp))

# export

       menuBar3 = wx.MenuBar()
       exportMenu3 = wx.Menu()
       exportMenu3.Append(300, "graphics to png")
       menuBar3.Append(exportMenu3, "Export")
       self.SetMenuBar(menuBar3) 
       self.Bind(wx.EVT_MENU, self.OnToBitmap3, id=300)  

       self.hpanel.Bind(wx.EVT_PAINT, self.DcHis)

       wch = int(wwinh/2-wfh21/2)
 
       tith = wx.StaticText(lpanel, -1, "Directions with the highest resolution", pos =(wch,10))
       tith.SetFont(font2)
       tith1 = wx.StaticText(lpanel, -1, "vector(cartesian)     vector(fractional)   vector(reciprocal)  B-fact effective optical opt*1.25", pos =(10+wfh61,hfh21+20))
       tith1.SetFont(font6)
       tvec = wx.ListBox(lpanel, choices= thig, pos =(5,hfh21+hfh6+25), size=(wwinh-30,3*hfh6+30))
       tvec.SetFont(font6)

       titl = wx.StaticText(lpanel, -1, "Directions with the lowest resolution", pos =(wch,hfh21+4*hfh6+70))
       titl.SetFont(font2) 

       titl1 = wx.StaticText(lpanel, -1, "vector(cartesian)     vector(fractional)   vector(reciprocal)  B-fact effective optical opt*1.25", pos =(10+wfh61,2*hfh21+4*hfh6+80))
       titl1.SetFont(font6)
       lvec = wx.ListBox(lpanel, choices= tlow, pos =(5,2*hfh21+5*hfh6+85), size=(wwinh-30,3*hfh6+30))
       lvec.SetFont(font6)

       btnExit4 = wx.Button(lpanel, -1, 'Close', (int(wwinh/2-2*wfh1), 2*hfh21+8*hfh6+135))
       btnExit4.SetBackgroundColour('#CDCDC1') 
       btnExit4.SetFont(font1)
       btnExit4.Bind(wx.EVT_BUTTON, self.OnCloseWhis)

##       wx.EVT_CLOSE(self, self.OnCloseWhis) 

       self.Show()

#-------------------------------------
# Close graphics window 

    def OnCloseWhis(self, evt):      
        if hiswin: hiswin.Destroy()

#-------------------------------------
# Put DC on the histogram window

    def DcHis(self, evt): 
       global gw3, gh3

       error_mes = tmes.GetValue()   
       if not error_mes:

        dc = wx.PaintDC(self.hpanel)
        dc.SetBackground(wx.Brush(scolor))
        dc.Clear()
        (gw3, gh3) = dc.GetSize()
        self.OnPaintHis(dc)

#-------------------------------------
# Put DC on the window

    def OnPaintHis(self, dc): 

       lxrmin = 25

       lenlx = wwinh-lxrmin*2-30 
       lenly = lyr-lyrmin

       lhis = len(khist)
       maxh = max(khist)  
       phx = lenlx/(lhis-1)
       if maxh  != 0: phy = lenly/maxh

       whb = int((wwinh-wsum)/2)
       whb1 = int((wwinh-wsum1)/2)
       hsl = 24

       self.ix = zeros(lhis) 
       self.iy = zeros(lhis)

       dc.SetFont(font2)   
       dc.SetTextForeground('black')
       dc.DrawText('Histogram of the effective resolution', int(wwinh/2-wfh2/2), 5) 
       dc.DrawText('(all selected reflections taken)', int(wwinh/2-wfh11/2), hfh11+5)   

       dc.SetBrush(wx.Brush(col10))  
       dc.SetPen(wx.Pen('black',1)) 
       dc.SetFont(font0)  
       dc.SetTextForeground('black')  

       for i in range(lhis):
        self.ix[i] = int(lxrmin+phx*i+5)
        self.iy[i] = int(-khist[i]*phy)           
        dc.DrawRectangle(int(self.ix[i]), lyr, 5, int(self.iy[i]))  
        if i == 0: 
          tnhis = SetValue =("%8.5f" % float(dstmin*2.5))
          dc.DrawText(str(tnhis), int(self.ix[i]-wfh0/2), lyr+5)  
        if i == lhis-1: 
          tnhis = SetValue =("%8.5f" % float(dstmax*2.5))
          dc.DrawText(str(tnhis), int(self.ix[i]-wfh0/2), lyr+5) 
        if i == lhis/2:
          tnhis = SetValue =("%8.5f" % float(dstmean*2.5))
          dc.DrawText(str(tnhis), int(self.ix[i]-wfh0/2), lyr+5) 

       dc.SetPen(wx.Pen('black',2))
       dc.DrawLine(lxrmin+5,lyr,int(self.ix[lhis-1]+5),lyr)

       dc.SetFont(font2)   
       dc.SetTextForeground('black') 
       dc.DrawText('mean effective resolution', whb, lyr+hsl)  
       dc.DrawText('effective resolution varies from', whb1, lyr+2*hsl) 
       dc.DrawText('optical resolution varies from', whb1, lyr+3*hsl) 
       dc.SetTextForeground(col1) 
       dc.DrawText("%8.3f" %defmean, whb+wfh15+10, lyr+hsl)
       dc.DrawText("%8.3f" %defmin, whb1+wfh12+10, lyr+2*hsl)  
       dc.SetTextForeground('black') 
       dc.DrawText("%8.3f" %dopmin, whb1+wfh12+10, lyr+3*hsl)
       dc.DrawText('rms', whb+wfh15+wfh4+20, lyr+hsl)  
       dc.DrawText('to', whb1+wfh12+wfh4+20, lyr+2*hsl) 
       dc.DrawText('to', whb1+wfh12+wfh4+20, lyr+3*hsl)  
       dc.SetTextForeground(col1) 
       dc.DrawText("%8.3f" %rmsd, whb+wfh15+wfh4+wfh16+30, lyr+hsl) 
       dc.DrawText("%8.3f" %defmax, whb1+wfh12+wfh4+wfh13+30, lyr+2*hsl)  
       dc.SetTextForeground('black') 
       dc.DrawText("%8.3f" %dopmax, whb1+wfh12+wfh4+wfh13+30, lyr+3*hsl) 
       dc.DrawText('anisotropy ratio', whb1+wfh12+2*wfh4+wfh13+50, lyr+2*hsl) 
       dc.DrawText('anisotropy ratio', whb1+wfh12+2*wfh4+wfh13+50, lyr+3*hsl)    
       dc.SetTextForeground(col1) 
       dc.DrawText("%8.3f" %anise, whb1+wfh12+2*wfh4+wfh13+wfh14+60, lyr+2*hsl)    
       dc.SetTextForeground('black') 
       dc.DrawText("%8.3f" %aniso, whb1+wfh12+2*wfh4+wfh13+wfh14+60, lyr+3*hsl) 

#-------------------------------------
# Dialog with entering name and dimensions for png file -statistics

    def OnToBitmap3(self, evt):
        
        id = evt.GetId()
     
        gwidth = str(gw3)
        gheight = str(gh3)
      
        dlg=wx.Dialog(self, -1, "Export picture to bitmap file",(250,int(250*hpar)),(250,int(180*hpar)))
        mainsizer = wx.BoxSizer(wx.VERTICAL)
        hsizerFile = wx.BoxSizer(wx.HORIZONTAL)
        hsizer1 = wx.BoxSizer(wx.HORIZONTAL)
        hsizer2 = wx.BoxSizer(wx.HORIZONTAL)
        hsizerBtn = wx.BoxSizer(wx.HORIZONTAL)

        label = wx.StaticText(dlg,-1,"File name:", (10,int(10*hpar)))

        dlg.inputFilename = wx.TextCtrl(dlg,-1,"", (80,int(10*hpar)), (160,int(20*hpar)))
        hsizerFile.Add(label,0, wx.ALIGN_CENTRE|wx.ALL, 5)
        hsizerFile.Add(dlg.inputFilename,1, wx.EXPAND|wx.ALL, 5)
        mainsizer.Add(hsizerFile)
        
        labelResWidth = wx.StaticText(dlg, -1, "Width:", (10,int(40*hpar)))
        dlg.inputResWidth = wx.TextCtrl(dlg, -1, value=str(gwidth), pos=(80,int(40*hpar)), size=(50,int(20*hpar)))
        hsizer1.Add(labelResWidth,0,wx.ALL|wx.ALIGN_CENTER|wx.ALIGN_LEFT,5)
        hsizer1.Add(dlg.inputResWidth,0,wx.ALL|wx.ALIGN_CENTER,5)
        labelResHeight = wx.StaticText(dlg, -1, "Height:", (10,int(70*hpar)))
        dlg.inputResHeight = wx.TextCtrl(dlg, -1, value=str(gheight), pos=(80,int(70*hpar)), size=(50,int(20*hpar)))
        hsizer2.Add(labelResHeight,0,wx.ALL|wx.ALIGN_CENTER|wx.ALIGN_LEFT,5)
        hsizer2.Add(dlg.inputResHeight,0,wx.ALL|wx.ALIGN_CENTER,5)

        okBtn = wx.Button(dlg, wx.ID_OK, "OK", (30,100)) 
        cancelBtn = wx.Button(dlg, wx.ID_CANCEL, "Cancel", (130,100))
        hsizerBtn.Add(okBtn,0,wx.ALIGN_CENTER,5)
        hsizerBtn.Add(cancelBtn,0,wx.ALIGN_CENTER,5)
        
        mainsizer.Add(hsizer1, 0, wx.ALL,5)
        mainsizer.Add(hsizer2, 0, wx.ALL,5)
        mainsizer.Add(hsizerBtn, 0, wx.ALL,5)
        self.SetSizer(mainsizer)
   
        self.MakeBitmapFile3(dlg)

#-------------------------------------
# Function makes png file from current image on the screen

    def MakeBitmapFile3(self, dlg):

        if dlg.ShowModal() == wx.ID_OK:  
          width = dlg.inputResWidth.GetValue()
          height = dlg.inputResHeight.GetValue()   
          width = width.strip()
          height = height.strip()
          if len(width) == 0 or width.isspace() == True:
           tmes.SetValue(" Width is not defined")
           return 
          if width.isdigit() == False :
           tmes.SetValue(" Wrong symbol in the width parameter")
           return 
          if len(height) == 0 or height.isspace() == True:
           tmes.SetValue(" Height is not defined")
           return 
          if height.isdigit() == False :
           tmes.SetValue(" Wrong symbol in the height parameter")
           return 
                                    
          pngbuffer = wx.Bitmap(int(dlg.inputResWidth.GetValue()),int(dlg.inputResHeight.GetValue()))
          self.dcc = pngdc = wx.MemoryDC(pngbuffer)
          pngdc.SelectObject(pngbuffer)     
          pngdc.SetBackground(wx.Brush(ccolor))
          pngdc.Clear()
          self.OnPaintHis(pngdc)   
 
          ttt=dlg.inputFilename.GetValue()
          sss=dfile+"/"+ttt
          pngbuffer.SaveFile("%s.png" % sss,wx.BITMAP_TYPE_PNG)
          pngdc.SelectObject(wx.NullBitmap)

#-----------------------
# Parameters window

class ListPar(wx.Frame):
    def __init__(self, parent):
        global par1, par2, par3, par4, par4a, par5, par6, par7, par8, par8, par9, par10

        dc = wx.ScreenDC()
        dc.SetFont(font1)
        wfp1, hfp1 = dc.GetTextExtent("10000")
        wfp11, hfp11 = dc.GetTextExtent("Default values")
        dc.SetFont(font2)
        wfp2, hfp2 = dc.GetTextExtent("Half-space (=1) or asym.unit (=0) vector analysis:")
        wfp21, hfp21 = dc.GetTextExtent("1.0 < sphgrd < 45.0")

        wcsz = wfp1+30
        hcsz = hfp1+6
        wbut = wfp11+20
        hbut = hfp11+6

        swpar = wfp2+wcsz+wfp21+60
        shpar = 12*hcsz+130

        hst = hfp2+9
        wpc1 = wfp2+20
        wpc2 = wfp2+wcsz+30

        wx.Frame.__init__(self, parent, -1, title= 'Parameters', pos=(int(wd/2),int(hd/2-80)), size=(swpar, shpar),
         style = wx.DEFAULT_FRAME_STYLE & ~(wx.RESIZE_BORDER | wx.MAXIMIZE_BOX)) 
        epanel = self.epanel = wx.Panel(self, pos=(0, 0), size=(swpar, shpar))

        titp1 = wx.StaticText(self.epanel, -1, "Step (axes search):", pos =(10,5))
        titp1.SetFont(font2)
        par1 = wx.TextCtrl(self.epanel, -1, str(staxes), pos=(wpc1,5), size=(wcsz,hcsz))
        par1.SetFont(font1)
        par1.SetEditable(True)
        titp11 = wx.StaticText(self.epanel, -1, "0.0 < staxes", pos =(wpc2,5))
        titp11.SetFont(font2)
        titp11.SetForegroundColour(col1) 

        titp2 = wx.StaticText(self.epanel, -1, "Step (radial search):", pos =(10,5+hst))
        titp2.SetFont(font2)
        par2 = wx.TextCtrl(self.epanel, -1, str(radst), pos=(wpc1,5+hst), size=(wcsz,hcsz))
        par2.SetFont(font1) 
        par2.SetEditable(True)
        titp21 = wx.StaticText(self.epanel, -1, "0.0 < radst", pos =(wpc2,5+hst))
        titp21.SetFont(font2)
        titp21.SetForegroundColour(col1) 

        titp3 = wx.StaticText(self.epanel, -1, "Bottom distance ratio:", pos =(10,5+2*hst))
        titp3.SetFont(font2)
        par3 = wx.TextCtrl(self.epanel, -1, str(frrad), pos=(wpc1,5+2*hst), size=(wcsz,hcsz))
        par3.SetFont(font1) 
        par3.SetEditable(True) 
        titp31 = wx.StaticText(self.epanel, -1, "0.0 < frrad < 1.0", pos =(wpc2,5+2*hst))
        titp31.SetFont(font2)
        titp31.SetForegroundColour(col1) 

        titp4 = wx.StaticText(self.epanel, -1, "Upper distance ratio:", pos =(10,5+3*hst))
        titp4.SetFont(font2)
        par4 = wx.TextCtrl(self.epanel, -1, str(torad), pos=(wpc1,5+3*hst), size=(wcsz,hcsz))
        par4.SetFont(font1) 
        par4.SetEditable(True)  
        titp41 = wx.StaticText(self.epanel, -1, "1.0 < torad < 10.0", pos =(wpc2,5+3*hst))
        titp41.SetFont(font2)
        titp41.SetForegroundColour(col1)
 
        titp4a = wx.StaticText(self.epanel, -1, "Regular (=2) or simplest (=1) sphere grid:", pos =(10,5+4*hst))
        titp4a.SetFont(font2)
        par4a = wx.TextCtrl(self.epanel, -1, str(metgrd), pos=(wpc1,5+4*hst), size=(wcsz,hcsz))
        par4a.SetFont(font1) 
        par4a.SetEditable(True) 
        titp4a1 = wx.StaticText(self.epanel, -1, "1 or 2", pos =(wpc2,5+4*hst))
        titp4a1.SetFont(font2)
        titp4a1.SetForegroundColour(col1) 

        titp5 = wx.StaticText(self.epanel, -1, "Angular grid step:", pos =(10,5+5*hst))
        titp5.SetFont(font2)
        par5 = wx.TextCtrl(self.epanel, -1, str(sphgrd), pos=(wpc1,5+5*hst), size=(wcsz,hcsz))
        par5.SetFont(font1) 
        par5.SetEditable(True) 
        titp51 = wx.StaticText(self.epanel, -1, "1.0 < sphgrd < 45.0", pos =(wpc2,5+5*hst))
        titp51.SetFont(font2)
        titp51.SetForegroundColour(col1) 

        titp6 = wx.StaticText(self.epanel, -1, "Number of vectors shown (high / low resolution):", pos =(10,5+6*hst))
        titp6.SetFont(font2)
        par6 = wx.TextCtrl(self.epanel, -1, str(ndirv), pos=(wpc1,5+6*hst), size=(wcsz,hcsz))
        par6.SetFont(font1) 
        par6.SetEditable(True) 
        titp61 = wx.StaticText(self.epanel, -1, "1 < ndirv <" + str("%6i" %maxvec), pos =(wpc2,5+6*hst))
        titp61.SetFont(font2)
        titp61.SetForegroundColour(col1) 

        titp7 = wx.StaticText(self.epanel, -1, "Half-space (=1) or asym.unit (=0) vector analysis:", pos =(10,5+7*hst))
        titp7.SetFont(font2)
        par7 = wx.TextCtrl(self.epanel, -1, str(kvasym), pos=(wpc1,5+7*hst), size=(wcsz,hcsz))
        par7.SetFont(font1) 
        par7.SetEditable(True)  
        titp71 = wx.StaticText(self.epanel, -1, "0 or 1", pos =(wpc2,5+7*hst))
        titp71.SetFont(font2)
        titp71.SetForegroundColour(col1) 

        titp8 = wx.StaticText(self.epanel, -1, "Rounding error:", pos =(10,5+8*hst))
        titp8.SetFont(font2)
        par8 = wx.TextCtrl(self.epanel, -1, str(eps), pos=(wpc1,5+8*hst), size=(wcsz,hcsz))
        par8.SetFont(font1) 
        par8.SetEditable(True)
        titp81 = wx.StaticText(self.epanel, -1, "0 < eps < 0.001", pos =(wpc2,5+8*hst))
        titp81.SetFont(font2)
        titp81.SetForegroundColour(col1) 

        titp9 = wx.StaticText(self.epanel, -1, "Number of bins (radial search):", pos =(10,5+9*hst))
        titp9.SetFont(font2)
        par9 = wx.TextCtrl(self.epanel, -1, str(maxhis), pos=(wpc1,5+9*hst), size=(wcsz,hcsz))
        par9.SetFont(font1) 
        par9.SetEditable(True) 
        titp91 = wx.StaticText(self.epanel, -1, "10 < maxhis < 100", pos =(wpc2,5+9*hst))
        titp91.SetFont(font2)
        titp91.SetForegroundColour(col1) 

        titp10 = wx.StaticText(self.epanel, -1, "Number of vectors to analyse deff:", pos =(10,5+10*hst))
        titp10.SetFont(font2)
        par10 = wx.TextCtrl(self.epanel, -1, str(maxvec), pos=(wpc1,5+10*hst), size=(wcsz,hcsz))
        par10.SetFont(font1)
        par10.SetEditable(True)
        titp101 = wx.StaticText(self.epanel, -1, "10000 <= maxvec", pos =(wpc2,5+10*hst))
        titp101.SetFont(font2)
        titp101.SetForegroundColour(col1) 

        btnDef = wx.Button(self.epanel, -1, 'Default values', (int((swpar-3*wbut)/2-20), 20+11*hst), (wbut,hbut))
        btnDef.SetFont(font1)
        btnDef.SetBackgroundColour('#CDCDC1') 
        btnDef.Bind(wx.EVT_BUTTON, self.DefPar)

        btnApl = wx.Button(self.epanel, -1, 'Accept', (int((swpar-3*wbut)/2+wbut), 20+11*hst), (wbut,hbut))
        btnApl.SetFont(font1)
        btnApl.SetBackgroundColour('#CDCDC1') 
        btnApl.Bind(wx.EVT_BUTTON, self.ParEntry)

        btnExit6 = wx.Button(self.epanel, -1, 'Close', (int((swpar-3*wbut)/2+2*wbut+20), 20+11*hst), (wbut,hbut))
        btnExit6.SetFont(font1)
        btnExit6.SetBackgroundColour('#CDCDC1') 
        btnExit6.Bind(wx.EVT_BUTTON, self.OnCloseWpar)

##        wx.EVT_CLOSE(self, self.OnCloseWpar) 
          
        self.Show()

#-------------------------------------
# Close graphics window 

    def OnCloseWpar(self, evt):
        self.Destroy()

#-------------------------------------
# Parameters by default

    def DefPar(self, evt):

       par1.SetValue(str(staxes0))
       par2.SetValue(str(radst0))
       par3.SetValue(str(frrad0))
       par4.SetValue(str(torad0))
       par4a.SetValue(str(metgrd0))
       par5.SetValue(str(sphgrd0))
       par6.SetValue(str(ndirv0))
       par7.SetValue(str(kvasym0))
       par8.SetValue(str(eps0))
       par9.SetValue(str(maxhis0))
       par10.SetValue(str(maxvec0))

#-------------------------------------
# Parameters entry 

    def ParEntry(self, evt):
       global staxes, radst, frrad, torad, metgrd, sphgrd, ndirv, kvasym, eps, maxhis, maxvec

       btnRun1.SetBackgroundColour('#CDCDC1')
       btnRun1.ClearBackground()
       btnRun1.SetLabel('effective resolution along the coordinate axes')
         
       if effwin : effwin.Destroy()
       if optwin : optwin.Destroy()
       if hiswin : hiswin.Destroy() 
       if wilwin : wilwin.Destroy()

       btnRun3.Disable()
       btnrb1.Disable()
       btnrb2.Disable()
       btnRun4.Disable()

       ipar = 0
       par = par1.GetValue()
       try:
         par = float(par)
       except ValueError:
         par1.SetValue(str(staxes))
         ipar = 1
       if par <= 0:
         par1.SetValue(str(staxes))
         ipar = 1     
       if ipar == 0: staxes = par

       ipar = 0
       par = par2.GetValue()
       try:
         par = float(par)
       except ValueError:
         par2.SetValue(str(radst))
         ipar = 1
       if par <= 0:
         par2.SetValue(str(radst))
         ipar = 1     
       if ipar == 0: radst = par

       ipar = 0
       par = par3.GetValue()
       try:
         par = float(par)
       except ValueError:
         par3.SetValue(str(frrad))
         ipar = 1
       if par <= 0 or par >= 1:
         par3.SetValue(str(frrad))
         ipar = 1     
       if ipar == 0: frrad = par

       ipar = 0
       par = par4.GetValue()
       try:
         par = float(par)
       except ValueError:
         par4.SetValue(str(torad))
         ipar = 1
       if par <= 1 or par >= 10:
         par4.SetValue(str(torad))
         ipar = 1     
       if ipar == 0: torad = par

       ipar = 0
       par = par4a.GetValue()
       try:
         par = int(par)
       except ValueError:
         par4a.SetValue(str(metgrd))
         ipar = 1
       if par != 1 and par != 2:
         par4a.SetValue(str(metgrd))
         ipar = 1     
       if ipar == 0: metgrd = par

       ipar = 0
       par = par5.GetValue()
       try:
         par = float(par)
       except ValueError:
         par5.SetValue(str(sphgrd))
         ipar = 1
       if par <= 1 or par >= 45:
         par5.SetValue(str(sphgrd))
         ipar = 1     
       if ipar == 0: sphgrd = par

       ipar = 0
       par = par6.GetValue()
       try:
         par = int(par)
       except ValueError:
         par6.SetValue(str(ndirv))
         ipar = 1
       if par <= 1 or par >= maxvec:
         par6.SetValue(str(ndirv))
         ipar = 1     
       if ipar == 0: ndirv = par

       ipar = 0
       par = par7.GetValue()
       try:
         par = int(par)
       except ValueError:
         par7.SetValue(str(kvasym))
         ipar = 1
       if par != 0 and par != 1:
         par7.SetValue(str(kvasym))
         ipar = 1  
       if ipar == 0: kvasym = par  

       ipar = 0
       par = par8.GetValue()
       try:
         par = float(par)
       except ValueError:
         par8.SetValue(str(eps))
         ipar = 1
       if par <= 0 or par >= 0.001:
         par8.SetValue(str(eps))
         ipar = 1  
       if ipar == 0: eps = par 

       ipar = 0
       par = par9.GetValue()
       try:
         par = int(par)
       except ValueError:
         par9.SetValue(str(maxhis))
         ipar = 1
       if par <= 10 or par >= 100:
         par9.SetValue(str(maxhis))
         ipar = 1  
       if ipar == 0: maxhis = par  

       ipar = 0
       par = par10.GetValue()
       try:
         par = int(par)
       except ValueError:
         par10.SetValue(str(maxvec))
         ipar = 1
       if par < 10000:
         par10.SetValue(str(maxvec))
         ipar = 1  
       if ipar == 0: maxvec = par      

#-------------------------------------
# Help - statistics

class HelpFrame(wx.Frame):
    def __init__(self, parent, ID, title, pos, size):

        frame = wx.Frame.__init__(self, parent, ID, title, pos, size,
          style = wx.DEFAULT_FRAME_STYLE & ~(wx.RESIZE_BORDER | wx.MAXIMIZE_BOX))
        self.scroll = scroll = wx.ScrolledWindow(self,-1)
        scroll.SetBackgroundColour('white')

        st=wx.StaticText(scroll, -1, 
           "          Reference: L.Urzhumtseva, B.Klaholz, A.Urzhumtsev, 2013, Acta Cryst, D69, 1921-1934\n"
           "          Send suggestions and 'bug' reports to: sacha@igbmc.fr\n"
           "\n 1.      Definitions\n"
           "          - The minimum distance for a given diffraction data set and a given type of scatterers is the  \n"
           "            shortest distance at which the images of these scatterers are yet seen separately in the Fourier\n"
           "            synthesis calculated with these data and with the ideal phases if they were known.\n"
           "          - The effective resolution, d_effective, of a data set is equal to the highest resolution of the\n"
           "            complete data set such that the minimum distance for point scatterers is the same for both sets.\n"
           "            The value d_effective, in comparison with the highest-resolution cut-off d_high, shows the loss \n"
           "            of resolution due to the missed structure factors. For complete data sets, d_effective=d_high.\n"
           "          - The optical resolution, d_optical, of a given set of structure factor amplitudes or intensities is the \n"
           "            minimum distance for typical atoms (with the typical B-factor value) of the corresponding structure\n"
           "            in the non-weighted synthesis calculated with these amplitudes and with the ideal phase values if\n"
           "            they were known.\n"
           "          - The value 1.25*d_optical shows, by comparison with d_effective, the loss of resolution due to the\n"
           "            shape of the atoms with the typical B value.\n"
           "\n 2.      The purpose\n"
           "              The program defines the effective resolution of a set of reflections. This value reflects both the \n"
           "            high-resolution data cut-off and the reflections missed in the data set.\n"
           "              For anisotropic data sets both the highest and the lowest resolutions, depending on the \n"
           "            direction, are determined. The corresponding directions are also calculated.\n"
           "              The program defines also the minimum and maximum optical resolution for the given values of the \n"
           "            amplitudes / intensities.\n"
           "\n 3.      The procedure\n"
           "              Four steps shall be executed consecutively; however, the first step may be sufficient for a number \n"
           "            of cases. Three first steps are relatively fast; the fourth step may take a minute or so, depending \n"
           "            on the size of the data set and the parameters used. You can execute these steps one by one \n"
           "            clicking the corresponding virtual buttons.\n"
           "              Step 1. Calculate the effective resolution along the coordinate axes\n"
           "              Step 2. Define (assign) the typical B value for the given set of amplitudes / intensities\n"
           "              Step 3. With the selected B value, calculate the optical resolution along the coordinate axes\n"
           "              Step 4. Calculate the effective and optical resolutions for all directions (vectors to the points of\n"
           "                     a grid on a sphere) and find their extreme values\n"
           "\n 4.      Program results and examples\n"
           "              The principal results are obtained in Step 4; they are the minimum and maximum effective and \n" 
           "            optical resolutions. The anisotropy ratio is also calculated. Corresponding plots can be saved in \n" 
           "            the png format. The plots for intermediate results from Steps 1-3 are also available and printable.\n"
           "            Clicking the left mouse button on the curve points highlights the corresponding resolution value.\n"
           "              The effective and optical resolutions along the coordinate axes are calculated not only with the \n"
           "            full data set but also for several subsets where the high-resolution cut-off is lowered in purpose. \n"
           "            For severely incomplete data sets, this curve may give an idea of the best resolution cut-off to be \n"
           "            applied to obtain the highest effective resolution. The user may define the number of these subsets  \n"
           "            and the resolution step to calculate them .\n"
           "              When analyzing the effective resolution along all directions, Step 4, its histogram is calculated \n"
           "            and shown. This allows getting an idea of the overall geometry of the data set.\n"
           "              As an example, the file data_IF2_APO_wt.mtz contains a complete data set at a resolution of 1.95 A \n"
           "            for which the effective resolution d_effective coincides with d_high. This also shows a size of  \n"
           "            possible computational errors, that of order of 0.01 Angstrom. Another file data_IF2_GDP_pH65.mtz \n"
           "            contains a highly anisotropic data set for which the effect of the high resolution cut-off and \n"
           "            incompleteness is well pronounced. These data sets were obtained whan working on the IF2 structure \n"
           "            (Simonetti et al., 2013, Acta Cryst, D69, 925-933).\n"
           "              Note that the completeness statistics is given only for a reference. It does not take into account\n"
           "            systematic extinctions of the particular space group. For details of completeness of the data set and\n"
           "            the distribution of missed reflections, use the program FOBSCOM (Urzhumtseva, Urzhumtsev, 2011, \n"
           "            J.Appl.Cryst., 44, 865-872).\n"
           "\n 5.      Input data and parameters\n"
           "              The program reads a list of reflections including their indices and amplitudes (or intensities)\n" 
           "            from a file in MTZ (*.mtz), CIF (*.cif), XDS (*.hkl), HKL2000 (*.sca), CNS (*.hkl) formats. \n"
           "            For the formats where the unit cell parameters and the space groups are not defined, these parameters \n"
           "            shall be defined by the user in the corresponding windows. \n"
           "              To choose the particular set of amplitudes / intensities if they are several in the file, \n"
           "            and to choose / modify the Laue group if required, double click on your choice.\n"
           "              The typical B-factor value can be assigned manually or chosen from the Wilson plot. The resolution\n"
           "            limits for the plot can be modified with the moving pen (click left mouse button).\n"
           "              More technical parameters can be modified after pressing the button 'Parameters'. Please type a \n"
           "            new value (or use 'Default values' button to restore those) and confirm the changes by pressing the \n"
           "            virtual button 'Accept'. Otherwise your modifications will not be activated. Parameter modification \n"
           "            may require repeating previously executed steps, Step 1 - Step 4.\n"
           "\n 6.      System requirements\n"
           "              The basic version of the program has been developed for Windows while it runs also under Linux\n" 
           "            and MacOS; Python versions starting from 3.7 are required. Python library Numpy is required.\n"  
           "              The program can be run using either independently installed Python libraries or using Python\n" 
           "            installed in the frame of other program suites. For example, when PHENIX is installed, one can run\n"
           "            the program typing a command\n"
           "                phenix.wxpython efresol_n_m.py \n"
           "            where 'n_m' is the number of the current version, e.g. efresol_4_1.\n"
           "\n 7.      Laue symmetries (a reminder):\n"
           "               if symmetry group= 1,2                      Laue symmetry = -1\n"
           "               if symmetry group= 3,...15                 Laue symmetry = 2/m\n"
           "               if symmetry group= 16,...74               Laue symmetry = mmm\n"
           "               if symmetry group= 75,...88               Laue symmetry = 4/m\n"
           "               if symmetry group= 89,...142             Laue symmetry = 4/mmm\n"
           "               if symmetry group= 143,...148           Laue symmetry = -3 (hexagonal)\n"
           "               if symmetry group= 149,...167           Laue symmetry = -3m (hexagonal)\n"
           "               if symmetry group= 168,...176           Laue symmetry = 6/m\n"
           "               if symmetry group= 177,...194           Laue symmetry = 6/mmm\n"
           "               if symmetry group= 195,...206           Laue symmetry = m-3\n"
           "               if symmetry group= 207,...230           Laue symmetry = m-3m\n"
           "               if symmetry group= 20146                 Laue symmetry = -3 (rhombohedral)\n"
           "               if symmetry group= 20155                 Laue symmetry = -3m (rhombohedral)\n\n", pos = (0,0))
 
        st.SetFont(font2)
        self.unit=20
        width,height=st.GetSize()
        scroll.SetScrollbars(0, self.unit, 0, int(height/self.unit))  
             
#-------------------------------------
class App(wx.App):

    """ Application class """
    
    def OnInit(self):
        """ Function OnInit, initializating application, making main frame"""
        self.appFrame = InsertFrame(parent=1, id=-1)
        self.appFrame.Show()
        return True
        
if __name__ == '__main__':
    app = App(False, "output")
    app.MainLoop()

